//New LOOP Device Macro Settings
var WINDOW_POS="width=848,height=300,left=100,top=20";


//--------------------------------------------------------------------
//this function creates a template xml configuration for each loop device
//parameters are:
//called after loading page
//--------------------------------------------------------------------
function createDCPtemplate (){
	DCPtemplatedoc = myloadXMLDoc ("DCPDeviceTemplate.xml");
	LocalDCPtemplatedoc = myloadXMLDoc ("DCPDeviceTemplate.xml");
	DCPtemplateArray = DCPtemplatedoc.getElementsByTagName("Device");
	LocalDCPtemplateArray=LocalDCPtemplatedoc.getElementsByTagName("Device");
	return;
}//end function createDCPtemplate


//--------------------------------------------------------------------
//this function refreshes the display output of all DCP devices
//sorts the tree first by address.
//returns if it does not exist.
//--------------------------------------------------------------------
function refreshDCPDisplay (){

var looptag=DCPlooptag; //global to make it depending on loop envirenment	
var loopxmldoc = xmldoc.getElementsByTagName(looptag);
if (loopxmldoc.length==0){
	return;
}
sortLoopByAddress(loopxmldoc[0]);//add device type 0 is used to update display (here also sorts first
displayDevices (loopxmldoc[0]); //refresh display
return;
}//end function refreshDCPDisplay


//--------------------------------------------------------------------
//this function controlled by the button for adding multiple devices
//xmldoc and loop are created if the do not exist already
//global: looptag
//parameters are: devicetype, qty, startadd
//--------------------------------------------------------------------
function buttonAddMult() {
var qty=document.getElementById("NewDeviceQty").value;
var devtype=document.getElementById("NewDeviceType").value;
var add=document.getElementById("NewDeviceAddress").value;
buttonAddDevice (add,devtype,qty,true);
} //end function buttonAddMult


//--------------------------------------------------------------------
//this function controlled by the button for adding multiple devices
//xmldoc and loop are created if the do not exist already
//global: looptag
//parameters are: devicetype, qty, startadd
//same for loop 2
//--------------------------------------------------------------------
function buttonAddMult2() {
var qty=document.getElementById("NewDeviceQty2").value;
var devtype=document.getElementById("NewDeviceType2").value;
var add=document.getElementById("NewDeviceAddress2").value;
buttonAddDevice (add,devtype,qty,true);
} //end function buttonAddMult


//--------------------------------------------------------------------
//this function controlled by the button for adding multiple devices
//edit the template first
//to define what is inserted
//
//--------------------------------------------------------------------
function buttonEditTemplate() {
var devtype=document.getElementById("NewDeviceType").value;
OpenWindowTemplate (DCPconfigDialogues[devtype], LocalDCPtemplateArray[devtype]);
} //end function buttonEditTemplate

function buttonEditTemplate2() {
var devtype=document.getElementById("NewDeviceType2").value;
OpenWindowTemplate (DCPconfigDialogues[devtype], LocalDCPtemplateArray[devtype]);
} //end function buttonEditTemplate2
//--------------------------------------------------------------------
//this function is meant to add a device of devicetype at startadd.
//MultiFlag is used to choosed DCPtemplate
//Before revoke this function ,pls ensure the startadd is valid for this devicetype
//------------------
function addDeviceToXMLTree (devicetype, startadd,MultiFlag){

var looptag=DCPlooptag; //global to make it depending on loop envirenment
var TempDCPtemplateArray;
var AddressMaploop;
var Tempxmldoc;
if("LOOP1"==looptag)
	AddressMaploop=AddressMaploop1;
else
    AddressMaploop=AddressMaploop2;
try{
	if(DCPtemplatedoc);
}
catch(err){
	alert("DCPDeviceTemplate.xml file missing. Please contact technical support!");
	return;
}
if(MultiFlag==true)
  {
	  TempDCPtemplateArray=LocalDCPtemplateArray;
	  Tempxmldoc=LocalDCPtemplatedoc;
  }
else
  {
	  TempDCPtemplateArray=DCPtemplateArray;
  	  Tempxmldoc=DCPtemplatedoc;
  }
//creat loop tag if not exists
var loopxmldoc = xmldoc.getElementsByTagName(looptag);
if (loopxmldoc.length==0){
	var newel=xmldoc.createElement(looptag);
	xmldoc.firstChild.appendChild(newel);
	loopxmldoc = xmldoc.getElementsByTagName(looptag);
	//create device 0 for loop itself (device type "2")
	//var newnode=DCPtemplatedoc.lastChild.childNodes[2].cloneNode(true);
	//Loopxmldoc[0].appendChild(newnode);
}
//create device 0 for loop itself (device type "2") if no device exists
var checkdevice = loopxmldoc[0].getElementsByTagName("Device");
if (checkdevice.length==0){
	//this line is backup only, if DCPtemplateArray does not work.
	//var newnode=DCPtemplatedoc.lastChild.childNodes[2].cloneNode(true);
	var newnode=TempDCPtemplateArray[2].cloneNode(true);
	loopxmldoc[0].appendChild(newnode);
}
//limitation to 127 only works if FAA-325-B6S is not own device
var outeralldevices = loopxmldoc[0].getElementsByTagName("Device");
if (devicetype>2) {
		//this line is backup only, if DCPtemplateArray does not work.
		//var newnode=DCPtemplatedoc.lastChild.childNodes[devicetype].cloneNode(true);
		var newnode=TempDCPtemplateArray[devicetype].cloneNode(true);
		var myaddress = newnode.getElementsByTagName("Address");
		//find smallest empty address <= startadd: device 0 (loop) also has address!!!!
		// insert	
		var newtxt=Tempxmldoc.createTextNode(startadd);//assign correct address
		if (myaddress.length>0)
			if (myaddress[0].childNodes[0])
				myaddress[0].replaceChild(newtxt,myaddress[0].childNodes[0]);
			else
				myaddress[0].appendChild(newtxt);
		else
			return;	
	    AddressMaploop[startadd]=1;
		loopxmldoc[0].appendChild(CloneNodebetween2XMLs(xmldoc,newnode,true));
		//displayDevices (loopxmldoc[0]); //refresh display
		//loopxmldoc[0].appendChild(newnode);//add node at the end, then sort
}//end if valid device (id>2)
//refreshDCPDisplay();
//displayDevices (loopxmldoc[0]); //refresh display
}//end function addDeviceAt


//--------------------------------------------------------------------
//this function removes a device to the loop
//xmldoc and loop are created if the do not exist already
//parameters are:
//uses global: DCPlooptag
//--------------------------------------------------------------------
function removeDevice (deviceindex){
var AddressMaploop;
var looptag=DCPlooptag; //global to make it depending on loop envirenment
try{
	if(xmldoc){
	var loopxmldoc = xmldoc.getElementsByTagName(looptag);
	var alldevices = loopxmldoc[0].getElementsByTagName("Device");
	var alladdress = loopxmldoc[0].getElementsByTagName("Address");
	if("LOOP1"==looptag)
       	AddressMaploop=AddressMaploop1;
    else
        AddressMaploop=AddressMaploop2;	
	if(deviceindex)
	{
	  if(alldevices[deviceindex].getElementsByTagName("DeviceType")[0].firstChild.nodeValue.match(/^[3567]/))
		 {
			 var addr_asb =eval(alladdress[deviceindex].firstChild.nodeValue)+127;	// find the related B6S device if already existed in the current list.
			  for(var k=0;k<alladdress.length;k++)
		      {
			  if((eval(alladdress[k].firstChild.nodeValue)==(addr_asb))&&(eval(alldevices[k].getElementsByTagName("DeviceType")[0].firstChild.nodeValue)==16))
					  break;

		      }
		      if(k<alladdress.length){ //already host a B6S device.
		          var remove_asb=confirm("The detector hosts a sounder base (FAA-325-B6S). Do you want to remove the FAA-325-B6S as well?");
		          if(remove_asb)//remove FAA-325-B6S
		            {
	             		AddressMaploop[eval(alladdress[k].firstChild.nodeValue)]=0;
						loopxmldoc[0].removeChild(alldevices[k]);
						AddressMaploop[eval(alladdress[deviceindex].firstChild.nodeValue)]=0;
						loopxmldoc[0].removeChild(alldevices[deviceindex]);						
			   			
					}
		  		  else//keep asb 
		    		{		
						AddressMaploop[eval(alladdress[deviceindex].firstChild.nodeValue)]=0;
						loopxmldoc[0].removeChild(alldevices[deviceindex]);
					}
	  		  }
			 else //not hold a detector
			   {
				   AddressMaploop[eval(alladdress[deviceindex].firstChild.nodeValue)]=0;
				   loopxmldoc[0].removeChild(alldevices[deviceindex]);
			       
			   }
	   }
	 else// not a detector
	   {
			
            AddressMaploop[eval(alladdress[deviceindex].firstChild.nodeValue)]=0;
			loopxmldoc[0].removeChild(alldevices[deviceindex]);
		}
	    displayDevices(loopxmldoc[0]);		 
   }
 }//end if(xmldoc)
}

catch(err){
	return;
	}
return;
}//end function removeDevice


//--------------------------------------------------------------------
//this function the DCP loop tags by address
//parameter: root of the DOM tree
//--------------------------------------------------------------------
function sortLoopByAddress (myDOMtree){
	var looptag=DCPlooptag;
	var AddressMaploop;
	var alldevices = myDOMtree.getElementsByTagName("Device");
	var alladdress = myDOMtree.getElementsByTagName("Address");
	if("LOOP1"==looptag)
  		AddressMaploop=AddressMaploop1;
	else
  		AddressMaploop=AddressMaploop2;
	for (var i=0;i<=254;i++) 
	    AddressMaploop[i]=0;
	for(var i=0;i<alladdress.length;i++)
   	{
		var tempaddr=eval(alladdress[i].firstChild.nodeValue);		 	
		AddressMaploop[tempaddr]=1; 
   	}
		for (var i=0; i<alldevices.length-1; i++)
		for (var j=i+1; j<alldevices.length; j++)
		{
			//var alldevices = myDOMtree.getElementsByTagName("Device");
			//var alladdress = myDOMtree.getElementsByTagName("Address");
			if (eval(alladdress[i].firstChild.nodeValue)>eval(alladdress[j].firstChild.nodeValue)){
				var h = alldevices[i].cloneNode(true);
				var k = alldevices[j].cloneNode(true);
				myDOMtree.replaceChild(h, alldevices[j]);
				myDOMtree.replaceChild(k, alldevices[i]);
				alldevices = myDOMtree.getElementsByTagName("Device");
				alladdress = myDOMtree.getElementsByTagName("Address");
			}
		}
	return;
}//end function sortLoopByAddress


//--------------------------------------------------------------------
//this function displays all DCP loop elements in a table
//uses global: DCPloopdisplaywindow (depends on envirenment)
//device type 2 has address 0: always firt.
//todo: devicetype 0 (nulldevice) need to be supressed!
//todo: devicetype 0 need to be removed first. (cleanup), loop moved to first position!
//--------------------------------------------------------------------
function displayDevices (myDOMtree){
var targetwindow=DCPloopdisplaywindow;
var str="";
var totalCurrent=0;
alldevices = myDOMtree.getElementsByTagName("Device");
str="<TABLE border='1'>";
//header
str+="<TR><TH>Address</TH><TH>Device Type</TH><TH>Label</TH><TH>Configure</TH><TH>Remove</TH></TR>";
for (var i=0; i< alldevices.length; i++) {
	var dtnumber=alldevices[i].getElementsByTagName('DeviceType')[0].firstChild.nodeValue;
	var dt=DCPdeviceType[dtnumber];
	totalCurrent+=eval(DCPdeviceCurrent[dtnumber]);
	var td=alldevices[i];
	var add=alldevices[i].getElementsByTagName('Address')[0].firstChild.nodeValue;
       try
		{ 
			if (alldevices[i].getElementsByTagName('Label')[0].firstChild)
				var lab=alldevices[i].getElementsByTagName('Label')[0].firstChild.nodeValue;
			else var lab="";
		}
		catch(err) 
		{
			var lab="";
		}
	var conf='<input type="button" value="Configure" onclick="javascript:OpenWindow(&quot;'+DCPconfigDialogues[dtnumber]+'&quot;, '+i+')"/>';
	var rem="";
	if (i>0)
		rem='<input type="button" value="Remove" onclick="javascript:ProgramChangeFlag=1; removeDevice('+i+' )"/>';
	str+="<TR><TD>"+add+"</TD><TD>"+dt+"</TD><TD>"+lab+"</TD><TD>"+conf+"</TD><TD>"+rem+"</TD></TR>";
}
str+="</TABLE>";
str="<p>Number of devices: "+eval(alldevices.length-1)+"</p>"+"<p>Loop current: "+eval(totalCurrent/1000)+" mA</p>"+str;
document.getElementById(targetwindow).innerHTML=str;
return;
}//end function displayDevices


//--------------------------------------------------------------------
//some global variables
//
//--------------------------------------------------------------------
DCPdeviceType=new Array(
			"Null",  //0
			"Unknown",//1
			"SLC",//2
			"FAP-325",//3
			"FAD-325",//4
			"FAH-325",//5
			"FAI-325",//6
			"ACA-E",//7
			"FLM-325-I",//8
			"AMS",//9, device type has been removed
			"FLM-325-CZM4", //10
			"FLM-325-2I4", //11
			"FLM-325-2R4",//12
			"FLM-325-N4",//13
			"FLM-325-NA4",//14
			"FLM-325-NAI4",//15
			"FAA-325-B6S",//16
			"D328A");//17

DCPconfigDialogues=new Array(
			"Null",
			"Unknown",
			"SLC.html",
			"FAP325.html",
			"FAD325.html",
			"FAH325.html",
			"FAI325.html",
			"ACA.html",
			"FLM325_I.html",
			"AMS.html",
			"FLM325_CZ.html",
			"FLM325_2I.html",
			"FLM325_2R.html",
			"FLM325_N.html",
			"FLM325_N.html",
			"FLM325_N.html",
			"FAA325_BS.html",
			"FLM325_R.html");

//todo: current for DIMM(460), SOM-A(300), SOM-AI(300) preliminary
DCPdeviceCurrent=new Array(
			"0",	  //NULL
			"0",	  //Unknown
			"0",	  //SLC (loop)
			"390", //FAP-325
			"390", //ALG-DH
			"350", //STG-EA
			"350", //AIE-EA
			"600", //ACA-E
			"230", //FRCME
			"230", //AMS
			"400", //CZM
			"600", //DIMM
			"150", //R2M
			"300", //SOM
			"300", //SOM-A
			"300", //SOM-AI
			"110", //FAA-325-B6S
			"150"); //RM

var currentDeviceDOMtree;
var DOMtree_select;
var currentDeviceAddress;
//--------------------------------------------------------------------
//this function opens a configuration dialog
//
//--------------------------------------------------------------------
function OpenWindow (HTMLfile, myindex) {

    DOMtree_select='CONFIG';
	currentDeviceDOMtree=alldevices[myindex];
	currentDeviceAddress=alldevices[myindex].getElementsByTagName('Address')[0].firstChild.nodeValue;
	MyWindow = window.open(HTMLfile, "ZweitfensterDCP", "width=848,height=300,left=100,top=20");
	MyWindow.focus();

}//end function DCPdevicedialogCancel

//--------------------------------------------------------------------
//this function opens a configuration dialog
//to change template (edit before add)
//--------------------------------------------------------------------
function OpenWindowTemplate (HTMLfile, templateDOMTtree) {
	DOMtree_select='TEMPLETE';
	currentDeviceDOMtree=templateDOMTtree;
	MyWindow = window.open(HTMLfile, "ZweitfensterDCP", "width=848,height=400,left=100,top=20");
	MyWindow.focus();
}//end function OpenWindowTemplate

var AddressMaploop1= new Array(255);
//this function is only used in offline configuration tool;
function DCPsaveTohta(){
	
	var HTAloopDOMTree=this.opener.xmldoc.getElementsByTagName(DCPlooptag)[0];
	var HTAalldevices= HTAloopDOMTree.getElementsByTagName("Device");
	for(var i=0;i<HTAalldevices.length;i++)
	   HTAloopDOMTree.removeChild(HTAalldevices[i]);
	   
	var LoopDOMtree=xmldoc.getElementsByTagName(DCPlooptag)[0];
	var alldevices = LoopDOMtree.getElementsByTagName("Device");   
	for(var i=0;i<alldevices.length;i++)
	{
		var node=CloneNodebetween2XMLs(this.opener.xmldoc,alldevices[i],true);
	    HTAloopDOMTree.appendChild(node);
	}
}

function DCPrestoreFromxml(){
	var LoopDOMtree=this.opener.xmldoc.getElementsByTagName(DCPlooptag)[0];
	xmldoc=mycreateXMLdoc();
	xmldoc.appendChild(CloneNodebetween2XMLs(xmldoc,LoopDOMtree,true));
    refreshDCPDisplay();
}
//--------------------------------------------------------------------
//this function initializes page for Loop1
//--------------------------------------------------------------------
function DCPinitLoop1() { 
	DCPlooptag = "LOOP1";
	for (var i=0;i<=254;i++) //
	    AddressMaploop1[i]=0;
	DCPloopdisplaywindow="loop1xml";
	createDCPtemplate(); // load template for devices
	DCPrestoreFromxml();
}//end function DCPinitLoop1

var AddressMaploop2= new Array(255);
//--------------------------------------------------------------------
//this function initializes page for Loop2
//--------------------------------------------------------------------
function DCPinitLoop2 () {
	DCPlooptag = "LOOP2";
    for (var i=0;i<=254;i++) //
	 AddressMaploop2[i]=0;
	createDCPtemplate();	
	DCPloopdisplaywindow="loop2xml";
	 // load template for devices
    DCPrestoreFromxml();
}//end function DCPinitLoop2

//var AddressTobeAdded= new Array(127);
//--------------------------------------------------------------------
// This function is to find the first quantiy empty adresses starting from startadd to add the devices
//
//--------------------------------------------------------------------
function buttonAddDevice (startadd,devicetype,quantity,Multiflag){
	var looptag=DCPlooptag; 
	if("LOOP1"==looptag)
		var AddressMaploop=AddressMaploop1;
	else
		var AddressMaploop=AddressMaploop2;
	if(!xmldoc) {
		xmldoc=mycreateXMLdoc();
		var newel=xmldoc.createElement("FPA1000");
		xmldoc.appendChild(newel);
	}
	//for IE
	if(!xmldoc.firstChild) {
		var newel=xmldoc.createElement("FPA1000");
		xmldoc.appendChild(newel);
	}
	//creat loop tag if not exists
	var loopxmldoc = xmldoc.getElementsByTagName(looptag);
	if (loopxmldoc.length==0){
		var newel=xmldoc.createElement(looptag);
		xmldoc.firstChild.appendChild(newel);
		loopxmldoc = xmldoc.getElementsByTagName(looptag);
			//create device 0 for loop itself (device type "2")
			//var newnode=DCPtemplatedoc.lastChild.childNodes[2].cloneNode(true);
			//Loopxmldoc[0].appendChild(newnode);
		}
	var alldevices= loopxmldoc[0].getElementsByTagName("Device");
	var alladdress=  loopxmldoc[0].getElementsByTagName("Address");
	var asb_num=0;
	var detector_num=0;
	var AddASBAtAdd=new Array(127);

	for(var i=0;i<127;i++)
	   AddASBAtAdd[i]=0;
	   
	if(devicetype!=16)
	{
 		if(startadd > 127){
			alert("Invalid parameter! Device type not allowed at this address. Use address range 1-127.");
			return ;
		}
		for(var i=startadd;i<128;i++)
		   if(!AddressMaploop[i])
		     detector_num++;
		if(!detector_num)
		{
			alert("The loop is full!");   
		    return;
		}
 		if (quantity > detector_num ) {
		  		var Add_confirm=confirm("Only " + detector_num+" devices can be added at the specified adress range!\nPress OK to add,press Cancel to quit!");	
				if(!Add_confirm)
		  			return;	
				quantity=detector_num;
 		}
	}
	else
	{
		if(startadd <128){
			alert("Invalid parameter! Device type not allowed at this address. Use address range 128-254.");
			return ;
		}
		for(var i=startadd;i<255;i++)
		{
		  	if(!AddressMaploop[i])
          	{
		    	var k=0;
				var m=alladdress.length-1;
				var j=0;
				while(k<=m)//bi-search
			    {
				  	j=parseInt(String((k+m)/2));
				  	if((eval(alladdress[j].firstChild.nodeValue)==i-127))
						break;
					else if((eval(alladdress[j].firstChild.nodeValue) < (i-127)))
						k=j+1;
					else 
						m=j-1;
				 }	 
		     	if( k <= m)//find a device at address i-127 
		        {
			      	if(alldevices[j].getElementsByTagName("DeviceType")[0].firstChild.nodeValue.match(/^[3567]/))//to judge the                    	                                                                                           type
				  	{
						AddASBAtAdd[asb_num++]=i; 
						if(asb_num >= quantity) //find the starting QUANTITY empty addresses 
						break;
					}
		   		}
			}
		}
		if(!asb_num)
		{
			alert("No more detector head to attach FAA-325-B6S!");
			return ;
		}
		if (quantity > asb_num ) {
		  	var Add_confirm=confirm("Only " + asb_num+" devices can be added at the specified adress range!\nPress OK to add,press Cancel to quit!");	
				if(!Add_confirm)
		  			return;
			quantity=asb_num;		
 		}
		
	}
	if(16==devicetype)
	{
		for(var l=0;l<quantity;l++)
		{
	 /*   	for(var i=startadd;i<=254;i++)
	    	{
		  		if(!AddressMaploop[i])
          		{
		    		var k=0;
					var m=alladdress.length-1;
					var j=0;
					while(k<=m)//bi-search
			    	{
				  		j=parseInt(String((k+m)/2));
				  		if((eval(alladdress[j].firstChild.nodeValue)==i-127))
							break;
						else if((eval(alladdress[j].firstChild.nodeValue) < (i-127)))
							k=j+1;
						else 
							m=j-1;
				 	}	 
		     		if( k <= m)//find a device at address i-127 
		        	{
			      		if(alldevices[j].getElementsByTagName("DeviceType")[0].firstChild.nodeValue.match(/^[3567]/))//to judge the device                     	                                                                                             type
				  		break;
					}
		   		}
			}
		 	if(i < 255)  
		    {
                 startadd=i;
				//if(0==confirm("Add an FAA-325-B6S at address "+ startadd+ "? It will be attached to detector head at address " + (startadd-127)+'.\n Press OK to confirm, Cancel to quit.'))
				// return;
			}
		 	else
		    {
				alert(" No more detector head to attach FAA-325-B6S!");
				return ;
			}*/
	    	addDeviceToXMLTree(devicetype, AddASBAtAdd[l],Multiflag);
		}//end for (var l=0;.....)
	refreshDCPDisplay();	
	}//end if (16==...
	else
	{
		for(var l=0;l<quantity;l++)
	   {
		   for(var i=startadd;i<=127;i++)
		   		if(!AddressMaploop[i])
				{
					break;
				}
		   if(i < 128)
		   {
			   startadd=i;
		   }
		   else
		   {	alert("The loop is full!");
				return;
		   }
		addDeviceToXMLTree(devicetype, startadd,Multiflag);   
	   }
	   refreshDCPDisplay();
	}
}//end function buttonAddDevice

function DisableDelaymode_Supervisory(){
	var x=document.getElementById("PointType").selectedIndex;
   if(0!=document.getElementById("PointType").options[x].value)
   {
	   	document.getElementById("PAS").disabled="true";
		document.getElementById("PS").disabled="true";
	    try{document.getElementById("AV").disabled="true";}
		catch(err){}
	    try{document.getElementById("NO_Delay").disabled="true";}
		catch(err){}		
   }
   else
   {
   	Array
	   document.getElementById("PAS").disabled="";
	   document.getElementById("PS").disabled="";
	   try{document.getElementById("AV").disabled="";}
	   catch(err){}
	   try{document.getElementById("NO_Delay").disabled="";}
	   catch(err){}
	   
   }
}
