var MapTable = ["0,0000","1,0001","2,0010","3,0011","4,0100","5,0101","6,0110","7,0111","8,1000","9,1001","A,1010","B,1011","C,1100","D,1101","E,1110","F,1111"];

function saveReportingData(formObj)
{
    var flag = 0;
    
	var flag1 = true;
	var flag2 = true;
	//check account number;
    if (false == document.getElementById("RE1Disable").checked)
	{
		flag1 = AccNoChk(document.getElementById("Primary_AccountNum"));	
	}
	if (false == document.getElementById("RE2Disable").checked)
	{
		flag2 = AccNoChk(document.getElementById("Secondary_AccountNum"));
	}
	if ((false == flag1) || (false == flag2))
	{
		return;
	}
	//check IP address
	if (false == CheckIPAcc())
	{
		return;
	}

    flag = encryptWrapper();

    if(flag == 1)
	{
        alert(warningHandler(59)); //warning 
    }
	else
	{    
		ConFileButtonEvent_Apply(formObj);
	}
}

//Receiver IP addresses of primary and secondary account cannot be the same!
function CheckIPAcc()
{
	if (document.getElementById("RE1IP").checked && document.getElementById("RE2IP").checked)
	{
		var IP1 = document.getElementById("Primary_IPAddr").value;
		var IP2 = document.getElementById("Secondary_IPAddr").value;
		if ((IP1 == IP2) && ("" != IP1))
		{
			alert(warningHandler(77));
			return false;
		}
		else
		{
			return true;
		}
	}
}

function encryptWrapper(){
    var keyString = "4C656F6E5A68616E67860CB167EF16FA";    
    
    //grouping values from separate to unit one
    var resultStr = "";
    var resultStr2 = "";
    
    for(var i=1; i<17; i++)
	{        
        var /*curStr1*/curHexStr1 = document.getElementById("EP_H"+i).value;
        var /*curStr2*/curHexStr2 = document.getElementById("EP2_H"+i).value;
        
        resultStr += curHexStr1;
        resultStr2 += curHexStr2;
    }

    var priLen = resultStr.length;
    var priStr = resultStr.match(/[0-9 A-F]*/); //can be null
    var flag = ((priStr==resultStr)?0:1);
    
    //alert("resultStr="+resultStr+", priStr="+priStr+", flag="+flag);
    if(0 == flag)
    {
        var primary_KeyStr = encryption(resultStr, keyString);
        document.getElementById("Primary_KeyString").value = primary_KeyStr; 
    }
    else
    {
//		flag == 1
        setAsDefaultKey("11",1);
		return flag;
    }
    
    var secLen = resultStr2.length;
    var secStr = resultStr2.match(/[0-9 A-F]*/);
	//alert(secStr);
	var flag = ((secStr == resultStr2)?0:1);
        
  	
    if(0 == flag)
	{
        var secondary_KeyStr = encryption(secStr, keyString);
        document.getElementById("Secondary_KeyString").value = secondary_KeyStr;
    }
    else
    {
//		flag == 1;
        setAsDefaultKey("11",2);
		return flag;
    }    

    return flag;
}

function initKeys()
{
    processInitKey(1);
    processInitKey(2);
}

function processInitKey(id)
{
    var primaryStr = null;
    var secondaryStr = null;
    
    if(1 == id)
    {
        primaryStr = document.getElementById("Primary_KeyString").value;        
		if((primaryStr == null)||(primaryStr == ""))
		{
            return;
        }
		else
		{
            //init primary key string inputs
            for(var i=1; i<17; i++)
			{
                var startIndex = (i-1)*2;
                document.getElementById("EP_H"+i).value = primaryStr.substr(startIndex, 2);
                //alert(document.getElementById("EP_H"+i).value);
            }
        }
    }
    else if(2 == id)
    {
        //secondary account
        secondaryStr = document.getElementById("Secondary_KeyString").value;
        if((secondaryStr == null)||(secondaryStr == ""))
		{
            return;
        }
		else
		{
            //init secondary key string inputs
            for(var i=1; i<17; i++)
			{
                var startIndex = (i-1)*2;
                document.getElementById("EP2_H"+i).value = secondaryStr.substr(startIndex, 2);
                //alert(document.getElementById("EP2_H"+i).value);
            }
        }
    }
}


function checkKeyEnableState()
{
	//control the primary disable and enable status
	var obj1 = document.getElementById("Primary_Encryption");
	var obj2 = document.getElementById("Secondary_Encryption");
	disableKeyStr1(obj1);
	disableKeyStr2(obj2);
}

//disabled key string two and processing default appending operations
function disableKeyStr1(chk)
{
    var flag = chk;
    
    if (flag.checked == false)
	{
        for (i = 1; i < 17; i++)
		{
            var disabledID = "EP_H" + i;
            document.getElementById(disabledID).disabled = "true";
        }
    }
	else
	{
		for (i = 1; i < 17; i++)
		{
            var disabledID = "EP_H" + i;
            document.getElementById(disabledID).removeAttribute("disabled");
        }
    }
}


//disabled key string two and processing default appending operations 
function disableKeyStr2(chk)
{ 
    var flag2 = chk;
    
    if (flag2.checked == false)
	{
        for (i = 1; i < 17; i++)
		{
            var disabledID = "EP2_H" + i;
            document.getElementById(disabledID).disabled = "true";
        }        
    }
	else
	{
        for (i = 1; i < 17; i++)
		{
            var disabledID = "EP2_H" + i;
            document.getElementById(disabledID).removeAttribute("disabled");
        }
    }
}

function encryptInit()
{
	processEncryptInit(1);
	processEncryptInit(2);
}

function processEncryptInit(id)
{
    var keyString = "4C656F6E5A68616E67860CB167EF16FA";    
        
    var resultStr = null;
    var resultStr2 = null;
    
    if(1 == id)
    {
        resultStr = document.getElementById("Primary_KeyString").value;
        document.getElementById("Primary_KeyString").value = encryption(resultStr, keyString);
    }
    else if(2 == id)
    {
        resultStr2 = document.getElementById("Secondary_KeyString").value;
        document.getElementById("Secondary_KeyString").value = encryption(resultStr2, keyString);
    }
}

function setAsDefaultKey(defValue, keySetsID)
{
	if (1 == keySetsID)
	{
		for (i = 1; i<17; i++)
		{
        	var disabledID = "EP_H"+i;
        	document.getElementById(disabledID).value=defValue;
    	}
	}
	else if (keySetsID == 2)
	{
		for(i = 1; i<17; i++)
		{
        	var disabledID = "EP2_H"+i;
        	document.getElementById(disabledID).value=defValue;
    	}
	}
}

function encryption(srcStr, keyStr)
{

	var source = srcStr;//document.getElementById(srcStr).value;
    var key = keyStr;
    var resultStr = "";            
    var eachCount = 2; //define the constant for counting each loop
    
	try
	{
        for (var i = 0; i < 32; i++)
		{
            var eachSrc = srcStr.toString().substr(i, 1);
            var eachKey = key.substr(i, 1);
            var intSrc = 0;
            var intKey = 0;
            
            for (var j=0; j<MapTable.length; j++)
			{
                var num16 = MapTable[j].split(",")[0];
                var num2 = MapTable[j].split(",")[1];
            
                if (num16 == eachSrc)
				{
                    intSrc = parseInt(num2,2);
				}
            
            }
            //alert("current retrieved intSrc="+intSrc.toString(2));
            for (var j = 0; j < MapTable.length; j++)
			{
                var num16 = MapTable[j].split(",")[0];
                var num2 = MapTable[j].split(",")[1];
            
                if(num16 == eachKey)
				{
                    intKey = parseInt(num2,2);
				}
            }
            //alert("current retrieved intKey="+intKey.toString(2));
            var result = intSrc ^ intKey;
            var appendResult = result.toString(2);

			while(appendResult.length < 4)
			{
                appendResult = "0" + appendResult;
            }
            //alert("result="+appendResult);
            for (var k = 0; k < MapTable.length; k++)
			{
                var resultStr16 = MapTable[k].split(",")[0];
                var resultStr2 = MapTable[k].split(",")[1];

                if (resultStr2 == appendResult)
				{
                    //alert("encoding find: "+resultStr);
                    resultStr+=resultStr16.toString(16);
                    break;
                }
            }
        }
   }
   catch(err)
   {
		alert("exception occurs");
		//alert("debuglen="+debuglen);
   }
    //document.getElementById('encoded_src').value = resultStr;
    return resultStr;
}

//defined the prefix for adapting to different data format.
var prefix = "EP_H";
//Control the action responses to user typing event.
function getNext(obj, str)
{
    //alert("getNext!");
    var curStr = str.split('_');
    var curPrefix = prefix.split('_');
    var nextStr = 0;
    var tarStr = 0;
    var curObj = obj.value;
	var inputChar = null;
    if (curObj.length < 2)
	{
        obj.focus();
        return;
    }
	else
	{
		var inputChar1 = curObj.charAt(0);
		inputChar = inputChar1.match(/[0-9 A-F]*/);
		if (inputChar != inputChar1)
		{
			//obj.value = "0" + curObj.charAt(0);
			obj.value = preInputValue;
		}
		
		var inputChar2 = curObj.charAt(1);
		inputChar = inputChar2.match(/[0-9 A-F]*/);
		if (inputChar != inputChar2)
		{
			//obj.value = "0" + curObj.charAt(0);
			obj.value = preInputValue;
		}
		if (curObj != obj.value)
		{
			alert(warningHandler(59));
			obj.focus();
			return;
		}
        if (curStr[0] == "1")
		{
            //the key string set 1
            nextStr = 1+parseInt(curStr[1]);
            tarStr = curPrefix[0]+"_"+curPrefix[1]+nextStr;
        }
		else if(curStr[0] == "2")
		{
            //the key string set 2
            nextStr = 1+parseInt(curStr[1]);
            tarStr = curPrefix[0]+"2"+"_"+curPrefix[1]+nextStr;
        }
		else
		{
            obj.focus();
            return;
        }
        var tarObj = document.getElementById(tarStr);
        tarObj.select();
        tarObj.focus();
    }
}

function onBlurReset(obj)
{
    var len = obj.value.length;
	var curStr = null;
	var flag = false;
    if (1 == len)
	{
		curStr = obj.value.match(/[0-9 A-F]*/);
		if(curStr != obj.value)
		{
			obj.value = preInputValue;//"0";
			flag = true;
		}
		else
		{
			obj.value = "0" + obj.value;
		}
    }
	else if(0 == len)
	{
		obj.value = preInputValue;//obj.value = "00";
		flag = true;
    }
	else
	{
		//nothing
	}
	if(true == flag)
	{
		obj.select();
        obj.focus();
		alert(warningHandler(59));
	}		
}

//if id=0: normal defined variables
//if id=1: array style defined variables
/*function reminderUser(id, params){
    //var transtr_tmp="please reset your login password, or you can not login in the next time!";
    var transtr_tmp = warningHandler(38);
    var transtr_arr = transtr_arrStr;
    //var transtr_arr=["english version","portuguese version","spanish version"];
    
    switch(parseInt(id)){
        
        case 0:
            alert(transtr_tmp);
            break;
        case 1:
            alert(transtr_arr[parseInt(params)]);
            break;
        default:
            //nothing processed
            break;
    }
}
*/

//Check whether email address is valid;
function CheckEmailSetting(field)
{
	if (FormfieldTextCheck(field,""))
	{
		var validEmail = validate_email(field);
		if (1 == validEmail)
		{
			alert(warningHandler(60));
			//filed.style.background-color = "red";
			field.value = "";
			return;
		}
	}
}

function validate_email(field)
{
	with (field)
	{   
	    if (value != "")
		{
			apos = value.indexOf("@");
			dotpos = value.lastIndexOf(".");
			
			if ((1 > apos) || (2 > dotpos - apos)) 
  			{
				return 1;//invalid email address
			}
			else
			{
		   	    return 0;//valid email address
			}
		}
		else
		{
		    return 2;//input is null
		}
	}
}

var RFidSuffix = "_RepFormat";
var ANidSuffix = "_AccountNum";
function AccNoChk(field)
{
	var prefix = field.id.split('_');
	var RFValue = document.getElementById(prefix[0] + RFidSuffix).value;
	if ("" != field.value)
	{
		var validFlag = RFLimitChk(field, RFValue);
		return validFlag;
	}
	//if leave empty, return true;
	return true;
}

function RepFormatChk(field)
{
	var prefix = field.id.split('_');
	var AccNoObj = document.getElementById(prefix[0] + ANidSuffix);
	var validFlag = RFLimitChk(AccNoObj, field.value);
	return validFlag;
}

function RFLimitChk(Accfield, RepFormat)
{
	var valid = false;
	var TempStr = null;
	var AccNo = Accfield.value;
	var regexp = /[0-9 A-F]*/;
	switch(parseInt(RepFormat))
	{
		case 1: //SIA-DCS 300 no text
		case 4: //SIA-DCS 300 with text
			if ((6 >= AccNo.length) && (0 < AccNo.length))
			{
				valid = CheckString(AccNo, regexp);
			}
			if (false == valid)
			{
				alert(warningHandler(73) + "\n" + warningHandler(75));
			}
			break;
		case 2: //Contact ID 
			if (4 == AccNo.length)
			{
				regexp = /[0-9 B-F]*/;
				valid = CheckString(AccNo, regexp);
			}
			if (false == valid)
			{
				alert(warningHandler(73) + "\n" + warningHandler(74));
			}
			break;
		case 3: //Modem IIIa2 no text
		case 5:	//Modem IIIa2 with text
			if ((4 == AccNo.length) || (6 == AccNo.length) || (8 == AccNo.length) || (10 == AccNo.length))
			{
				valid = CheckString(AccNo, regexp);	
			}
			if (false == valid)
			{
				alert(warningHandler(73) + "\n" + warningHandler(76));
			}
			break;
		default:
			break;	
	}
	
	if (false == valid)
	{	
		Accfield.value = "";
		//Accfield.select();
	}
	return valid;
}

function CheckString(str, regexp)
{
	TempStr = str.match(regexp);
	if(str == TempStr)
	{
		return true;
	}
	else
	{
		return false;
	}
}