//---------------------------------------------------------------------
//Scripts to implement the SW zone configuration of FPA-1000-UL
//---------------------------------------------------------------------
//var swZoneDisplayDone = false;
var GetGZfailed = false;
var startNo = 0;
var EndNo = 0;
var SWZxmlTags = new Array("N","L","P","B","C","F");//
//var SWZheader = new Array("ZoneNum","Label","Pattern","Bypassed","Counting","Floor");//head titles
//var	SWZxmlTagDefaults = new Array(" "," ","0","FALSE","1","0");//default value for each software zone
var	SWZxmlTagDefaults = new Array(" "," ","0","0","1","0");//default value for each software zone
var LocPID = 0;
var allzones = null;
//--------------------------------------------------------------------
//this function restores SW zones from server and refreshes zone display
//uses global: 
//--------------------------------------------------------------------
/*function SWZrestoreFromxml () 
{ 
	xmlHttp1 = GetXmlHttpObject();
	if (null == xmlHttp1)
	{  //not reliable for IE!!
		alert(warningHandler(10));
		//alert ("Web browser is not compatible, please update to recommended web browser version.");
		return;
	}

	if (false == GetGZfailed)
	{
		var url = "/sysinfo/FPA1000.xml.dec.gz";	
	}
	else
	{
		var url="/sysinfo/FPA1000.xml";
	}
    
	document.getElementById("ajax_response").innerHTML = warningHandler(37);//"Waiting...";
	url = url+"?sid="+Math.random(); //start parameters with ? further are separated with &
	xmlHttp1.onreadystatechange = stateChangedConfDataReadSWZ; //define call-back function
	xmlHttp1.open("GET",url,true);
	xmlHttp1.setRequestHeader('Content-Type',  "text/xml"); //for xml (php need to set on server side!!)
	//xmlHttp1.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded')
	xmlHttp1.send(null); //for GET
}//end of the request.
*/
//---------------------------------------------------------------------
//this is the call-back function
/*function stateChangedConfDataReadSWZ()
{
	if ((4 == xmlHttp1.readyState) || ("complete" == xmlHttp1.readyState))
	{ 
    	//get xml data from server:
		xmldoc = xmlHttp1.responseXML;

	    if (!xmldoc || !xmldoc.firstChild)
		{
            //alert("No response from panel. Please check if login is correct.");
			if (false == GetGZfailed)
			{
				//document.getElementById("ajax_response").innerHTML=warningHandler(13); 
				GetGZfailed = true;
				SWZrestoreFromxml();
				return;
			}
			else
			{
				GetGZfailed = false;
				alert(warningHandler(13));
				document.getElementById("ajax_response").innerHTML = warningHandler(13);
				return;
			}
		}
	    document.getElementById("ajax_response").innerHTML = warningHandler(12);    
		LocPID = GetLocPID(); 
		ChangeDisplay("ZONES");
	    SWZdisplaySWZones(); //refesh
	} //if xmlhttp complete
	else 
	{
		document.getElementById("ajax_response").innerHTML = warningHandler(37);
	}
} //end of callback function*/

function GetLocPID()
{
	return xmldoc.getElementsByTagName("GENERAL")[0].getElementsByTagName("PanelID")[0].firstChild.nodeValue;
}

function GetZoneXML(zonexmldoc)
{
	if (-1 != window.location.toString().search("SoftwareZonesB"))
	{   //Local zones
		var PanelWideZones = zonexmldoc.getElementsByTagName("PanelWideZones")[0];
		var GroupPanels = PanelWideZones.getElementsByTagName("GroupPanel");
		var GroupPIDs= PanelWideZones.getElementsByTagName("PID");
		LocPID = GetLocPID();
		for (var i = 0; i < GroupPIDs.length; i++)
		{
//			alert("GroupPIDs[i].firstChild.nodeValue="+GroupPIDs[i].firstChild.nodeValue);
//			alert("LocPID="+LocPID);
			if (LocPID == GroupPIDs[i].firstChild.nodeValue)
			{
				allzones = GroupPanels[i].getElementsByTagName("Z");
				break;
			}
		}
		
		if (null == allzones)
		{
			//creat default zones 
			//CreDefaultZones(locPID, PanelWideZones);
		}
	}
	else
	{   //Group zones
		var GroupZs = zonexmldoc.getElementsByTagName("GroupWideZones")[0];
		allzones = GroupZs.getElementsByTagName("Z");
	}
	startNo = 0;
	EndNo = allzones.length;
	
}

//--------------------------------------------------------------------
//this function displays all SW Zones in a table
//uses global: xmldoc
//
//--------------------------------------------------------------------

function SWZsaveToHTA()
{
	var HTAMyDOMTree=this.window.dialogArguments.xmldoc.getElementsByTagName("ZONES")[0];
	allzones = HTAMyDOMTree.getElementsByTagName("Zone");
	//alert("startNo="+startNo+"Count="+Count);
	for(var i=startNo;i<Count;i++)
	   HTAMyDOMTree.removeChild(allzones[i]);
	tabelValueToXML();
	var MyDOMtree=xmldoc.getElementsByTagName("ZONES")[0];
	var Localallzones=MyDOMtree.getElementsByTagName("Zone");
	for(var i=startNo; i<Count;i++)
	{
		var node=CloneNodebetween2XMLs(this.window.dialogArguments.xmldoc,Localallzones[i],true);
		HTAMyDOMTree.appendChild(node);
	}
}
var allzones;
//--------------------------------------------------------------------
//this function displays all SW Zones in a table
//uses global: xmldoc
//
//--------------------------------------------------------------------
function SWZdisplaySWZones()
{
	//create document root if it does not exist
	if (!xmldoc) 
	{
		xmldoc = mycreateXMLdoc();
		var newel = xmldoc.createElement("FPA1000");
		xmldoc.appendChild(newel);
	}
	//for IE
	if (!xmldoc.firstChild) 
	{
		var newel = xmldoc.createElement("FPA1000");
		xmldoc.appendChild(newel);
	}
	//creat zone tag if not exists
	var zonexmldoc = xmldoc.getElementsByTagName("ZONES");
	if (0 == zonexmldoc.length)
	{
		var newel = xmldoc.createElement("ZONES");
		xmldoc.firstChild.appendChild(newel);
		zonexmldoc = xmldoc.getElementsByTagName("ZONES");
	}

	var targetwindow = "SWZones_";
	var SWZPattern = transtr_nacPtns;
	var mycolor = new Array("#dddddd","#ffffff");
	var SWZTagsNames = transtr_swtags;
	var str = "";
	var invalidID = 0;
	//allzones = zonexmldoc[0].getElementsByTagName("Zone");
	GetZoneXML(zonexmldoc[0]);
	
	str = "<TABLE border='1'><TR>";
	for (var k = 0; k < transtr_swtags.length; k++)
	{
		str += "<TH>"+transtr_swtags[k]+"</TH>";
	}
	str += "</TR>";
	for (var i = startNo; i < EndNo; i++) 
	{
		if (allzones[i].getElementsByTagName('N')[0].firstChild)
			var znum=allzones[i].getElementsByTagName('N')[0].firstChild.nodeValue;
		else var znum="";
		var strznum = '<input name="N" value="'+ znum +'" id="N_'+ i +'" readonly="readonly" type="text" class="StdFormField_nm"   style="width:40px"/>';
		
		if (allzones[i].getElementsByTagName('L')[0].firstChild)
			var lab=allzones[i].getElementsByTagName('L')[0].firstChild.nodeValue;
		else var lab="";
		var strlab = '<input name="L" type="text" maxlength="20" class="Banner1st_nm" value="'+lab+'"id="L_'+i+'" onfocus="formFieldValueRead(this)" onchange="ProgramChangeFlag=1;" onblur="FormfieldTextCheck(this,&quot;BOSCH&quot;)" />';
		
		if (allzones[i].getElementsByTagName('P')[0].firstChild)
			var pat=allzones[i].getElementsByTagName('P')[0].firstChild.nodeValue;
		else var patname="";
		var strpat = '<select name="P" onchange="ProgramChangeFlag=1;" size="1" id="P_'+ i +'" class="StdFormField_nm"><option value="0" selected="selected">'+transtr_nacPtns[0]+'</option><option value="1">'+transtr_nacPtns[1]+'</option><option value="2">'+transtr_nacPtns[2]+'</option><option value="3">'+transtr_nacPtns[3]+'</option></select>';
		
		if (allzones[i].getElementsByTagName('B')[0].firstChild)
			var bp=allzones[i].getElementsByTagName('B')[0].firstChild.nodeValue;
		else var bp="";
		var strbp = '<input  id="B_'+i+'" type="checkbox" name="B" onchange="ProgramChangeFlag=1;"/>';
		
		if (allzones[i].getElementsByTagName('C')[0].firstChild)
			var count=allzones[i].getElementsByTagName('C')[0].firstChild.nodeValue;
		else var count="";
		
		var strcount = '<select name="C" size="1" class="StdFormField_nm" id="C_'+i+'" onchange="javascript:checkSWZones('+i+');checkFloor(this, '+i+');ProgramChangeFlag=1;"><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option></select>';
		
		//ADD FLOOR IN REL1.1/1.2
		if (allzones[i].getElementsByTagName('F')[0].firstChild)
			var fl=allzones[i].getElementsByTagName('F')[0].firstChild.nodeValue;
		else var fl="";
		var strfl = '<select  id="F_'+i+'" name="F" style="vertical-align:baseline; margin-bottom:0px; width:50px;" onchange="checkCounting(this, '+i+');ProgramChangeFlag=1;"><option value="0">0</option><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option><option value="60">60</option><option value="61">61</option><option value="62">62</option><option value="63">63</option><option value="64">64</option></select>';
		
		if (0 == parseInt(znum))
		{
			//no need to write the 0 zone into the list.
			invalidID = i;
			continue;
		}
		else 
		{
			//alert("i="+i);
			//var conf='<input type="button" value="'+transtr_config+'" onclick="javascript:ProgramChangeFlag=1; SWZButtonConfigure('+i+')"/>';
			var rem = "";
			rem = '<input type="button" value="'+transtr_setdef+'" onclick="javascript:ProgramChangeFlag=1; resetSWZone('+i+' )"/>';
			mycc = mycolor[i%2];
			str += "<TR bgcolor="+mycc+"><TD>"+strznum+"</TD><TD>"+strlab+"</TD><TD>"+strpat+"</TD><TD align='center'>"+strbp+"</TD><TD>"+strcount+"</TD><TD style=''>"+strfl+"</TD><TD>"+rem+"</TD></TR>";
			//alert(str);
		}
	} //end for
	str += "</TABLE>";
	try 
	{	
		document.getElementById(targetwindow).innerHTML = str;
	}
	catch(err) 
	{
		window.dialogArguments.document.getElementById(targetwindow).innerHTML = str;    
	}
	
	initSWZ(allzones);	
	return;
}//end function SWZdisplaySWZones

/*function SWZButtonSetDefaults (zoneno){

	for (var i=1; i<SWZxmlTags.length; i++) {
		var firstCh = allzones[zoneno].getElementsByTagName(SWZxmlTags[i])[0].firstChild;
		if (firstCh)
			firstCh.nodeValue=SWZxmlTagDefaults[i];
	}
	SWZdisplaySWZones();
	return;
}
*/
function initSWZ(allzones)
{
    if(null != allzones)
	{
		for (var i = startNo; i < EndNo; i++) 
		{
			for (var j = 2; j < SWZxmlTags.length; j++) 
			{
				var obj = document.getElementById(SWZxmlTags[j]+"_"+i);
				xmlToinput(obj,allzones[i].getElementsByTagName(SWZxmlTags[j])[0]);
			}
			SWEditInit(i);
		}
	}
}	

function ValidSelist(obj, value)
{
	obj.value = value;
}

function ValidCheckBox(obj, value)
{
	if ("1" == value)
	{
		obj.checked = "checked";
	}
	else
	{
		obj.checked = "";
	}
}

function xmlToinput(obj,xmlNode)
{
	var value = null;
	if (xmlNode.firstChild.nodeValue)
	{
		value = xmlNode.firstChild.nodeValue;
	}
	else 
	{
		value = "";
	}
	
	if ("checkbox" == obj.type)
	{
		
		ValidCheckBox(obj, value);
	}
	else
	{
		ValidSelist(obj, value);
	}
}
//--------------------------------------------------------------------
//this function all config data in one SW zone to default values
//uses global: xmldoc
//--------------------------------------------------------------------
function resetSWZone(zoneno)
{	
	for (var i = 1; i < SWZxmlTags.length; i ++) 
	{
		var obj = document.getElementById(SWZxmlTags[i]+"_"+zoneno);
        if ("checkbox" == obj.type)
		{
			ValidCheckBox(obj,SWZxmlTagDefaults[i]);
		}
		else 
		{
			ValidSelist(obj, SWZxmlTagDefaults[i]);
		}
	}//end for all tags
	checkFloor(document.getElementById("C_"+zoneno), zoneno);
	checkCounting(document.getElementById("F_"+zoneno), zoneno);
}

//--------------------------------------------------------------------
//this function all config data in one SW zone to default values
//uses global: xmldoc
//--------------------------------------------------------------------
function SWZResetAll()
{
	ProgramChangeFlag = 1;
	for (var i = startNo; i < EndNo; i++) 
	{
		document.getElementById("L_"+i).value = "";
		checkFloor(document.getElementById("C_"+i), i);
		checkCounting(document.getElementById("F_"+i), i);
	}
}

function SWZsaveToxml()
{
    tabelValueToXML();
	ProgramChangeFlag = 0;
}//end function SWZsaveToxml

function tabelValueToXML()
{
	var zonexmldoc = xmldoc.getElementsByTagName("ZONES");
	if (0 == zonexmldoc.length)
	{
        var newel = xmldoc.createElement("ZONES");
    	xmldoc.firstChild.appendChild(newel);
    	zonexmldoc = xmldoc.getElementsByTagName("ZONES");
	}
	
	//var GroupPanels = zonexmldoc[0].
	
	//var allzones = zonexmldoc[0].getElementsByTagName("Zone");
	GetZoneXML(zonexmldoc[0]);
	for (var i = startNo; i < EndNo; i++)
	{
		for (var j = 1; j < SWZxmlTags.length; j++)
		{	
		    var obj = document.getElementById(SWZxmlTags[j]+"_"+i);
			inputToxml(obj,allzones[i].getElementsByTagName(SWZxmlTags[j])[0]);
		}//end of for (var j = 0; i < SWZxmlTags.length; j ++)
	}//end of for (var i = 0; i < allzones.length; i++)

}
function inputToxml(obj,xmlNode)
{
	//for checkbox
	var conf_value = null;
	if ("checkbox" == obj.type)
	{
		if (obj.checked)
		{
			//conf_value = "TRUE";
			conf_value = "1";
		}
		else
		{
			//conf_value = "FALSE";
			conf_value = "0";
		}
	}
	else 
	{
		conf_value = obj.value;
	}
	
	if (xmlNode.firstChild)
	{
		xmlNode.firstChild.nodeValue = conf_value;
	}
	else 
	{
		var newtxt = xmldoc.createTextNode(conf_value);
		xmlNode.appendChild(newtxt);
	}
}

function SWEditInit(num)
{
    var countObj = document.getElementById("C_" + num);
    var floorObj = document.getElementById("F_" + num);
	//window.g_invalidPageFlag = true;
	//init attributes
    checkFloor(countObj, num);
	checkCounting(floorObj, num);
}

//assistant function for checking the floor enabled
function checkFloor(obj, num)
{
    var count = null;
    var tarFloorObj = null;
	var floorID = "F_" + num;
    try
	{
        count = obj.options[obj.selectedIndex].value;
        tarFloorObj = document.getElementById(floorID.toString());
        if (parseInt(count) > 1)
		{
			tarFloorObj.value = 0;
            //tarFloorObj.options[0].selected = "selected";
            tarFloorObj.disabled = "disabled";
        }
		else
		{
            //tarFloorObj.options[0].removeAttribute("selected");
            tarFloorObj.removeAttribute("disabled");
        }
    }
	catch(err)
	{
        //Nothing to remind   
		//alert("catch err in checkFloor");
    }
}



function checkCounting(obj, num)
{
	var countID = "C_" + num;
    processCounting(obj, countID, false);
}

function processCounting(obj, countID, flag)
{
    var floorID = null;
    var tarCountObj = null;
    var count = 1;
    
    try
	{
        floorID = obj.options[obj.selectedIndex].value;
        tarCountObj = document.getElementById(countID);
		count = tarCountObj.options[tarCountObj.selectedIndex].value;
		if ((0 == parseInt(floorID)) && (1 != tarCountObj.value))
		{
			return;
		}
		else
		{
			//clean all first
			while (tarCountObj.hasChildNodes())
			{
				tarCountObj.removeChild(tarCountObj.lastChild);	
			}
			
			if (parseInt(floorID) != 0)
			{
				var opObj = document.createElement("option");
				opObj.value = 1;
				opObj.innerHTML = 1;
				tarCountObj.appendChild(opObj);
			}
			else
			{
				for (var i = 0; i < 5; i++)
				{
					var opObj = document.createElement("option");
					opObj.value = (i + 1).toString();
					opObj.innerHTML = (i + 1).toString();
					tarCountObj.appendChild(opObj);
				}
			}
		}
        
    }
	catch(err)
	{
		//alert("catch err in processCounting");
    }
}	