//Test Variants
//var srcPath = null; //"FPA1000Src.xml";
//var tarPath = null; //"FPA1000Tar.xml";
var xslPath = null; //"FPA1000Comp_0.xsl";
var globalelementroot = null;
var srcPath = null;
var tarPath = null;
function loadPathConfigure()
{
	//load current variant based on the different trigger button
	if(window.location.toString().search("id=1") != -1)
	{
		//compare selected two
		assignConfigPath();
	}
	else if(window.location.toString().search("id=2") != -1)
	{
		//cpmpare default with current
		srcPath = "../config/FPA1000Default.xml";
		tarPath = "../config/FPA1000.xml";
	}
	if(("" == srcPath) || ("" == tarPath))
	{   
		alert(warningHandler(51));
		window.close();
		return;
	}
	var lang = getLang();
	xslPath = "../xsl/FPA1000Comp_"+lang+".xsl";	
}


function getLang(){

    var resultNode;
    var xmlDoc; 
    var curLang = 0;
	if(window.location.toString().search("/en/") != -1){
	    curLang = 0;
	}else if(window.location.toString().search("/pt/") != -1){
	    curLang = 1;
	}else if(window.location.toString().search("/es/") != -1){
	    curLang = 2;
	}else{
    if(document.implementation && document.implementation.createDocument) { 
     try 
     { 
         xmlDoc = document.implementation.createDocument("", "", null); 
         xmlDoc.async = false; 
         xmlDoc.load("../config/FPA1000.xml"); 
        
            curLang = xmlDoc.getElementsByTagName("FPA1000")[0].getElementsByTagName("GENERAL")[0].getElementsByTagName("Language")[0].firstChild.nodeValue;
            
            if((parseInt(curLang) >= 0)&&(parseInt(curLang) <= 2)){
                return curLang;
            }else{
                return 0;
            }
     } 
     catch(e) 
     { 
            return 0;
     } 
    }else if(typeof window.ActiveXObject != 'undefined'){ 
            try{
                xmlDoc = new ActiveXObject('Microsoft.XMLDOM'); 
                xmlDoc.async = false; 
				xmlDoc.load("../config/FPA1000.xml"); 
        
                curLang = xmlDoc.getElementsByTagName("FPA1000")[0].getElementById("Lanuage")[0].firstChild.nodeValue;
                if(parseInt(curLang) >= 0&&parseInt(curLang) <= 2){
                    return curLang;
                }else{
                    return 0;
                }

            }catch(err){
                return 0;
            }    
    }
	}
   return curLang;
}


//function transformStyle(xslDOM, xmlDOM){
function transformStyle(xslDOM, xmlDOM){
    if((null != xmlDOM)&&(null != xslDOM)){
        if(document.implementation && document.implementation.createDocument){ 
             //Mozilla
             try{ 
            	var xsltProcessor = new XSLTProcessor(); 
            	xsltProcessor.importStylesheet(xslDOM); 
            	var oResultFragment = xsltProcessor.transformToFragment(xmlDOM,document);
                return oResultFragment;
             }catch(e){
                return null;
            }
        }else if(typeof window.ActiveXObject != 'undefined'){
            //IE
            var outputTxt = xmlDOM.transformNode(xslDOM);
			return outputTxt;
        }else{
            //alert("Your browser does not support such ActiveX object!");
			alert(warningHandler(10));
            return null;
        }
        
    }else if(null != xmlDOM){
        return xmlDOM;
    }else{
        return null;
    }
    
}

function loadXMLFromString(str){
	
	//filter out the first declaration sentense of xml file.
	try
	{
		var subStr = str.indexOf("<FPA1000>");
		str = str.substring(subStr, str.length);
	}
	catch(eDeclare)
	{
		alert(warningHandler(52));
		return;
	}
	
	try
	{
	  var domParser = new DOMParser();
	  var _xmlDoc = domParser.parseFromString(str, 'text/xml');
	}
	catch(e)
	{
		//Only for Firefox, adjust browser outside.	
	}
	
	return _xmlDoc;
}

var srcRoot = null;
//Public API
function startCompare(id_div)
{
	loadPathConfigure();
	
	var tarRoot = null;
	var xslRoot = null;
	try
	{
		if ((navigator.appName.search("Netscape") == -1) || (window.location.toString().search("id=2") != -1 && navigator.appName.search("Netscape") != -1))
		{
			tarRoot = myloadXMLDoc(tarPath); //loadDOMElem(tarPath);
			srcRoot = myloadXMLDoc(srcPath); //loadDOMElem(srcPath);
		}
		else
		{
			tarRoot = loadXMLFromString(tarPath);
			srcRoot = loadXMLFromString(srcPath);
		}
		xslRoot = myloadXMLDoc(xslPath); //loadDOMElem(xslPath);

		var resRoot = genResultElem(srcRoot, tarRoot);

		if(null != resRoot)
		{

			var result = transformStyle(xslRoot, resRoot);

			if(-1 != navigator.appName.search("Internet Explorer"))
			{
				document.getElementById("ID_CONF").innerHTML = result;
			}
			else
			{
				document.getElementById(id_div).appendChild(result);
			}
		}
	
	}
	catch(e)
	{
		//let go	
	}
}

function genResultElem(srcElem, tarElem)
{
	var result = null;
	
	if ((null == srcElem) || (null == tarElem))
	{
		alert(warningHandler(52));
		return null;
	}
	
	result = srcElem.cloneNode(true);
	globalelementroot = result;	
	dispatchCompare(srcElem, tarElem, "HEADER");
	dispatchCompare(srcElem, tarElem, "GENERAL");
	dispatchCompare(srcElem, tarElem, "LOOP1");
	dispatchCompare(srcElem, tarElem, "LOOP2");
	dispatchCompare(srcElem, tarElem, "MAINBOARD");
	dispatchCompare(srcElem, tarElem, "OPTIONBUS");
	dispatchCompare(srcElem, tarElem, "REPORT");
	dispatchCompare(srcElem, tarElem, "ZONES");
	dispatchCompare(srcElem, tarElem, "NETWORK");
	return srcElem;
}

function dispatchCompare(srcElem, tarElem, nname)
{
	var transSrcElem = null;
	var transTarElem = null;
	
	try
	{
		transSrcElem = srcElem.getElementsByTagName(nname)[0];
		transTarElem = tarElem.getElementsByTagName(nname)[0];
	}
	catch(e)
	{
		//let go	
	}
	//alert(transSrcElem.nodeName);
	switch(nname)
	{
		case "HEADER":
		case "GENERAL":
		case "MAINBOARD":
		case "OPTIONBUS":
		case "REPORT":
			common_compare(transSrcElem, transTarElem);
			break;
		case "ZONES":
			compare_zone(transSrcElem, transTarElem);
			break;
		case "LOOP1":
			compare_loop(transSrcElem, transTarElem, 1);
			break;
		case "LOOP2":
			compare_loop(transSrcElem, transTarElem, 2);
			break;
		case "NETWORK":
		    compare_network(transSrcElem,transTarElem);
			//alert("compare_network finish");
			break;
		default:
			break;
	}	
}

function compare_zone(srcElem, tarElem)
{
	compare_basic(srcElem, tarElem, "PanelWideZones");
	
	var srcPWZ_DOM = srcElem.getElementsByTagName("PanelWideZones")[0];
	var tarPWZ_DOM = tarElem.getElementsByTagName("PanelWideZones")[0];
	var srcPanels = srcPWZ_DOM.getElementsByTagName("GroupPanel");
	var tarPanels = tarPWZ_DOM.getElementsByTagName("GroupPanel");
	var srcPIDs = srcPWZ_DOM.getElementsByTagName("PID");
	var tarPIDs = tarPWZ_DOM.getElementsByTagName("PID");
	for (var i = 0; i < srcPIDs.length; i++)
	{
		for (var j = 0; j < tarPIDs.length; j++)
		{
			if (srcPIDs[i].firstChild.nodeValue == tarPIDs[j].firstChild.nodeValue)
			{
				//maybe panel wide zone of this PID is modified
				common_compare(srcPanels[i],tarPanels[j]);
				srcPanels[i].setAttribute("flag","modified");
				break;
			}
		}
		if (j == tarPIDs.length)
		{
			//removed
			srcPanels[i].setAttribute("flag","removed");
		}
	}
	
	for (var i = 0; i < tarPIDs.length; i++)
	{
		for (var j = 0; j < srcPIDs.length; j++)
		{
			if (tarPIDs[i].firstChild.nodeValue == srcPIDs[j].firstChild.nodeValue)
			{
				break;
			}
		}
		if (j == srcPIDs.length)
		{
			//new
			tarPanels[i].setAttribute("flag","new");
			var PanelClone = tarPanels[i].cloneNode(true);
			srcPWZ_DOM.appendChild(PanelClone);
		}
	}
}

function compare_network(srcElem, tarElem)
{
	if ((null == srcElem) || (null == tarElem))
	{
		return;
	}
	
	if ((srcElem.nodeType != 1) || (tarElem.nodeType != 1))
	{
		return;
	}

	compare_basic(srcElem, tarElem, "NetNode");
		     
	var srcPid = srcElem.getElementsByTagName("ID");
    var tarPid = tarElem.getElementsByTagName("ID");
	var srcGid = srcElem.getElementsByTagName("GID");
	var tarGid = tarElem.getElementsByTagName("GID");
	var srcPanels = srcElem.getElementsByTagName("Panel");
	var tarPanels = tarElem.getElementsByTagName("Panel");	
	var Panelroot = null;
	//var newel = srcRoot.createElement("NetNode");
	//Panelroot.appendChild(newel);
	Panelroot = srcRoot.createElement("NetNode");
	//find modified and new panel
	//alert("srcPid.length"+srcPid.length+";tarPid.length="+tarPid.length);
	//alert("srcGid.length"+srcGid.length+";tarGid.length="+tarGid.length);
	//alert("srcPanels.length"+srcPanels.length+";tarpanel.length="+tarPanels.length);
	
	if ((0 < srcPid.length)&&(0 == tarPid.length))
	{
		for(var i = 0; i < srcPid.length; i++)
		{
			//alert("i="+i);
			var srcPanel= srcPanels[i].cloneNode(true);
			var tarPanel= srcPanels[i].cloneNode(true);
			//alert("tarPanel(ID)[i].nodeValue"+tarPanel.getElementsByTagName("ID")[0].firstChild.nodeValue);
			tarPanel.getElementsByTagName("ID")[0].firstChild.nodeValue = '';
			tarPanel.getElementsByTagName("GID")[0].firstChild.nodeValue = '';
			//alert("tarPanel(ID)[i].nodeValue"+tarPanel.getElementsByTagName("ID")[0].firstChild.nodeValue);
			
			var newPanel = globalelementroot.createElement("Removed");
			var srcPre = globalelementroot.createElement("pre");
			var srcPost = globalelementroot.createElement("post");
			srcPre.appendChild(srcPanel);
			srcPost.appendChild(tarPanel);	
			newPanel.appendChild(srcPre);
			newPanel.appendChild(srcPost);
			Panelroot.appendChild(newPanel);
		}
	}
	else if ((0 == srcPid.length)&&(0 < tarPid.length))
	{
		for(var i = 0; i < tarPid.length; i++)
		{
			//alert("i="+i);
			var tarPanel= tarPanels[i].cloneNode(true);
			var srcPanel= tarPanels[i].cloneNode(true);
			//alert("srcPanel(ID)[i].nodeValue"+srcPanel.getElementsByTagName("ID")[0].firstChild.nodeValue);
			srcPanel.getElementsByTagName("ID")[0].firstChild.nodeValue = '';
			srcPanel.getElementsByTagName("GID")[0].firstChild.nodeValue = '';
			//alert("srcPanel(ID)[i].nodeValue"+srcPanel.getElementsByTagName("ID")[0].firstChild.nodeValue);
			
			var newPanel = globalelementroot.createElement("New");
			var srcPre = globalelementroot.createElement("pre");
			var srcPost = globalelementroot.createElement("post");
			srcPre.appendChild(srcPanel);
			srcPost.appendChild(tarPanel);	
			newPanel.appendChild(srcPre);
			newPanel.appendChild(srcPost);
			Panelroot.appendChild(newPanel);
		}
	}
	else //(0 < srcPid.length)&&(0 < tarPid.length) 
	{
		for(var j = 0; j < tarPid.length; j++)
		{
			for(var i = 0; i < srcPid.length; i++)
			{
				//alert("j="+j+"   i="+i);
				var srcPanel= srcPanels[i].cloneNode(true);
				var tarPanel= tarPanels[j].cloneNode(true);
				srcPidValue = srcPid[i].firstChild.nodeValue;
				tarPidValue = tarPid[j].firstChild.nodeValue;
				//alert("srcPidValue="+srcPidValue+"  tarPidValue="+tarPidValue);
				if (srcPidValue == tarPidValue)
				{
					var srcGidValue = srcGid[i].firstChild.nodeValue;
					var tarGidValue = tarGid[j].firstChild.nodeValue;
					if(srcGidValue != tarGidValue)
					{	//found
						//alert("Modified="+tarPidValue);
						var newPanel = globalelementroot.createElement("Modified");
						var srcPre = globalelementroot.createElement("pre");
						var srcPost = globalelementroot.createElement("post");
						srcPre.appendChild(srcPanel);
						srcPost.appendChild(tarPanel);	
						newPanel.appendChild(srcPre);
						newPanel.appendChild(srcPost);
						Panelroot.appendChild(newPanel);
					}
					break;
				}
			}
			if (i == srcPid.length)
			{  //new
				//alert("new="+tarPidValue);
				var newPanel = globalelementroot.createElement("New");
				var srcPost = globalelementroot.createElement("post");
				srcPost.appendChild(tarPanel);
				newPanel.appendChild(srcPost);
				Panelroot.appendChild(newPanel);
			}
		}
		//find removed panel
		for(var i = 0; i < srcPid.length; i++)
		{
			for(var j = 0; j < tarPid.length; j++)
			{	//alert("j="+j+"   i="+i);
				var srcPanel= srcPanels[i].cloneNode(true);
				var tarPanel= tarPanels[j].cloneNode(true);
				srcPidValue = srcPid[i].firstChild.nodeValue;
				tarPidValue = tarPid[j].firstChild.nodeValue;
				//alert("srcPidValue="+srcPidValue+"  tarPidValue="+tarPidValue);
				if(srcPidValue == tarPidValue)
				{
					break;
				}
			}
			if (j == tarPid.length)
			{	//removed
				//alert("Removed="+srcPidValue);
				var newPanel = globalelementroot.createElement("Removed");
				var srcPre = globalelementroot.createElement("pre");
				srcPre.appendChild(srcPanel);
				newPanel.appendChild(srcPre);
				Panelroot.appendChild(newPanel);
			}
		}
	}
	
	var netnodeRoot = srcElem.getElementsByTagName("NetNode")[0];
	srcElem.replaceChild(Panelroot,netnodeRoot);
	//alert(srcElem.getElementsByTagName("NetNode").length);
}

//compare basic information exclude NodeTag;
function compare_basic(srcElem, tarElem, NodeTag)
{   var srcNetNode = srcElem.getElementsByTagName(NodeTag)[0];
    var tarNetNode = tarElem.getElementsByTagName(NodeTag)[0];
	var srclone = srcNetNode.cloneNode(true);
	var tarclone = tarNetNode.cloneNode(true);
	srcElem.removeChild(srcNetNode); 
	tarElem.removeChild(tarNetNode);
	common_compare(srcElem, tarElem);
	
	srcElem.appendChild(srclone);
	tarElem.appendChild(tarclone);
}

function common_compare(srcElem, tarElem)
{
	//alert(srcElem.nodeName);
	curseDiffNode(srcElem, tarElem);
}


function compare_loop(srcElem, tarElem, looptag)
{
	var srcDevList = null;
	var tarDevList = null;
	var loop1root = null;
    var loop2root = null;
	if ((null == srcElem) || (null == tarElem))
	{
		return;
	}
	
	if ((srcElem.nodeType != 1) || (tarElem.nodeType != 1))
	{
		return;
	}
		
	srcDevList = srcElem.getElementsByTagName("Device");
	tarDevList = tarElem.getElementsByTagName("Device");
	if (looptag == 1)
	{
		loop1root = srcRoot.createElement("LOOP1");
	}
	else if (looptag == 2)
	{
		   loop2root = srcRoot.createElement("LOOP2");		  
	}
		
	var srcLength = srcDevList.length;
	var tarLength = tarDevList.length;
	//alert("srcLength:"+srcLength+"_tarLength:"+tarLength);
	var i=0;
	var j=0; 
	for(; (i < srcLength) && (j < tarLength);)
	{
		var srcDev = srcDevList[i].cloneNode(true);
		var tarDev = tarDevList[j].cloneNode(true);
		var srcAddr	= srcDev.getElementsByTagName("Address")[0].firstChild.nodeValue;
		var tarAddr = tarDev.getElementsByTagName("Address")[0].firstChild.nodeValue;
		//alert("srcAddr"+srcAddr+"&tarAddr"+tarAddr+"&i="+i+"&j="+j);
		if (parseInt(srcAddr) == parseInt(tarAddr))
		{
			//modified device
			try
			{
				var srcDType = srcDev.getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
				var tarDType = tarDev.getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
				if (parseInt(srcDType) == parseInt(tarDType))
				{
					var resFlag = diffDevice(srcDev, tarDev);
					if(false == resFlag)
					{
						//equal
						i++;
						j++;
						continue;
					}
				}
				//alert("modified device"+"srcaddr"+srcAddr+"&&taraddr:"+tarAddr);
				var newDevice = globalelementroot.createElement("Modified");
				var srcPre = globalelementroot.createElement("pre");
				var srcPost = globalelementroot.createElement("post");
				srcPre.appendChild(srcDev);
				srcPost.appendChild(tarDev);
				//clearElemChildren(srcDevList[i]);	
				newDevice.appendChild(srcPre);
				newDevice.appendChild(srcPost);				
			}
			catch(err)
			{
				//let go
			}
			i++;
			j++;
		}
		else if (parseInt(srcAddr) < parseInt(tarAddr))
		{
			//removed one
			//alert("removed device"+"srcaddr"+srcAddr+"i="+i);
			var newDevice = globalelementroot.createElement("Removed");
			var srcPre = globalelementroot.createElement("pre");
			srcPre.appendChild(srcDev);
			newDevice.appendChild(srcPre);			
			i++;
		}
		else
		{
			var newDevice = globalelementroot.createElement("New");
			var srcPost = globalelementroot.createElement("post");
			srcPost.appendChild(tarDev);
			newDevice.appendChild(srcPost);
			j++;
		}
					
		if (1 == looptag)
		{
		     loop1root.appendChild(newDevice);
		}
		else
		{ 
		     loop2root.appendChild(newDevice);
		}
		
		
	}	
	
	//append all removed ones
	while (i < srcLength)
	{
		//alert("removed device"+"srcaddr"+srcAddr);
		var srcDev = srcDevList[i].cloneNode(true);
		var newDevice = globalelementroot.createElement("Removed");
		//clearElemChildren(srcDevList[i]);
		//var newDevice = globalelementroot.createElement("Device");
		var srcPre = globalelementroot.createElement("pre");
		srcPre.appendChild(srcDev);
		newDevice.appendChild(srcPre);
		if (1 == looptag)
		{
			 loop1root.appendChild(newDevice);
		}
		else 
		{
			 loop2root.appendChild(newDevice);
		}
		
		i++;
	}
	
	//append all new ones
	while (j < tarLength)
	{
		var tarDev = tarDevList[j].cloneNode(true);
		var newDevice = globalelementroot.createElement("New");
		var srcPost = globalelementroot.createElement("post");
		srcPost.appendChild(tarDev);
		newDevice.appendChild(srcPost);
		if(1 == looptag)
		{
			 loop1root.appendChild(newDevice);
		}
		else
		{ 
			 loop2root.appendChild(newDevice);
		}
		j++;
	}
	
	if (1 == looptag)
	{
		 
		 var num = loop1root.getElementsByTagName("Device").length;
		 //alert("replacechild"+loop1root.nodeName+"Device num in loop1:"+num);
	     srcElem.parentNode.replaceChild(loop1root,srcElem);
	}
	else 
	{
		 var num = loop2root.getElementsByTagName("Device").length;
		 // alert("replacechild"+loop2root.nodeName+"Device num in loop2:"+num);
	     srcElem.parentNode.replaceChild(loop2root,srcElem);
	}
}

function diffDevice(srcElem, tarElem)
{
	
	if ((null == srcElem) || (null == tarElem))
	{
		return;
	}
	
	if ((srcElem.nodeType != 1) || (tarElem.nodeType != 1))
	{
		return;
	}
	
	for (var i=0; i < srcElem.childNodes.length; i++)
	{
		var flag = curseDiffDevice(srcElem.childNodes[i], tarElem.childNodes[i]);
		if(true == flag)
		{
			return true;
		}
	}		
	return false;	
}

function curseDiffDevice(chSrcNode, chTarNode)
{
	try
	{
		if (chSrcNode.childNodes.length > 1)
		{
			for (var j=0; j<chSrcNode.childNodes.length; j++)
			{
				curseDiffDevice(chSrcNode[j], chTarNode[j]);
			}
		}
		else if (chSrcNode.childNodes.length == 1)
		{
			var chSrcValue = null;
			var chTarValue = null;
	
			try
			{
				chSrcValue = chSrcNode.firstChild.nodeValue;
			}
			catch(errChSrcValue)
			{
				chSrcValue = "";
			}
	
			try
			{
				chTarValue = chTarNode.firstChild.nodeValue;
			}
			catch(errChTarValue)
			{
				chTarValue = "";
			}
		
			if(chSrcValue != chTarValue)
			{
				return true;
			}
		}
	}
	catch(err)
	{
		//let go		
	}
	return false;
}

function curseDiffNode(chSrcNode, chTarNode)
{
	try
	{
		//alert(chTarNode.nodeName);
		if (chSrcNode.childNodes.length == 0)
		{
			if(chTarNode.childNodes.length == 0)
			{
				return;
		    }
		    else
		    {			
				var chSrcValue = "";
				var chTarValue = null;
			
				try
				{
					chTarValue = chTarNode.firstChild.nodeValue;
				}
				catch(e)
				{
					chTarValue = "";
				}
			
				if (chSrcValue != chTarValue)
				{
					var srcPre = globalelementroot.createElement("pre");
					var srcPost = globalelementroot.createElement("post");
					var srcValue = globalelementroot.createTextNode(chSrcValue);
					var tarValue = globalelementroot.createTextNode(chTarValue);
					srcPre.appendChild(srcValue);
					srcPost.appendChild(tarValue);
					clearElemChildren(chSrcNode);
					chSrcNode.appendChild(srcPre);
					chSrcNode.appendChild(srcPost);
				}
			}		
		}
		else if (chSrcNode.childNodes.length > 1)
		{
			for (var j = 0; j < chSrcNode.childNodes.length; j++)
			{
				//alert(chSrcNode.nodeName+", "+chSrcNode.childNodes.length);
				curseDiffNode(chSrcNode.childNodes[j], chTarNode.childNodes[j]);
			}
		}
		else if (chSrcNode.childNodes.length == 1)
		{
			var chSrcValue = null;
			var chTarValue = null;
			
			try
			{
				chSrcValue = chSrcNode.firstChild.nodeValue;
			}
			catch(errChSrcValue)
			{
				chSrcValue = "";
			}
			
			try
			{
				chTarValue = chTarNode.firstChild.nodeValue;
			}
			catch(errChTarValue)
			{
				chTarValue = "";
			}
			
			if(chSrcValue != chTarValue)
			{
				var srcPre = globalelementroot.createElement("pre");
				var srcPost = globalelementroot.createElement("post");
				var srcValue = globalelementroot.createTextNode(chSrcValue);
				var tarValue = globalelementroot.createTextNode(chTarValue);
				srcPre.appendChild(srcValue);
				srcPost.appendChild(tarValue);
				clearElemChildren(chSrcNode);
				chSrcNode.appendChild(srcPre);
				chSrcNode.appendChild(srcPost);
			}
		}
	}
	catch(err)
	{
		//let go		
	}
}

function clearElemChildren(elem)
{
	try
	{
		while(elem.hasChildNodes())
		{
			elem.removeChild(elem.lastChild);
		}
	}
	catch(e)
	{
		//let go	
	}
}

function assignConfigPath(){
				
	var srcPrefix = "ID_SOURCEFILE";
	var tarPrefix = "ID_TARGETFILE";
	if(navigator.appName.search("Netscape") != -1){
		window.srcPath = this.window.dialogArguments.document.getElementById(srcPrefix+"_FF").value;
		window.tarPath = this.window.dialogArguments.document.getElementById(tarPrefix+"_FF").value;
	}else{
		window.srcPath = this.window.dialogArguments.document.getElementById(srcPrefix+"_IE").value;
		window.tarPath = this.window.dialogArguments.document.getElementById(tarPrefix+"_IE").value;
	}
	//alert(window.srcPath +", "+window.tarPath);
}
function Compare_openFile(path)
{
	var pathname = null;
	var srcPath ="";
	var tarPath = "";
	var srcPrefix = "ID_SOURCEFILE";
	var tarPrefix = "ID_TARGETFILE";
	
	
    if (-1 != path.toString().search("id=1"))
	{
        pathname = "/compare.html?id=1";
	}
	else
	{
	    pathname = "/compare.html?id=2";
    }
			
	switch (parseInt(this.window.curLang))
	{
	    case 0:
		    path = "en"+pathname;
		    break;
	    case 1:
		    path = "pt"+pathname;
		    break;
	    case 2:
		    path = "es"+pathname;
		    break;
	    default:					
		   alert(warnMsg_Offline(5));	
		   return;
	}

	if(navigator.appName.search("Netscape") != -1){
		srcPath = window.document.getElementById(srcPrefix+"_FF").value;
		tarPath = window.document.getElementById(tarPrefix+"_FF").value;
	}else{
		srcPath = window.document.getElementById(srcPrefix+"_IE").value;
		tarPath = window.document.getElementById(tarPrefix+"_IE").value;
	}

	if(srcPath == "" || tarPath == "")
	{
		alert(warnMsg_Offline(6));	
		return;
	}
	//alert(window.srcPath +", "+window.tarPath);
	

	//window.open('compare.html?id=1')
	window.showModalDialog (path, window,'resizable:yes; dialogWidth:1024px;dialogHeight:768px;dialogLeft:10;dialogTop:10');
}