//------------------------------------------------------------------------
//Modify the LOOP1&&LOOP2 to check the validation of delay mode onchange
//------------------------------------------------------------------------
var delayModeIDs = ["NO_Delay","AV","PAS","PS"];
function checkDelayMode(DMobj)
{
    var prefix = GetIDPrefix(DMobj);
	if (DMobj.type == "radio")
	{
        if ((parseInt(DMobj.value) == 2) || (parseInt(DMobj.value) == 3))
		{
			var flag = checkZones(prefix);
            if (false == flag )
			{
                //alert("Breaking consistency rule, set invalid zone value to 0!");
                //alert(warningHandler(18));
				params = "(" + params + ")";
				alert(warningHandlerEntry(18, params));
				
				var PreDM = this.window.dialogArguments.currentDeviceDOMtree.getElementsByTagName("DelayMode")[0].firstChild.nodeValue;
				if (1 == PreDM)
				{
					document.getElementById(prefix + delayModeIDs[1]).checked = "checked";
				}
				else
				{
					document.getElementById(prefix + delayModeIDs[0]).checked = "checked";
				}
            }
		}
    }	
}

function GetIDPrefix(DMobj)
{
	var prefix = "";
	if (-1 != DMobj.id.search("Input1"))
	{
		prefix = "Input1_";
	}
	else if (-1 != DMobj.id.search("Input2"))
	{
		prefix = "Input2_";
	}
	
	return prefix;
}
// not validated: false.
//validate and processed: true.
var params = null;
function checkZones(prefix)
{
	var devZones = 0;
	var ZonePids = 0;
	var InvalidNo = 0;
	var ZoneObj = null;
	params = null;
	var ZoneObj = null;
	var PidObj = null;
	for (var i = 1; i < 6; i++)
	{
		ZoneObj = document.getElementById(prefix + "Zone" + i);
		PidObj = document.getElementById("pid_"+ prefix + "Zone" + i);		
		
		if ((null != ZoneObj) && (null != PidObj))
		{
			appendByDefault(ZoneObj);
			appendByDefault(PidObj);
			ZoneNo = ZoneObj.value;
			PidNo = GetPidNo(ZoneObj.id);
			
			if (0 != ZoneNo)
			{	//alert("pidNo=" + PidNo + " ZoneNo=" +ZoneNo);
				var ValidFlag = validateCountings(ZoneNo, PidNo);
				if (false == ValidFlag)
				{
					//this zone number is breaking consistency rule;
					//some actions here
					InvalidNo += 1;
					//ZoneObj.style.borderColor = "#FF0000";
					params = params + i + ",";
				}
			}
		}
	}// end for();
	
	if (0 == InvalidNo)
	{
		return true;
	}
	else
	{
		return false;
	}	
}

//check device zones through all the software zones
//Valid: true
//Invalid: false;
function validateCountings(zoneNo, pidNo)
{
	var AllZones = null;
	var ZoneIndex = null;
	var Counting = 0;
	var ZONE_DOM = this.window.dialogArguments.xmldoc.getElementsByTagName("ZONES")[0];
	if (128 < zoneNo)
	{
		AllZones = ZONE_DOM.getElementsByTagName("GroupWideZones")[0].getElementsByTagName("Z");
		ZoneIndex = zoneNo - 129;
	}
	else
	{
		var PWZ_DOM = ZONE_DOM.getElementsByTagName("PanelWideZones")[0];
		var PanelPWZ = GetPWZbyPID(pidNo, PWZ_DOM);
		if (null != PanelPWZ)
		{
			AllZones = PanelPWZ.getElementsByTagName("Z");
		}
		else
		{
			AllZones = null;
		}
		ZoneIndex = zoneNo - 1;
	}
	//alert("AllZones"+AllZones+"  ZoneIndex="+ZoneIndex);
	if (null != AllZones)
	{
		Counting = AllZones[ZoneIndex].getElementsByTagName("C")[0].firstChild.nodeValue;
		//alert("Counting="+Counting);
		if(1 < parseInt(Counting))
		{
			return false;
		}
	}
	
	return true;
}

function appendByDefault(obj)
{
    if(obj.value == "")
	{
        obj.value = 0;
    }
}

//------------------------------------------------------------------------
// Modify Zone Module apply the consistency check for looping the devices
//------------------------------------------------------------------------
function checkSWZones(num)
{
    //test current dropdown list control
    var eindex = document.getElementById("C_"+num).selectedIndex;
    var eValue = document.getElementById("C_"+num).options[eindex].value;
	if (1 == allzones[num].getElementsByTagName('C')[0].firstChild.nodeValue)
	{	
		if (1 < eValue)
		{
			//user change this zone to be a counting zone, give a warning message
			alert(warningHandler(68));
		}
	}
	
/*    var eSWNum = document.getElementById("N_"+num).value;
    var gxml = xmldoc;

    if (eValue < 2)
	{
        //zone counting less than 2 should not applied for consistency check
        return;
    }
    
    //apply consistency check
    var loop1XML = gxml.getElementsByTagName("FPA1000")[0].getElementsByTagName("LOOP1")[0];
    var loop2XML = gxml.getElementsByTagName("FPA1000")[0].getElementsByTagName("LOOP2")[0];
    var result = assistDevices(eSWNum, loop1XML);
    if (result == true)
	{
        result = assistDevices(eSWNum, loop2XML);
        if (result == true)
		{
            return;
        }
		else
		{
            alert(warningHandler(18));
			//breaking consistency rule and back the counting to 1 at the same time enable the floor drop down list
			breakConsistencyActions();
        }
    }
	else
	{
        alert(warningHandler(18));
        //breaking consistency rule and back the counting to 1 at the same time enable the floor drop down list
		breakConsistencyActions(num);
    }*/
	
}

/*function breakConsistencyActions(num)
{
	//alert("enter breakConsistencyActions");
	var countingObj = document.getElementById("C_" + num);
	var floorObj = document.getElementById("F_" + num);
	
	//alert("inside breakConsistencyActions: value is countingObj.value="+countingObj.value);
	if (parseInt(countingObj.value) > 1)
	{
		//back to 1 and enable the floor.
		countingObj.options[0].selected = "selected";
		floorObj.removeAttribute("disabled");
	}
	//else equals 1, no operations will be done.
}*/

//return true if allowed, otherwise return false;
/*function assistDevices(zoneNum, loopXML)
{
    
    var deviceList = loopXML.getElementsByTagName("Device"); //get device list
    
    for (var i = 0; i < deviceList.length; i++)
	{
        //loop devices
        var delayMode = deviceList[i].getElementsByTagName("DelayMode")[0];
        if (delayMode == null)
		{
            continue;
        }
		else
		{
			if ((delayMode.firstChild.nodeValue == 2)||(delayMode.firstChild.nodeValue == 3))
			{
				for (var j = 1; j < 6; j++)
				{
					//loop zones (zone1 - zone5)
					var zoneVar = deviceList[i].getElementsByTagName("Zone"+j)[0];
					if (zoneVar == null)
					{
						return false;
					}
					else if (parseInt(zoneVar.firstChild.nodeValue) == parseInt(zoneNum))
					{
						//matches the zone number
						return false;
					}
					else
					{
						continue;
					}
				}
			}
			else
			{
				//not PAS related
				continue;
			}
        }//end of else
    }//end of for
    return true;
}*/

//check device input zone's value
function checkDevZones(obj, ChangeFlag)
{ 
    //alert("checkDevZones");
	var zoneNo = obj.value;
	//var preInputVar = preInputValue;
	var PASobj = null;
	var PSobj = null;
	var DLflag = false;
	if ((true == InputZoneCheck(obj)) && (0 != zoneNo))
	{
		//alert(document.getElementById(delayModeIDs[2]).checked +"  "+document.getElementById(delayModeIDs[3]).checked);
		var prefix = GetIDPrefix(obj);
		try
		{
			PASobj = document.getElementById(prefix + delayModeIDs[2]);
			if (PASobj.checked)
			{
				DLflag = true;
			}
		}
		catch(err)
		{
			//do nothing
		}
		try
		{
			PSobj = document.getElementById(prefix + delayModeIDs[3]);
			if (PSobj.checked)
			{
				DLflag = true;
			}
		}
		catch(err)
		{
			//do nothing
		}
		//alert(PASobj.disabled+"   "+PSobj.disabled);
		if (!PASobj.disabled)
		{	//enable
			if (true == DLflag)
			{
				var pidNo = GetPidNo(obj.id);
				//alert("pidNo" + pidNo + " zoneNo=" +zoneNo);
				var flag = validateCountings(zoneNo, pidNo);
				//alert(flag);
				if (false == flag)
				{
					alert(warningHandlerEntry(18, ""));
					obj.value = 0;
					obj.select();
				}
			}
		}
	}
	else
	{
		if ("PidChange" == ChangeFlag)
		{
			obj.value = 0;
			obj.select();
		}
	}
}


function GetPidNo(ZoneID)
{
	var PidObj = document.getElementById("pid_" + ZoneID);
	if (PidObj.disabled)
	{
		return this.window.dialogArguments.LocPID;		
	}
	else
	{
		return PidObj.value;
	}	
}