var warns = new Array(
        "Web browser is not compatible, please update to recommended web browser version.",
        "No response from panel. Please check if login is correct.",
        "DCPDeviceTemplate.xml file missing. Please contact technical support!",
        "no xml file from server!",
        "");

var errors = new Array(
        "Invalid parameter! Device type not allowed at this address. Use address range 1-127.",
        "Device type limited to maximum 127 per SLC. Use address range 1-127.",
        "Invalid parameter! Device type not allowed at this address.",
        "Device type limited to maximum 127 per SLC. Use address range 1-127.",
        "Invalid parameter! Device type not allowed at this address. Use address range 128-254.",
        "Sounder base (FAA-325-B6S) requires a host detector.",
        "No detector head to attach an FAA325-BS!");

var msgs = new Array(
        "Done !",
        "The detector hosts a sounder base (FAA-325-B6S). Do you want to remove the FAA-325-B6S as well?",
        "Waiting......",
        "Add an FAA325-BS at address ",
        "? It will be attached to detector head at address",
        ".\n Press OK to confirm, Cancel to quit.");

//0: SLCs
//1: SWZones
var tbConfs = new Array(3);
tbConfs["SLCs"] = new Array("Index", "Address","Device Type","Label","Configure","Remove", "Number of devices: ", "Loop current: ");
tbConfs["SWZones"] = new Array("","","");


var buttons = new Array("Configure","Remove","Cancel","Apply","OK");

function getConstant(type, index){
    
    var arrList = null;
    
    if(type == 0){
        //matches warn list
        arrList = warns;
    }else if(type == 1){
        //matches error list
        arrList = errors;
    }else if(type == 2){
        //matches msgs list
        arrList = msgs;
    }else{
        //Expand TODO:
    }
    
    return arrList[index].toString();
    
}

//when multi params situation
function getConstans(type, indexList, paramList){
    
    var arrList = null;
    
    if(type == 0){
        //matches warn list
        arrList = warns;
    }else if(type == 1){
        //matches error list
        arrList = errors;
    }else if(type == 2){
        //matches msgs list
        arrList = msgs;
    }else{
        //Expand TODO:
    }
    
    if((indexList == null) || (indexList.length == 0)){
        return "";
    }else if((paramList == null)||(paramList.length == 0)){
        
        var result = "";
        
        for(var i=0; i<indexList.length; i++){
            result += arrList[parseInt(indexList[i])];
        }
        
        return result;
    }else{
        
        var result = "";
        
        for(var i=0, j=0; i<indexList.length||j<paramList.length; i++, j++){
            //one for each at every loop
            if(i >= indexList.length){
                //indexList traces finished
                result += paramList[j];
            }else if(j >= paramList.length){
                //paramList trances finished
                result += arrList[parseInt(indexList[i])];
            }else{
                result += arrList[parseInt(indexList[i])] + paramList[j];
            }
        }//end of for loop
        
        return result;
        
    }
    
}