var globalHref = "page=GENERAL";
var iframePath = "helpContent.html";

function checkForward(iframeID, srchParam){
    globalHref = "?path="+srchParam;
    document.getElementById(iframeID).src = iframePath;
}

function generateContent(){
    var curHref = globalHref;
    var tarNode = "";
	if(-1 != curHref.search("help_index")){
//		alert("matches help index page");
		tarNode = "index";
	}else if(-1 != curHref.search("page=GENERAL")){
//        alert("match general");
        tarNode = "general";
    }else if(-1 != curHref.search("page=LOOPs")){
        tarNode = "loops";
    }else if(-1 != curHref.search("page=MB")){
        tarNode = "mainboard";
    }else if(-1 != curHref.search("page=OB")){
        tarNode = "optionbus";
    }else if(-1 != curHref.search("page=REPORT")){
        tarNode = "report";
    }else if(-1 != curHref.search("page=ZONES")){
        tarNode = "zones";
    }else if(-1 != curHref.search("page=CONTROL")){
        tarNode = "control";
    }else if(-1 != curHref.search("page=TESTING")){
        tarNode = "testing";
    }else if(-1 != curHref.search("page=VIEWSTATUS")){
        tarNode = "viewstatus";
    }else if(-1 != curHref.search("page=HISTORY")){
        tarNode = "history";
    }else if(-1 != curHref.search("page=CONFCOMP")){
        tarNode = "confcomp";
    }else{
        tarNode = "";
    }
    
    initHelp(tarNode);
}


var xmlDOM = null;
var displayID = "ID_HELPINFO";
function initHelp(sign){
    
    //control layer for transformation of the view to model
    
    if(sign == null||sign.length == 0){
        document.getElementById(displayID).innerHTML = "<font color='red'>init help page failed</font>";
        return;
    }else{
        
        var resStr = "";
        
        if("index" == sign){
        }else if("general" == sign){
            resStr = "<font color='gray'>general help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("loops" == sign){
            resStr = "<font color='gray'>SLC help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("mainboard" == sign){
            resStr = "<font color='gray'>mainboard help info</font>";
            document.getElementById(displayID).innerHTML = resStr;    
        }else if("optionbus" == sign){
            resStr = "<font color='gray'>optionbus help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("report" == sign){
            resStr = "<font color='gray'>report help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("zones" == sign){
            resStr = "<font color='gray'>zones help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("viewstatus" == sign){
            resStr = "<font color='gray'>viewstatus help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("confcomp" == sign){
            resStr = "<font color='gray'>configuration compare help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("history" == sign){
            resStr = "<font color='gray'>history help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("control" == sign){
            resStr = "<font color='gray'>control help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else if("testing" == sign){
            resStr = "<font color='gray'>testing help info</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }else{
            resStr = "<font color='red'>Match help page destination failed</font>";
            document.getElementById(displayID).innerHTML = resStr;
        }
    }
}

function domInit(elem){
    //TODO: model layer parser for XMLDOM.
}

//offline help info design
function forwardHelpCtrl(helpPageID, dispPanelID){
	var plObj = document.getElementById(dispPanelID);
	var path = "./help/";
	if(plObj != null){
		alert("debug: find target display panel ID!");
		var xmldoc = window.xmldoc; //get tried
		if((!xmldoc)||(!xmldoc.documentElement)||(!xmldoc.documentElement.getElementsByTagName("GENERAL"))){
			alert("debug: failed to get the parent page general element from configuration file!");	
			return;
		}else{
			alert("debug: process forward!");
			try{
				var lang = xmldoc.documentElement.getElementsByTagName("GENERAL")[0].getElementsByTagName("Language")[0].firstChild.nodeValue;
				if(parseInt(lang) == 0){
					//english matches
					path += "en/";
				}else if(parseInt(lang) == 1){
					//portuguese matches
					path += "por/";
				}else if(parseInt(lang) == 2){
					//spanish matches
					path += "span/";
				}else{
					//invalid set to english by default
					path += "en/";
				}
				
				path += helpPageID+".html";
				return path;
			}catch(err){
				alert("debug: get language failed!");
				return window.location.toString(); //stay in the current page.
			}
			
		}
	}else{
		alert("debug: failed to find target display panel ID!");
	}
}