//--------------------------------------------------------------------------------
// Help Contents:
/*
General Information	#Welcome.htm
Start Page	#Start_page.htm
Programming	#Programming.htm
Device Settings	#Device_settings.htm
Mainboard settings	#d2e4127
Option Bus settings	#Optionbus.htm
Zones settings	#Optionbus.htm
Maintenance	#d2e4596
Monitoring	#Monitoring.htm
Utilities	#d2e4993
Abbreviations on the Control Panel Display	#d2e4997
*/
//--------------------------------------------------------------------------------
var paramTargetList =  eval("TargetList_en");

//refer to the transtr.js/transtr_1.js/transtr_2.js
var helpLinks_en = null;
var TargetList_en = null;
try{
	helpLinks_en = 
	            [eval("transtr_helpGeneral"),
				 eval("transtr_helpStartPageOL"),
				 eval("transtr_helpAbbr"),
			
				 eval("transtr_helpSitedata"),
			     eval("transtr_helpDevice"),
			     eval("transtr_helpMainboard"),
			     eval("transtr_helpOptionbus"),
			     eval("transtr_helpReport"),
			     eval("transtr_helpZone"),
		         eval("transtr_helpNETWORK"),
			
			     eval("transtr_helpControl"),
			     eval("transtr_helpTesting"),

                 eval("transtr_helpViewstatus"),
			     eval("transtr_helpHistory")];
    TargetList_en = ["HelpWel_LNK,Welcome.htm",
					 "HelpOL_LNK,Start_page_offline.htm",
					 "HelpAbbre_LNK,d6e5618",
					 
					 "HelpSite_LNK,Site_Data.htm",
					 "HelpDevs_LNK,Device_settings.htm",
					 "HelpMB_LNK,d6e4613",
					 "HelpOB_LNK,Optionbus_settings.htm",
					 "HelpReport_LNK,Reporting.htm",
					 "HelpZones_LNK,Zones_settings.htm",
					 "HelpNetwork_LNK,Networking.htm",
					 
					 "HelpCTL_LNK,Control.htm",
					 "HelpTST_LNK,d6e5308",
					 
					 "HelpVS_LNK,View_status.htm",
					 "HelpHst_LNK,History.htm"];	
}
catch(errHelpLinksEN)
{
	//no output
}

var helpLinks_pt = null;
var TargetList_pt = null;
try{
	helpLinks_pt = 
		   [eval("transtr_helpGeneral_pt"),
			eval("transtr_helpStartPageOL_pt"),
			eval("transtr_helpAbbr_pt"),
			
			eval("transtr_helpSitedata_pt"),
			eval("transtr_helpDevice_pt"),
			eval("transtr_helpMainboard_pt"),
			eval("transtr_helpOptionbus_pt"),
			eval("transtr_helpReport_pt"),
			eval("transtr_helpZone_pt"),
		    eval("transtr_helpNETWORK_pt"),
			
			eval("transtr_helpControl_pt"),
			eval("transtr_helpTesting_pt"),

            eval("transtr_helpViewstatus_pt"),
			eval("transtr_helpHistory_pt")];
    TargetList_pt = ["HelpWel_LNK,Welcome.htm",
					 "HelpOL_LNK,Start_page_offline.htm",
					 "HelpAbbre_LNK,d6e5572",
					 
					 "HelpSite_LNK,Site_Data.htm",
					 "HelpDevs_LNK,Device_settings.htm",
					 "HelpMB_LNK,d6e4577",
					 "HelpOB_LNK,Optionbus_settings.htm",
					 "HelpReport_LNK,Reporting.htm",
					 "HelpZones_LNK,Zones_settings.htm",
					 "HelpNetwork_LNK,Networking.htm",
					 
					 "HelpCTL_LNK,Control.htm",
					 "HelpTST_LNK,d6e5263",
					 
					 "HelpVS_LNK,View_status.htm",
					 "HelpHst_LNK,History.htm"];	
}
catch(errHelpLinksPT)
{
	//no output
}

var helpLinks_es = null;
var TargetList_es = null;
try{
	helpLinks_es = [
			eval("transtr_helpGeneral_es"),
			eval("transtr_helpStartPageOL_es"),
			eval("transtr_helpAbbr_es"),
			
			eval("transtr_helpSitedata_es"),
			eval("transtr_helpDevice_es"),
			eval("transtr_helpMainboard_es"),
			eval("transtr_helpOptionbus_es"),
			eval("transtr_helpReport_es"),
			eval("transtr_helpZone_es"),
		    eval("transtr_helpNETWORK_es"),
			
			eval("transtr_helpControl_es"),
			eval("transtr_helpTesting_es"),

            eval("transtr_helpViewstatus_es"),
			eval("transtr_helpHistory_es")];
	TargetList_es = ["HelpWel_LNK,Welcome.htm",
					 "HelpOL_LNK,Start_page_offline.htm",
					 "HelpAbbre_LNK,d6e5571",
					 
					 "HelpSite_LNK,Site_Data.htm",
					 "HelpDevs_LNK,Device_settings.htm",
					 "HelpMB_LNK,d6e4574",
					 "HelpOB_LNK,Optionbus_settings.htm",
					 "HelpReport_LNK,Reporting.htm",
					 "HelpZones_LNK,Zones_settings.htm",
					 "HelpNetwork_LNK,Networking.htm",
					 
					 "HelpCTL_LNK,Control.htm",
					 "HelpTST_LNK,d6e5262",
					 
					 "HelpVS_LNK,View_status.htm",
					 "HelpHst_LNK,History.htm"];
}
catch(errHelpLinksES)
{
	//no output
}

//constant definition for the help page url
var const_helpPageURL = "help/onlinehelp.htm";
function redirectToHPage(curObj)
{
	//nothing	
	var constant_iframe = "FM_HELP";
	document.getElementById(constant_iframe).src = curObj.href.toString();
	//prevote all
	for (var i = 0; i < paramTargetList.length; i++)
	{
		var curPreID = paramTargetList[i].split(",")[0];
		var curPreObj = document.getElementById(curPreID);
		
		if(null != curPreObj)
		{
			curPreObj.style.backgroundColor = "white";
			curPreObj.style.color = "black";
			curPreObj.style.textDecoration = "none";
		}
	}
	
	//append the target one
	curObj.style.backgroundColor = "#313B6B";
	curObj.style.color = "white";
	curObj.style.textDecoration = "underline";
	return false;
}

var wordingUnit = 6;
var loopDiet = 0;

//foocus item: cbase="Submenuelink" class="Submenuelink_nm Submenuelink_dn"
//common item: cbase="Submenuelink" class="Submenuelink_nm"

function initHelpPageWithLnks()
{
	var langLoc = location.toString();
	var langID = null;
	var helpLnkObj = null;
	var pagePrefix = null;
	
	//get the id for different language
	if (langLoc.search("/en/") != -1)
	{
		langID = "_en";
		pagePrefix = "/en/";
		paramTargetList =  TargetList_en ;
	}
	else if (langLoc.search("/pt/") != -1)
	{
		langID = "_pt";
		pagePrefix = "/pt/";
		//const_helpPageURL = "help/FPA_1000_UL_Painel_de_Inc_ndio_Compacto_hp_pt.htm";
		paramTargetList =  TargetList_pt;
	}
	else if (langLoc.search("/es/") != -1)
	{
		langID = "_es";
		pagePrefix = "/es/";
		//const_helpPageURL = "help/FPA_1000_UL_hp_es.htm";
		paramTargetList =  TargetList_es;
	}
	else
	{
		//extent to other languages
		pagePrefix = "/";
	}

	//assign the object for help link value
	helpLnkObj = eval("helpLinks"+langID);

    //style settings (when src value changes the page goes to new target at once - no loop continuous)
	for (var j = 0; j < helpLnkObj.length; j++)
	{
        var targetLnks = helpLnkObj[j];
		var target = paramTargetList[j].split(",");
		//var hrefValue = pagePrefix+const_helpPageURL+"#"+target[1];
		var hrefValue = const_helpPageURL+"#"+target[1];
		//init link values
		document.getElementById(target[0].toString()).innerHTML = targetLnks;
		document.getElementById(target[0].toString()).href = hrefValue;
    }
    
    return false;
}

//--------------------------------------------------------------------------------
// Search Topics Help Information Section
//--------------------------------------------------------------------------------
var helpTopics = ["Components_connected_option_bus.htm,Components conencted to option bus","glossary,glossary","Signaling_Line_Circuit_Decvices.htm,Signaling Line Circuit Devices","Communicator.htm,Communicator Reporting","d2e648,Acknowledgement","d2e656,Address","d2e664,Addressable Device","d2e672,Alarm","d2e680,Alarm Verification","d2e688,Annunciator","d2e698,Communication Error","d2e706,Conventional Device","d2e717,DACT","d2e725,Detector","d2e735,Exit Plan","d2e745,FACP Fire Alarm Control Panel","d2e755,Ground Fault","d2e765,Initiating Device","d2e774,Initiating Device Circuit","d2e784,Keypad","d2e794,NAC","d2e802,Notification Appliance","d2e812,Open Fault","d2e822,PAS (Positive Alarm Sequence","d2e830,Point","d2e839,Power Supply","d2e847,Pre-signal Alarm","d2e857,Reset","d2e867,Short Circuit","d2e875,SLC Signal Line Circuit","d2e883,Supervisory Signal","d2e893,Trouble Signal","d2e904,Zone"];

var pageSign = 0;
var topicsSelected = null;
//new Array();
var totalCount = 0;
var currentPageParams = "";

function initGlobal(){
    var curPageSign = pageSign;
    var searchStr = window.dialogArguments.document.getElementById("ID_SearchStrs").value;
    var length = searchStr.split(",").length; 
    var flag = searchStr.search(",");
    var topicsSelectedLength = null;
    
    //alert("debug: value of searchStr is "+searchStr);
    if(flag != -1){
        topicsSelected = searchStr.split(",");
        topicsSelectedLength = topicsSelected.length;
    //alert("topics length is "+topicsSelectedLength);
    }else{
        topicsSelected = new Array(searchStr.toString());
        topicsSelectedLength = 1;
    }
    
    var index = 0;
    for(var k=0; k<helpTopics.length; k++){
        
        var helpName = helpTopics[k].split(",")[0];
        var helpKeyStr = helpTopics[k].split(",")[1];
        
        //alert("loop "+k+": target string is '"+helpKeyStr.toString()+"', key string is '"+topicsSelected[0].toString()+"'");
        if(helpKeyStr.search(topicsSelected[0].toString()) != -1){
            
            if(index == 0 )
                currentPageParams += helpName;
            else
                currentPageParams += ","+helpName;
                
            index++;
            //alert("add one");
        }
        
    }
     totalCount = index;
    document.getElementById("ID_BTN_PRE").disabled = "true";
    if(currentPageParams.split(",").length > 1){
        document.getElementById("ID_BTN_NEXT").removeAttribute("disabled");
    }else{
        document.getElementById("ID_BTN_NEXT").disabled = "true";
    }
        
    pageSign = 0;
    document.getElementById("ID_EachHelpInfo").src =  "onlinehelp.htm#"+currentPageParams.split(",")[pageSign].toString();
    
    //alert(currentPageParams.toString());
}

function goPre(obj){
    var curPageSign = pageSign;
    var length = currentPageParams.split(",").length;
    var nextSign = curPageSign -1;
        
    pageSign -= 1;

    if(nextSign == 0){//length-1){
        var curStr = currentPageParams.split(",")[pageSign].toString();
        document.getElementById("ID_BTN_PRE").disabled = "true";
        document.getElementById("ID_BTN_NEXT").removeAttribute("disabled");
        document.getElementById("ID_EachHelpInfo").src = "onlinehelp.htm#"+curStr;
    }else if(nextSign > totalCount){
        //alert(pageSign);
        var curStr = currentPageParams.split(",")[pageSign].toString();
        //alert(currentPageParams.length);
        //alert("debug: current name of a link is '"+curStr+"'");
        document.getElementById("ID_EachHelpInfo").src = "onlinehelp.htm#"+curStr;
    }else{
        //Impossible
        //alert("debug: remind me if abnormal case show up!");
    }
}


function goNext(obj){
    var curPageSign = pageSign;
    var length = currentPageParams.split(",").length;
    var nextSign = curPageSign +1;
        
    pageSign += 1;

    if(nextSign == (totalCount-1)){//length-1){
        var curStr = currentPageParams.split(",")[pageSign].toString();
        document.getElementById("ID_BTN_NEXT").disabled = "true";
        document.getElementById("ID_BTN_PRE").removeAttribute("disabled");
        document.getElementById("ID_EachHelpInfo").src = "onlinehelp.htm#"+curStr;
    }else if(nextSign < totalCount){
        //alert(pageSign);
        var curStr = currentPageParams.split(",")[pageSign].toString();
        //alert(currentPageParams.length);
        //alert("debug: current name of a link is '"+curStr+"'");
        document.getElementById("ID_EachHelpInfo").src = "onlinehelp.htm#"+curStr;
    }else{
        //Impossible
        //alert("debug: remind me if abnormal case show up!");
    }
}

//forward to quick help through clicking the button on each web pages
// 	This will link to the target content of the help page by refering the page ID of the current focused one.
function forwardToQuickHelp(pageID)
{
	var langLoc = location.toString();
	var definedHelpIDMap = new Array(24);
	definedHelpIDMap["STARTPAGE"] = "Welcome.htm";
	definedHelpIDMap["GENERAL"] = "Site_Data.htm";
	definedHelpIDMap["LOOP1"] = "Device_settings.htm";
	definedHelpIDMap["LOOP2"] = "Device_settings.htm";
	definedHelpIDMap["OPTIONBUS"] = "Optionbus_settings.htm";
	definedHelpIDMap["REPORTING"] = "Reporting.htm";
	definedHelpIDMap["GLOBALZONES"] = "Global_Zones.htm";
	definedHelpIDMap["SOFTWAREZONES"] = "Software_Zones.htm";
	definedHelpIDMap["DUALZONES"] = "Dual_zones.htm";
	definedHelpIDMap["FLOORS"] = "Floors.htm";
	definedHelpIDMap["NETWORK"] = "Networking.htm";
	definedHelpIDMap["SYSTEMINFORMATION"] = "System_information.htm";

	if (langLoc.search("/en/") != -1)
	{
		definedHelpIDMap["MAINBOARD"] = "d6e4613";
	}
	else if (langLoc.search("/pt/") != -1)
	{
		definedHelpIDMap["MAINBOARD"] = "d6e4577";
	}
	else if (langLoc.search("/es/") != -1)
	{
		definedHelpIDMap["MAINBOARD"] = "d6e4574";
	}
	var helpPageURL = "help/onlinehelp.htm#"+definedHelpIDMap[pageID];
	//alert(helpPageURL);
	var quickHelpPage = null;
	if (helpPageURL != null)
	{
		if (helpPageURL == "help/onlinehelp.htm#")
		{
			//should be removed after these online help content have been provided !
			alert("[helpInit.js] Debug: online help has not be provided for this page !");
		}
		else
		{		
			quickHelpPage = window.open(helpPageURL,"quickhelpdisplay","width=1000,height=800,resize=no,left=0,top=0,scrollbars=yes");
		}
	
	}
	else
	{
		alert(warningHandler(49));
	}
	return false;
}

function assignValueForLnk(lnkValue)
{
	//alert("debug: link value equals '"+lnkValue+"'");
	
	return forwardToQuickHelp(lnkValue);
}
