//Objectvies: split this file from initProcess for loading the least scripting to the index page of offline default entry.
//constant definition 
var MaxLangID = 2;
var MinLangID = 0;

//definition for constraint objects
var initObj = new Array(2);
initObj['startPage'] = ["ID_TARGETFILE","ConSrcFileSelect","ID_SRCCUR_CONF","ID_TARCUR_CONF"];

var warnMsg = new Array("Loaded configuration file is invalid!",
						"Loading of configuration file failed!",
						"Loading of configuration file successful!",
						"Please specify the local file to load!",
						"Loading of language from configuration file failed!",
						"No file to edit, Please create or load file first!",
						"No configuration file available, please create or load a file first!",
						"Please specify the local file to be replaced by current configuration!",
						"File successfully saved!",
						"File successfully saved to default folder.",
						"First select the configuration file you want to convert.",
						"The configuration file may be corrupted. Conversion failed. Provide a valid file.",
						"Conversion running",
						"The conversion of the configuration file was successful.",
						"Input file version is already 2.0!");


//give a hint to cunstomer that the OB repeatLED function can not work normal
//Please note that option "Repeat zone 1-64" for LED annunciators on V1.xx is no longer available on V2.xx. Zone LEDs will be mapped to zones 1-128 in conversion.
function InitMessageWindow()
{
var hint = '<div style="color:red">Please note that option "Repeat zone 1-64" for LED annunciators on V1.xx is no longer available on V2.xx. Zone LEDs will be mapped to zones 1-128 in conversion.</div>'
document.getElementById("Layer39").innerHTML= hint;
}

//method definition section
function initProcess(locSign){
		
		var obj = null;
		var elem = null;

		try{
			
			if(curLang >= MinLangID && curLang <= MaxLangID){
				//alert("get curLang: value is "+curLang);
				//valid language and it has been retrieved from FPA1000.xml already.	
				obj = initObj[locSign.toString()];
				for(var i=0; i<obj.length; i++){
					idElem = obj[i].toString();
					//alert("get target ruled object: value is "+idElem);
					document.getElementById(idElem).disabled = "disabled";
				}
			}else{
				//invalid language be retrieved
				alert(warnMsg_Offline(5));
				return;
			}
		}catch(err){
			//Nothing curLang has not be setting at first:
			//	alert("debug: error: catches exception 001");
			return;
		}
}


function enabledCompare(srcFileInput, destFileInput, btnCompCurBTN, btnCompCurDefBTN){
	if(srcFileInput&&destFileInput&&btnCompCurBTN&&btnCompCurDefBTN){
		//all can be retrieved from document.
		document.getElementById(srcFileInput).removeAttribute("disabled");
		document.getElementById(destFileInput).removeAttribute("disabled");
		document.getElementById(btnCompCurBTN).removeAttribute("disabled");
		document.getElementById(btnCompCurDefBTN).removeAttribute("disabled");
	}else{
		document.getElementById(srcFileInput).disabled = "disabled";
		document.getElementById(destFileInput).disabled = "disabled";
		document.getElementById(btnCompCurBTN).disabled = "disabled";
		document.getElementById(btnCompCurDefBTN).disabled = "disabled";
	}
}

function checkFileFormat(obj){
	if(obj.value.toString().search(".xml") == -1){
		//find invalid file!
		alert(warningHandler(23));
		obj.value = "";
	}else{
		//find valid file!
		//alert("valid file searched out!");
	}
}


function StartPageButtonEvemt_Configure(htmlname){

	var winPath = "";
	if(open_success == false && htmlname.search("help_index") != -1)
	{
		winPath += "en/";
		htmlname = winPath+htmlname;
		
		try{
			MyWindow =window.showModalDialog(htmlname, window,"resizable:yes;dialogWidth:1024px;dialogHeight:768px;dialogLeft:0;dialogTop:0");

			//MyWindow = window.open(htmlname.toString(), "FPA1000", "width=1024,height=768,left=0,top=0,scrollbars=yes,resizable=yes");
			//MyWindow = window.open(htmlname, "FPA1000", "width=1000,height=600,left=10,top=10,scrollbars=yes,resizable=yes");
			MyWindow.focus();
		}catch(err){}
		
		return 0;
	}
	if(open_success)
	{
		switch(parseInt(curLang)){
		case 0:
			winPath += "en/";
			break;
		case 1:
			winPath += "pt/";
			break;
		case 2:
			winPath += "es/";
			break;
		default:
			alert(warnMsg_Offline(5));
			return;
		}
	
		htmlname = winPath+htmlname;
		try{
			MyWindow =window.showModalDialog(htmlname, window,"resizable:yes;dialogWidth:1024px;dialogHeight:768px;dialogLeft:0;dialogTop:0");
	
			//MyWindow = window.open(htmlname.toString(), "FPA1000", "width=984,height=768,left=0,top=0,scrollbars=yes,resizable=yes");
			//MyWindow = window.open(htmlname, "FPA1000", "width=1000,height=600,left=10,top=10,scrollbars=yes,resizable=yes");
			MyWindow.focus();
		}catch(err){}
	}else{
		alert(warnMsg_Offline(6));
	}
}
	
function StartPageButtonEvent_Save(SaveToDefault)
{
	try
	{	
		if(!xmldoc)
		{
			alert(warnMsg_Offline(7));
			return;
		} 
	}
	catch(err)
	{
		alert(warnMsg_Offline(7)); 
		return;
	}
	
	if(false==SaveToDefault)	  
	{
		//if click the "save" button, save to "load from ..." path 
		if(!document.form_File_Select.ConFileSelect.value)
		{
			alert(warnMsg_Offline(8));
			return;  
		}else{
			xmldoc.save(document.form_File_Select.ConFileSelect.value);
			document.getElementById("Layer39").innerHTML=warnMsg_Offline(9);
		}		
	}else{
		xmldoc.save("FPA1000Default.xml"); 
		document.getElementById("Layer39").innerHTML=warnMsg_Offline(10);
	}	
}

function warnMsg_Offline(id)
{
	var Msg = warnMsg[id - 1];//"";
/*	var language = parseInt(curLang);
	switch(id){
	case 0:
	case 1:
	    if(1 == language)
			warnMsg	+= "Foi Carregado um Arquivo de Configurao Invlido !";
		else if(2 == language)
			warnMsg	+= "Se ha cargado un archivo de configuracin no vlido!";
	    else
			warnMsg	+= "Loaded configuration file is invalid!";
		break;
	case 2:
	      if(1 == language)
				warnMsg += "Falha no carregamento do arquivo de configurao!";
		  else if(2 == language)
				warnMsg += "Error al cargar el archivo de configuracin!";
		  else
				warnMsg += "Loading of configuration file failed!";
		  break;
		
	case 3:
		if(1 == language)
				warnMsg += "Arquivo de configurao carregado com xito!";
		else if(2 == language)
				warnMsg += "Se ha cargado correctamente el archivo de configuracin!";
		else
				warnMsg += "Loading of configuration file successful!";
		break;
		
	case 4:
		if(1 == language)
				warnMsg = "Especifique o arquivo local a ser carregado!";
		else if(2 == language)
				warnMsg = "Especifique el archivo local que desea cargar.";
		else
	    		warnMsg = "Please specify the local file to load!";
		break;
		
	case 5:
	    if(1 == language)
				warnMsg = "Falha no carregamento do arquivo de configurao do formulrio de idioma !";
		else if(2 == language)
				warnMsg = "Error al cargar el archivo de configuracin del formulario de idioma!";
		else
				warnMsg = "Loading of language from configuration file failed!";
		break;
		
	case 6: 
		 if(1 == language)
				warnMsg = "Nenhum arquivo a editar. Crie ou carregue o arquivo primeiro.";
		 else if(2 == language)
				warnMsg = "Ningn archivo para editar, cree o cargue un archivo.";
		 else
				warnMsg = "No file to edit, Please create or load file first!";
		 break;
		
	case 7:
	 	if(1 == language)
				warnMsg = "Nenhum arquivo de configurao disponvel; primeiro crie ou carregue um arquivo!" ;
		else if(2 == language)
				warnMsg = "Ningn archivo de configuracin disponible. Primero, cree o cargue un archivo." ;
		else
				warnMsg = "No configuration file available, please create or load a file first!" ;
		break;
		
	case 8:
		if(1 == language)
				warnMsg = "Especifique o arquivo local a ser substitudo pela configurao atual!";
		else if(2 == language)
				warnMsg = "Especifique el archivo local que sustituir a la configuracin actual.";
		else
				warnMsg = "Please specify the local file to be replaced by current configuration!";
		break;
		
	case 9:
		if(1 == language)
				warnMsg = "Arquivo salvo com xito!"
		else if(2 == language)
				warnMsg = "Archivo guardado correctamente."
		else
				warnMsg = "File successfully saved!"
		break;
	
	case 10:
	   if(1 == language)
				warnMsg = "Arquivo salvo com xito na pasta padro!";
	   else if(2 == language)
				warnMsg = "Se ha guardado correctamente el archivo en la carpeta predeterminada.";
	   else
				warnMsg = "File successfully saved to default folder";
	   break;

	default:
		break;
	}*/
	
	return Msg;
}

function warningHandler(warnNo){
    return warningHandlerEntry(warnNo, null);
}

function warningHandlerEntry(warnNo, params){
      
    var transtr_warnMsg=null;
    var language = parseInt(curLang); 
    switch(parseInt(warnNo)){	
		case 10:
			if(1 == language)
					transtr_warnMsg="O navegador da Web no  compatvel; faa a atualizao para a verso recomendada do navegador da Web.";
			else if(2 == language)
					transtr_warnMsg="El navegador Web no es compatible, actualcelo a la versin recomendada.";
			else
                	transtr_warnMsg="Web browser is not compatible, please update to recommended web browser version.";
            break;
		
		case 23:
		    if(1 == language)
					transtr_warnMsg="Formato de arquivo invlido; selecione um arquivo de configurao xml vlido!";
			else if(2 == language)
					transtr_warnMsg="El formato de archivo no es vlido. Seleccione un archivo de configuracin xml vlido.";
			else
                	transtr_warnMsg="File format is invalid, please select a valid xml configuration file!";
            break;

		case 49:
		    if(1 == language)
					transtr_warnMsg = "No  possvel recuperar a pgina de Ajuda rpida relacionada.";
			else if(2 == language)
					transtr_warnMsg = "No es posible recuperar la pgina de ayuda rpida correspondiente.";
			else
					transtr_warnMsg = "Can not retrieve related quick help page!";
            break;
	
	    case 50:
			 if(1 == language)
					transtr_warnMsg = "Lista de Palavras inicializada com xito.";
			 else if(2 == language)
					transtr_warnMsg = "La lista de palabras se ha iniciado correctamente.";
			 else
					transtr_warnMsg = "Word List initialized successfully!";
			 break;
		default:
			break;		
       }
        
        return transtr_warnMsg;
}

function OpenMultiLanguageWindow()
{
	var pathname = "/multi-lang-index.html";
	var lang = parseInt(this.window.curLang);
	var path;
    switch(lang){
	    case 0:
		    path = "en"+pathname;
		    break;
	    case 1:
		    path = "pt"+pathname;
		    break;
	    case 2:
		    path = "es"+pathname;
		    break;
	    default:
		   alert(warnMsg_Offline(5));
		   return;		  
	}

	window.showModelessDialog (path, window, 'resizable:yes; dialogWidth:1024px;dialogHeight:786px;dialogLeft:10;dialogTop:10');
	
}

