function initPageDisplayEntry(obj){
	
	try{
		if(parseInt(obj) != 4)
			initPanelInteractBtns();
	}catch(error3){}

	if(parseInt(obj) == 2){
		try{
			initSLC();
		}catch(error6){}
	}
	
	if(parseInt(obj) == 3){
		try{
			initLoopBtns();
		}catch(error5){}
	}
	
	if(parseInt(obj) == 4){
		try{
			initSLCDevBtns();
		}catch(error7){}
	}
	
	if(parseInt(obj) == 5){
		try{
			//initZoneLinks();
		}catch(error8){}
	}
	
	if(parseInt(obj) == 6){
		try{
			initHelpPageLinks();
		}catch(error9){}
	}
	
	if(parseInt(obj) == 7){
		try{
			initSearchSection();
		}catch(error10){}
	}
	
	if(parseInt(obj) == 8){
		try{
			initNetworkBtn();
		}catch(error10){}
	}
	
}

function initNetworkBtn()
{
	var  btn_add_obj = document.getElementById("ID_Add");
	if(null != btn_add_obj)
	{
        btn_add_obj.value = transtr_btnAdd;
	}
}

function initSearchSection(){	
	var searchHelp = "SearchHelpID";
	var searchTopics = "SearchHelpTopicsID";
	var searchKeywords = "SearchKeywordsID";
	var extension = "";
	try{
		if(window.location.toString().search("/en/") != -1){
			//no change
		}else if(window.location.toString().search("/pt/") != -1){
			extension = "_pt";
		}else if(window.location.toString().search("/es/") != -1){
			extension = "_es";
		}
		document.getElementById(searchHelp).innerHTML = eval("transtr_HelpSearch"+extension);
		document.getElementById(searchTopics).innerHTML = eval("transtr_SelectTopics"+extension);
		document.getElementById(searchKeywords).innerHTML = eval("transtr_EnterKeywords"+extension);
	}catch(errSearchSection){}
}

var globalFuncBtns = ["ID_ResetToDefault","ID_Apply","ID_SaveToPanel","ID_BTN_OK","ID_BTN_APPLY","ID_BTN_RESET"];
var globalCommonBLnks = ["ID_Search","ID_Login","ID_StartPage","ID_SLC1","ID_SLC2","ID_MB","ID_OB","ID_REPORT","ID_ZONES","ID_CTRL","ID_TESTING","ID_VS","ID_History","ID_HELP"];
var functionalForms = ["GENERAL","FormLoop1","FormLoop2","MAINBOARD","OPTIONBUS","REPORT","ZONES","NETWORK"]; 
var functionalBtns = ["ID_ResetToDefault","ID_Apply","ID_OK","ID_Cancel", "ID_QuickHelp"]; 
var navUtilityBtns = ["ID_Search"];
var zoneSubLnkIDs = ["ID_GZTxt","ID_SZTxt","ID_DZTxt","ID_FTxt"];
var historyDisplayIDs = ["ID_HistoryData","ID_WTHistoryData","ID_DLHistory","ID_DLWTHistory"];
var testBtnIDs = ["WTStartButton","WTStopButton","CTStartButton","CTStopButton","ButtonTestLoop1","Reset2","ID_StopRefresh","ButtonTestLoop2","ID_ResetLossCounter2","WTStartButton","WTStopButton","ID_UploadSWToPanel"];
var testLinkIDs = ["ID_DLTestResultToPC","ID_SysInfo","ID_WT","ID_CT","ID_TestSLC1","ID_TestSLC2","ID_SWUpdate"]; 
var viewStatusBtnIDs = ["ID_Refresh","ID_Drill","ID_Reset","ID_Silence","ID_Ack","ARstartbutton","ID_StopAutoRefresh"];
var controlLinkIDs = ["ID_Mainboard","ID_OptionBus","ID_Lnk_SLC1","ID_Lnk_SLC2"];
var controlBtns = ["FormButton10","FormButton11"];
var helpPageLinkIDs = ["HelpIndex_LNK","OBComp_LNK","SLCDevs_LNK","CommReport_LNK","Glossory_LNK"];
var startPageLinkIDs = ["DL_RawConfig","DL_FriendlyConfig","DL_WTHSIT","ID_DLHistory"];

//Non translated strings
var g_menuLinks=["ID_StartPage","ID_SiteData","ID_SLC1","ID_SLC2","ID_MB","ID_OB","ID_REPORT","ID_ZONES","ID_CTRL","ID_TESTING","ID_VS","ID_History","ID_HELP","ID_PHPON"];


//special buttons
//Offline Web Pages: totally 8
var specBtns = new Array(8);
specBtns["SiteData"] = ["ID_Change1","ID_Change2","ID_Change3","ID_Change4"];
specBtns["Page02Loop1"] = ["ID_Edit","ID_Add","ID_CopyDevice"];
specBtns["Page03Loop2"] = ["ID_Edit","ID_Add","ID_CopyDevice"];
specBtns["Page08ZoneTexts"] = ["ID_GZTxt","ID_SZTxt","ID_DZTxt","ID_FTxt"];
specBtns["Page8bSoftwareZones"] = ["ID_GZTxt","ID_SZTxt","ID_DZTxt","ID_FTxt"];
specBtns["Page8cDualZone"] = ["ID_GZTxt","ID_SZTxt","ID_DZTxt","ID_FTxt"];
specBtns["Page8dFloors"] = ["ID_GZTxt","ID_SZTxt","ID_DZTxt","ID_FTxt"];
specBtns["help_index"] = ["HelpIndex_LNK","OBComp_LNK","SLCDevs_LNK","CommReport_LNK","Glossory_LNK"]; 

//translation for SLC tips
var transTipPrefix =  "transtr_tips_";
var uiTipPrefix = "BTN_";

var title_siteData = ["FTPport","StartWeek","StartMonth","EndWeek","EndMonth","DMEndHour","DMEndMin","DMStartHour","DMStartMin","GlobalDelayTime","AVDelay","ACDelay","WFDelay","ASDelay","SilenceInhibit","SandwichDelay","DZFirstAlarm","StaggeredDelay","EventPrintDelay"];

function initSiteDataTitles(){
	
    for(var i=0; i<title_siteData.length; i++){
        try{
			var titleObj = title_siteData[i].split(",")[0];
        	var params = new Array(title_siteData[i].split(",")[1],title_siteData[i].split(",")[2]);
        	document.getElemnetById(titleObj).title = warningHandlerWithParams(42,params);
    	}catch(errorSiteDataComp){}
	}
}

function initHelpPageLinks(){
    for(var i=0; i<helpPageLinkIDs.length; i++){
		try{
        	var helpLnkObj = document.getElementById(helpPageLinkIDs[i]);
        	if(helpLnkObj!=null)
            	helpLnkObj.innerHTML = transtr_helpLinks[i];
		}catch(errorHelpPage){}
	}
}

function initZoneLinks(){
    for(var i=0; i<zoneSubLnkIDs.length; i++){
    	try{
			var curLnkObj = document.getElementById(zoneSubLnkIDs[i]);
        	if(curLnkObj!=null)
            	curLnkObj.innerHTML = transtr_globalTxt[i];
//				alert("zoneSubLnkIDs[i]="+zoneSubLnkIDs[i]);
//				alert("transtr_globalTxt[i]="+transtr_globalTxt[i]);
		}catch(errorZoneLnks){}
    }
}

function initSLCDevBtns(){
	//alert("initSLCDevBtns");
    var btn_apply_obj = document.getElementById("ID_BTN_APPLY");
    var btn_reset_obj = document.getElementById("ID_BTN_RESET");
    var btn_ok_obj = document.getElementById("ID_BTN_OK");
    var btn_cancel_obj = document.getElementById("ID_BTN_CANCEL");
    if(btn_apply_obj != null)
        btn_apply_obj.value = transtr_btnApply;
    if(btn_reset_obj != null)
        btn_reset_obj.value = transtr_btnResetToDefault;
    if(btn_ok_obj != null)
        btn_ok_obj.value = transtr_btnOK;
    if(btn_cancel_obj != null)
        btn_cancel_obj.value = transtr_btnCancel;
}

function addHandlerMgr(hm_id, srcObj, srcValue){
	if((srcObj == null)||(srcValue == null))
		return;
	
	if(hm_id == 1){
		if(srcObj!=null&&srcValue!=null)
			srcObj.title = srcValue;
	}else if(hm_id == 2){
		if(srcObj!=null&&srcValue!=null)
			srcObj.value = srcValue;
	}else if(hm_id == 3){
		if(srcObj!=null&&srcValue!=null)
			srcObj.text = srcValue;
	}
}

function addParamsCalculation(obj, offset, pagePrefix, transPrefix, hm_id){
	
	var flagForContinue = false;
	var topObj = obj[offset];
	var pageID = pagePrefix+topObj;
	topObj = topObj.replace("-","_");
	var transID = transPrefix+topObj;
	var transObj = null;
	var pageObj = null;
	
	if(pageID != null){
		pageObj = document.getElementById(pageID);
	}

	if(transID != null){
		try{
			transObj = eval(transID);
			flagForContinue = false;
		}catch(errTransObjNull){
			var debugValue = null;
			if(transObj == null)
				debugValue = "null";
			flagForContinue = true;
		}
	}
	
	if(transObj!=null&&flagForContinue == false){	
		addHandlerMgr(hm_id, pageObj, transObj);
	}
	
}

var transDevGrpPrefix = "transtr_gid_";
var appendSLCGrpPrefix = "OPTION_";
var transDevGrpPrefix_es = "transtr_gid_es_";
var transDevGrpPrefix_pt = "transtr_gid_pt_";

function addSLCGrpDisplay(){

	try{
		for(var i=0; i<gIDs.length; i++){
			if(window.location.toString().search("/es/") != -1){ 
				addParamsCalculation(gIDs, i, uiTipPrefix, transDevGrpPrefix_es, 2);
			}else if(window.location.toString().search("/en/") != -1){ 
				addParamsCalculation(gIDs, i, uiTipPrefix, transDevGrpPrefix, 2);
			}else if(window.location.toString().search("/pt/") != -1){ 			
				addParamsCalculation(gIDs, i, uiTipPrefix, transDevGrpPrefix_pt, 2);
			}
		}
	}catch(errAddSLCGrpDisplay){
	}
}

function appendSLCGrpDisplay(){
	for(var i=0; i<gIDs.length; i++){
		try{
			if(window.location.toString().search("/es/") != -1) 
				addParamsCalculation(gIDs, i, appendSLCGrpPrefix, transDevGrpPrefix_es, 3);
			else if(window.location.toString().search("/en/") != -1) 
				addParamsCalculation(gIDs, i, appendSLCGrpPrefix, transDevGrpPrefix, 3);
			else if(window.location.toString().search("/pt/") != -1) 
				addParamsCalculation(gIDs, i, appendSLCGrpPrefix, transDevGrpPrefix_pt, 3);
		}catch(errAppendSLCGrpDisplay){
		}
	}
}

function addTips(){
	for(var i=0; i<gIDs.length; i++){
		try{
			addParamsCalculation(gIDs, i, uiTipPrefix, transTipPrefix, 1);	
		}catch(errAddTips){
		}
	}
}

var gConfigBtnIDs = ["Print","Back"];

function initConfigShow(){
	for(var i=0; i<gConfigBtnIDs.length; i++){
		try{
			if(window.location.toString().search("/es/") != -1){
				addParamsCalculation(gConfigBtnIDs, i, uiTipPrefix, transDevGrpPrefix_es, 2);
			}else if(window.location.toString().search("/en/") != -1){
				addParamsCalculation(gConfigBtnIDs, i, uiTipPrefix, transDevGrpPrefix, 2);
			}else if(window.location.toString().search("/pt/") != -1){		
				addParamsCalculation(gConfigBtnIDs, i, uiTipPrefix, transDevGrpPrefix_pt, 2);
			}else{
				addParamsCalculation(gConfigBtnIDs, i, uiTipPrefix, transDevGrpPrefix, 2);
			}
		}catch(errAppendSLCGrpDisplay){
		}
	}
}

function initSLC(){
    var editObj = document.getElementsByName("ID_Edit");
    var addObj = document.getElementsByName("ID_Add");
    var copyDevObj = document.getElementsByName("ID_CopyDevice");
    //var restoreFromPanelObj = document.getElementsByName("ID_RestoreFromPanel");
   // var saveToPanelObj = document.getElementsByName("ID_SaveToPanel");
    
    if(editObj != null)
        editObj[0].value = transtr_btnEdit;
    if(addObj != null)
        addObj[0].value = transtr_btnAdd;
    if(copyDevObj != null)
        copyDevObj[0].value = transtr_btnCopyDevice;
    addTips();
	addSLCGrpDisplay();
	appendSLCGrpDisplay();
	if(window.location.toString().search("Loop1") != -1)
		findSubType(document.getElementById("NewDeviceType_Group"), null, true);
	else if(window.location.toString().search("Loop2") != -1)
		findSubType(document.getElementById("NewDeviceType_Group2"), null, true);
}

function initLoopBtns(formName){
    
    var flagLen = gIDs.length;
    var flag=false;
    
    for(var i=0; i<flagLen; i++){
        if(gIDs[i].toString()==formName){
            flag=true;
            break;
        }
    }
    
    if(formName!=null&&flag==true){
        document.getElementById("ID_BTN_APPLY").value=transtr_btnApply;
        document.getElementById("ID_BTN_RESET").value=transtr_btnResetDefault;
        document.getElementById("ID_BTN_OK").value=transtr_btnOK;
        document.getElementById("ID_BTN_CANCEL").value=transtr_btnCancel;
    }
    else if(formName!=null&&flag==false){
        if(formName=="FormLoop1"||formName=="FormLoop2"){
            var initObj = null;
            try{
                initObj=document.getElementsByName("ID_Edit")[0]; 
                initObj.value=transtr_btnEdit;
            }catch(err){}
            try{
                initObj=document.getElementsByName("ID_Add"); 
                initObj.value=transtr_btnAdd;
            }catch(err){}
            try{
                initObj=document.getElementsByName("ID_CopyDevice");
                initObj.value=transtr_btnCopyDevice;
            }catch(err){}
        }
    }
}

function initPanelInteractBtns(){
    for(var i=0; i<functionalBtns.length; i++){
			try{
				var btnObj = document.getElementsByName(functionalBtns[i]);
					for(var j=0; j<btnObj.length; j++){
						try{
							var startIndex = 3;
							var endIndex = functionalBtns[i].length;
							var tranval_id = functionalBtns[i].substring(startIndex, endIndex);
							var valObj = eval("transtr_btn"+tranval_id);
							if(valObj != null)
								btnObj[j].value = valObj;
						}catch(err2){}
					}
			}catch(err1){}
    }
}

function initHelpSearch(helpObj, methodID, valueArr){
    
    for(var i=0; i<helpObj.length; i++){
        var helpArr = null;
        if(methodID == 0){
            helpArr = new Array(1);
            helpArr[0] = document.getElementById(helpObj[i]);
        }else if(methodID == 1)
            helpArr = document.getElementsByName(helpObj[i]);
        
        for(var j=0; j<helpArr.length; j++){
            var curObj = helpArr[j];
            curObj.value = valueArr[i];
        }
    }
}

function sitedataReset(){

	document.getElementById('GENERAL').reset(); 
/*	checkAVDelay(document.getElementById('DelayModeOption'),'GlobalDelayMode');
	bindDEnableControl(document.getElementById('DualZoneLatching'), 'DZFirstAlarm', false); 
	bindDEnableControl(document.getElementById('ASDEnable'), 'ASDelay', true);
	bindDEnableControl(document.getElementById('EnableSandwich'), 'SandwichDelay', true);
*/	
	dropdownValidation("GENERAL");
	applyValidation("GENERAL");	
	ControlPrintWide();
	initLangDisplay();
}