<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/FPA1000">
<html>
	<head>
		<style type="text/css">.ConfContent {font-size:12px; font-weight:normal; color:blue;}</style>
	</head>
<body>
    <div id="DISPLAY_CONFFILE" style="font-family:'Times New Roman', Times, serif; font-size:12px;">
        <xsl:apply-templates select="HEADER" />
        <xsl:apply-templates select="GENERAL"></xsl:apply-templates>
		<table border="1" style="color:black; width:800px; left:50px;">
        <tr align="center" style="background:black; color:white; font-size:14px; font-weight:bold;" >
            <td colspan="9">Ajustes SLC 1</td>
        </tr>
		</table>
        <xsl:apply-templates select="LOOP1"></xsl:apply-templates>
		<table border="1" style="color:black; width:800px; left:50px;">
        <tr align="center" style="background:black; color:white; font-size:14px; font-weight:bold;" >
            <td colspan="9">Ajustes SLC 2</td>
        </tr>
		</table>
		<xsl:apply-templates select="LOOP2"></xsl:apply-templates>
        <xsl:apply-templates select="MAINBOARD"></xsl:apply-templates>
        <xsl:apply-templates select="OPTIONBUS"></xsl:apply-templates>
        <xsl:apply-templates select="REPORT"></xsl:apply-templates>
        <xsl:apply-templates select="ZONES"></xsl:apply-templates>
		<xsl:apply-templates select="NETWORK"></xsl:apply-templates>
    </div>
    </body>
</html>
</xsl:template>

<xsl:template name="LevelTP" match="HistoryLv|WalktestLv|TestLv|DateLv|BypassLv">
	<xsl:choose>
		<xsl:when test=". = '1'"><xsl:text>Nivel 1</xsl:text></xsl:when>
		<xsl:when test=". = '2'"><xsl:text>Nivel 2</xsl:text></xsl:when>
		<xsl:when test=". = '3'"><xsl:text>Nivel 3</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Bypass" match="B">
	<xsl:choose>
		<xsl:when test=". = '0'"><xsl:text>FALSE</xsl:text></xsl:when>
		<xsl:when test=". = '1'"><xsl:text>TRUE</xsl:text></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="workWide" match="PrintWide|CityTieWide|ReportWide">
	<xsl:choose>
		<xsl:when test=". = '1'"><xsl:text>Toda la central</xsl:text></xsl:when>
		<xsl:when test=". = '2'"><xsl:text>Todo el grupo</xsl:text></xsl:when>
		<xsl:when test=". = '3'"><xsl:text>Toda la red</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- start of Define Header Section -->
<xsl:template match="HEADER" >
<table border="1" style="color:black; width:800px; left:50px;" >
        <tr>
            <th colspan="4" style=" background:black; color:white; font-weight:bold; font-size:14px; text-align:center; " >Ajustes de Encabezado</th>
        </tr>
        <tr>
            <td colspan="4" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Encabezado</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Nombre de Archivo</td>
            <td style="font-size:12px; font-weight:bold;">Nmero de versin</td>
            <td style="font-size:12px; font-weight:bold;">ltima Fecha de Modificacin</td>
            <td style="font-size:12px; font-weight:bold;">Versin de Datos</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Filename" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="RevNumber" /></td>    
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="LastModified" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="DataVersion" /></td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="GENERAL">
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="8" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Ajustes Generales</th>
        </tr>
            <tr>
                <td colspan="8" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Ajustes Bsicos</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;"><xsl:text>Etiqueta de</xsl:text> (1. <xsl:text>encabezado</xsl:text>)</td>
                <td style="font-size:12px; font-weight:bold;"><xsl:text>Etiqueta de</xsl:text> (2. <xsl:text>encabezado</xsl:text>)</td>
                <td style="font-size:12px; font-weight:bold;">Idioma</td>
				<td style="font-size:12px; font-weight:bold;">ID de central</td>
                <td style="font-size:12px; font-weight:bold;">Direccin IP del Panel</td>
                <td style="font-size:12px; font-weight:bold;">Puerta de Acceso</td>
                <td style="font-size:12px; font-weight:bold;">Mscara de Red</td>
				<td style="font-size:12px; font-weight:bold;">ID de red de incendios</td>
                             
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Banner1st" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Banner2nd" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:apply-templates select="Language" /></td>
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="PanelID" /></td>	
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="PanelIP" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Gateway" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Netmask" /></td>
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="NetworkID" /></td>	
            </tr>
			 <tr>
			  	<td style="font-size:12px; font-weight:bold;">Direccin IP de la Impresora</td>  
                <td style="font-size:12px; font-weight:bold;">Usuario de FTP de la Impresora</td>
				<td style="font-size:12px; font-weight:bold;">Contrase&#241;a de FTP de la Impresora</td>
				<td style="font-size:12px; font-weight:bold;">Puerto FTP de la Impresora</td>
                <td colspan="4" style="font-size:12px; font-weight:bold;"><xsl:text>Imprimir eventos/operaciones desde</xsl:text>: </td>
            </tr>
			<tr>
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="PrinterIP" /></td> 
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="FTPuser" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="FTPpwd" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="FTPport" /></td>
                <td colspan="4" style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:apply-templates select="PrintWide"></xsl:apply-templates></td>
			</tr>
        </table>
       
        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="9" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;" >Ajustes de Sistema, Formato de Hora, Unidades y Silencio</td>
        </tr>
        <tr>
                <td style="font-size:12px; font-weight:bold;">Sandwich Activado</td>
                <td style="font-size:12px; font-weight:bold;">Restablecimiento de Alimentacin Auxiliar</td>
                <td style="font-size:12px; font-weight:bold;" >Bloqueo de Supervisin</td>
                <td style="font-size:12px; font-weight:bold;">Fuente de Alimentacin Externa</td>
                <td style="font-size:12px; font-weight:bold;">Formato de Hora</td>
                <td style="font-size:12px; font-weight:bold;">Formato de Unidad</td>
                <td style="font-size:12px; font-weight:bold;">Silencio</td>
                <td style="font-size:12px; font-weight:bold;">Activar Silencio</td>
                <td style="font-size:12px; font-weight:bold;">Activar Simulacro de Evacuacin</td>
        </tr>
        <tr>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="EnableSandwich" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="AuxPowerReset" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="SupLatching" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="ExtPower" /></td>    
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:apply-templates select="TimeFormat" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:apply-templates select="UnitFormat" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:apply-templates select="Silence" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="EnableSilence" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="EnableDrill" /></td>
        </tr>
        </table>
        
        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Nivel Necesario para la Operacin</td>
            </tr>
            <tr>
			    <td style="font-size:12px; font-weight:bold;">PIN para restablecer/silenciar/evacuar</td>
                <td style="font-size:12px; font-weight:bold;">Histrico </td>
                <td style="font-size:12px; font-weight:bold;">Modo de Prueba  </td>
                <td style="font-size:12px; font-weight:bold;">Prueba </td>
                <td style="font-size:12px; font-weight:bold;">Fecha </td>
                <td style="font-size:12px; font-weight:bold;">Excluir </td>
            </tr>
            <tr style="font-size:12px; font-weight:normal; color:blue;">
				<td><xsl:value-of select="Pin4rsd" /></td>
                <td><xsl:apply-templates select="HistoryLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="WalktestLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="TestLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="DateLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="BypassLv"></xsl:apply-templates></td>
            </tr>
        </table>

        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="2" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Hora Planificada</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;">Horario de Verano Activado</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="DayLightSaving" /></td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;">Horario de verano</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">Comenzar desde  <xsl:for-each select="StartWeek">
					                <xsl:call-template name="Week"></xsl:call-template>
								</xsl:for-each>semana de  <xsl:for-each select="StartMonth">
					                <xsl:call-template name="Month"></xsl:call-template>
								</xsl:for-each><br/> Final de <xsl:for-each select="EndWeek">
					                <xsl:call-template name="Week"></xsl:call-template>
							</xsl:for-each> semana de <xsl:for-each select="EndMonth">
					                <xsl:call-template name="Month"></xsl:call-template>
							</xsl:for-each><br/>
                </td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;">Sensibilidad de Da del Detector</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                <table width="100%" align="left">
                <tr>
                    <td style="font-size:12px; font-weight:bold; text-align:right;"><xsl:text>Do</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMSu" /></td>
                    <td style="font-size:12px; font-weight:bold; text-align:right;">, <xsl:text>Lu</xsl:text>:</td> 
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMMo" /></td>
                    <td style="font-size:12px; font-weight:bold; text-align:right;">, <xsl:text>Ma</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMTu" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Mi</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMWe" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Ju</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMTh" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Vi</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMFr" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>S</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMSa" /></td>
                </tr>
                <tr>
                    <td colspan="3" style="font-size:12px; font-weight:bold;  text-align:right;">Hora de inicio: </td>
                    <td colspan="3" style="font-size:12px; font-weight:normal; text-align:left; color:blue;">
                        <xsl:value-of select="DMStartHour" />:<xsl:value-of select="DMStartMin" />
                        <xsl:choose> 
                            <xsl:when test="DMStartPM = 'FALSE'"><xsl:text> AM</xsl:text></xsl:when>
                            <xsl:otherwise><xsl:text> PM</xsl:text></xsl:otherwise> 
                        </xsl:choose></td>
					<td colspan="3" style="font-size:12px; font-weight:bold;  text-align:right;">Hora de fin: </td>
                    <td colspan="3" style="font-size:12px; font-weight:normal; text-align:left; color:blue;">
                        <xsl:value-of select="DMEndHour" />:<xsl:value-of select="DMEndMin" />
                        <xsl:choose> 
                            <xsl:when test="DMEndPM = 'FALSE'"><xsl:text> AM</xsl:text></xsl:when>
                            <xsl:otherwise><xsl:text> PM</xsl:text></xsl:otherwise> 
                        </xsl:choose></td> 
					<td colspan="2"></td>	           
                </tr>
                </table>
            </td>
        </tr>
        </table>

        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="2" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Ajustes del Temporizador</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Modo de Da</td>    
                <td style="font-size:12px; font-weight:normal; color:blue;" width="80%">
                    <xsl:apply-templates select="GlobalDelayMode" /></td>
            </tr>
			<tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Modo de retardo global</td>    
                <td style="font-size:12px; font-weight:normal; color:blue;" width="80%">
                    <xsl:apply-templates select="DelayModeOption" /></td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Hora de Investigacin</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="GlobalDelayTime" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Retardo de Verificacin de Alarma</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="AVDelay" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Retardo de Fallo de CA</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="ACDelay" /> h</td>
            </tr>
			<tr>
				<td style="font-size:12px; font-weight:bold;" width="20%">Flujo de agua silenciable</td>
				<td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="WFSilenceable" /></td>
			</tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Retardo de Flujo de Agua</td>
                <td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="WFDelay" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Retardo de silencio automtico</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:text>Activado</xsl:text>: <xsl:value-of select="ASDEnable" /><br/>
                    <xsl:text>Tiempo de Retardo</xsl:text>: <xsl:value-of select="ASDelay" /> min.</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Restringir Silencio</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="SilenceInhibit" /> min.</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Restablecimiento de primera alarma de dos zonas</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:text>Activado</xsl:text>: <xsl:value-of select="DualZoneLatching" /><br/>
                    <xsl:text>Tiempo de Retardo</xsl:text>: <xsl:value-of select="DZFirstAlarm" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Retardo de Sandwich</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
					<xsl:text>Activada</xsl:text>: <xsl:value-of select="EnableSandwich" /><br/>
                    <xsl:text>Tiempo de Retardo</xsl:text>: <xsl:value-of select="SandwichDelay" /> min.</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Retardo de restablecimiento secuencial</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="StaggeredDelay" /> s</td>
            </tr>
			 <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Sincronizacin horaria</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
					<xsl:text>Activado</xsl:text>: <xsl:value-of select="TimeSyncEnable" /><br/>
                    <xsl:text>IP de servidor NTP</xsl:text>: <xsl:value-of select="NTPIP" /><br/>
					<xsl:text>Puerto de servidor NTP</xsl:text>: <xsl:value-of select="NTPPort" /></td>
            </tr>
        </table>
</xsl:template>

<xsl:template match="Silence">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Slo Audible</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Audible y Visible</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Silencio No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="UnitFormat">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>F</xsl:text>, <xsl:text>pie</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>C</xsl:text>, <xsl:text>m.</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Formato de Unidad No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="GlobalDelayMode">
    <xsl:choose>
        <xsl:when test=".=0"><xsl:text>Sin retardo</xsl:text></xsl:when>
        <xsl:when test=".=1"><xsl:text>SAP</xsl:text></xsl:when>
        <xsl:when test=".=2"><xsl:text>Se&#241;al Previa</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Modo de Retardo Global No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="DelayModeOption">
    <xsl:choose>
        <xsl:when test=".=0"><xsl:text>VA/SAP/Se&#241;al previa</xsl:text></xsl:when>
        <xsl:when test=".=1"><xsl:text>Sandwich/Zona doble</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template match="Language" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Ingls</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Espa&#241;ol</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Portugus</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="Glob_Zone" >
 	<tr style="color:blue; font-size:12px; font-weight:normal;">
		<td><xsl:value-of select="Label" /></td>
		<td><xsl:for-each select="Pattern">
			<xsl:call-template name="ID_PATTERN" />
			</xsl:for-each></td>
    </tr>
</xsl:template>

<xsl:template match="ZONES">
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="3" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">ZONAS</th>
        </tr>
        <tr>
            <td colspan="3" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zonas globales</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="30%">Etiqueta de Zona</td>
            <td style="font-size:12px; font-weight:bold;" width="25%">Patrn</td>
        </tr>
        <xsl:for-each select="Zone226">
            <xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
        
        <xsl:for-each select="Zone227">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone228">
           <xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone229">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
        
        <xsl:for-each select="Zone230">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone231">
			<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone232">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone233">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
		
		<xsl:for-each select="Zone234">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
    </table>
	
    <!-- Group Zones -->
	<table border="1" style="color:black; width:800px; left:50px;">
    <tr>        
        <th colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zonas (129~225)</th>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">N&#186; de zona</td>
        <td style="font-size:12px; font-weight:bold;">Etiqueta de Zona</td>
        <td style="font-size:12px; font-weight:bold;">Patrn</td>
        <td style="font-size:12px; font-weight:bold;">Recuento</td>
        <td style="font-size:12px; font-weight:bold;">Planta</td>
        <td style="font-size:12px; font-weight:bold;">Excluido</td>
    </tr>
    <xsl:for-each select="GroupWideZones">
    	<xsl:apply-templates select="."/>
	</xsl:for-each>
    </table>
	
	<!-- Local Zones -->
	<table border="1" style="color:black; width:800px; left:50px;">
    <tr>        
        <th colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zonas (1~128)</th>
    </tr>
	 <xsl:for-each select="PanelWideZones">
    	<xsl:apply-templates select="."/>
	</xsl:for-each>
	</table>
	
	<!-- Dual-zones -->
    <table border="1" style="color:black; width:800px; left:50px;">
    <tr>        
        <th colspan="13" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zona doble (18 pares)</th>
    </tr>
 
    <xsl:for-each select="DualZones">
        <xsl:apply-templates select="." />
    </xsl:for-each>
    </table>

	 <!-- Floors -->
    <table border="1" style="color:black; width:800px; left:50px; font-size:12px;">
    <tr>        
        <th colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Pisos (64 pisos)</th>
    </tr>
    
    <xsl:for-each select="Floors">
        <xsl:apply-templates select="."></xsl:apply-templates>
    </xsl:for-each>
    </table>
</xsl:template>

<xsl:template match="NETWORK">
	<table border="1" style="color:black; width:800px; left:50px;">
    	<tr>
            <th colspan="10" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">En red</th>
        </tr>
		<tr>
        	<td colspan="10" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Ajustes Bsicos</td>
        </tr>
		<tr>
        	<td style="font-size:12px; font-weight:bold;">Tarjeta de red instalada</td>
			<td style="font-size:12px; font-weight:bold;">Ethernet IN,Ethernet IN,Cable IN</td>
			<td style="font-size:12px; font-weight:bold;">Ethernet OUT,Fibra IN,Cable OUT</td>
			<td style="font-size:12px; font-weight:bold;">Ethernet,Fibra OUT,Ethernet IN</td>
            <td style="font-size:12px; font-weight:bold;">Topologa</td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="SWBInstall" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Supervise1" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Supervise2" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Supervise3" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
					<xsl:for-each select="Topology">
                    	<xsl:call-template name="Net_Topology"></xsl:call-template>
					</xsl:for-each>
			</td>	
        </tr>
	</table>
	<xsl:apply-templates select="NetNode"></xsl:apply-templates>
</xsl:template>

<xsl:template name="NetNode" match="NetNode">
    <table border="1" style="color:black; width:800px; left:50px;">
		<tr>
        	<td colspan="2" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Lista de centrales</td>
        </tr>
		<tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">ID de central</td>
            <td style="font-size:12px; font-weight:bold; display:none;" width="30%">ID de Grupo</td>
        </tr>
        <xsl:for-each select="Panel">
			<xsl:call-template name="Panel"></xsl:call-template>
		</xsl:for-each>
	</table>	
</xsl:template>

<xsl:template name="Panel">
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="ID" ></xsl:value-of></td>
        <td style="display:none"><xsl:value-of select="GID" ></xsl:value-of></td>
    </tr>
</xsl:template>

<xsl:template name="Net_Topology">
 <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Clase A</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Clase B</xsl:text></xsl:when>
 </xsl:choose>
</xsl:template>

<xsl:template match="Floors">
    <tr>
        <td style="font-size:12px; font-weight:bold;">Planta</td>
		<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
		<td style="font-size:12px; font-weight:bold;">Sandwich</td>
		<td style="font-size:12px; font-weight:bold;">Planta</td>
		<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
		<td style="font-size:12px; font-weight:bold;">Sandwich</td>
	</tr>
	<tr>
		<td>1&#186;</td>
		<xsl:for-each select="Floor1">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>33&#186;</td>
		<xsl:for-each select="Floor33">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>2&#186;</td>
		<xsl:for-each select="Floor2">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>34&#186;</td>
		<xsl:for-each select="Floor34">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>3&#186;</td>
		<xsl:for-each select="Floor3">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>35&#186;</td>
		<xsl:for-each select="Floor35">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>4&#186;</td>
		<xsl:for-each select="Floor4">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>36&#186;</td>
		<xsl:for-each select="Floor36">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>5&#186;</td>
		<xsl:for-each select="Floor5">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>37&#186;</td>
		<xsl:for-each select="Floor37">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>6&#186;</td>
		<xsl:for-each select="Floor6">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>38&#186;</td>
		<xsl:for-each select="Floor38">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>7&#186;</td>
		<xsl:for-each select="Floor7">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>39&#186;</td>
		<xsl:for-each select="Floor39">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>8&#186;</td>
		<xsl:for-each select="Floor8">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>40&#186;</td>
		<xsl:for-each select="Floor40">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>9&#186;</td>
		<xsl:for-each select="Floor9">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>41&#186;</td>
		<xsl:for-each select="Floor41">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>10&#186;</td>
		<xsl:for-each select="Floor10">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>42&#186;</td>
		<xsl:for-each select="Floor42">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
		<tr>
		<td>11&#186;</td>
		<xsl:for-each select="Floor11">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>43&#186;</td>
		<xsl:for-each select="Floor43">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>12&#186;</td>
		<xsl:for-each select="Floor12">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>44&#186;</td>
		<xsl:for-each select="Floor44">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>13&#186;</td>
		<xsl:for-each select="Floor13">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>45&#186;</td>
		<xsl:for-each select="Floor45">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>14&#186;</td>
		<xsl:for-each select="Floor14">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>46&#186;</td>
		<xsl:for-each select="Floor46">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>15&#186;</td>
		<xsl:for-each select="Floor15">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>47&#186;</td>
		<xsl:for-each select="Floor47">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>16&#186;</td>
		<xsl:for-each select="Floor16">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>48&#186;</td>
		<xsl:for-each select="Floor48">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>17&#186;</td>
		<xsl:for-each select="Floor17">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>49&#186;</td>
		<xsl:for-each select="Floor49">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>18&#186;</td>
		<xsl:for-each select="Floor18">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>50&#186;</td>
		<xsl:for-each select="Floor50">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>19&#186;</td>
		<xsl:for-each select="Floor19">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>51&#186;</td>
		<xsl:for-each select="Floor51">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>20&#186;</td>
		<xsl:for-each select="Floor20">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>52&#186;</td>
		<xsl:for-each select="Floor52">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
		<tr>
		<td>21&#186;</td>
		<xsl:for-each select="Floor21">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>53&#186;</td>
		<xsl:for-each select="Floor53">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>22&#186;</td>
		<xsl:for-each select="Floor22">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>54&#186;</td>
		<xsl:for-each select="Floor54">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>23&#186;</td>
		<xsl:for-each select="Floor23">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>55&#186;</td>
		<xsl:for-each select="Floor55">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>24&#186;</td>
		<xsl:for-each select="Floor24">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>56&#186;</td>
		<xsl:for-each select="Floor56">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>25&#186;</td>
		<xsl:for-each select="Floor25">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>57&#186;</td>
		<xsl:for-each select="Floor57">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>26&#186;</td>
		<xsl:for-each select="Floor26">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>58&#186;</td>
		<xsl:for-each select="Floor58">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>27&#186;</td>
		<xsl:for-each select="Floor27">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>59&#186;</td>
		<xsl:for-each select="Floor59">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>28&#186;</td>
		<xsl:for-each select="Floor28">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>60&#186;</td>
		<xsl:for-each select="Floor60">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>29&#186;</td>
		<xsl:for-each select="Floor29">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>61&#186;</td>
		<xsl:for-each select="Floor61">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>30&#186;</td>
		<xsl:for-each select="Floor30">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>62&#186;</td>
		<xsl:for-each select="Floor62">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
		<tr>
		<td>31&#186;</td>
		<xsl:for-each select="Floor31">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>63&#186;</td>
		<xsl:for-each select="Floor63">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>32&#186;</td>
		<xsl:for-each select="Floor32">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>64&#186;</td>
		<xsl:for-each select="Floor64">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
</xsl:template>

<xsl:template match="GroupWideZones">
	<xsl:for-each select="Z">
		 <xsl:call-template name="Zone" />
	</xsl:for-each>
</xsl:template>

<xsl:template match="PanelWideZones">
	<xsl:for-each select="GroupPanel">
		 <xsl:call-template name="GroupPanel" />
	</xsl:for-each>
</xsl:template>

<xsl:template name="GroupPanel">
	<tr style="font-size:12px;">        
        <td align="left" style="font-weight:bold;">ID de central</td>
		<td colspan="2" style="color:blue;"><xsl:value-of select="PID"/></td>
		<td align="left" style="font-weight:bold;">Confirmar</td>
		<td colspan="2" style="color:blue;"><xsl:value-of select="Confirm"/></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">N&#186; de zona</td>
        <td style="font-size:12px; font-weight:bold;">Etiqueta de Zona</td>
        <td style="font-size:12px; font-weight:bold;">Patrn</td>
        <td style="font-size:12px; font-weight:bold;">Recuento</td>
        <td style="font-size:12px; font-weight:bold;">Planta</td>
        <td style="font-size:12px; font-weight:bold;">Excluido</td>
    </tr>
	<xsl:for-each select="Z">
		 <xsl:call-template name="Zone" />
	</xsl:for-each>
</xsl:template>

<xsl:template match="DualZones">
      <tr align="center">
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 1</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 2</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 3</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 4</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 5</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 6</td>
    </tr>
	<tr>
    <xsl:for-each select="group1">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	<xsl:for-each select="group2">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	 </tr>
	   <tr align="center">
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 7</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 8</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 9</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 10</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 11</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 12</td>
    </tr>
    <tr>
    <xsl:for-each select="group3">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	<xsl:for-each select="group4">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	 </tr>
    <tr align="center">
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 13</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 14</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 15</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 16</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 17</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 18</td>
    </tr>
    <tr>
    <xsl:for-each select="group5">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	<xsl:for-each select="group6">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	 </tr>
</xsl:template>

<xsl:template name="PairTemplate">
    <td style=" color:blue;"><xsl:value-of select="PPid11" />-<xsl:value-of select="Pair11" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid12" />-<xsl:value-of select="Pair12" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid21" />-<xsl:value-of select="Pair21" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid22" />-<xsl:value-of select="Pair22" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid31" />-<xsl:value-of select="Pair31" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid32" />-<xsl:value-of select="Pair32" /></td>
</xsl:template>

<xsl:template name="Flr">
    <td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="Label" /></td>
	<td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="Sandwich" /></td>
</xsl:template>

<xsl:template match="TimeFormat">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>12</xsl:text> <xsl:text>h</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>24</xsl:text> <xsl:text>h</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Formato de Hora No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="Zone" >
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td width="10%"><xsl:value-of select="N" /></td>
        <td width="20%"><xsl:value-of select="L" /></td>
        <td width="20%"><xsl:for-each select="P">
                        <xsl:call-template name="ID_PATTERN" />
                        </xsl:for-each></td>
        <td width="20%"><xsl:value-of select="C" /></td>
        <td width="10%"><xsl:value-of select="F" /></td>
        <td width="20%"><xsl:for-each select="B">
                        <xsl:call-template name="Bypass" />
                        </xsl:for-each></td>
    </tr>
</xsl:template>

<xsl:template match="REPORT">
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="3" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Reporte</th>
        </tr>
        <tr>
            <td colspan="3" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Ajustes de Cuenta Principal</td>
        </tr> 
        <xsl:apply-templates select="Primary" />
        
        <tr>
            <td colspan="3" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Ajustes de Cuenta Secundaria</td>
        </tr> 
        <xsl:apply-templates select="Secondary" />
        
        <xsl:apply-templates select="PSTN" />
        
        <xsl:apply-templates select="Reporting" />
		<xsl:apply-templates select="Email" />
    </table>    
</xsl:template>

<xsl:template match="Primary|Secondary" >
        <tr>
            <td rowspan="6" style="font-size:12px; font-weight:bold; text-align:center; ">Datos Bsicos</td>
            <td width="25%" style="font-size:12px; font-weight:bold;">Seleccin RPTC/IP/Desactivar</td>  
            <td width="75%" style="font-size:12px; font-weight:12px; color:blue;">        
                <xsl:apply-templates select="AccountAttr" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Nmero de Cuenta</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AccountNum" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Formato de Reporte</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:apply-templates select="RepFormat" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Hora de Autoprueba</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AutoTestHour" />:<xsl:value-of select="AutoTestMin" />
                <xsl:choose>
                    <xsl:when test="AutoTestPM = 'FALSE'"><xsl:text> AM</xsl:text></xsl:when>
                    <xsl:otherwise><xsl:text> PM</xsl:text></xsl:otherwise>
                </xsl:choose>
            </td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Intervalo de Autoprueba</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:apply-templates select="AutoTestIntervall" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Mx. de Intentos</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="MaxAttempt" /></td>
        </tr>
        <tr>
            <td rowspan="1" style="font-size:12px; text-align:center; font-weight:bold;">RPTC</td>
            <td style="font-size:12px; font-weight:bold;">Nmero de Telfono</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="PhoneNum" /></td>
        </tr>
        <tr>
            <td rowspan="7" style="font-size:12px; text-align:center; font-weight:bold;" width="15%">Reporte de IP de Conettix</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Direccin IP de la Receptora</td>
            <td style="font-size:12px; font-weight:12px; color:blue;" width="65%">
                <xsl:value-of select="IPAddr" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Nmero de Puerto</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="Port" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Sin Reproduccin</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AntiReplay" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Intervalo de Sondeo</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="PollInt" /> s</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Tiempo espera reconocim.</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AckTime" /> s</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Cifrado activado</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="Encryption" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Cadena Clave</td>
            <td style="font-size:12px; font-weight:12px; color:blue;"><div id="keystring_value"><xsl:text>********************************</xsl:text></div><div id="keystring_encrypted"><xsl:text> (Cifrado)</xsl:text></div><!-- <xsl:value-of select="KeyString" /> --></td>
        </tr>
</xsl:template>

<xsl:template match="AccountAttr" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>RPTC</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>IP</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Desactivar</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="RepFormat">
    <xsl:choose>
        <xsl:when test=". = 1"><xsl:text>SIA-DCS 300 sin Texto</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>ID de Contacto</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Modem IIIa2 sin Texto</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>SIA-DCS 300 con texto</xsl:text></xsl:when>
        <xsl:when test=". = 5"><xsl:text>Modem IIIa2 con Texto</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Formato de Reporte No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="AutoTestIntervall">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Desactivar</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>4</xsl:text> <xsl:text> h</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>12</xsl:text> <xsl:text> h</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>24</xsl:text> <xsl:text> h</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>7</xsl:text> <xsl:text> das</xsl:text></xsl:when>
        <xsl:when test=". = 5"><xsl:text>28</xsl:text> <xsl:text> das</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Intervalos de Autoprueba No Vlidos</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="Dialing">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Tono</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Pulsos</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Automtico</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template match="PSTN">
        <tr>
            <td style="font-size:12px; font-weight:bold; background:#CCCCCC; border:1; " colspan="3">Ajustes de Comunicador RPTC</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Tipo de Marcacin</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2"><xsl:apply-templates select="Dialing" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Lnea de Monitor 1</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2">
                <xsl:value-of select="Line1" /></td>
        </tr>
		<tr>
            <td style="font-size:12px; font-weight:bold;">Tono llam. Ln. 1</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2">
                <xsl:value-of select="Line1RingCount" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Lnea de Monitor 2</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2">
                <xsl:value-of select="Line2" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Intervalo de Rellamada</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2"><xsl:value-of select="DialInterval" /> s</td>
        </tr>
</xsl:template>

<xsl:template match="Reporting">
    <tr>
        <td style="font-size:12px; font-weight:bold;">Alarmas</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="FireAlarm" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Supervisin</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="Supervisory" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Rearme alarma</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="FireRestore" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Restauracin de supervisin</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="SupervRestore" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Problema/Restauracin</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="TroubleRes" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Prueba</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="Test" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Silencio</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="RepSilence" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Restablecer</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="Reset" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Evacuacin de incendios</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="FireDrill" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;"><xsl:text>Informar de eventos/operaciones desde</xsl:text>:</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="ReportWide" /></td>
    </tr>
</xsl:template>
	
<xsl:template match="Email">
	 <tr>
     	<td style="font-size:12px; font-weight:bold; background:#CCCCCC; border:1; " colspan="3">Ajustes de correo electrnico</td>
     </tr>
	 <tr>
        <td colspan="1" style="font-size:12px; font-weight:bold;">Activar notificacin de correo electrnico</td>
        <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="EmailEnable" /></td>
    </tr>
    <tr>
        <td rowspan="4" style="font-size:12px; font-weight:bold;">Personalizacin de correo</td>
       	<td width="25%" style="font-size:12px; font-weight:bold;">Direccin de envo 1</td>
	    <td width="75%" style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="Addr1" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Direccin de envo 2</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Addr2" /></td>
    </tr>
	 <tr>
        <td style="font-size:12px; font-weight:bold;">Direccin de envo 3</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Addr3" /></td>
    </tr>
	 <tr>
        <td style="font-size:12px; font-weight:bold;">Direccin de envo 4</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Addr4" /></td>
    </tr>
    <tr>
        <td rowspan="4"  style="font-size:12px; font-weight:bold;">Ajustes de servidor SMTP</td>
       	<td width="25%"  style="font-size:12px; font-weight:bold;">Direccin IP</td>
	    <td width="75%" style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="SMTPIP" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;">Puerto</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="SMTPPort" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;">Nombre de usuario</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="SMTPUser" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;">Contrase&#241;a</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="SMTPPwd" /></td>
    </tr>
</xsl:template>

<xsl:template match="FireAlarm|Supervisory|FireRestore|SupervRestore|TroubleRes|Test|RepSilence|Reset|FireDrill">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Slo principal</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Slo secundario</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Primario y secundario</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Secundario como copia de seguridad</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>Ningn reporte</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="T_LOOPS" match="LOOP1|LOOP2">

    <table border="1" style="color:black; width:800px; left:50px;">
        <xsl:for-each select="Device">
            <xsl:choose>
                <xsl:when test="DeviceType = '2'">
                    <xsl:call-template name="DEV_SLC"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '3' or DeviceType = '27' or DeviceType = '32' or DeviceType = '34'">
                    <xsl:call-template name="DEV_SMOKE_P"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '4' or DeviceType = '26' or DeviceType = '33'">
                    <xsl:call-template name="DEV_SMOKE_D"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '5' or DeviceType = '29'">
                    <xsl:call-template name="DEV_HEAT"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '6'">
                    <xsl:call-template name="DEV_SMOKE_I"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '7' or DeviceType = '30' or DeviceType = '31' or DeviceType = '35' or DeviceType = '36'">
                    <xsl:call-template name="DEV_SMOKE_M" ></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '10'">
                    <xsl:call-template name="DEV_CONVZ_MOD"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '8' or DeviceType = '11' or DeviceType = '18' or DeviceType = '19' or DeviceType = '20' or DeviceType = '21'">
                    <xsl:call-template name="DEV_CONT_MOD"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '12' or DeviceType = '17' or DeviceType = '22' or DeviceType = '23' or DeviceType = '24' or DeviceType = '25'">
                    <xsl:call-template name="DEV_RELAY_MOD"></xsl:call-template>
                </xsl:when>
				<xsl:when test="DeviceType = '13' or DeviceType = '14' or DeviceType = '15'">
					<xsl:call-template name="DEV_NAC_MOD"></xsl:call-template>
				</xsl:when>
				<xsl:when test="DeviceType = '16'">
					<xsl:call-template name="DEV_BASE_SND"></xsl:call-template>
				</xsl:when>
            </xsl:choose>
        </xsl:for-each>
    </table>
	
</xsl:template>

<xsl:template name="DEV_SLC">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th>Etiqueta</th>
        <th>Excluido</th>
        <th>Activar</th>
        <th>Topologa</th>
        <th>Tipo de Lazo</th>
        <th colspan="2">Nmero de Elementos</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:value-of select="Enable" ></xsl:value-of></td>
        <td><xsl:apply-templates select="Topology" ></xsl:apply-templates></td>
        <td><xsl:call-template name="DEV_LOOPTYPE"></xsl:call-template></td>
        <td colspan="2"><xsl:value-of select="NumElements" ></xsl:value-of></td>
    </tr>
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_LOOPTYPE" match="LoopType">
	<!-- LoopType -->
	<xsl:choose>
		<xsl:when test="LoopType = 0">Lazo SLC</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="DEV_SMOKE_P" match="Device">
    <!--line 1 for DEV_SMOKE_P-->
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
       <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>	
	
    <!--line 2 for DEV_SMOKE_P-->
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th colspan="2">Sensibilidad</th>
        <th colspan="2">Sensibilidad de Da</th>

	    <xsl:choose>
            <xsl:when test="DeviceType = '27' or DeviceType = '32' or DeviceType = '34'">
            <th>Parpadeo de Led</th>
	        </xsl:when>
	        <xsl:otherwise>
			</xsl:otherwise>
        </xsl:choose>
	</tr>
	      
	<tr style="font-size:12px; font-weight:normal; color:blue;">
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>

	    <xsl:choose>
            <xsl:when test="DeviceType = '27' or DeviceType = '32' or DeviceType = '34'">
            <td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
	        </xsl:when>
	        <xsl:otherwise>
			</xsl:otherwise>
        </xsl:choose>
    </tr>
   
	<!--line 3 for DEV_SMOKE_P-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_SMOKE_D">
    <!--line 1 for DEV_SMOKE_D-->
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		    </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5"></xsl:call-template></td>
        <td><xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		    </xsl:for-each>
		</td>
    </tr>
		
    <!--line 2 for DEV_SMOKE_D-->	
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th colspan="2">Sensibilidad</th>
        <th colspan="2">Sensibilidad de Da</th>

        <th>Rel</th>
		
	    <xsl:choose>
		<xsl:when test="DeviceType = '33'">
		<th>Parpadeo de Led</th>
		<th colspan="3"></th>
        </xsl:when>
   		<xsl:otherwise>
		<th colspan="4"></th>
   		</xsl:otherwise>
        </xsl:choose> 
    </tr>

	<tr style="font-size:12px; color:blue; font-weight:normal;">
		<td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
		<td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>

		<xsl:choose>
		<xsl:when test="Relay = 'TRUE'">
			<td>TRUE</td>
		</xsl:when>
		<xsl:otherwise>
			<td>FALSE</td>
		</xsl:otherwise>
	    </xsl:choose> 

		<xsl:choose>
			<xsl:when test="DeviceType = '33'">
			<td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
			<td colspan="3"></td>
			</xsl:when>
			<xsl:otherwise>
			<td colspan="4"></td>
			</xsl:otherwise>
		 </xsl:choose> 
	</tr>

    <!--line 3 for DEV_SMOKE_D-->	
	<xsl:choose>
		<xsl:when test="Relay = 'TRUE'">
		<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
			<th style="background-color:white;" rowspan="2"></th>
			<th rowspan="2" style="color:blue; background:white;">Rel de Ducto</th>
			<th colspan="2">Etiqueta</th>
			<th>Excluido</th>
			<th colspan="2">Zonas</th>
			<xsl:choose>
			<xsl:when test="DeviceType = '33'">
				<th>Secuencial</th>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
			</xsl:choose> 
		</tr>
			<xsl:call-template name="SMOKE_D_RELAY"></xsl:call-template>
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
    
	<!--line 4 for DEV_SMOKE_D-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="SMOKE_D_RELAY" match="DuctRelay|DuctRelay440">
	  <xsl:for-each select="DuctRelay|DuctRelay440">
	  <tr style="font-size:12px; font-weight:normal; color:blue;">
		<td colspan="2"><xsl:value-of select="Label"></xsl:value-of></td>
		<td><xsl:value-of select="Bypassed"></xsl:value-of></td>
		<td colspan="2"><xsl:call-template name="RelayZone1_5"></xsl:call-template></td>
		<td><xsl:value-of select="Sequential"></xsl:value-of></td> 
	 </tr>
	 </xsl:for-each>
</xsl:template>

<xsl:template name="DEV_HEAT">
    <!--line 1 for DEV_HEAT-->	
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>

    <!--line 2 for DEV_HEAT-->	
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th colspan="2">Sensibilidad</th>
        <th colspan="2">Sensibilidad de Da</th>
		<xsl:choose>
			<xsl:when test="DeviceType = '29'">
			<th>Parpadeo de Led</th>
			<th>ndice RTI</th>
			<th>Grado de elevacin (RoR)</th>
			<th>RoR de da</th>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose> 
    </tr>

    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>
		<xsl:choose>
			<xsl:when test="DeviceType = '29'">
			<td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
			<td><xsl:apply-templates select="RTI"></xsl:apply-templates></td>
			<td><xsl:value-of select="RoR"></xsl:value-of></td>
			<td><xsl:value-of select="DayRoR"></xsl:value-of></td>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
   		</xsl:choose> 
    </tr>
		
	<!--line 3 for DEV_HEAT-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_SMOKE_I">
	<!--line 1 for DEV_SMOKE_I-->	
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>

	<!--line 2 for DEV_SMOKE_I-->	
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th colspan="2">Sensibilidad</th>
        <th colspan="2">Sensibilidad de Da</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>
    </tr>
	
	<!--line 3 for DEV_SMOKE_I-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_SMOKE_M">
    <!--line 1 for DEV_SMOKE_M-->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
    
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
	
    <!--line 2 for DEV_SMOKE_M-->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Etiqueta de Humo</th>
        <th>Tipo de Punto de Humo</th>
        <th>Modo de Funcionamiento</th>
        <th colspan="2">Modo de Da de Funcionamiento</th>
        <th colspan="2">Sensibilidad de Humo</th>
        <th colspan="2">Sensibilidad de Da de Humo</th>
    </tr>
	
	<tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="SmokeLabel" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="SmokePointType">
				  <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
		 <td>
		   <xsl:for-each select="WorkingMode">
				  <xsl:call-template name="WorkingMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td  colspan="2">
		   <xsl:for-each select="WorkingDayMode">
				  <xsl:call-template name="WorkingMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>
    </tr>
	
    <!--line 3 for DEV_SMOKE_M-->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Parpadeo de Led</th>
		<xsl:choose>
			<xsl:when test="DeviceType = '30' or DeviceType = '31' or DeviceType = '35' or DeviceType = '36'">
			<th colspan="2">Sensibilidad al calor</th>
        	<th colspan="2">Sensibilidad de da al calor</th>
			<th>Grado de elevacin (RoR)</th>
        	<th>RoR de da</th>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose> 
	</tr>
     	  
	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
		<xsl:choose>
			<xsl:when test="DeviceType = '30' or DeviceType = '31' or DeviceType = '35' or DeviceType = '36'">
			<td colspan="2"><xsl:for-each select="HeatSensitivity">
				<xsl:call-template name="FixSensitivity"></xsl:call-template>
			</xsl:for-each></td>
			<td colspan="2"><xsl:for-each select="HeatDaySensitivity">
				<xsl:call-template name="FixSensitivity"></xsl:call-template>
			</xsl:for-each></td>
			<td><xsl:value-of select="RoR" ></xsl:value-of></td>
			<td><xsl:value-of select="DayRoR"></xsl:value-of></td>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose> 
	</tr>

    <!--line 4 for DEV_SMOKE_M-->
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_CONVZ_MOD">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_CONT_MOD">
    <xsl:choose>
        <xsl:when test="DeviceType = '11'">
            <xsl:call-template name="DEV_CONT_MOD_DUAL"></xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="DEV_CONT_MOD_SINGLE"></xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="DEV_CONT_MOD_DUAL">
    <!--line 1 for DEV_CONT_MOD_DUAL-->	
	<tr  style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th>Etiqueta</th>
        <th colspan="6"></th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td colspan="6"></td>
    </tr>

    <!--line 2 for DEV_CONT_MOD_DUAL-->	
    <xsl:for-each select="Input1">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th style="background-color:white;" rowspan="2"></th>
        <th style="color:blue; background-color:white;" rowspan="2">Entrada 1</th>
        <th>Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th>Tipo de entrada</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
		<td><xsl:apply-templates select="InputType" ></xsl:apply-templates></td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
    </xsl:for-each>
    <xsl:for-each select="Input2">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th style="background-color:white;" rowspan="2"></th>
		<th style="color:blue; background-color:white;" rowspan="2">Entrada 2</th>
        <th>Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th>Tipo de entrada</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Retardo</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td><xsl:apply-templates select="InputType" ></xsl:apply-templates></td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
    </xsl:for-each>
    <!--line 3 for DEV_CONT_MOD_DUAL-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_CONT_MOD_SINGLE">
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Tipo de Punto</th>
        <th>Tipo de Entrada</th>
		<th colspan="2">Zonas</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td><xsl:apply-templates select="InputType" ></xsl:apply-templates></td>
		<td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
    </tr>

	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Modo de Retardo</th>
		<xsl:choose>
			<xsl:when test="DeviceType = '8'">
			</xsl:when>
			<xsl:otherwise>
        	<th>Tipo de Cableado</th>
			</xsl:otherwise>
		</xsl:choose>
	</tr>

	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
		<xsl:choose>
			<xsl:when test="DeviceType = '8'">
			</xsl:when>
			<xsl:otherwise>
				<td>
				<xsl:apply-templates select="WiringType" ></xsl:apply-templates>
				</td>
			</xsl:otherwise>
		</xsl:choose>
	</tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_NAC_MOD">
	<!-- table column count == 9 -->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Direccin</th>
		<th>Tipo de Dispositivo</th>
		<th colspan="2">Etiqueta</th>
		<th>Excluido</th>
		<th>Silenciable</th>
		<th colspan="2">Zonas</th>
		<th>Patrn</th>
	</tr>
	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td><xsl:value-of select="Address"></xsl:value-of></td>
		<td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
		<td colspan="2"><xsl:value-of select="Label"></xsl:value-of></td>
		<td><xsl:value-of select="Bypassed"></xsl:value-of></td>
		<td><xsl:value-of select="Drillenceable"></xsl:value-of></td>
		<td colspan="2"><xsl:call-template name="OutputZone1_5"></xsl:call-template></td>
		<td><xsl:value-of select="Pattern"></xsl:value-of></td>
	</tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_BASE_SND">
	<tr  style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Direccin</th>
		<th>Tipo de Dispositivo</th>
		<th colspan="2">Etiqueta</th>
		<th>Excluido</th>
		<th>Silenciable</th>
		<th>Zona</th>
		<th>Patrn</th>
		<th>Activado por host</th>
	</tr>
	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td><xsl:value-of select="Address"></xsl:value-of></td>
		<td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
		<td colspan="2"><xsl:value-of select="Label"></xsl:value-of></td>
		<td><xsl:value-of select="Bypassed"></xsl:value-of></td>
		<td><xsl:value-of select="Drillenceable"></xsl:value-of></td>
		<td><xsl:value-of select="Zone1"></xsl:value-of></td>
		<td><xsl:value-of select="Pattern"></xsl:value-of></td>
		<td><xsl:value-of select="ActivatedbyHost"></xsl:value-of></td>
	</tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_RELAY_MOD">
    <xsl:choose>
        <xsl:when test="DeviceType = '17'">
            <xsl:call-template name="DEV_RELAY_MOD_SINGLE"></xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="DEV_RELAY_MOD_DUAL"></xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="DEV_RELAY_MOD_DUAL">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta de dispositivo</th>
        <th colspan="5"></th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td colspan="5"></td>
    </tr>
    <xsl:for-each select="Relay1">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th style="background-color:white;" rowspan="2"></th>
        <th style="color:blue; background-color:white;" rowspan="2">Rel 1</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Evacuable</th>
        <th colspan="2">Zonas</th>
        <th>Secuencial</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <!-- <td colspan="2"></td> -->
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:value-of select="Drillenceable" ></xsl:value-of></td>
        <td colspan="2"><xsl:call-template name="OutputZone1_5" ></xsl:call-template></td>
        <td><xsl:value-of select="Sequential" ></xsl:value-of></td>
    </tr>
    </xsl:for-each>
    <xsl:for-each select="Relay2">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th style="background-color:white;" rowspan="2"></th>
		<th style="color:blue; background-color:white;" rowspan="2">Rel 2</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Evacuable</th>
        <th colspan="2">Zonas</th>
        <th>Secuencial</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <!-- <td colspan="2"></td> -->
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:value-of select="Drillenceable" ></xsl:value-of></td>
        <td colspan="2"><xsl:call-template name="OutputZone1_5" ></xsl:call-template></td>
        <td><xsl:value-of select="Sequential" ></xsl:value-of></td>
    </tr>
    </xsl:for-each>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_RELAY_MOD_SINGLE">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Direccin</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Etiqueta</th>
        <th>Excluido</th>
        <th>Evacuable</th>
        <th colspan="2">Zonas</th>
        <th>Secuencial</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address"></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType" ></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed"></xsl:value-of></td>
        <td><xsl:value-of select="Drillenceable"></xsl:value-of></td>
        <td colspan="2"><xsl:call-template name="OutputZone1_5"></xsl:call-template></td>
        <td><xsl:value-of select="Sequential"></xsl:value-of></td>
    </tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template match="Topology" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>clase</xsl:text> <xsl:text>A</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>1 x </xsl:text> <xsl:text>clase</xsl:text> <xsl:text>B</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>2 x </xsl:text> <xsl:text>clase</xsl:text> <xsl:text>B</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Tipo de Topologa No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="DeviceType">
    <xsl:choose>
        <xsl:when test=". = '2'">SLC</xsl:when>
        <xsl:when test=". = '3'">FAP-325</xsl:when>
        <xsl:when test=". = '4'">FAD-325</xsl:when>
        <xsl:when test=". = '5'">FAH-325</xsl:when>
        <xsl:when test=". = '6'">FAI-325</xsl:when>
        <xsl:when test=". = '7'">FAP-325-T</xsl:when>
        <xsl:when test=". = '8'">FLM-325-I4</xsl:when>
        <xsl:when test=". = '9'">FMM-325-A</xsl:when>
        <xsl:when test=". = '10'">FLM-325-CZM4</xsl:when>
        <xsl:when test=". = '11'">FLM-325-2I4</xsl:when>
        <xsl:when test=". = '12'">FLM-325-2R4</xsl:when>
        <xsl:when test=". = '13'">FLM-325-N4</xsl:when>
        <xsl:when test=". = '14'">FLM-325-NA4</xsl:when>
        <xsl:when test=". = '15'">FLM-325-NAI4</xsl:when>
        <xsl:when test=". = '16'">FAA-325-B6S</xsl:when>
        <xsl:when test=". = '17'">D328A</xsl:when>
        <xsl:when test=". = '18'">FLM-325-I4-A</xsl:when>
        <xsl:when test=". = '19'">FLM-325-I4-AI</xsl:when>
        <xsl:when test=". = '20'">FLM-325-IW-A</xsl:when>
        <xsl:when test=". = '21'">FLM-325-IW-AI</xsl:when>
        <xsl:when test=". = '22'">FLM-325-2R4-2A</xsl:when>
        <xsl:when test=". = '23'">FLM-325-2R4-2AI</xsl:when>
        <xsl:when test=". = '24'">FLM-325-2R4-8A</xsl:when>
        <xsl:when test=". = '25'">FLM-325-2R4-8AI</xsl:when>   
        <xsl:when test=". = '26'">FAD-325-DH</xsl:when>
        <xsl:when test=". = '27'">FAP-325-V2</xsl:when>
        <xsl:when test=". = '28'">FMM-325A-D</xsl:when>
		<xsl:when test=". = '29'">FAH-440</xsl:when>
        <xsl:when test=". = '30'">FAP-440-T</xsl:when>
        <xsl:when test=". = '31'">FAP-440-TC</xsl:when>
        <xsl:when test=". = '32'">FAP-440</xsl:when>
        <xsl:when test=". = '33'">FAD-440-DH</xsl:when>   
        <xsl:when test=". = '34'">FAP-440-D</xsl:when>
        <xsl:when test=". = '35'">FAP-440-DT</xsl:when>
        <xsl:when test=". = '36'">FAP-440-DTC</xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="DelayMode" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Sin Retardo</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Verificacin de Alarma</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>SAP/Se&#241;al Previa</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>SAP(da)/VA(noche)</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Modo de Retardo No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="TP_Sensitivity">
	<xsl:choose>
		<xsl:when test="DeviceType = '5'">
			<xsl:for-each select="Sensitivity">
				<xsl:call-template name="TemperatureSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
			<xsl:for-each select="Sensitivity|SmokeSensitivity">
				<xsl:call-template name="LengthSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="TP_DaySensitivity">
	<xsl:choose>
		<xsl:when test="DeviceType = '5'">
			<xsl:for-each select="DaySensitivity">
				<xsl:call-template name="TemperatureSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
			<xsl:for-each select="DaySensitivity|SmokeDaySensitivity">
				<xsl:call-template name="LengthSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="TemperatureSensitivity">
    <xsl:choose>
	    	<xsl:when test=". = 0">135F/57C</xsl:when>
        	<xsl:when test=". = 1">137F/58C</xsl:when>
        	<xsl:when test=". = 2">139F/59C</xsl:when>
        	<xsl:when test=". = 3">141F/61C</xsl:when>
        	<xsl:when test=". = 4">143F/62C</xsl:when>
        	<xsl:when test=". = 5">145F/63C</xsl:when>
        	<xsl:when test=". = 6">147F/64C</xsl:when>
        	<xsl:when test=". = 7">149F/65C</xsl:when>
        	<xsl:when test=". = 8">150F/66C</xsl:when>
        	<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="FixSensitivity">
    <xsl:choose>
	    	<xsl:when test=". = 0">135F/57C ROR activado</xsl:when>
        	<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="LengthSensitivity">
    <xsl:choose>
	    	<xsl:when test=". = 0">0,90%/pies, 2,95%/m.</xsl:when>
        	<xsl:when test=". = 1">1,00%/pies, 3,30%/m.</xsl:when>
        	<xsl:when test=". = 2">1,25%/pies, 4,10%/m.</xsl:when>
        	<xsl:when test=". = 3">1,50%/pies, 4,90%/m.</xsl:when>
        	<xsl:when test=". = 4">1,75%/pies, 5,75%/m.</xsl:when>
        	<xsl:when test=". = 5">2,00%/pies, 6,55%/m.</xsl:when>
        	<xsl:when test=". = 6">2,25%/pies, 7,40%/m.</xsl:when>
        	<xsl:when test=". = 7">2,50%/pies, 8,20%/m.</xsl:when>
        	<xsl:when test=". = 8">2,75%/pies, 9,00%/m.</xsl:when>
			<xsl:when test=". = 9">3,00%/pies, 9,85%/m.</xsl:when>
			<xsl:when test=". = 10">3,25%/pies, 10,65%/m.</xsl:when>
			<xsl:when test=". = 11">3,50%/pies, 11,50%/m.</xsl:when>
        	<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>



<xsl:template match="InputType" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>NA con RFL</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>NC con RFL</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>NC sin RFL</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Tipo de Entrada No Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="WiringType" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Clase B</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Clase A</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Tipo de cableado no Vlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="Bypassed|Drillenceable" >
    <xsl:choose>
        <xsl:when test=". = FALSE"><xsl:text>Desactivado</xsl:text></xsl:when>
        <xsl:when test=". = TRUE"><xsl:text>Activado</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Sin Estado</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="Zone1_5">
	<xsl:value-of select="PID1"/>-<xsl:value-of select="Zone1"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID2"/>-<xsl:value-of select="Zone2"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID3"/>-<xsl:value-of select="Zone3"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID4"/>-<xsl:value-of select="Zone4"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID5"/>-<xsl:value-of select="Zone5"/>
</xsl:template>

<xsl:template name="OutputZone1_5">
	<xsl:value-of select="Zone1"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone2"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone3"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone4"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone5"/>
</xsl:template>

<xsl:template name="RelayZone1_5">
	<xsl:call-template name="OutputZone1_5"/>
</xsl:template>


<xsl:template match="Relay1|Relay2" >Ajustes de Rel1,Rel2[ Etiqueta:<xsl:value-of select="Label" /> Zonas:<xsl:call-template name="Zone1_5" />Excluido: <xsl:value-of select="Bypassed" />Alimentado en Estado Normal:<xsl:value-of select="ENormal" /> Evacuable:<xsl:value-of select="Drillenceable" />]<br/></xsl:template>

<xsl:template match="DuctRelay">Ajustes de Rel de Ducto[ Etiqueta:<xsl:value-of select="Label" /> Zonas:<xsl:call-template name="Zone1_5" />Excluido:<xsl:value-of select="Bypassed" />]<br/></xsl:template>

<xsl:template match="Input1|Input2" >Ajustes de Entrada1, Entrada2[ Etiqueta:<xsl:value-of select="Label" />Zonas:<xsl:call-template name="Zone1_5" />Excluido:<xsl:value-of select="Bypassed" /> Tipo de Punto:<xsl:call-template name="PointType" /> Tipo de Entrada:<xsl:apply-templates select="InputType" />]<br/></xsl:template>

<xsl:template name="PointType">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Autom. incendio</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Alarma de incendio manual</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Flujo de Agua</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Retardo de flujo de agua</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>Alarma de gas</xsl:text></xsl:when>
        <xsl:when test=". = 5"><xsl:text>Supervisin</xsl:text></xsl:when>
        <xsl:when test=". = 6"><xsl:text>Genrico</xsl:text></xsl:when>
        <xsl:when test=". = 7"><xsl:text>Problema</xsl:text></xsl:when>
        <xsl:when test=". = 8"><xsl:text>Fallo de CA</xsl:text></xsl:when>
        <xsl:when test=". = 9"><xsl:text>Fallo de Batera</xsl:text></xsl:when>
        <xsl:when test=". = 10"><xsl:text>Restablecer</xsl:text></xsl:when>
        <xsl:when test=". = 11"><xsl:text>Silencio</xsl:text></xsl:when>
        <xsl:when test=". = 12"><xsl:text>Evacuar</xsl:text></xsl:when>
        <xsl:when test=". = 13"><xsl:text>Reconocer</xsl:text></xsl:when>
		<xsl:when test=". = 14"><xsl:text>Alarma general</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="WorkingMode">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Multisens comb</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Multisens separ</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="Week">
		<xsl:choose>
            <xsl:when test=". = 1"><xsl:text>1&#186;</xsl:text></xsl:when>
            <xsl:when test=". = 2"><xsl:text>2&#186;</xsl:text></xsl:when>
			<xsl:when test=". = 3"><xsl:text>3&#186;</xsl:text></xsl:when>
            <xsl:when test=". = 4"><xsl:text>4&#186;</xsl:text></xsl:when>
			<xsl:when test=". = 5"><xsl:text>ltimo</xsl:text></xsl:when>
        </xsl:choose>
</xsl:template>

<xsl:template name="Month">
   		<xsl:choose>
            <xsl:when test=". = 1"><xsl:text>Enero</xsl:text></xsl:when>
            <xsl:when test=". = 2"><xsl:text>Febrero</xsl:text></xsl:when>
			<xsl:when test=". = 3"><xsl:text>Marzo</xsl:text></xsl:when>
            <xsl:when test=". = 4"><xsl:text>Abril</xsl:text></xsl:when>
			<xsl:when test=". = 5"><xsl:text>Mayo</xsl:text></xsl:when>
			<xsl:when test=". = 6"><xsl:text>Junio</xsl:text></xsl:when>
            <xsl:when test=". = 7"><xsl:text>Julio</xsl:text></xsl:when>
			<xsl:when test=". = 8"><xsl:text>Agosto</xsl:text></xsl:when>
            <xsl:when test=". = 9"><xsl:text>Septiembre</xsl:text></xsl:when>
			<xsl:when test=". = 10"><xsl:text>Octubre</xsl:text></xsl:when>
			<xsl:when test=". = 11"><xsl:text>Noviembre</xsl:text></xsl:when>
			<xsl:when test=". = 12"><xsl:text>Diciembre</xsl:text></xsl:when>
        </xsl:choose>
</xsl:template>

<xsl:template match="MAINBOARD" >
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="9" style=" background-color:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Placa Principal</th>
        </tr>
        <tr>
            <td colspan="9" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Rels</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Rels</td>
            <td style="font-size:12px; font-weight:bold;">Tipo de Rel</td>
            <td style="font-size:12px; font-weight:bold;">Zonas</td>
            <td style="font-size:12px; font-weight:bold;">Evacuable</td>
			<td style="font-size:12px; font-weight:bold;">Ext. se&#241;alizacin</td>
            <td style="font-size:12px; font-weight:bold;">Excluido</td>
            <td style="font-size:12px; font-weight:bold;">Alm E Norm</td>
            <td style="font-size:12px; font-weight:bold;">Secuencial</td>
            <td style="font-size:12px; font-weight:bold;">Etiqueta</td>
        </tr>
        
        <xsl:for-each select="Relay1">
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">Rel 1</td>
            <td><xsl:for-each select="RelayType">
                    <xsl:call-template name="MAINBOARD_RELAYTYPE"/>
                </xsl:for-each></td>
            <td><xsl:call-template name="OutputZone1_5" /></td>
            <td><xsl:value-of select="Drillenceable" /></td>
			<td><xsl:value-of select="Silenceable" /></td>
            <td><xsl:value-of select="Bypassed" /></td>
            <td><xsl:value-of select="ENormal" /></td>
            <td><xsl:value-of select="Sequential" /></td>
            <td><xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
        
        <xsl:for-each select="Relay2">
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">Rel 2</td>
            <td><xsl:for-each select="RelayType">
                <xsl:call-template name="MAINBOARD_RELAYTYPE"/>
                </xsl:for-each></td>
            <td><xsl:call-template name="OutputZone1_5" /></td>
            <td><xsl:value-of select="Drillenceable" /></td>
			<td><xsl:value-of select="Silenceable" /></td>
            <td><xsl:value-of select="Bypassed" /></td>
            <td><xsl:value-of select="ENormal" /></td>
            <td><xsl:value-of select="Sequential" /></td>
            <td><xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
        
        <xsl:for-each select="Relay3">
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">Rel 3</td>
            <td><xsl:for-each select="RelayType">
                    <xsl:call-template name="MAINBOARD_RELAYTYPE"/>
                </xsl:for-each></td>
            <td><xsl:call-template name="OutputZone1_5" /></td>
            <td><xsl:value-of select="Drillenceable" /></td>
			<td><xsl:value-of select="Silenceable" /></td>
            <td><xsl:value-of select="Bypassed" /></td>
            <td><xsl:value-of select="ENormal" /></td>
            <td><xsl:value-of select="Sequential" /></td>
            <td><xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
    </table>    
    
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">
            <td colspan="6" style="background:#CCCCCC; font-size:12px; font-weight:bold;">NAC</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">NAC</td>
            <td style="font-size:12px; font-weight:bold;">Patrn</td>
            <td style="font-size:12px; font-weight:bold;">Zonas</td>
            <td style="font-size:12px; font-weight:bold;">Silencio</td>
            <td style="font-size:12px; font-weight:bold;">Excluido</td>
            <td style="font-size:12px; font-weight:bold;">Etiqueta</td>
        </tr>
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">NAC 1</td>    
            <xsl:for-each select="NAC1">
                <xsl:call-template name="MAINBOARD_NACS" />
            </xsl:for-each>
        </tr>
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">NAC 2</td>
            <xsl:for-each select="NAC2">
                <xsl:call-template name="MAINBOARD_NACS" />
            </xsl:for-each>
        </tr>
    </table>
    
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">
            <td colspan="6" style="background:#CCCCCC; font-size:12px; font-weight:bold;">City Tie</td>
        </tr>
        <tr>
            <td colspan="1" style="font-size:12px; font-weight:bold;">City Tie Instalado: </td>
			<td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="CityTie/Installed" /></td>
        </tr>
		 <tr>
            <td colspan="1" style="font-size:12px; font-weight:bold;">Activado por eventos de: </td>
			<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:apply-templates select="CityTie/CityTieWide"></xsl:apply-templates></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">City Tie</td>
            <td style="font-size:12px; font-weight:bold;">Desactivado</td>
            <td style="font-size:12px; font-weight:bold;">Tipo</td>
            <td style="font-size:12px; font-weight:bold;">Excluido</td>
            <td style="font-size:12px; font-weight:bold;">Silenciable</td>
            <td style="font-size:12px; font-weight:bold;">Etiqueta</td>
        </tr>
        <xsl:for-each select="CityTie/CityTie1">
        <tr>
            <td style="font-size:12px; font-weight:normal;">City Tie 1</td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:if test="TieMode = 2"><xsl:text>TRUE</xsl:text></xsl:if>
				<xsl:if test="TieMode = 1"><xsl:text>FALSE</xsl:text></xsl:if>
                <xsl:if test="TieMode = 0"><xsl:text>FALSE</xsl:text></xsl:if></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:for-each select="RelayType">
                    <xsl:call-template name="CITYTIE_RELAYTYPE"/>
                </xsl:for-each></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Bypassed" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Silenceable" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
        <xsl:for-each select="CityTie/CityTie2">
        <tr>
            <td style="font-size:12px; font-weight:normal;">City Tie 2</td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:if test="TieMode = 2"><xsl:text>TRUE</xsl:text></xsl:if>
				<xsl:if test="TieMode = 1"><xsl:text>FALSE</xsl:text></xsl:if>
                <xsl:if test="TieMode = 0"><xsl:text>FALSE</xsl:text></xsl:if></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:for-each select="RelayType">
                    <xsl:call-template name="CITYTIE_RELAYTYPE"/>
                </xsl:for-each></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Bypassed" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Silenceable" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
    </table>            
</xsl:template>

<xsl:template name="CITYTIE_RELAYTYPE">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Alarma de incendio</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Problema</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Supervisin</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Alarma de Gas</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="LED_ZoneRange">
    <xsl:choose>
		<xsl:when test=". = 'FALSE'"><xsl:text>Zona 1-128</xsl:text></xsl:when>
        <xsl:when test=". = 'TRUE'"><xsl:text>Zona 129-225</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="MAINBOARD_NACS">
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:for-each select="Pattern">
            <xsl:call-template name="ID_MAINPATTERN" />
            </xsl:for-each></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:call-template name="OutputZone1_5" /></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Drillenceable" /></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Bypassed" /></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Label" /></td>
</xsl:template>

<xsl:template name="MB_ANNs">
	<tr style="font-weight:normal; color:black;">
		<td>1</td>
		<td>Zona 1-8</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7030x" /></td>
		<td>Zona 9-16</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7032" /></td>
		<td>5</td>
		<td>Zona 65-72</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7030x" /></td>
		<td>Zona 73-80</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>2</td>
		<td>Zona 17-24</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7030x" /></td>
		<td>Zona 25-32</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7032" /></td>
		<td>6</td>
		<td>Zona 81-88</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7030x" /></td>
		<td>Zona 89-96</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>3</td>
		<td>Zona 33-40</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7030x" /></td>
		<td>Zona 42-49</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7032" /></td>
		<td>7</td>
		<td>Zona 97-104</td>
		<td style="color:blue;"><xsl:value-of select="Ann7/D7030x" /></td>
		<td>Zona 105-112</td>
		<td style="color:blue;"><xsl:value-of select="Ann7/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>4</td>
		<td>Zona 50-57</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7030x" /></td>
		<td>Zona 58-65</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7032" /></td>
		<td>8</td>
		<td>Zona 113-120</td>
		<td style="color:blue;"><xsl:value-of select="Ann8/D7030x" /></td>
		<td>Zona 121-128</td>
		<td style="color:blue;"><xsl:value-of select="Ann8/D7032" /></td>
	</tr>
</xsl:template>

<xsl:template name="MB_ANNs_HIGH">
	<tr style="font-weight:normal; color:black;">
		<td>1</td>
		<td>Zona 129-136</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7030x" /></td>
		<td>Zona 137-144</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7032" /></td>
		<td>5</td>
		<td>Zona 193-200</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7030x" /></td>
		<td>Zona 201-208</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>2</td>
		<td>Zona 145-152</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7030x" /></td>
		<td>Zona 153-160</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7032" /></td>
		<td>6</td>
		<td>Zona 209-216</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7030x" /></td>
		<td>Zona 217-224</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>3</td>
		<td>Zona 161-168</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7030x" /></td>
		<td>Zona 169-176</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7032" /></td>
		<td>7</td>
		<td>Zona 225</td>
		<td style="color:blue;"><xsl:value-of select="Ann7/D7030x" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>4</td>
		<td>Zona 177-184</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7030x" /></td>
		<td>Zona 185-192</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7032" /></td>
	</tr>
</xsl:template>

<xsl:template match="OPTIONBUS">
	<table border="1" style="color:black; font-size:12px; width:800px; left:50px;">
        <tr>
            <th colspan="10" style="background-color:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Bus de Opciones</th>
        </tr>
		<tr>
			<td colspan="10" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Anunciadores LED</td>
		</tr>
		<tr>
			<td style="color:blue;" colspan="10"><xsl:for-each select="RepeatLED1to4">
					<xsl:call-template name="LED_ZoneRange" /></xsl:for-each></td>
		</tr>
		<tr style="font-weight:bold; color:black;">
			<td>Direccin</td>
			<td colspan="2">D7030X</td>
			<td colspan="2">D7032</td>
			<td>Direccin</td>
			<td colspan="2">D7030X</td>
			<td colspan="2">D7032</td>
		</tr>
		<xsl:choose>
			<xsl:when test="RepeatLED1to4 = 'FALSE'">
				<xsl:call-template name="MB_ANNs"></xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="MB_ANNs_HIGH"></xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</table>
	
	<table border="1" style="color:black; width:800px; font-size:12px; left:50px;">
		<tr>
			<td colspan="15" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Anunciadores LCD/Centros de comando (FMR-1000)</td>
		</tr>
		<tr></tr>
		<tr style="font-weight:bold;">
			<td>Direccin</td>
			<td>Activado</td>
			<td></td>
			<td>Direccin</td>
			<td>Activado</td>
			<td></td>
			<td>Direccin</td>
			<td>Activado</td>
			<td></td>
			<td>Direccin</td>
			<td>Activado</td>
		</tr>
		<tr>
			<td>16</td>
			<td style="color:blue;"><xsl:value-of select="Ann16" /></td>
			<td></td>
			<td>17</td>
			<td style="color:blue;"><xsl:value-of select="Ann17" /></td>
			<td></td>
			<td>18</td>
			<td style="color:blue;"><xsl:value-of select="Ann18" /></td>
			<td></td>
			<td>19</td>
			<td style="color:blue;"><xsl:value-of select="Ann19" /></td>
		</tr>
		<tr>
			<td>20</td>
			<td style="color:blue;"><xsl:value-of select="Ann20" /></td>
			<td></td>
			<td>21</td>
			<td style="color:blue;"><xsl:value-of select="Ann21" /></td>
			<td></td>
			<td>22</td>
			<td style="color:blue;"><xsl:value-of select="Ann22" /></td>
			<td></td>
			<td>23</td>
			<td style="color:blue;"><xsl:value-of select="Ann23" /></td>
		</tr>
	</table>
	
	<table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <td colspan="9" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Mdulos de 8 rels D7035 o Mdulos Driver Octal D7048</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="11" width="10%">Direccin 9</td>
			<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod9/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod9/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="5%">Salida</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Evacuable</td>
			<td style="font-size:12px; font-weight:bold;" width="10%">Ext. se&#241;alizacin</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Excluido</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Alm E Norm</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Secuencial</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Etiqueta</td>
        </tr>
        <xsl:apply-templates select="OutputMod9" />
         <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="11" width="10%">Direccin 10</td>
			<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod10/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod10/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="5%">Salida</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Evacuable</td>
			<td style="font-size:12px; font-weight:bold;" width="10%">Ext. se&#241;alizacin</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Excluido</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Alm E Norm</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Secuencial</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Etiqueta</td>
        </tr>
        <xsl:apply-templates select="OutputMod10" />
    </table>
	
	
	
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <td colspan="7" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Fuente de Alimentacin NAC Remota FPP-RNAC-8A-4A</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Direccin 11</td>
			<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC11/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC11/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Salida</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Patrn</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silencio</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Excluido</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Etiqueta</td>
        </tr>
        <xsl:apply-templates select="RNAC11" />
       <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Direccin 12</td>
			<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC12/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC12/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Salida</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Patrn</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silencio</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Excluido</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Etiqueta</td>
        </tr>        
        <xsl:apply-templates select="RNAC12" />
           <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Direccin 13</td>
			<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC13/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC13/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Salida</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Patrn</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silencio</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Excluido</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Etiqueta</td>
        </tr>
        <xsl:apply-templates select="RNAC13" />
        <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Direccin 14</td>
			<td style="font-size:12px; font-weight:bold;">Etiqueta</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC14/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC14/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Salida</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Patrn</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silencio</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Excluido</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Etiqueta</td>
        </tr>
        <xsl:apply-templates select="RNAC14" />
    </table>
</xsl:template>

<xsl:template match="FPA1000/OPTIONBUS/RNAC11|RNAC12|RNAC13|RNAC14" >
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>1</td>
        <xsl:for-each select="NAC1">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>2</td>
        <xsl:for-each select="NAC2">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>3</td>
        <xsl:for-each select="NAC3">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>4</td>
        <xsl:for-each select="NAC4">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
</xsl:template>

<xsl:template name="RNAC_NACS">
    <td style="color:blue; font-size:12px; font-weight:normal;">
        <xsl:call-template name="OutputZone1_5" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:for-each select="Pattern">
        <xsl:call-template name="ID_MAINPATTERN" />
        </xsl:for-each></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Drillenceable" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Bypassed" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Label" /></td>
</xsl:template>





<xsl:template match="OutputMod9|OutputMod10" >
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">1</td>
        <xsl:for-each select="Relay1">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">2</td>
        <xsl:for-each select="Relay2">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>    
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">3</td>
        <xsl:for-each select="Relay3">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">4</td>
        <xsl:for-each select="Relay4">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">5</td>
        <xsl:for-each select="Relay5">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>    
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">6</td>
        <xsl:for-each select="Relay6">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">7</td>
        <xsl:for-each select="Relay7">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">8</td>
        <xsl:for-each select="Relay8">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
</xsl:template>

<xsl:template name="OUTPUT_RELAYS" >
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:call-template name="OutputZone1_5" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Drillenceable" /></td>
	<td style="font-size:12px; font-weight:normal; color:blue;">
		<xsl:value-of select="Silenceable" /></td>	
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Bypassed" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="ENormal" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Sequential" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Label" /></td>
</xsl:template>

<xsl:template name="MAINBOARD_RELAYTYPE">
    <xsl:choose>
		<xsl:when test=". = 0"><xsl:text>Alarma de incendio</xsl:text></xsl:when>
		<xsl:when test=". = 1"><xsl:text>Problema</xsl:text></xsl:when>
		<xsl:when test=". = 2"><xsl:text>Supervisin</xsl:text></xsl:when>
		<xsl:when test=". = 3"><xsl:text>Alarma de Gas</xsl:text></xsl:when>
		<xsl:when test=". = 4"><xsl:text>Por zona</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="ID_MAINPATTERN">
    <xsl:choose>
        <xsl:when test=". = 1" ><xsl:text>Continuo</xsl:text></xsl:when>
        <xsl:when test=". = 2" ><xsl:text>Pulsado</xsl:text></xsl:when>
        <xsl:when test=". = 3" ><xsl:text>Cdigo Temporal 3</xsl:text></xsl:when>
		<xsl:when test=". = 4" ><xsl:text>Cdigo temporal 4</xsl:text></xsl:when>
        <xsl:when test=". = 5" ><xsl:text>Wheelock</xsl:text></xsl:when>
        <xsl:when test=". = 6" ><xsl:text>Gentex</xsl:text></xsl:when>
        <xsl:when test=". = 7" ><xsl:text>Sensor del Sistema</xsl:text></xsl:when>
		<xsl:when test=". = 8" ><xsl:text>Modo de fuente de alimentacin</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="ID_PATTERN">
    <xsl:choose>
		<xsl:when test=". = 0"><xsl:text>Predeterminado</xsl:text></xsl:when>
		<xsl:when test=". = 1"><xsl:text>Continuo</xsl:text></xsl:when>
		<xsl:when test=". = 2"><xsl:text>Pulsado</xsl:text></xsl:when>
		<xsl:when test=". = 3"><xsl:text>Cdigo temporal 3</xsl:text></xsl:when>
		<xsl:when test=". = 4"><xsl:text>Cdigo temporal 4</xsl:text></xsl:when>
		<xsl:when test=". = 5"><xsl:text>Wheelock</xsl:text></xsl:when>
		<xsl:when test=". = 6"><xsl:text>Gentex</xsl:text></xsl:when>
		<xsl:when test=". = 7"><xsl:text>Sensor del Sistema</xsl:text></xsl:when>
		<xsl:when test=". = 8"><xsl:text>Modo de fuente de alimentacin</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="RTI">
    <xsl:choose>
		<xsl:when test=". = 1"><xsl:text>Estndar</xsl:text></xsl:when>
		<xsl:when test=". = 2"><xsl:text>Rpido</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>

