/**
* Copyright (C) 2008, BOSCH Security Systems (Zhuhai)
* 
* Project: FPA-1000
*
* @file  ConFileButtonEventHandler.js
*
* @brief load or creat xml file
* 
* @author Tony
*
* @date Created: 2008/08/12
*
* $Source: /Repo-Fire/Projects/21_FirePanelPrototype/21_FirePanelPrototype_PWD/SW/CFP-webpage-offline/essential_htmls/ConFileButtonEventHandler.js,v $
*
* @version $Revision $
*
* History: 
*  $Log: ConFileButtonEventHandler.js,v $
*  Revision 1.2  2009/06/01 01:39:50  wau2zhu
*  modified the names matched with the html page names.
*
*
*/

// JavaScript Document
function ConFileButtonEvent_Apply(formdata){
xmldoc = this.opener.xmldoc;
if (formdata && formdata.name) 
	{	
		var looptag=formdata.name;
	}// end "if fromdata...."
	else
	{
		alert("no form name assigned!");
		return;
	}
	var loopxmldoc = xmldoc.getElementsByTagName(looptag);
	if (loopxmldoc.length>0) {  //if loop tag exists in xml file
		myform2xml(formdata, loopxmldoc[0]);
	}
	else
	{
	 	alert("Debug information:\n The xml doc doesn't contain a tree node with same name as the assigined form has!");
		return ;
	}
	//xmldoc.save("FPA1000.xml");
}

function ConFileButtonEvent_OK(formdata){
xmldoc = this.opener.xmldoc;
if (formdata && formdata.name) 
	{	
		var looptag=formdata.name;
	}// end "if fromdata...."
	else
	{
		alert("no form name assigned!");
		return;
	}
	var loopxmldoc = xmldoc.getElementsByTagName(looptag);
	if (loopxmldoc.length>0) {  //if loop tag exists in xml file
		myform2xml(formdata, loopxmldoc[0]);
	}
	else
	{
	 	alert("Debug information:\n The xml doc doesn't contain a tree node with same name as the assigined form has!");
		return ;
	}
	//xmldoc.save("FPA1000.xml");
	window.close();
}	

function ConFileButtonEvent_Cancel(){
	window.close();
}
