var gMaxIndex = 255;
var gBaseMaxIndex = new Array(1);
gBaseMaxIndex["16"] = 128;
var gMinIndex = 0;
var defaultConfFilePath = "../config/FPA1000.xml";
var validMaxAddr = 255;

var dGroups = new Array(15);
//not used devices
dGroups["NULL"] = new Array("0,NULL,0,16:0");
dGroups["UNKOWN"] = new Array("1,UNKOWN,0,16:0");
//used SLC devices
dGroups["SLC"] = new Array("2,SLC,0,16:0");
dGroups["SMOKE-P"] = new Array("3,FAP-325&#44;D323A,390,16:1","27,FAP-325-V2,400,16:0","32,FAP-440,230,16:1","34,FAP-440-D,230,16:1");
//,"32,FAP325-V2F,400,16:0","33,FAP325-V2R,400,16:0"); //VER2.0:"20,FAP440" (FAP325-F:?uA, FAP325-v2:?uA)
dGroups["SMOKE-M"] = new Array("7,FAP-325-T,600,16:1","30,FAP-440-T,230,16:1","31,FAP-440-TC,230,16:1","35,FAP-440-DT,230,16:1","36,FAP-440-DTC,230,16:1"); 
//,600,16:1"VER2.0:"22,FAP440-T","23,FAP440-D","24,FAP440-DT","25,FAP440-TC","26,FAP440-DTC"
dGroups["SMOKE-D"] = new Array("4,FAD-325&#44;D331A,390,16:0","33,FAD-440-DH,230,16:1"); //For Huaxiang,"50,FAD-325-DEMO,400,16:0"); 
//,"26,FAD-325-DH&#44;D323A-DH,110,16:0"); 
//dGroups["GAS-C"] = new Array(""); //VER2.0:"28,FAC440"
//dGroups["AMS"] = new Array("9,AMS,230"); 
dGroups["SMOKE-I"] = new Array("6,FAI-325&#44;D324A,350,16:1");
dGroups["HEAT"] = new Array("5,FAH-325&#44;D322A,350,16:1","29,FAH-440,230,16:1"); //VER2.0:"29,FAH440"
dGroups["BASE-SND"] = new Array("16,FAA-325-B6S,110,16:0"); //VER2.0:"30,FAA440-B6S"
//dGroups["BASE-RLY"] = new Array(""); //VER2.0:"31,FAA440-B6R"
dGroups["CONT-MOD"] = new Array("8,FLM-325-I4&#44;D326A&#44;FLM-325-IM,350,16:0","18,FLM-325-I4-A,350,16:0","19,FLM-325-I4-AI,350,16:0","11,FLM-325-2I4,600,16:0");
//"20,FLM-325-IW-A,350,16:0","21,FLM-325-IW-AI,350,16:0", //"9,FMM-325-A,0,16:0","28,FMM-325-A-D,350,16:0",
//dGroups["CONT-DBL"] = new Array("11,FLM325-2I4,600");
dGroups["CONVZ-MOD"] = new Array("10,FLM-325-CZM4,400,16:0");
dGroups["RELAY-MOD"] = new Array("12,FLM-325-2R4,150,16:0","22,FLM-325-2R4-2A,150,16:0","23,FLM-325-2R4-2AI,150,16:0","24,FLM325-2R4-8A,150,16:0","25,FLM-325-2R4-8AI,0,16:0","17,D328A,150,16:0"); 
dGroups["NAC-MOD"] = new Array("13,FLM-325-N4&#44;D327A,300,16:0","14,FLM-325-NA4,300,16:0","15,FLM-325-NAI4,300,16:0");

var gIDs = ["NULL","UNKOWN","SLC","SMOKE-P","SMOKE-M","SMOKE-D","SMOKE-I","HEAT","BASE-SND","CONT-MOD","CONVZ-MOD","RELAY-MOD","NAC-MOD"]; 

function findSubType(obj, name, flag){
	
	var gIDIndex = 0;
	var gID = 0;
	var tDevices = "";	
	var tWinName = "index.html";
	var firstSubTypeID = 0;
	
	if(obj != null){
		gIDIndex = obj.selectedIndex;
		gID = obj.options[gIDIndex].value;
		tDevices = dGroups[gID.toString()];	
		tWinName = gID + ".html";
	}else if(name != null){
		gID = name;
		tDevices = dGroups[gID.toString()];
		tWinName = gID+".html";
	}

	if(tDevices.length > 0){
	
		if(flag == true){	
		
			var subArrObj = null;
			if(DCPlooptag == "LOOP1")
				subArrObj = document.getElementById("NewDeviceType_Sub");
			else if(DCPlooptag == "LOOP2")
				subArrObj = document.getElementById("NewDeviceType_Sub2");
			
			while(subArrObj.hasChildNodes())
				subArrObj.removeChild(subArrObj.lastChild);

			for(var i=0; i<tDevices.length; i++){
				var curDevice = tDevices[i];
				var type = curDevice.split(',')[0];
				var name = curDevice.split(',')[1];
				var newElem = document.createElement("option");
				newElem.value = type;
				newElem.innerHTML = name;
				
				if(i == 0){
					firstSubTypeID = type;
					newElem.selected = "selected";
				}
				
				if(subArrObj)
					subArrObj.appendChild(newElem);
			}
		}else{
			var firstReturned = tDevices[0];
			var eachAttribute = firstReturned.split(",");
			return parseInt(eachAttribute[0]);
		}
	}else{
		firstSubTypeID = 0;
	}
	//add control to start address input component
	try{
		if(parseInt(firstSubTypeID) == 16)
			document.getElementById("NewDeviceAddress").value = 128;
		else
			document.getElementById("NewDeviceAddress").value = 1;
	}catch(errStartFrom){
		//exception occurs at no such html object on current page. ignore	
	}
	return firstSubTypeID;
}

var validBaseDevs = ["BASE-SND;16"];
var validBaseTypes = ["3,5,6,7"];

function searchAddressByGroup(gID, dtype){
		
		var gIndex = 0;
		var curAllAddressMap = null;
		
		if("LOOP1" == DCPLoopTag)
			curAllAddressMap = AddressMaploop1;
		else if("LOOP2" == DCPLoopTag)
			curAllAddressMap = AddressMaploop2;
		
		for(; gIndex < validBaseDevs.length; gIndex++){
			var curGroupID = validBaseDevs[gIndex].split(';')[0];
			if(gID == curGroupID){
				var baseIDs = validBaseDevs[gIndex].split(';')[1];
				var baseDevs = baseIDs.split(',');
				for(var j=0; j<baseDevs.length; j++){
					if(dtype == baseDevs[j]){
						var baseList = validBaseTypes[j];
						return searchBaseAddress(baseList, dtype, curAllAddressMap, 127);
					}
				}
				break;
			}
		}
		
		if(gIndex == validBaseDevs.length){
			for(var i=0; i+1<curAllAddressMap.length; i++){
				var j = i+1;
				var preAddress = curAllAddressMap[i];
				var postAddress = curAllAddressMap[j];
				
				if(1 < (parseInt(postAddress) - parseInt(preAddress))){
					return (1 + parseInt(preAddress));
				}else{
					continue;
				}
			}
		}
}

function getCurrentDeviceAddress(){
	var addr = document.getElementById("Address").value;
	return parseInt(addr);
}

function checkEditDeivceWrapper(field, typeObj){
	var result = null;
	
	try{
		result = checkDCPDeviceAddress(field, typeObj);
	}catch(errResult){
		//no such kind of exception should be occurred
	}
	
	if(result!=null&&result==true){
		if(parseInt(typeObj.value) == 16){
			document.getElementById("Address").value = 128;
		}else{
			document.getElementById("Address").value = 1;
		}
	}
}

function checkDCPDeviceAddress(field, typeObj){
	
	var minVal = 1;
	var maxVal = 254;
	var type = -1;
	var defVal = 1;
	var addr = 1;
	var defaultAddress = null;
		
	addr = field.value;
	type = typeObj.value;
	
	minVal = GetDevMinAddr(type);
	maxVal = GetDevMaxAddr(type);
	
	if ((parseInt(addr) > maxVal) || (parseInt(addr) < minVal))
	{
		alert(warningHandlerWithParams(30,minVal + "-" + maxVal));
		field.value = preInputValue;
		return false;
	}
	
	if(defaultAddress != null)
		defVal = defaultAddress;
	else {
		if(parseInt(type) == 2)
			defVal = 0;
		else if(parseInt(type) == 16)
			defVal = 128;
		else
			defVal = 1;
	}
	
	if(formfieldNumTextCheck(field,minVal,maxVal,defVal) == false)
		return false;
	else 
		return true;
}

//---------------------------------------------------------------------
// Page02Loop1.html and Page03Loop2.html:
// When user change the device group selection then the subtype will be generated.
// Then the user select a specific subtype device and its value will be stored in a page variant of "subTypeStored".
//---------------------------------------------------------------------
function readSubType(obj){
    var curOptIndex = obj.selectedIndex;
    var curValue = obj.options[curOptIndex].value;
	var curSubTypeID = obj.value;
	var curLoopFlag = null;
	
    if(DCPlooptag == "LOOP1"){
        document.getElementById("subTypeStored").value = curValue;
		curLoopFlag = "NewDeviceType_Sub";
	}else if(DCPlooptag == "LOOP2"){
        document.getElementById("subTypeStored2").value = curValue;
		curLoopFlag = "NewDeviceType_Sub2";
	}else{ //other SLC board, EG: 3,4 supported
        document.getElementById("subTypeStored?").value = curValue;
		curLoopFlag = null;
	}
	
	if(curLoopFlag != null){ //add checking validation flow here to device type change action.
		var result = checkDCPDeviceAddress(document.getElementById("NewDeviceAddress"),document.getElementById(curLoopFlag));
		if(result == true){
			//invalid
			if(parseInt(obj.value) == 16){
				document.getElementById("NewDeviceAddress").value = 128;
			}else{
				document.getElementById("NewDeviceAddress").value = 1;
			}
		}
	}
}

function buttonEditBtnTemplate(obj){
	
		var addrList = xmldoc.getElementsByTagName(DCPlooptag)[0].getElementsByTagName("Device");
		var validAddr = null;
		document.getElementById("openWinFlag").value = "editOpen";
		
		var groupIndex = null;
		if(DCPlooptag == "LOOP1")
			groupIndex = document.getElementById("NewDeviceType_Group").selectedIndex; 
		else if(DCPlooptag == "LOOP2")
			groupIndex = document.getElementById("NewDeviceType_Group2").selectedIndex; 
		
		var groupID = null;
		if(DCPlooptag == "LOOP1")
			groupID = document.getElementById("NewDeviceType_Group").options[groupIndex].value;
		else if(DCPlooptag == "LOOP2")
			groupID = document.getElementById("NewDeviceType_Group2").options[groupIndex].value;
		var winName = groupID+".html";
		
		var curIndex = null;
		if(DCPlooptag == "LOOP1")
			curIndex = document.getElementById("NewDeviceType_Sub").selectedIndex; //Current
		else if(DCPlooptag == "LOOP2")
			curIndex = document.getElementById("NewDeviceType_Sub2").selectedIndex; //Current
		
		var devtype = null;
		if(DCPlooptag == "LOOP1")
			devtype = document.getElementById("NewDeviceType_Sub").options[curIndex].value; 
		else if(DCPlooptag == "LOOP2")
			devtype = document.getElementById("NewDeviceType_Sub2").options[curIndex].value; 
			
		var devtypeNum = findTypeNum(LocalDCPtemplateArray, devtype);

		if(DCPlooptag == "LOOP1")
			OpenWindowTemplate (winName, LocalDCPtemplateArray, devtypeNum);
		else if(DCPlooptag == "LOOP2")
			OpenWindowTemplate (winName, LocalDCPtemplateArray, devtypeNum);
	
}

// retrieving the valid address list from the current devices list.
function getValidAddr(addrList, minAddr, maxAddr){
	var curAddr = -1; 
	var curPreIndex = 1; 
	var curPostIndex = curPreIndex+1; 
	var baseArr = new Array(addrList.length);

	for(var k=0;curPreIndex < addrList.length ; curPreIndex++, curPostIndex++){
		var curPreIndexAddr = null;
		var curObjTypeID = null;
		var curObjAddr = null;
		if(addrList[curPreIndex]){
			curPreIndexAddr = addrList[curPreIndex].getElementsByTagName("Address")[0].firstChild.nodeValue;
			curObjTypeID = addrList[curPreIndex].getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
			curObjAddr = addrList[curPreIndex].getElementsByTagName("Address")[0].firstChild.nodeValue;
		}
		
		var curPostIndexAddr = null;
		if(addrList[curPostIndex])
			curPostIndexAddr = addrList[curPostIndex].getElementsByTagName("Address")[0].firstChild.nodeValue;
		
		if((parseInt(curPreIndexAddr)+1) <= parseInt(minAddr)){
			if(curObjTypeID.match(/[3578]/)){
				if(parseInt(minAddr)>=128){
					baseArr[k] = new String(127+parseInt(curObjAddr));
					k++;
				}
			}
		}else if((parseInt(curPreIndexAddr)+1)<=parseInt(maxAddr)){
			if(!curPostIndexAddr||
			   ((parseInt(curPreIndexAddr)+1)<= parseInt(curPostIndexAddr))){
					curAddr = parseInt(curPreIndexAddr)+1;
					break;
			}
		}else{
			if(minAddr >= 128){
				for(var m=0; m<k; m++){
					if(curObjAddr == baseArr[k]){
						continue;
					}else{
						curAddr = parseInt(baseArr[k]);
						break;
					}
				}
			}
		}
	}
	
	if(minAddr >= 128){
		for(var m=0; m<k; m++){
			if(curObjAddr == baseArr[k]){
				continue;
			}else{
				curAddr = parseInt(baseArr[k]);
				break;
			}
		}
	}
	return parseInt(curAddr);
}

function findTypeNum(tempArr, type){
	var num = 0;
	var count  = tempArr.length;
	for(var i=0; i<count; i++){
		if(tempArr[i].getElementsByTagName("DeviceType")[0].firstChild.nodeValue == type){
			return i;
		}else{
			continue;
		}
	}
}

function findGroupByNum(groups, type, flag){
	var num = 0;
	var count = 0;
	var tarGroupObj = null;

	if(flag == true){
		tarGroupObj = dGroups;

		var gIndex = 0;
		for(var j=0; j<gIDs.length; j++){
	
			gIndex = gIDs[j];
			var curGroupObj = dGroups[gIndex];
	
			for(var i=0; i<curGroupObj.length; i++){
				var curType = curGroupObj[i].split(',')[0];
				if(curType.toString() == type.toString()){
					return gIndex; //return the group index
				}else{
					continue;
				}
			}
		}
	}else{
		return findTypeNum(groups, type);
	}
}

function findValidForBase(addr){
	
	if(parseInt(addr) > 254){
		return false;
	}
	
	var listObj = xmldoc.getElementsByTagName(DCPlooptag)[0].getElementsByTagName("Device");

	for(var i=0; i<listObj.length; i++){
		var obj = listObj[i];
		var listAddr = obj.getElementsByTagName("Address")[0].firstChild.nodeValue;
		if(parseInt(addr) == parseInt(listAddr))
			return false;
		else
			continue;
	}
	
	return true;
}

function searchDeviceName(gtype, dID){	
	var gCount = gIDs.length;
	for(var j=0; j<gCount; j++){
	
		var gIndex = gIDs[j];
		var dObj = dGroups[gIndex];		
		for(var i=0; i<dObj.length; i++){
		
			var arr = dGroups[gIndex][i].split(',');
			if(arr[0].toString() == dID.toString()){
				return arr[1].toString();
			}else{
				continue;	
			}
		}
	}
}

function findDeviceCurrent(dID){    
    
    for(var i=0; i<gIDs.length; i++){
        var curDIndex = gIDs[i];
        //alert("curDIndex="+curDIndex+", dID="+dID);
        for(var j=0; j<dGroups[curDIndex].length; j++){
            var curDeviceStr = dGroups[curDIndex][j].split(',');
            var type = curDeviceStr[0];
            var name = curDeviceStr[1];
            var amper = parseInt(curDeviceStr[2]);        
            if(dID.toString() == type.toString()){
                return amper;
            }else{
                continue;
            }
        }
    }
}

function applyDisplayRule(add, dt, lab, conf, rem){
		var formatStr = "";
		if(dt == 2){
			var curLoopTag = looptag;
			if("LOOP1" == curLoopTag){
				lab += " 1";
			}else if("LOOP2" == curLoopTag){
				lab += " 2";
			}
		}

		formatStr = "<TR><TD>"+add+"</TD><TD>"+dt+"</TD><TD>"+lab+"</TD><TD>"+conf+"</TD><TD>"+rem+"</TD></TR>";
		return formatStr;
}

function searchStartAddr(obj){
	var looptag = DCPlooptag;
	var AddressMaploop = null;
	
	if("LOOP1" == looptag)
		AddressMaploop = AddressMaploop1;
	else if("LOOP2" == looptag)
		AddressMaploop = AddressMaploop2;		
	
	var newel = null;
	if(!xmldoc){
		xmldoc = mycreateXMLdoc();
		newel = xmldoc.createElement("FPA1000");
		xmldoc.appendChild(newel);
	}
	
	if(!xmldoc.firstChild) {
		newel=xmldoc.createElement("FPA1000");
		xmldoc.appendChild(newel);
	}
	
	var loopxmldoc = xmldoc.getElementsByTagName(looptag);
	if (loopxmldoc.length==0){
		var newel=xmldoc.createElement(looptag);
		xmldoc.firstChild.appendChild(newel);
		loopxmldoc = xmldoc.getElementsByTagName(looptag);
	}
	
	var alldevices = loopxmldoc[0].getElementsByTagName("Device");
	var alladdress = loopxmldoc[0].getElementsByTagName("Address");
	var startadd=0;
	
	var index = 1;
	for(; index < alladdress.length; index++){
		var pre = alladdress[index - 1].firstChild.nodeValue; //the previous one
		var post = alladdress[index].firstChild.nodeValue; //the current one
		if(parseInt(post) - parseInt(pre) > 1){
			return (parseInt(pre)+1);
		}
	}
	
	if((index < 255)&&(index == alladdress.length)){
		return (parseInt(alladdress.length)+1);
	}
}

/*
Rule
1. Pair ASB
  Type Range [16]
  Control Rule [128 - 254]
2. Pair DCP 2.0 
  Type Range [14,15,18,19,20,21,22,23,24,25,27,] 
  Control Rule [1-254]
3. Pair DCP 1.0
  Others
*/
function deviceAddressCheck(field){
        
        var minAddr = null;
        var maxAddr = null;
        var defaultAddress = null;
		var devicexml = null;
        var valid = null;
		var dtype = document.getElementById("DeviceType");
		try
		{
			var preAddr = preInputValue;
			var curAddr = document.getElementById("Address").value;
			//alert("debug: preAddr="+preAddr+", curAddr="+curAddr);
			if(parseInt(preAddr) == parseInt(curAddr))
				return true;
		}
		catch(errorChange)
		{
			//let it pass, if null is matched, then generate a new one.
		}
        minAddr = GetDevMinAddr(dtype.value);
		maxAddr = GetDevMaxAddr(dtype.value);
		valid = formFieldRangeChkTime(field, minAddr, maxAddr, minAddr);
		if(false == valid)// the address is not in the valid range
			return;
		//user can edit the address 
		var triggerFlag = this.window.dialogArguments.document.getElementById("openWinFlag").value;
		if ("configOpen" == triggerFlag)
		{
			//var allAddr = devicexml.getElementsByTagName("Address");
			var formFlag = this.window.dialogArguments.DCPlooptag;
			var allAddr = window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].getElementsByTagName("Address");
			
			for (var i = 0; i < allAddr.length; i++)
			{
			 	if (field.value == allAddr[i].firstChild.nodeValue)
				{
					alert(warningHandler(35));
					field.value = preAddr;
					return;
				}
			}
		}
		
		try
		{
			devicexml = window.dialogArguments.currentDeviceDOMtree;
			defaultAddress = getDefaultDeviceAddress(devicexml);
		}
		catch(errDefault)
		{
				//let it pass, if null is matched, then generate a new one.
		}
        try{
			var methodEntry = eval("checkDCPDeviceAddress");
			return methodEntry(document.getElementById("Address"), document.getElementById("DeviceType"));
        }
		catch(err)
		{
        	//alert("debug: exception occurs when apply the address validation to DCP loops");
			return false;
		}
}

//get the minimun address depending on device type
function GetDevMinAddr(dtype)
{
	var min_add = null;
	if (16 != parseInt(dtype))
	{
		min_add = 1;
	}
	else
	{
		min_add = 128;
	}
	return min_add;
}
//get the maximun address depending on device type
function GetDevMaxAddr(dtype)
{
	var max_add = null;
	var typeno = parseInt(dtype);
	if ((13 < typeno) &&  (17 != typeno) && (28 != typeno) || (8 == typeno))
	{
    	max_add = 254;
	}
	else
	{
		max_add = 127;
	}
	return max_add;
}

