// JavaScript Document
//for integration of local zones in the same group
var PreLocPID = 0; //previous local panel ID
var PreLocGID = 0; //Previous local group ID
var CurLocPID = 0; //current local panel ID
var CurLocGID = 0; //current local group ID
var WgetPID = 0;  
var PWZ_DOM = null;//tag <PanelWideZones></>
var PanelListPIDs = null; //panel IDs in panel registration table
var PanelListGIDs = null; //Group IDs in panel registration table

//get panel wide zone depending on pid
function UpdatePWZ_OnPID(pid)
{
	var PWZ_Panels = PWZ_DOM.getElementsByTagName("GroupPanel");
	var PWZ_PIDs = PWZ_DOM.getElementsByTagName("PID");
	var PWZ_Confirm = PWZ_DOM.getElementsByTagName("Confirm");
	for (var i = 0; i < PWZ_PIDs.length; i++)
	{
		if (pid == PWZ_PIDs[i].firstChild.nodeValue)
		{
//			alert(pid+"  find in the PWZ");
			break;
		}
	}
	
	if (i == PWZ_PIDs.length)
	{
		//not exist, wget local zone of this pid,add them in PWD
//		alert("not exist, creat default zones for pid =" + pid);
		//var PanelIP = GetPanelIP(pid);
		CreDefaultZones(pid, PWZ_DOM);
	}
}

function GetPWZ_NetworkSave()
{
	//ajax_Command("cid=91&ReqLevel=1", 1);//update banner info file
	CurLocPID = GetLocPID();
//	alert("CurLocPID="+CurLocPID);
	CurLocGID = GetLocGID(CurLocPID);
//	alert("CurLocGID="+CurLocGID);
	PWZ_DOM = this.window.dialogArguments.xmldoc.getElementsByTagName("PanelWideZones")[0];
	GetGroupPanelZones();
}

function GetGroupPanelZones()
{
	var NetNodeDOM = this.window.dialogArguments.xmldoc.getElementsByTagName("NetNode");
	if (0 < NetNodeDOM.length)
	{
		PanelListPIDs = NetNodeDOM[0].getElementsByTagName("ID");
		PanelListGIDs = NetNodeDOM[0].getElementsByTagName("GID");
		if (0 != CurLocGID)
		{
			//Current panel existed in panel list,update the added ones
			//document.getElementById("ajax_response").innerHTML = "Saving data,please wait...";    	
			//BannerDOM = myloadXMLDoc("/sysinfo/info_panels.xml");
			for (var i = 0; i < PanelListGIDs.length; i++)
			{
				if (CurLocGID == PanelListGIDs[i].firstChild.nodeValue)
				{
					var pid = PanelListPIDs[i].firstChild.nodeValue;
					if (pid != CurLocPID)
					{	//this pid is in the same group with current panel
//						alert("pid=" + pid + "is in the same group with current panel");
						UpdatePWZ_OnPID(pid);
					}
				}
			}
			
			//UpdateOnePWZ(index);
			//remove the delete ones
			var PWZ_Panels = PWZ_DOM.getElementsByTagName("GroupPanel");
			var PWZ_PIDs = PWZ_DOM.getElementsByTagName("PID");
			for (var j = 0; j < PWZ_PIDs.length; j++)
			{
//				alert("pwz panel number = "+PWZ_PIDs.length);
				if (CurLocGID != PIDexist(PWZ_PIDs[j].firstChild.nodeValue, PanelListPIDs))
				{
//					alert("remove pwz of pid ="+ PWZ_PIDs[j].firstChild.nodeValue);
					PWZ_DOM.removeChild(PWZ_Panels[j]);
					if (navigator.appName.search("Netscape") != -1)
					{//for firefox
						j = 0;
					}
				}
			}
		}
		else
		{
			//local panel not exist in the panel list, remvoe others in IPWZ except itself CurLocPID
//			alert("local panel not exist in the panel list");
			RemoveOthers(CurLocPID);
		}
	}
	else
	{
		//no panel existed in panel list, remvoe others in IPWZ except itself
		//alert("no panel existed in panel list, remvoe others in IPWZ except itself");
		//RemoveOthers(CurLocPID);
		
	}
}
//return group ID of input pid
function PIDexist(pid, PL_PIDs)
{
	var PListGIDs = this.window.dialogArguments.xmldoc.getElementsByTagName("NetNode")[0].getElementsByTagName("GID");
	for (var i = 0; i < PL_PIDs.length; i++)
	{
		if (pid == PL_PIDs[i].firstChild.nodeValue)
		{
			return PListGIDs[i].firstChild.nodeValue;
		}
	}
	return 0;
}
//remove other panel wide zone in <PanelWideZones> except pid;
function RemoveOthers(pid)
{
	var PWZ_Panels = PWZ_DOM.getElementsByTagName("GroupPanel");
	var PWZ_PIDs = PWZ_DOM.getElementsByTagName("PID");
	for (var i = 0; i < PWZ_PIDs.length; i++)
	{
//		alert("PWZ_PIDs.length"+PWZ_PIDs.length);
		if (pid == PWZ_PIDs[i].firstChild.nodeValue)
		{
			continue;
		}
		else
		{
//			alert("remove pid="+PWZ_PIDs[i].firstChild.nodeValue);
			PWZ_DOM.removeChild(PWZ_Panels[i]);
			if (navigator.appName.search("Netscape") != -1)
			{//for firefox
				i = 0;
			}
		}
	}
}

//creat default panel wide zones for pid
function CreDefaultZones(pid, PWZonesDOM)
{
	var SWZxmlTags = new Array("N","L","P","B","C","F");//
	var	SWZxmlTagDefaults = new Array("","","0","0","1","0");//default value for each software zone
	//creat <GroupPanel> tag
	var NewGP = this.window.dialogArguments.xmldoc.createElement("GroupPanel");
	
	//creat <PID> tag
	var NewPID = this.window.dialogArguments.xmldoc.createElement("PID");
//	alert("create default zones pid="+pid);
	var NewPidText = this.window.dialogArguments.xmldoc.createTextNode(pid);
	NewPID.appendChild(NewPidText);
	NewGP.appendChild(NewPID);
	
	//creat <Confirm> tag
	var NewCon = this.window.dialogArguments.xmldoc.createElement("Confirm");
	var NewConText = this.window.dialogArguments.xmldoc.createTextNode("FALSE");
	NewCon.appendChild(NewConText);
	NewGP.appendChild(NewCon);
	
	//creat 128 <z> tags
	for (var j = 1; j <= 128; j++)
	{
		var NewZ = this.window.dialogArguments.xmldoc.createElement("Z");
		//creat <N> tag
		var NewN = this.window.dialogArguments.xmldoc.createElement("N");
		var NewNText = this.window.dialogArguments.xmldoc.createTextNode(j);
		NewN.appendChild(NewNText);
		NewZ.appendChild(NewN);
		
		for (var i = 1; i < SWZxmlTags.length; i++)
		{
			var NewNode = this.window.dialogArguments.xmldoc.createElement(SWZxmlTags[i]);
			var NewText = this.window.dialogArguments.xmldoc.createTextNode(SWZxmlTagDefaults[i]);
			NewNode.appendChild(NewText);
			NewZ.appendChild(NewNode);
		}
		NewGP.appendChild(NewZ);
	}	
	
	allzones = (NewGP.cloneNode(true)).getElementsByTagName("Z");
	PWZonesDOM.appendChild(NewGP);	
}

function ChangePID(oldPid,newPid)
{
	var LocPWZ = GetPWZbyPID(oldPid, PWZ_DOM);
	if (null != LocPWZ)
	{
//		alert("change pid");
		LocPWZ.getElementsByTagName("PID")[0].firstChild.nodeValue = newPid;
	}
	else
	{
//		alert("local PWZ not exist, creat default");
		CreDefaultZones(newPid, PWZ_DOM);
	}
}

function UpdateGroupPanelZones()
{
	//ajax_Command("cid=91&ReqLevel=1", 1);//update banner info file
	PreLocPID = GetLocPID();
	//PreLocGID = GetLocGID(PreLocPID);
	//CurLocPID = GetLocPID();
	CurLocPID = document.getElementById("PanelID").value;
	//CurLocGID = GetLocGID(CurLocPID);
	PWZ_DOM = this.window.dialogArguments.xmldoc.getElementsByTagName("PanelWideZones")[0];
	
//	alert("PreLocPID="+PreLocPID+"  CurLocPID="+CurLocPID);
	if (CurLocPID != PreLocPID)
	{
		//remove exist panel from "PanelWideZones" which will be substituted by current new panel ID
		var ExistPWZ = GetPWZbyPID(CurLocPID, PWZ_DOM);
		if (null != ExistPWZ)
		{
			//alert("cur pid exist, remove existed one");
			PWZ_DOM.removeChild(ExistPWZ);
		}
		//change local PID in "PanelWideZones"
		//alert("change pid");
		ChangePID(PreLocPID,CurLocPID);

		//change self panel ID in the panel list
		var networkxmldoc = this.window.dialogArguments.xmldoc.getElementsByTagName("NETWORK");
//		alert("networkxmldoc.length="+networkxmldoc.length);
		if (0 == networkxmldoc.length)
		{
		   var newel = this.window.dialogArguments.xmldoc.createElement("NETWORK");
		   this.window.dialogArguments.xmldoc.lastChild.appendChild(newel);
		   networkxmldoc = this.window.dialogArguments.xmldoc.getElementsByTagName("NETWORK");
		}			
		var curnodeTag = networkxmldoc[0].getElementsByTagName("NetNode");
//		alert("curnodeTag.length="+curnodeTag.length);
		if (0 == curnodeTag.length)
		{
			var newtag = this.window.dialogArguments.xmldoc.createElement("NetNode");
			networkxmldoc[0].appendChild(newtag);
			curnodeTag = this.window.dialogArguments.xmldoc.getElementsByTagName("NetNode");
		}

		//1. remove the panel has same ID with current input one, after which list length may change 
		var curnodeList = curnodeTag[0].getElementsByTagName("Panel");
		//alert("curnodeList.length="+curnodeList.length);
		//alert("PreLocPID="+PreLocPID+"; CurLocPID="+CurLocPID);
		for (var i = 0; i < curnodeList.length; i++)
		{

			if (CurLocPID == curnodeList[i].getElementsByTagName("ID")[0].firstChild.nodeValue)
			{
				//alert("remove CurLocPID="+CurLocPID);
				curnodeTag[0].removeChild(curnodeList[i]);
				//alert("curnodeList.length="+curnodeList.length)
			}
		}
		
		//2. replace the previous ID with current input one
		curnodeList = curnodeTag[0].getElementsByTagName("Panel");
		//alert("curnodeList.length="+curnodeList.length)
		for (var j = 0; j < curnodeList.length; j++)
		{
		//alert("curnodeList["+j+"]"+curnodeList[j].getElementsByTagName("ID")[0].firstChild.nodeValue);
			if (PreLocPID == curnodeList[j].getElementsByTagName("ID")[0].firstChild.nodeValue)
			{
				//alert("change PreLocPID="+PreLocPID+" to CurLocPID="+CurLocPID);
				curnodeList[j].getElementsByTagName("ID")[0].firstChild.nodeValue = CurLocPID;
				this.window.dialogArguments.xmldoc.getElementsByTagName('PanelID')[0].firstChild.nodeValue = CurLocPID;
			}
		}

	}
}
//get panel wide zones by pid
function GetPWZbyPID(pid, pwz_dom)
{
	try
	{
		var pwz_pids = pwz_dom.getElementsByTagName("PID");
		var pwz_Panels = pwz_dom.getElementsByTagName("GroupPanel");
		for (var i = 0; i < pwz_pids.length; i++)
		{
			if (pid == pwz_pids[i].firstChild.nodeValue)
			{
				return  pwz_Panels[i];
			}
		}
		return null;
	}
	catch (err)
	{
		return null;
	}
}
//get local PID
function GetLocPID()
{
	return this.window.dialogArguments.xmldoc.getElementsByTagName('PanelID')[0].firstChild.nodeValue;
}

//get local GID
function GetLocGID(pid)
{
	var GID = 0;
	try
	{
		var PListPIDs = this.window.dialogArguments.xmldoc.getElementsByTagName("NetNode")[0].getElementsByTagName("ID");
		GID = PIDexist(pid, PListPIDs);
	}
	catch (err)
	{
		GID = 0;
	}
	return GID;
}