var flagTEMPLETE = null;

function DCPInitDevice(){    

    flagTEMPLETE = this.window.dialogArguments.DOMtree_select; //TEMPLETE/GROUP_TEMPLETE
    var flag = true;
    flag = this.window.dialogArguments.document.getElementById("openWinFlag").value;
    //Move the init process inside the init function
    if(flag == "editOpen"){
        initEditFlow();
    }else if(flag == "specificOpen"){
        initSpecificFlow();
    }else if(flag == "configOpen"){
        initConfigOpenFlow();
    }else{
    }
    
	InitPIDfield();	
}

function InitPIDfield()
{
	
	if ("FALSE" == this.window.dialogArguments.SWBinstalled)
	{
		if (-1 != window.location.toString().search("CONT-MOD"))
		{
			InitPIDonID("pid_Input1_Zone");
			InitPIDonID("pid_Input2_Zone");
			
		}
		InitPIDonID("pid_Zone");
	}
}

function InitPIDonID(IDprefix)
{
	var locpid = this.window.dialogArguments.LocPID;
	for (var i = 1; i <= 5; i++)
	{
		try
		{
			//document.getElementById(IDprefix + i).value = locpid;
			document.getElementById(IDprefix + i).disabled = "true";
		}
		catch(err)
		{
			break;
		}
	}
}

function getDefaultDeviceAddress(devicexml)
{
	var flag = true;
	var address = null;
	var dtype = null;
	
	flag = this.window.dialogArguments.document.getElementById("openWinFlag").value;
	dtype = document.getElementById("DeviceType").value;
	
	if('configOpen' == flag) //init and other attributes to the default one
	{
		address = devicexml.getElementsByTagName("Address")[0].firstChild.nodeValue;
	}
	else if('editOpen' == flag)
	{
		address = this.window.dialogArguments.document.getElementById("NewDeviceAddress").value;   
	}
	else
	{
		if(parseInt(dtype) == 2)//specific open
			address = 0;
		else if(parseInt(dtype) == 16)
			address = 128;
		else
			address = 1;
	}

	return address;
}

//debug method
function debugcurdev(devobj)
{
	var debugobj = devobj;
	var nodeValue = "";
	for(var i=0; i<debugobj.childNodes.length; i++)
	{
		var curdebugobj = debugobj.childNodes[i];
		if(curdebugobj.nodeType == 1) //element node
		{
			try
			{
				nodeValue = curdebugobj.firstChild.nodeValue;
			}
			catch(error)
			{
				nodeValue = "";
			}
		}
	}
}

var dtypeval = null;
var dtypeObj = null;
var daddress = null;

//tried on device reset
function onDeviceReset(flag)
{
	try{
		dtypeval = document.getElementById("DeviceType").selectedIndex;
		dtypeObj = document.getElementById("DeviceType").cloneNode(true);
		document.forms[0].removeChild(document.getElementById("DeviceType"));
	}catch(errDtypeEval){
		dtypeObj = null;
	}
	
	try{
		daddress = document.getElementById("Address").cloneNode(true);	
		document.forms[0].removeChild(document.getElementById("Address"));	
	}catch(errDeviceAddress){
		daddress = null;
	}
	
	try{
		document.forms[0].reset();
	}catch(errFormReset){
		//no form element
	}
	
	if((dtypeObj!=null)&&(dtypeval != null))
	{
		dtypeObj.options[parseInt(dtypeval)].selected = "selected";
		document.forms[0].appendChild(dtypeObj);
	}
	if(daddress!=null)
	{
		document.forms[0].appendChild(daddress);
	}
	
	dtypeval = null;
	dtypeObj = null;
	daddress = null;
	
	deviceCtrlEnabled(document.getElementById("groupFlag").value);
	try{
    	document.getElementById("Label").value = "";
	}catch(errorLabel){}
}

function deviceCtrlEnabled(gid)
{
	var PointTypeObj = null;
	try
	{
		PointTypeObj = document.getElementById("PointType");
		changePointType(gid, PointTypeObj);
	}
	catch(err)
	{
		//catch exception
	}
	switch (gid) 
	{
		case "CONT-MOD":
			//Input1
			try
			{
				PointTypeObj = document.getElementById("Input1_PointType");
				changeMultiPointType(gid, PointTypeObj);
			}
			catch(err2)
			{
				//input1_delaymode
			}
			
			//Input2
			try
			{
				PointTypeObj = document.getElementById("Input2_PointType");
				changeMultiPointType(gid, PointTypeObj);
			}
			catch(err3)
			{
				//input2_delaymode
			}
			
			try
			{
				var wiringType = document.getElementById("WiringType_B");
				if (true == wiringType.checked)
				{
			    	changeWiringType(wiringType);
				}
			}
			catch(err4)
			{
			
			}
			break;
		case "SMOKE-M":
			changeWorkingMode(gid, document.getElementById("WorkingMode"));
        	changeWorkingMode(gid, document.getElementById("WorkingDayMode"));
			break;
		case "SMOKE-D":
			FAD_RLY_Supervisory();
			break;
		default:
			break;
	}
}

function backupOnDeviceReset(flag)
{
	var l_currentDeviceDOMtree = null; //window.opener.currentDeviceDOMtree;
	var l_DOMtree_select = null; //window.opener.DOMtree_select;
	var l_currentDeviceAddress = null; //window.opener.currentDeviceAddress;
	
	var dcptemplates = null; //myloadXMLDoc("/config/DCPDeviceTemplate.xml");
	var alldevs = null; //dcptemplates.documentElement.getElementsByTagName("Device");
	var devIndex = null; //l_currentDeviceDOMtree.getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
	var curdev = null; //alldevs[parseInt(devIndex)];
	
	try
	{
		l_currentDeviceDOMtree = window.dialogArguments.currentDeviceDOMtree;
		l_DOMtree_select = window.dialogArguments.DOMtree_select;
		l_currentDeviceAddress = window.dialogArguments.currentDeviceAddress;
	}
	catch(errorParams)
	{
		//keep null if not exist
	}
	
	try
	{
		dcptemplates = myloadXMLDoc("/config/DCPDeviceTemplate.xml").documentElement;
		alldevs = dcptemplates.getElementsByTagName("Device");
		devIndex = l_currentDeviceDOMtree.getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
		curdev = alldevs[parseInt(devIndex)].cloneNode(true);
		
	}
	catch(errorNomal)
	{
		//keep null if not exist
	}
	
	try
	{
		curdev.getElementsByTagName("Address")[0].firstChild.nodeValue = document.getElementById("Address").value;
	}
	catch(errorAddr)
	{
		curdev.getElementsByTagName("Address")[0].firstChild.nodeValue = "1";
	}
	window.dialogArguments.currentDeviceDOMtree = curdev;
	DCPdevicedialogPreload();
	DCPInitDevice(); 
	pageinit();
	window.dialogArguments.currentDeviceDOMtree = l_currentDeviceDOMtree;
	
	
	//just can temporarily solve this problem.
	try
	{
		//document.getElementById("Label").value = "";
		var txtObjs = document.getElementsByTagName("input");
		for(var m=0; m<txtobjs.length; m++)
		{
			var type = txtObjs[m].type;
			if((type!=null)&&(strlen(type)!=0)&&(type == "text"))
			{
				txtObjs[m].value = "";
			}
		}
	}
	catch(noLabelerr)
	{
		// just a reminder
	}
}

function resetFormElems(flag)
{
	var branchFlag = this.window.dialogArguments.DOMtree_select;
	var address = null;
	var dtype = null;
	var devicexml = this.window.dialogArguments.currentDeviceDOMtree;
	
	if((branchFlag == "editOpen")||(branchFlag == "configOpen")){
		var dtypeObj = document.getElementById("DeviceType");
		var dIndex = dtypeObj.selectedIndex;
		dtype = dtypeObj.options[dIndex].value;
		address = document.getElementById("Address").value;
		document.forms[0].reset();
		document.getElementById("Address").value = address;
		document.getElementById("DeviceType").options[dIndex].selected = "selected";
		//DCPInitDevice();
	}else{ 
		
		//1: get default value for address on different entry conditions
		address = getDefaultDeviceAddress(devicexml);
	
		//2: strategy is no change to the current device type
		dtype = devicexml.getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
		if(flag == true){
			document.forms[0].reset();
			//call the DCPInitDevice to reset the related attributes and also the device type
			document.getElementById("Address").value = address;
			DCPInitDevice();
		}else{
			document.getElementById("Address").value = address;
		}
	}
}




var wt_classB = 0;
var wt_classA = 1;
function loadInputType(dtype)
{
	var wtValue = null;
	
	if(dtype != null){
		try{
			wtObj = document.forms[0].elements["WiringType_B"]; //wiring type B is a must
		}catch(err){
			wtObj = null;
			
			if(parseInt(dtype) == 8){ //single
				
				var itObj = document.getElementById("InputType");
				initInputType(3, itObj, "");
			
			}else if(parseInt(dtype) == 11){ //dualable
				var itObj1 = document.getElementById("Input1_InputType");
				var itObj2 = document.getElementById("Input2_InputType");
				initInputType(3, itObj1, "Input1_");
				initInputType(3, itObj2, "Input2_");
			}
			
			return;
		}
			if(wtObj != null){
			if(wtObj.checked == true)
				wtValue = wt_classB; //class B
			else
				wtValue = wt_classA; //class A

			//otherwise are all single items
			var itObj = document.getElementById("InputType");
			if(wtValue == wt_classB){ //if class B: 2
				initInputType(2, itObj, "");
			}else{ //class A matched
				initInputType(1, itObj, "");
			}
		}else{
			if(parseInt(dtype) == 8){ //single
				var itObj = document.getElementById("InputType");
				initInputType(3, itObj, "");
			}else if(parseInt(dtype) == 11){ //dualable
				var itObj1 = document.getElementById("Input1_InputType");
				var itObj2 = document.getElementById("Input2_InputType");
				initInputType(3, itObj1, "Input1_");
				initInputType(3, itObj2, "Input2_");
			}
		}
	}
}

function initInputType(flag, parentObj, prefix){
		//Input1_InputType and Input2_InputType
		var elem = null; 
		
		//clean options first.
		while(parentObj.hasChildNodes()){
        	parentObj.removeChild(parentObj.lastChild);
    	}
		
		//append valid options
		if(flag >= 1){
			elem = document.createElement("option");
			elem.value = "0";
			elem.innerHTML = "NO with EOL";
			parentObj.appendChild(elem);
		}
		
		if(flag >= 2){
			elem = document.createElement("option");
			elem.value = "1";
			elem.innerHTML = "NC with EOL";
			parentObj.appendChild(elem);
		}
		
		if(flag >= 3){
			elem = document.createElement("option");
			elem.value = "2";
			elem.innerHTML = "NC w/o EOL";
			parentObj.appendChild(elem);
		}
}

function initConfigOpenFlow()
{
	//alert("initConfigOpenFlow");
    var devicexml = this.window.dialogArguments.currentDeviceDOMtree;
	var dtype = 0;
    var alldevices = null;

//	alert("this.window.dialogArguments.DOMtree_select :" + this.window.dialogArguments.DOMtree_select);
    if ('CONFIG' == this.window.dialogArguments.DOMtree_select)
	{
        alldevices = this.window.dialogArguments.xmldoc.getElementsByTagName(this.window.dialogArguments.DCPlooptag)[0].getElementsByTagName("Device");
        devicexml = alldevices[parseInt(this.window.dialogArguments.currentDevIndex)];
        dtype = devicexml.getElementsByTagName('DeviceType')[0].firstChild.nodeValue;
        if (parseInt(dtype) > 2)
		{
            //document.getElementById('Address').disabled = "true";
            var selObjOpts = document.getElementById("DeviceType").options;
            for (var i = 0; i < selObjOpts.length; i++)
			{
                var opVal = selObjOpts[i].value;
                if(opVal == dtype)
				{
                    selObjOpts[i].selected = "selected";
                    break;
                }
				else
				{
                    selObjOpts[i].removeAttribute("selected");
                    continue;
                }
            }
            document.getElementById('DeviceType').disabled = "true";
        }
    }

    try{
        var gIndex = findGroupByNum(dGroups, dtype, true);
        
        changeDeviceType(gIndex, document.getElementById("DeviceType"));
		myxml2form(devicexml, document.forms[0]);
        
        var groupID = document.getElementById("groupFlag").value;
		if(groupID!="BASE-SND"&&groupID!="RELAY-MOD"&&groupID!="NAC-MOD"&&groupID!="SLC"&&groupID!="SMOKE-M" && groupID != "CONT-MOD"){
            if(parseInt(dtype) == 11){
                changeMultiPointType(groupID, document.getElementById("Input1_PointType"));
                changeMultiPointType(groupID, document.getElementById("Input2_PointType"));
                
            }else{
                changeMultiPointType(groupID, document.getElementById("PointType"));
            }
        }else if(groupID=="SMOKE-M"){
            changeMultiDevPointType(groupID, document.getElementById("PointType"));
            changeWorkingMode(groupID, document.getElementById("WorkingMode"));
            changeWorkingMode(groupID, document.getElementById("WorkingDayMode"));
        }else if(groupID == "CONT-MOD"){
            changeMultiPointType(groupID, document.getElementById("PointType"));
            changeMultiPointType(groupID, document.getElementById("Input1_PointType"));
            changeMultiPointType(groupID, document.getElementById("Input2_PointType"));
			var wiringType = document.getElementById("WiringType_A").checked;
			if(true == wiringType)
			{
			    changeWiringType(document.getElementById("WiringType_A"));
			}
			AdjustPT(devicexml);
	    }
        
    }catch(err){
        //nothing
    }
}

function AdjustPT(devxml)
{
	if (null != devxml)
	{
		var dtype = document.getElementById("DeviceType").value;
		if ((18 == parseInt(dtype)) || (19 == parseInt(dtype)))
		{
			changeInputType(document.getElementById("InputType"));
			var PTvalue = devxml.getElementsByTagName("PointType")[0].firstChild.nodeValue;
			document.getElementById("PointType").value = PTvalue;
		}
	}
}

function resetSpecificFlow(addr, dtypeObj)
{
	document.getElementById("Address").removeAttribute("disabled");
    document.getElementById("Address").value = addr;
    dtypeObj.removeAttribute("disabled");
    dtypeObj.options[0].selected = "selected";

    var groupID = document.getElementById("groupFlag").value;
    changeDeviceType(groupID, dtypeObj);

    if(groupID == "CONT-MOD"){
        changeMultiPointType(groupID,dtypeObj);
	}else if(groupID == "SMOKE-M"){
        changeMultiDevPointType(groupID, document.getElementById("PointType"));
        changeWorkingMode(groupID, document.getElementById("WorkingMode"));
        changeWorkingMode(groupID, document.getElementById("WorkingDayMode"));
    }else if(groupID == "SLC"){
        initSLCLabel(groupID, document.getElementById("Label"));
    }

    reloadTempalteForCurrentDevice(dtypeObj);
}

function resetFlows(addr)
{
	var dtypeObj = document.getElementById("DeviceType");
	if(this.window.dialogArguments.DOMtree_select == "specificOpen")
		resetSpecificFlow(addr, dtypeObj);
}

function initSpecificFlow(){
    
	var addr = this.window.dialogArguments.document.getElementById("validAddress").value;
	var dtypeObj = document.getElementById("DeviceType");
	if(dtypeObj!=null&&parseInt(dtypeObj.value)==16&&addr!=null&&parseInt(addr)<128){
		addr = 128;
	}
	
    resetSpecificFlow(addr, dtypeObj);
}

function reloadTempalteForCurrentDevice(devObj){
    
    var dtypeObjIndex = devObj.selectedIndex;
    var dtypeValue = devObj.options[dtypeObjIndex].value;
    var allDOMtree = window.dialogArguments.currentAllDOMtree;
    var currentDOMtree = allDOMtree[parseInt(dtypeValue)]; 
    
    window.dialogArguments.currentDeviceDOMtree = currentDOMtree.cloneNode(true);
	
	//onDeviceReset(false);
}

function initEditFlow(){
    
    var addr = null;
	try
	{
		addr = this.window.dialogArguments.document.getElementById("NewDeviceAddress").value;    
	}
	catch(err)
	{
	}
    
	document.getElementById("Address").value = addr;
    document.getElementById('Address').disabled = "true";
    
    var parent_group_obj = null;
    if(this.window.dialogArguments.DCPlooptag == "LOOP1")
        parent_group_obj = this.window.dialogArguments.document.getElementById("NewDeviceType_Group");
    else if(this.window.dialogArguments.DCPlooptag == "LOOP2")
        parent_group_obj = this.window.dialogArguments.document.getElementById("NewDeviceType_Group2");    
        
    var parent_sub_obj = null;
    if(this.window.dialogArguments.DCPlooptag == "LOOP1")
        parent_sub_obj = this.window.dialogArguments.document.getElementById("subTypeStored");
    else if(this.window.dialogArguments.DCPlooptag == "LOOP2")
        parent_sub_obj = this.window.dialogArguments.document.getElementById("subTypeStored2");    
    
    var index = parent_group_obj.selectedIndex;
    var parent_group_value = parent_group_obj.options[index].value;
    var parent_sub_value = parent_sub_obj.value;

    var opts = document.getElementById("DeviceType").options;
    for(var i=0; i<opts.length; i++){
        var curValue = opts[i].value;
        if(curValue == parent_sub_value)
            opts[i].selected = "selected";
        else
            opts[i].removeAttribute("selected");
    }

    document.getElementById("DeviceType").disabled = "true";
    
    var groupID = document.getElementById("groupFlag").value;
    
    changeDeviceType(groupID,document.getElementById("DeviceType"));
    
    if(groupID == "RELAY-MOD"){
        changeTitleDT(groupID, document.getElementById("DeviceType"));
    }else if(groupID == "CONT-MOD"){
        changeMultiPointType(groupID, document.getElementById("PointType"));
        changeMultiPointType(groupID, document.getElementById("Input1_PointType"));
        changeMultiPointType(groupID, document.getElementById("Input2_PointType"));
    }else if(groupID == "SMOKE-M"){
        changeMultiDevPointType(groupID, document.getElementById("PointType"));
        changeWorkingMode(groupID, document.getElementById("WorkingMode"));
        changeWorkingMode(groupID, document.getElementById("WorkingDayMode"));
    }else if(groupID == "SLC"){
        initSLCLabel(groupID, document.getElementById("Label"));
    }
    reloadTempalteForCurrentDevice(document.getElementById("DeviceType"));
}

//--------------------------------------------------------------------
//this function preloads dialog
//--------------------------------------------------------------------
function DCPdevicedialogPreload(){
    var devicexml = null;
    try {

        var groupFlag = document.getElementById("groupFlag").value;
        initialDeviceByType(groupFlag);
        
        //if('CONFIG'==this.dialogArguments.DOMtree_select)
		var configFlag = document.getElementById("openWinFlag").value;
		if(configFlag == "configOpen")
			document.getElementById('Address').defaultValue=this.window.dialogArguments.currentDeviceAddress;
    }catch (err){
        //alert("No address!");
    }
    
    xmldoc = this.window.dialogArguments.xmldoc;
    DCPremoveformfieldindex(document.forms[0]);
    myform=document.forms[0];
    devicexml = window.dialogArguments.currentDeviceDOMtree;
    myxml2form(devicexml,myform);
	g_invalidPageFlag = true;
	
}//end function DCPdevicedialogPreload

function initialDeviceByType(formName){
    InitSubTypes(formName, 'DeviceType');
}

//--------------------------------------------------------------------
//this function saves config data and does not closes dialog
//--------------------------------------------------------------------
function checkValidAddress(obj){
    var devicexml = this.window.dialogArguments.currentDeviceDOMtree;
}

//--------------------------------------------------------------------
//this function saves config data and without closing the dialog
//--------------------------------------------------------------------
var appliedDevObj = null;

function DCPdevicedialogApply(flag){
    
    var formName = this.window.dialogArguments.DCPlooptag;
    
    if(flag == true){
    
        var index = window.dialogArguments.currentDevIndex;
        var devicexml = window.dialogArguments.xmldoc.getElementsByTagName(formName)[0].getElementsByTagName("Device")[parseInt(index)];
        myform=document.forms[0];
        
        var type = 0;
        var typeObj = document.getElementById("DeviceType");
        if(typeObj != null){
            type = parseInt(typeObj.value);
            myform2xml(myform, devicexml);
        }else{
            //TODO: expand to other types
        }
    }
}

function DCPdevicedialogApply_Post(flag, index){

    var loopList = null;
    var looptag = this.window.dialogArguments.DCPlooptag;
    var devicexml = null;
    var type = 0;
    var typeObj = null;
	//xmldoc = this.window.dialogArguments.xmldoc;
    loopList = this.window.dialogArguments.xmldoc.getElementsByTagName(looptag)[0].getElementsByTagName("Device");
    devicexml = loopList[index];
    myform=document.forms[0];
    typeObj = document.getElementById("DeviceType");
    if(typeObj != null){
        myform2xml(myform, devicexml);
    }else{
        devicexml = null;
    }
    appliedDevObj = devicexml;
	window.dialogArguments.currentDeviceDOMtree = devicexml;
}//end function DCPdevicedialogApply
/*
function SWZonedevicedialogApply(){
    var devicexml = this.opener.currentDeviceDOMtree;
    xmldoc = this.window.opener.xmldoc;
    myform=document.forms[0];
    myform2xml(myform, devicexml);//myform2xml(formdata, myDOMtree
	alert("SWZonedevicedialogApply");								   
    this.opener.window.refreshDCPDisplay();
}

//--------------------------------------------------------------------
//this function saves config data and closes dialog
//--------------------------------------------------------------------
function SWZonedevicedialogOK(){
    SWZonedevicedialogApply();
	window.opener.ProgramChangeFlag = 1;
    window.close();
}//end function DCPdevicedialogOK*/
    
//--------------------------------------------------------------------
//this function saves config data and closes dialog
//--------------------------------------------------------------------
function DCPdevicedialogOK(flag){
    var formElem = document.forms[0];
    var count = formElem.length;
    var childACount = null;
    var childLCount = null;
    var outStr = "";


    for(var i=0; i<count; i++){
        childACount = formElem[i].name;
        childLCount = formElem[i].value;
        if(childACount == "Address"){
            outStr+="Address="+childLCount;
        }else if(childACount == "Label"){
            outStr+="Label="+childLCount;
        }else{
            //TODO: nothing
        }
    }

    //Adjust the LOOP1 or LOOP2 scope
    var formName = document.forms[0].name;
    var formFlag = this.window.dialogArguments.DCPlooptag;

    var newDevIndex = 1;
    //var flag = flagTEMPLETE;
    var triggerFlag = this.window.dialogArguments.document.getElementById("openWinFlag").value;
//	alert(triggerFlag);
    if(triggerFlag == "configOpen"){
        newDevIndex = this.window.dialogArguments.currentDevIndex;
        DCPdevicedialogApply_Post(false, newDevIndex);
    }else if((triggerFlag == "editOpen" )||(triggerFlag == "specificOpen")){
        try {
            var val = document.getElementById("DeviceType").value;
            var devicexml = window.dialogArguments.currentDeviceDOMtree[parseInt(val)];
            var addr = document.getElementById("Address").value;
			
			var max_add = GetDevMaxAddr(val);
			var min_add = GetDevMinAddr(val);
			if ((parseInt(addr) > max_add) || (parseInt(addr) < min_add))
			{
				alert(warningHandlerWithParams(30,min_add + "-" + max_add));
				document.getElementById("Address").value = max_add;
				return;	
			}
			else
			{
				newDevIndex = window.dialogArguments.addDeviceAt(parseInt(val), addr, 1, true);
				//alert("newDevIndex="+newDevIndex);
			} 
        }catch(err){
            //TODO: nothing
        }

		try
		{
        	var validAddr = window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].getElementsByTagName("Device")[newDevIndex].getElementsByTagName("Address")[0].firstChild.nodeValue;
			if(newDevIndex != null){
            	DCPdevicedialogApply_Post(false, newDevIndex);
        	}	
        	window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].getElementsByTagName("Device")[newDevIndex].getElementsByTagName("Address")[0].firstChild.nodeValue = validAddr;
		}catch(err255){
			//catch the parent throw out exception
		}
    }
    window.dialogArguments.newDevIndex = newDevIndex;
    
    //open from clicking "Edit" button
    if(triggerFlag == "editOpen"){
        var tmpObj = window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].getElementsByTagName("Device")[newDevIndex];
        window.storeForEditObj = tmpObj.cloneNode(true);
        window.dialogArguments.storeForEditObj = window.storeForEditObj;
        window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].removeChild(tmpObj);    
    }
	refreshFlag = true;
    window.dialogArguments.refreshDCPDisplay();
	refreshFlag = false;
	window.dialogArguments.ProgramChangeFlag = 1;
    window.close();
}//end function DCPdevicedialogOK

//--------------------------------------------------------------------
//this function discards config data and closes dialog
//--------------------------------------------------------------------
function DCPdevicedialogCancel(){
    window.close();
}//end function DCPdevicedialogCancel


//--------------------------------------------------------------------
//this function removes the index from all form fields
//index is after "__" (two underscore)
//--------------------------------------------------------------------
function DCPremoveformfieldindex(formdata){
    var i=0;
    while (formdata[i]) {
        if (formdata[i].name) {
            var newname = formdata[i].name.split("__");
            if (newname.length ==2)
                formdata[i].name=newname[0];
            if (newname.length >2)
              alert(warningHandler(31));
              
            //FPA1000-Rel1.1: adjust the name without '__'
            if (newname.length == 1){
                //Also assign the data to the 0 index of this variant.
                formdata[i].name = newname[0];
            }        
        }
        i++;
    }
    return;
}//end function DCPremoveformfieldindex
var g_ContentDIVID = "ID_ContentDIV";
function showContext(){
	//alert("showContext");
	var contentObj = null;
	
	try{
		contentObj = document.getElementById(g_ContentDIVID);
	}catch(errContentObj){
		//nothing prompt for remindering	
	}
	if(contentObj != null){
		contentObj.style.width = "984px";
	}
}

var DucRlyIds = new Array("DuctRelay_Zone1","DuctRelay_Zone2","DuctRelay_Zone3","DuctRelay_Zone4","DuctRelay_Zone5","DuctRelay_Label","DuctRelay_Bypassed","DuctRelay_Bypassed","DuctRelay_Sequential");

function changeName()
{
	var dtypeObj = document.getElementById("DeviceType");

	if (33 == dtypeObj.value)
	{
		for (var i = 0; i < DucRlyIds.length; i++)
		{
			var NameArr = new Array();
			NameArr = DucRlyIds[i].split("_");
			document.getElementById(DucRlyIds[i]).name = NameArr[0] + "440_" + NameArr[1];	
		}
	}
	else
	{
		for (var i = 0; i < DucRlyIds.length; i++)
		{
			document.getElementById(DucRlyIds[i]).name = DucRlyIds[i];
		}	
	}
}
function FAD_RLY_Supervisory()
{
	var DucRlyBtns = new Array("btn_DuctRelay_Zone1","btn_DuctRelay_Zone2","btn_DuctRelay_Zone3","btn_DuctRelay_Zone4","btn_DuctRelay_Zone5");
	PairCtrl("Relay", DucRlyIds);
	PairCtrl("Relay", DucRlyBtns);
}

function PairCtrl(SrcCtrObj,TarCtrObj)
{
	if (document.getElementById(SrcCtrObj).checked)
	{
		var TemText="";
	}
	else
	{
		var TemText="true";
	}
	
	for (var i = 0; i < TarCtrObj.length; i++)
	{
		document.getElementById(TarCtrObj[i]).disabled = TemText;
	}	
}

//this function used for device address checking when user click "edit" button
function CheckAdd4Config(field,dtype,preAddr)
{
	if (field.value == preAddr)
	{
		return false;
	}
	
	var formFlag = this.window.dialogArguments.DCPlooptag;
	var alldevice = window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].getElementsByTagName("Device");
	var allAddr = window.dialogArguments.xmldoc.getElementsByTagName(formFlag)[0].getElementsByTagName("Address");
	var HostDev = /^[3,5,6,7,27]/;
	var DevType = null;
	//Check whether the new address existed
	for (var i = 0; i < allAddr.length; i++)
	{
		if (field.value == allAddr[i].firstChild.nodeValue)
		{
			alert(warningHandler(35));
			return false;
		}
	}   
	
	switch (parseInt(dtype.value))
	{
		case 3:
		case 5:
		case 6:
		case 7:
		case 27:
			//Check does this device host a base station
			var BaseAdd = parseInt(preAddr) + 127; 
			for (var i = 0; i < allAddr.length; i++)
			{
				if (BaseAdd == allAddr[i].firstChild.nodeValue)
				{
					DevType = alldevice[i].getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
					if (16 == DevType)
					{
						alert(warningHandler(65));
						return false;
					}
					else
					{
						break;
					}
				}
			}
			break;
		case 16:
			//check does there is a host detector for sounder base new address
			var hostAdd = parseInt(field.value) - 127;
			for (var i = 0; i < allAddr.length; i++)
			{
				if (hostAdd == allAddr[i].firstChild.nodeValue)
				{
					DevType = alldevice[i].getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
					if (null == DevType.match(HostDev))
					{
						alert(warningHandler(5));
						return false;
					}
					else
					{
						break;
					}
				}
			}
			if (i == allAddr.length)
			{	//can not find a host detector for the new base address
				alert(warningHandler(5));
				return false;
			}
			break;
		default:
			break;	
	}
	return true;
}
