//this file added for zone increment
var PIDsfx = "pid_";
//var PanelID = null;
var ZoneID = null;//
//distinguish local group remote panel
var startNo = null;
var endNo = null;
var LocPID = null;

var btnID = ["btnOK","btnCancel"];
//ZoneMode indicate input or output device; 
var ZoneMode = null;
//record which panel's zones we need to display;
var ZonePID = null;

var SubPreInputValue = 0;
var SubPreZoneID = 0;
//flag = 1  input zone
//flag = 2  output zone
function GotoZoneAssign(field, flag)
{	
	var fieldID = field.id;
	ZoneID = fieldID.substring(4,fieldID.length);//btn_ZoneID	
	LocPID = GetLocPid();
	switch (flag)
	{
		case 1: //network input
			var PIDvalue = document.getElementById(PIDsfx + ZoneID).value;
			
			SubPreInputValue = document.getElementById(ZoneID).value;
			SubPreZoneID = ZoneID;
			
			if ("" == PIDvalue)
			{
				alert(warningHandler(63));
				return;
			}
			if (document.getElementById(PIDsfx + ZoneID).disabled)
			{	//single panel
				ZoneMode = "SingleInput";
				ZonePID = LocPID;
			}
			else
			{	//networked panel
				ZoneMode = "input";
				ZonePID = PIDvalue;
			}
			break;
		case 2: //output zone
			ZoneMode = "output";
			ZonePID = LocPID;
			break;
		case 3: //single panel which not networked, input zone
			ZoneMode = "SingleInput";
			ZonePID = LocPID;
			break;
		default:
			break;
	}
	//ZoneWin = window.open("ZoneAssign.html","ZoneAssign","width=500,height=150,left=200,top=20");
	
	ZoneWin =window.showModalDialog("ZoneAssign.html", window,"resizable:yes;scroll:no;dialogWidth:500px;dialogHeight:150px;dialogLeft:200;dialogTop:20");

	//ZoneWin.focus();
}

function InitBtnValue()
{
	for (var i = 0; i < btnID.length; i++)
	{
		document.getElementById(btnID[i]).value = eval("transtr_" + btnID[i]);
	}
}

function ZoneAssignInit()
{
	InitBtnValue();
	if (0 < window.dialogArguments.xmldoc.getElementsByTagName("ZONES").length)
	{
		WgetXML = window.dialogArguments.xmldoc;
	}
	else
	{
		WgetXML = window.dialogArguments.dialogArguments.parentXML;
	}
	drawSelList(window.dialogArguments.ZoneMode, window.dialogArguments.ZonePID);
	document.getElementById("ID_ContentDIV").style.width = "500px";
}


//flag = 1 : input
//flag = 2 : output
function drawSelList(flag, PanelID)
{
	zonexmldoc = WgetXML.getElementsByTagName("ZONES")[0];
	//allzones = zonexmldoc[0].getElementsByTagName("Zone");
	var str = '<select  id="ZoneSelect" class="StdFormField_nm"  style="width:230px;" onChange="ProgramChangeFlag=1;">';
	str += '<option value="0">0&nbsp;&nbsp;' + transtr_None + '</option>';
	//alert("flag="+flag+"  PanelID="+PanelID);
	switch (flag)
	{
		case "input":
			if(0 == PanelID)
			{
				str += AppGroupZones();
			}
			else
			{
				str += AppLocalZones(PanelID);
			}
			break;
			
		case "output":
			if (null == window.dialogArguments.ZoneListStr)
			{
				str += AppLocalZones(PanelID);
				str += AppGroupZones();
				str += AppGlobalZones();
			}
			else
			{
				str += window.dialogArguments.ZoneListStr;
			}
			//alert("here3");
			break;
		case "SingleInput": //not networked panel
			str += AppLocalZones(PanelID);
			str += AppGroupZones();
			break;
		default:
			break;
	}	
	str += '</select>';
	
	document.getElementById("ZoneSelField").innerHTML = str;
}

function AppGlobalZones()
{
	var GlobZoneStr = null;
	var label = "";
	for (var i = 226; i <= 234; i++)
	{
		try
		{
			label = zonexmldoc.getElementsByTagName("Zone" + i)[0].getElementsByTagName("Label")[0].firstChild.nodeValue;
		}
		catch (err)
		{
			label = "";
		}
		if ("" != label)
		{
			GlobZoneStr += '<option value=' + i + '>' + i + '  ' + label + '</option>';
		}
	}
	
	return GlobZoneStr;
}

function AppGroupZones()
{
	var GroupZs = zonexmldoc.getElementsByTagName("GroupWideZones")[0];
	var allzones = GroupZs.getElementsByTagName("Z");
	return GenZoneOptions(allzones);
}

function AppLocalZones(PanelID)
{
	var PanelWideZones = zonexmldoc.getElementsByTagName("PanelWideZones")[0];
	var PanelPWZ = GetPWZbyPID(PanelID, PanelWideZones);
	if (null != PanelPWZ)
	{
		allzones = PanelPWZ.getElementsByTagName("Z");
		return GenZoneOptions(allzones);
	}
	else
	{
		return null;
	}
}

//get panel wide zones by pid
function GetPWZbyPID(pid, pwz_dom)
{
	try
	{
		var pwz_pids = pwz_dom.getElementsByTagName("PID");
		var pwz_Panels = pwz_dom.getElementsByTagName("GroupPanel");
		for (var i = 0; i < pwz_pids.length; i++)
		{
			if (pid == pwz_pids[i].firstChild.nodeValue)
			{
				return  pwz_Panels[i];
			}
		}
		return null;
	}
	catch (err)
	{
		return null;
	}
}

function GenZoneOptions(allzones)
{
	var ZoneStr = null;
	if (null != allzones)
	{
		//alert(allzones.length);
		for (var i = 0; i < allzones.length; i++)
		{
			if (allzones[i].getElementsByTagName('L')[0].firstChild)
				var lab=allzones[i].getElementsByTagName('L')[0].firstChild.nodeValue;
			else var lab="";
			if ("" != lab)
			{
				if (allzones[i].getElementsByTagName('N')[0].firstChild)
					var znum=allzones[i].getElementsByTagName('N')[0].firstChild.nodeValue;
				else var znum="";
				
				ZoneStr += '<option value="' + znum + '">'+ znum +'&nbsp;&nbsp;' + lab + '</option>';
			}
		}
		return ZoneStr;
	}
}

/*function GetFileChange()
{
	if (xmlHttp1.readyState == 4 || xmlHttp1.readyState == "complete")
	{ 
        //get xml data from server:
		 WgetXML = xmlHttp1.responseXML;
		 startNo = 0;
		 endNo = 128;
		 drawSelList(1);
	}
}*/

function ValidSelZone()
{
	ZoneValue =  document.getElementById("ZoneSelect").value;
	try
	{
		window.dialogArguments.document.getElementById(window.dialogArguments.ZoneID).value = ZoneValue;
		window.dialogArguments.document.getElementById(window.dialogArguments.ZoneID).select();
		window.dialogArguments.ProgramChangeFlag = 1;
		window.close();
	}
	catch(err)
	{
		window.close();
	}
}

/*function PIDcheck(field)
{
	var AllPanel = xmldoc.getElementsByTagName("Panel");
	var pid = field.value;
	for (var i = 0; i < AllPanel.length; i++)
	{
		TempPid = AllPanel[i].getElementsByTagName('ID')[0].firstChild.nodeValue;
		if (TempPid == pid)
		{
			var gid = AllPanel[i].getElementsByTagName('GID')[0].firstChild.nodeValue;
			break;
		}
	}
	
	if (gid != locGID)
	{
		alert("This panel ID must in the same group with current panel!");
	}
}*/

/*function GetLocGID(PanelID)
{
	var AllPanel = xmldoc.getElementsByTagName("Panel");
	for (var i = 0; i < AllPanel.length; i++)
	{
		var TempPid = AllPanel[i].getElementsByTagName('ID')[0].firstChild.nodeValue;
		if (TempPid == PanelID)
		{
			var gid = AllPanel[i].getElementsByTagName('GID')[0].firstChild.nodeValue;
			return gid;
		}
	}
}*/
//For device page
function PidFieldCheck(field)
{
	if (true == formFieldRangeChkTime(field, 0, 64, ''))
	{
		var ZoneID = field.id.substring(4, field.id.length);//pid_ZoneID
		try
		{
			var ZoneObj = document.getElementById(ZoneID);
			checkDevZones(ZoneObj,"PidChange");
		}
		catch(err)
		{
			//do nothing 
		}
	}
}

//for ohter pid field check
function GeneralPidCheck(field)
{
	if (true == formFieldRangeChkTime(field, 0, 64, ''))
	{
		var ZoneID = field.id.substring(4, field.id.length);//pid_ZoneID
		var ZoneObj = document.getElementById(ZoneID);
		if (false == InputZoneCheck(ZoneObj))
		{
			ZoneObj.value = 0;
			ZoneObj.select();
			return false;
		}
		return true;
	}
	return false;
}

function InputZoneCheck(field)
{
	var valid = false;
	var PidObj = document.getElementById("pid_" + field.id);
	if (0 == field.value && "" != field.value)
	{
		return true;
	}
	if (PidObj.disabled)
	{	//standalone panel
		valid = formFieldRangeChkTime(field, 0, 225, '');	
		if (true == valid)
		{
			if (128 < field.value)
			{
				PidObj.value = 0;
			}
			else 
			{
				PidObj.value = GetLocPid();
			}
		}
	}
	else
	{	//networked panel
		if (0 == PidObj.value)
		{	//group zone
			valid = formFieldRangeChkTime(field, 129, 225, '');
		}
		else
		{	//local zone
			valid = formFieldRangeChkTime(field, 0, 128, '');
		}
	}
	return valid;
}

//for no networked panel
function InputZoneCheck_Single(field)
{
	formFieldRangeChkTime(field, 0, 225, '');
}

function OutputZoneCheck(field)
{
	formFieldRangeChkTime(field, 0, 234, '');
}

function GetLocPid()
{
	if (0 < xmldoc.getElementsByTagName("ZONES").length)
	{
		return  xmldoc.getElementsByTagName("PanelID")[0].firstChild.nodeValue;
	}
	else
	{
		return window.dialogArguments.LocPID;
	}
}

