function genSrcDevIndexes(idVal){
    
    var id = idVal;
    var xmlObj = xmldoc;
    var looptag = DCPlooptag;
    var tDevices = null;
    var finalStr = "";
    var targetListObj = null;
    
	try{
		id = idVal;
		xmlObj = xmldoc.documentElement;
		looptag = DCPlooptag;
		targetListObj = document.getElementById(id);
		while(targetListObj.hasChildNodes())
			targetListObj.removeChild(targetListObj.lastChild);

		var devArr = null;
		if(xmlObj!=null){
			devArr = xmlObj.getElementsByTagName("Device");//.getElementsByTagName(looptag)[0]
			for(var i=0; i<devArr.length; i++){
				if(i==0) 
					continue;
				var addr = devArr[i].getElementsByTagName("Address")[0].firstChild.nodeValue;
				var newElem = document.createElement("option");
				newElem.value = i;
				newElem.innerHTML = addr;
				targetListObj.appendChild(newElem);
			}
		
		}
	}catch(err){}
    
}

function clearContentFirst(optionObj){

    var looptag = DCPlooptag;
    var selObj = optionObj;
    var length = selObj.childNodes.length;
    var subArrObj = null;
    var flag = false;

    if(looptag == "LOOP1"){
    	subArrObj = document.getElementById("NewDeviceType_Sub");
    	if(subArrObj!=null){
       		flag = true;
    	}
    }else if(looptag == "LOOP2"){
        subArrObj = document.getElementById("NewDeviceType_Sub2");
        if(subArrObj!=null){
            flag = true;
        }
    }else{
        flag = false;
    }
    
    if(flag == true){
        while(subArrObj.hasChildNodes()){
            subArrObj.removeChild(subArrObj.lastChild);
        }
    }
}


function adjustCopyAddress(from, to){
	var fromAddrObj = document.getElementById(from);
	var toAddrObj = document.getElementById(to);
	
	if(fromAddrObj != null && toAddrObj != null){
		var fromAddr = parseInt(fromAddrObj.value);
		var toAddr = parseInt(toAddrObj.value);
		
		if(fromAddr > toAddr){
			return false;
		}else{
			return true;
		}
	}
}

function buttonCopyDevice(srcDevID, from, to){
	var addressFlag = adjustCopyAddress(from, to);
	if(addressFlag == false){
		alert(warningHandler(27));
		document.getElementById(from).value = 1;
		document.getElementById(to).value = 1;
		return;
	}
    var flag = null;
    flag = window.confirm(warningHandler(25));
	//alert("copyDeviceEntry");
    copyDeviceEntry(srcDevID, from, to, flag);
    document.getElementById(from).value = "1";
    document.getElementById(to).value = "1";
}

function addMultiDevices(srcObjID, fromID, qtyID){
	
    var startAddr = null;
    var qty = null;
    var loopxmldoc = null;
    var curList = null;
    var max_add = null;
	loopxmldoc = xmldoc.getElementsByTagName(DCPlooptag)[0];
	curList = loopxmldoc.getElementsByTagName("Device");
	qty = parseInt(document.getElementById(qtyID).value);
	
	if(fromID == null)
		startAddr = 1;
	else{
		try{
			startAddr = parseInt(document.getElementById(fromID).value);
		}catch(err){   
			startAddr = 1;
		}
	}
	if (isNaN(qty) || isNaN(startAddr))  
	{
		alert(warningHandler(34)); //qty ,startAddr can not be leaved null
		return;
	}
		//edit by Felicia for the low address devices
	var dtypeIndex = document.getElementById(srcObjID).selectedIndex;
	var dtype = parseInt(document.getElementById(srcObjID).options[dtypeIndex].value);
	var CurNum = null;
	var max_add = GetDevMaxAddr(dtype);
	
	if (254 == max_add)
	{
		CurNum = curList.length;
	}
	else
	{
		CurNum = NumLowDev;//calculate the value when draw the device list table
	}
	
	if(max_add < (qty+CurNum-1)){
		qty=max_add-CurNum+1;
		if(qty <1){
				alert(warningHandlerWithParams(26, max_add.toString()));
				return;
		}else{
			 	alert(warningHandlerWithParams(3, max_add.toString()));
		}
	}

	var slcObj = null;
	var slcLength = xmldoc.getElementsByTagName(DCPlooptag)[0].getElementsByTagName("Device").length; 
	if(slcLength == 0){
		if(DCPtemplatedoc != null)
			slcObj = DCPtemplatedoc.getElementsByTagName("Device")[2].cloneNode(true);
		if(slcObj != null)
			xmldoc.getElementsByTagName(DCPlooptag)[0].appendChild(slcObj);
	}
	
	slcLength = xmldoc.getElementsByTagName(DCPlooptag)[0].getElementsByTagName("Device").length; 
	if(slcLength > 0)
		addDevs(startAddr, qty, srcObjID,max_add);
	
	refreshFlag = true;
	refreshDCPDisplay();
	refreshFlag = false;
	document.getElementById(fromID).value = "1";
	document.getElementById(qtyID).value = "1";
    
    if(window.newDevIndex!=null)
        window.newDevIndex = null;
        
    if(window.dialogArguments!=null)
        if(window.dialogArguments.newDevIndex!=null)
            window.dialogArguments.newDevIndex = null;
	
	if(parseInt(document.getElementById(srcObjID).value)==16){
		document.getElementById("NewDeviceAddress").value = 128;									
	}else{
		document.getElementById("NewDeviceAddress").value = 1;
	}
}

function copyDeviceEntry(srcDevID, from, to, flag){
    var addrFrom = null;
    var addrTo = null;
    var templateIndex = null; 
    var loopxmldoc = null;
    var alldevices = null;
    
    try{
        //assign data
        addrFrom = parseInt(document.getElementById(from).value);
        addrTo = parseInt(document.getElementById(to).value);
        loopxmldoc = xmldoc.getElementsByTagName(DCPlooptag)[0];
        alldevices = loopxmldoc.getElementsByTagName("Device");
        
        //validations
        if(parseInt(addrFrom) > parseInt(addrTo)){
            alert(warningHandler(27));
            document.getElementById(from).value = "1";
            document.getElementById(to).value = "1";
            return;
        }

        var sourceDev = null;
        var listIndex = null;
        if(alldevices.length > 1){
            listIndex = document.getElementById(srcDevID).selectedIndex + 1;
            sourceDev = alldevices[parseInt(listIndex)].cloneNode(true);
        }

        var validStr = "";
        var count = addrTo - addrFrom + 1;
        var index = 1;
        var alldevices_count = alldevices.length - 1;
		var max_add = null;
		var min_add = null;
		//add by Felicia for low adress devices
        var dtype = alldevices[parseInt(listIndex)].getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
		
		max_add = GetDevMaxAddr(dtype);
		min_add = GetDevMinAddr(dtype);
	
		if((addrTo > max_add) && (addrFrom <= max_add) && (addrFrom >= min_add)){
			addrTo = max_add;
			alert(warningHandlerWithParams(3, max_add.toString()));		
		}else if(addrFrom > max_add){
		    alert(warningHandlerWithParams(26, max_add.toString()));
			return;
		}else if((addrFrom < min_add) && (addrTo >= min_add)){//ASB
			addrFrom = min_add;
			//alert(warningHandlerWithParams(26, max_add.toString()));
		}else if(addrTo < min_add){
		    alert(warningHandler(4));
			return;
		}
		var i = parseInt(addrFrom);
		for(; index<=alldevices_count && i<=parseInt(addrTo);){
			
			var srcDevice = sourceDev.cloneNode(true); 
            var curListDev = alldevices[index];
            var curListAddr = curListDev.getElementsByTagName("Address")[0].firstChild.nodeValue;
			var valid = false;
            if(i == parseInt(curListAddr)){
				try{
				if(flag == true){
					//replace the current item
                    srcDevice.getElementsByTagName("Address")[0].firstChild.nodeValue = i.toString();
                    loopxmldoc.replaceChild(srcDevice, curListDev);
                }
                index++;
                i++;
				}catch(errFlag){
					//alert("replaceChild failed!");
				}
            }else if(i>parseInt(curListAddr)){
				index++;
            }else{
				if(parseInt(dtype) == 16){
					valid = CheckASBaddr(i,loopxmldoc);	
				}
				if(parseInt(dtype) != 16 || valid == true){
					srcDevice.getElementsByTagName("Address")[0].firstChild.nodeValue = i.toString();
					loopxmldoc.appendChild(srcDevice);
				}
				i++;
            }

			if(i == (parseInt(addrTo)+1)){
				break;
			}
        }
        while(i <= parseInt(addrTo)){
			if(parseInt(dtype) == 16){
				valid = CheckASBaddr(i,loopxmldoc);	
			}
			if(parseInt(dtype) != 16 || valid == true){
           		var srcDevice = sourceDev.cloneNode(true); 
           		srcDevice.getElementsByTagName("Address")[0].firstChild.nodeValue = i.toString();
            	loopxmldoc.appendChild(srcDevice);
			}
            i++;
        }
        refreshFlag = true;
        refreshDCPDisplay();
        refreshFlag = false;
        
    }catch(err){    
        //nothing
    }

}
function CheckASBaddr(addr,loopxmldoc){
	
	var DetecNum = 0;
	var ASBnum = 0;
	var alladdress = loopxmldoc.getElementsByTagName("Address");
	for(var k=0;k<alladdress.length;k++){
		
		var devTypeChk = alldevices[k].getElementsByTagName("DeviceType")[0].firstChild.nodeValue;
		if(parseInt(devTypeChk)==27){
			var valDev = false;
			var devAdd = parseInt(alladdress[k].firstChild.nodeValue);
			//alert("devAdd="+devAdd);
			if(1<=devAdd && 127>=devAdd){
				valDev = true;
			}
		}
					
		if((parseInt(devTypeChk)==3)||(parseInt(devTypeChk)>4 && parseInt(devTypeChk)<8) || (valDev==true)){
			if(addr == (127 + parseInt(alladdress[k].firstChild.nodeValue)))
			    return true;
			else
			    continue;
		}//end of if
	}//end of for
	if(k == alladdress.length)
	{
		return false;
	}  
 }//end of if
 
function addDevs(startAddr, qty, dtypeID,Maxadd){

    var dtypeIndex = document.getElementById(dtypeID).selectedIndex;
    var dtype = document.getElementById(dtypeID).options[dtypeIndex].value;
    var loopxmldoc = xmldoc.getElementsByTagName(DCPlooptag)[0]; 
    var tmpLoopxmldoc = loopxmldoc.cloneNode(true);
    var curList = tmpLoopxmldoc.getElementsByTagName("Device"); 
	var l_ret = 0;
    
    //add check here 
    /*var maxAddr = curList[curList.length-1].getElementsByTagName("Address")[0].firstChild.nodeValue;
    if((parseInt(maxAddr)+parseInt(qty))>=254)
    {
        alert(warningHandler(47));
        document.getElementById("NewDeviceAddress").value = 1;
        document.getElementById("NewDeviceQty").value = 1; 
        return;
    }*/
    
	// ASB-SND is rarely added, max number is 128, tested in the previous software that will not blocked by browser
	try{
		if(parseInt(dtype) == 16){ //ASB found
			var asbStart = parseInt(startAddr);
			l_ret = addDeviceAt(parseInt(dtype), asbStart, parseInt(qty), true);
			if(l_ret == 2)
				return;
		}
	}catch(errASB){}
	
    
    try{
        //LA: curList, LB:String for recording
        var lbRec = "";
        var i=parseInt(startAddr);
        var count = 0;
        var j = 0;
        
        //i:loop the added list, j:loop the already generated device list
        for(;i<=254, j<=255;){
            var addr = null;
            
            if(j<curList.length)
                addr = curList[j].getElementsByTagName("Address")[0].firstChild.nodeValue;
            else
                addr = 255;
            
            //prepare the valid offset list for insertion of new devices into the configuration 
            if(i==parseInt(addr)){
                i++;
                j++;
            }else if(i<parseInt(addr)){
                if(lbRec == ""){
                    lbRec += i.toString();
                }else{
                    lbRec += "," + i.toString();
                }
                count++;
                i++;
            }else{
                j++;
            }
            
            //if count first reaches, then jump out.
            if(count==qty){
                break;
            }
        }

        var lbObj = lbRec.split(",");
        var tmpcount = lbRec.split(",").length;
        var allDevice = null;

        if(window.newDevIndex!=null){
            if(window.storeForEditObj!=null){
                allDevice = window.storeForEditObj.cloneNode(true);
            }else{
                allDevice = DCPtemplateArray[parseInt(dtype)].cloneNode(true);    
            }

        }else{
            allDevice = DCPtemplateArray[parseInt(dtype)].cloneNode(true);
        }
        
        
        for(var k=0; k<tmpcount; k++){
            var newTmpChild = null;
            var childObj = loopxmldoc.getElementsByTagName("Device");
            var childLength = childObj.length;
            
            if(childObj==null||childLength==0){
                //append the SLC child
                var slcObj = DCPtemplateArray[2].cloneNode(true);
                if(slcObj!=null)
                    loopxmldoc.appendChild(slcObj);
            }
            
            if(allDevice!=null){
                newTmpChild = allDevice.cloneNode(true);
				var validAddr = getValidAddressDtype(loopxmldoc, allDevice, lbObj[k]);
				newTmpChild.getElementsByTagName("Address")[0].firstChild.nodeValue = validAddr;
                var adjustAddress = 0;
                try{
                    adjustAddress = parseInt(newTmpChild.getElementsByTagName("Address")[0].firstChild.nodeValue);
                }catch(err){
                    adjustAddress = 0;    
                }
                
                if((adjustAddress>0) && (adjustAddress <= Maxadd))
                    loopxmldoc.appendChild(newTmpChild);
				else{
					alert(warningHandlerWithParams(26, Maxadd.toString()));
					return;
				}
            }
        }
    }catch(err){
        return;
    }
}

function getValidAddressDtype(basedXMLDoc, addDevice, defaultValue){
	
	var allDevs = basedXMLDoc.getElementsByTagName("Device");
	var lowAddressDevs = null;
	var highAddressDevs = null;
	var lowAddressDevTypes = null;
	var highAddressDevTypes = null;
	
	var allValidDevs = null;
	var allInvalidDevs = null;
	
	var addDevAddr = parseInt(addDevice.getElementsByTagName("Address")[0].firstChild.nodeValue);
	var addDevType = parseInt(addDevice.getElementsByTagName("DeviceType")[0].firstChild.nodeValue);

	var finalValidDevs = null;

	//add the device not belong to ASB group and return the passed in default type
	if(addDevType != 16)
		return defaultValue;

	if(allDevs.length > 1){
		//split lower address devices and higher address devices
		for(var i=1; i<allDevs.length; i++){
			
			var curListDev = allDevs[i];
			var curListAddr = parseInt(curListDev.getElementsByTagName("Address")[0].firstChild.nodeValue);
			var curListType = parseInt(curListDev.getElementsByTagName("DeviceType")[0].firstChild.nodeValue);
			
			if(curListAddr > 0){
				if(curListAddr < 128){
					if(lowAddressDevs == null)
						lowAddressDevs += curListAddress;
					else
						lowAddressDevs += ","+curListAddress;
					
					if(lowAddressDevTypes == null)
						lowAddressDevTypes += curListType;
					else
						lowAddressDevTypes += ","+curListType;
				}else if(curListAddr < 255){
					if(highAddressDevs == null)
						highAddressDevs += curListAddress;
					else
						highAddressDevs += ","+curListAddress;
					
					if(highAddressDevTypes == null)
						highAddressDevTypes += curListType;
					else
						highAddressDevTypes += ","+curListType;
				}
			}
		}
		
		var LLength = null;
		try{
			LLength = lowAddressDevs.split(",").length;
		}catch(errLLength){
			LLength = 0;
		}

		//calculate the low address devices for valid ASB device address
		for(var j=0; j<LLength; j++){
			var curLowAddressDev = null;
			var curLowAddressDevType = null;
			if(LLength > 1){
				curLowAddressDev = lowAddressDevs[j].split(",")[j];
				curLowAddressDevType = lowAddressDevTypes[j].split(",")[j];	
			}else{
				curLowAddressDev = lowAddressDevs[j];
				curLowAddressDevType = lowAddressDevTypes[j];
			}
			
			//possible address
			if(parseInt(curLowAddressDevType)==3||((parseInt(curLowAddressDevType)>4&&parseInt(curLowAddressDevType)<8))){
				//can be attached with ASB addresses
				if(allValidDevs == null)
					allValidDevs += (curLowAddressDev+127);
				else
					allValidDevs += ","+(curLowAddressDev+127);
			}
		}
		var HLength = null;
		try{
			HLength = allValidDevs.split(",").length;
		}catch(errHLength){
			HLength = 0;	
		}
		
		//caculate the high address devices for filter the invalid ASB device address
		for(var k=0; k<HLength; k++){
		
			var allValidDev = null;
			
			if(HLength > 1){
				allValidDev = allValidDevs.split(",")[k];
			}else{
				allValidDev = allValidDevs;
			}
			
			var highLengthVar = null;
			try{
				highLengthVar = highAddressDevs.split(",").length;
			}catch(errHighLengthVar){
				highLengthVar = 0;
			}
			
			for(var m=0; m<highLengthVar; m++){
				var curHighAddressDev = null;
				var curHighAdddressDevType = null;
				
				if(highLengthVar > 1){
					curHighAddressDev = highAddressDevs.split(",")[m];
					curHighAddressDevType = highAddressDevTypes.split(",")[m];
				}else{
					curHighAddressDev = highAddressDevs;
					curHighAddressDevType = highAddressDevTypes;
				}
			
				if(parseInt(curHighAddressDev) == parseInt(allValidDev)){
					//compare consistently: invalid
				}else{
					if(finalValidDevs == null)
						finalValidDevs += parseInt(allValidDev);
					else
						finalValidDevs += ","+parseInt(allValidDev);
				}
			
			}
		}
		
		try{
			return parseInt(finalValidDevs.split(",")[0]);
		}catch(errorNull){
			return null;
		}
	}
}

var addrValue = null;
var qtyValue = null;
function readSLCMultiParam(addrID, qtyID){
	addrValue = document.getElementById(addrID).value;
	qtyValue = document.getElementById(qtyID).value;
}

function addressRangeChk(field, valmin, valmax, valdef) {
  
   if (parseInt(field.value) < valmin ||parseInt(field.value) > valmax || field.value.match(/\D+/)) {
        //alert("The value has to be in the range of "+valmin+" to "+valmax+"!\n");
	    var params = valmin + "-"+ valmax;
		alert(warningHandlerWithParams(58,params.toString()));
        field.value=preInputValue;
        return false;
    }
    return true;
} //End formFieldRangeChk

function checkQuantityValue(obj, minAddr, maxAddr, defAddr){
    
    var startObj = null;
    var qtyObj = null;
    var flag = false;
    var highestAddr = null;
	
    startObj = document.getElementById("NewDeviceAddress");
    qtyObj = document.getElementById("NewDeviceQty");
    
    try{
        
        var startAddr = startObj.value;
        var qty = qtyObj.value;
        var count = parseInt(startAddr)+parseInt(qty)-1;
		var adjustObj = null;
		if(DCPlooptag == "LOOP1")
			adjustObj = document.getElementById("NewDeviceType_Sub");
		else if(DCPlooptag == "LOOP2")
			adjustObj = document.getElementById("NewDeviceType_Sub2");
	
		obj = document.getElementById("NewDeviceAddress");
	
		var max_add = GetDevMaxAddr(adjustObj.value);
		var min_add = GetDevMinAddr(adjustObj.value);
		
		flag = addressRangeChk(obj, min_add, max_add, max_add);
		if (true == flag)
		{
			highestAddr = max_add - parseInt(startObj.value);
		}
				
		if(highestAddr != null){
		
			var maxqty = highestAddr + 1;
			var flag_qty = addressRangeChk(qtyObj, 1,maxqty, 1);
			if(flag_qty ==false){
			    document.getElementById("NewDeviceQty").value = "1";
				return;
			}
		}
		
		if(flag == true){
			var current_qty = parseInt(document.getElementById("NewDeviceQty").value);
			if(current_qty -1 > highestAddr){
				//exceed highest qty scope.
				document.getElementById("NewDeviceQty").value = "1";
				document.getElementById("NewDeviceAddress").value = "1";
				alert(warningHandler(50));
				return false;
			}
		}
		
		//reassign the value
        obj = document.getElementById("NewDeviceQty");
        if(flag == false)
        {
			if(addrValue != null)
				document.getElementById("NewDeviceAddress").value = addrValue;
			if(qtyValue != null)
				document.getElementById("NewDeviceQty").value = qtyValue;	
            return;
        }
        else 
        {
			if(count > 254) //no SLC added and change 255 totally to 254
            {
				
                alert(warningHandler(28));
             	if(addrValue != null)
			 		document.getElementById("NewDeviceAddress").value = addrValue;
				if(qtyValue != null)
					document.getElementById("NewDeviceQty").value = qtyValue;
                return;
            }
        }
        
    }catch(err){
        //nothing
    }
}

function checkAllDevList(defAddr,newAddrObj, newQtyObj)
{
    var devList = xmldoc.getElementByTagName(DCPlooptag)[0].getElementByTagName("Device")[0];
    var devsLength = devList.length;
    var devListMinAddr = null;
    var devListMaxAddr = null;
    var startAddr = null;
    var quantity = null;
    var endAddr = null;
    var ret = 0;
    
    if(devsLength > 1){        
        devListMinAddr = parseInt(devList[1].firstChild.nodeValue);
        devListMaxAddr = parseInt(devList[devsLength-1].firstChild.nodeValue);
        startAddr = parseInt(newAddrObj.value);
        quantity = parseInt(newQty.value);
        endAddr = startAddr+quantity-1;
        ret = 0;
    }else if(devsLength <= 1){
        if((devsLength<1)&&(DCPlooptag=="LOOP1")){
            alert(warningHandler(46));
            newAddrObj.value = 1;
            newQty.value = 1;
            endAddr = 1;
            ret = -2;
        }else{
            startAddr = parseInt(newAddrObj.value);
            quantity = parseInt(newQty.value);
            endAddr = startAddr+quantity-1;
            ret = -1;
        }
        
        devListMinAddr = 0;
        devListMaxAddr = 0;
        return;
    }
}

function copyFormFieldValueCheck(obj, minAddr, maxAddr, defAddr){
    var maxObj = null;
    var minObj = null;
    maxObj = document.getElementById("CopyDeviceTo");
    minObj = document.getElementById("CopyDeviceFrom");
    if(maxObj!=null&&maxObj.value.length!=0&&minObj!=null&&minObj.value.length!=0){
        if(parseInt(minObj.value) > parseInt(maxObj.value)){
            alert(warningHandler(29));
            obj.value = preInputValue;
            return;
        }
    }
    formFieldRangeChk(obj, minAddr, maxAddr, defAddr);
}