//---------------------------------------------------------------------
//Javascript for Errorhandling
//Errorhandler(102)
//after translation, use "+params+" to replace xxx.
//---------------------------------------------------------------------
function Errorhandler (errorno) {
    
    var transtr_errMsg=null;
    switch (errorno){
        case "100":
            transtr_errMsg="PIN invlido. \n O PIN deve ser um nmero de quatro dgitos. Verifique se o NumLock est ativado!";
            break;
        case "101":
            transtr_errMsg="Um usurio nvel 3 j fez login!";
            break;
        case "102":
            transtr_errMsg="O sistema est reinicializando. Tente mais tarde!";
            break;
        case "103":
            transtr_errMsg="Login expirou. Faa login novamente!";
            break;
        case "104":
            transtr_errMsg="PIN invlido. \n O PIN deve ser um nmero de quatro dgitos. Verifique se o NumLock est ativado!";
            break;
        case "105":
            transtr_errMsg="Erro interno. Reset o painel com as configuraes Predefinidas de fbrica.\n Se o problema ocorrer novamente, contate o suporte tcnico.";
            break;
        case "106":
            transtr_errMsg="Erro interno. Reset o painel.\nSe o problema ocorrer novamente, contate o suporte tcnico.";
            break;
        case "107":
            transtr_errMsg="Login com Nvel 3 fica bloqueado ao executar o bypass no teclado local!";
            break;
        case "201":
            transtr_errMsg="Login expirou\n Faa o login!";
            break;
        case "202":
            transtr_errMsg="Login expirou!";
            break;
        case "203":
            transtr_errMsg="Falha na leitura do Login; reinicie o painel.\n Se o problema ocorrer novamente, contate o suporte tcnico.";
            break;
        case "204":
            transtr_errMsg="Falha na gravao do Login; reinicie o painel.\n Se o problema ocorrer novamente, contate o suporte tcnico.";
            break;
        case "205":
            transtr_errMsg="Erro interno:\n Falha no envio da mensagem!";
            break;
        case "301":
            transtr_errMsg="O nvel de autoridade do usurio  muito baixo;  necessrio o Nvel 3!";
            break;
        case "302":
            transtr_errMsg="Falha na comunicao. Tente novamente!";
            break;
        case "303":
            transtr_errMsg="Sobrecarga de memria; reinicie o painel.\n Se o problema ocorrer novamente, contate o suporte tcnico.";
            break;
        case "401":
            transtr_errMsg="O nvel de autoridade do usurio  muito baixo;  necessrio o Nvel 3 ou superior!";
            break;
        case "402":
            transtr_errMsg="Falha na comunicao; tente novamente. Verifique a conexo com o painel.";
            break;
        case "403":
            transtr_errMsg="Falha na comunicao. Tente novamente.";
            break;
        case "404":
            transtr_errMsg="O teste de caminhada j est no processo!";
            break;
        case "501":
            transtr_errMsg="Verifique o arquivo de configurao. O tamanho do arquivo chegou ao limite mximo.";
            break;
        case "502":
            transtr_errMsg="Verifique o arquivo do software aplicativo para atualizao do painel. O tamanho do arquivo chegou ao limite mximo.";
            break;
        case "503":
            transtr_errMsg="Entrada invlida!";
            break;
        case "504":
            transtr_errMsg="Escolha primeiro um arquivo para fazer upload!";
            break;
        case "505":
            transtr_errMsg="Tente novamente.\nSe o problema ocorrer novamente, reinicie o painel.";
            break;
        case "506":
            transtr_errMsg="Tipo de arquivo incorreto. O arquivo de configurao deve ser do tipo .xml; a atualizao do software deve ser do tipo .bin!";
            break;
        case "507":
            transtr_errMsg="Falha na verificao do arquivo; reinicie o painel.\nSe o problema ocorrer novamente, contate o suporte tcnico.";
            break;
        case "508":
            transtr_errMsg="Tipo de arquivo incorreto. A atualizao do software deve ser .zip!";
            break;
        case "520":
			transtr_errMsg = "Deve-se insirir a senha de confirmao no painel em 3 minutos. Processando agora; aguardando.";
            return transtr_errMsg;
        case "522":
			transtr_errMsg = "Senha inserida com xito no lado do painel; voc ser redirecionado para a programao remota em breve.";
            return transtr_errMsg;
        case "525":
            transtr_errMsg = "Outra solicitao est em andamento. Tente mais tarde.";
			return transtr_errMsg;
        case "526":
            transtr_errMsg = "Ocorreu um erro desconhecido no painel; tente mais tarde.";
			return transtr_errMsg;
        case "527":
            transtr_errMsg = "Foi inserida uma senha invlida no painel.";
			return transtr_errMsg;
        case "536":
			transtr_errMsg = "O acesso remoto ao painel foi desabilitado.";
            return transtr_errMsg;
        case "538":
            transtr_errMsg = "Voc foi removido da lista de acesso.";
			return transtr_errMsg;
        case "539":
            transtr_errMsg = "Um ID de solicitao invlido foi recebido pelo servidor.";
            return transtr_errMsg;
        case "540": //web only
            transtr_errMsg = "Tempo limite atingido no lado do cliente.";
            return transtr_errMsg;
        default:
            transtr_errMsg="Abra o navegador web novamente. Se isso ocorrer novamente, reset o painel.";
            break;
    }

	alert(transtr_errMsg);
	return transtr_errMsg;
}


function warningHandler(warnNo){
    return warningHandlerEntry(warnNo, null);
}

function warningHandlerWithParams(warnNo, num){
    return warningHandlerEntry(warnNo, num);
}

function warningHandlerEntry(warnNo, params){
        
        var transtr_warnMsg=null;
        
        switch(parseInt(warnNo)){
            case 0: 
                transtr_warnMsg="No  possvel atribuir mais nenhum endereo ao dispositivo atual!";
                break;
            case 1:
                transtr_warnMsg="Est faltando o arquivo de configurao do dispositivo. Contate o suporte tcnico!";
                break;
            case 2:
                transtr_warnMsg="Parmetro invlido! O tipo de dispositivo no  permitido nesse endereo.";
                break;
            case 3:
                transtr_warnMsg="Tipo de dispositivo limitado ao mx de "+params+" por SLC; o aplicativo adicionar at "+params+" e descartar automat. os excedentes.";
				break;
            case 4:
                transtr_warnMsg="Parmetro invlido! O tipo de dispositivo no  permitido nesse endereo. Use o intervalo de endereos entre 128 e 254.";
                break;
            case 5:
                transtr_warnMsg="O dispositivo base deve ser conectado a um detector.";
                break;
            case 6:
                transtr_warnMsg="O detector acomoda a uma base com sirene (FAA-325-B6S). Deseja remover tambm o FAA-325-B6S?";
                break;
            case 7:
                transtr_warnMsg="Voc fez algumas alteraes na configurao; deseja salv-las no painel?\n Pressione OK para salvar ou Cancelar para sair.";
                break;
            case 8:
                transtr_warnMsg="Insira o novo PIN para o Nvel ";
                transtr_warnMsg+=params+"!";
                break;
            case 9:
                transtr_warnMsg="Insira o novo PIN para o operador da Web!";
                break;
            case 10:
                transtr_warnMsg="O navegador da Web no  compatvel; faa a atualizao para a verso recomendada do navegador da Web.";
                break;
            case 11:
                transtr_warnMsg="Nenhuma resposta do painel. Verifique se o login est correto.";
                break;
            case 12:
                transtr_warnMsg="Concludo!";
                break;
            case 13:
                transtr_warnMsg="Nenhum arquivo de configurao XML do servidor!";
                break;
            case 14:
                transtr_warnMsg="CMD est enviando...";
                break;
            case 15:
                transtr_warnMsg="Autorize os cookies em seu navegador para fazer login com xito.";
                break;
            case 16:
                transtr_warnMsg="Est pgina no funciona sem cookies. Os cookies no funcionam neste navegador.";
                break;
            case 17:
                transtr_warnMsg="No  possvel imprimir esta pgina; verifique as configuraes de sua pgina!";
                break;
            case 18:
                transtr_warnMsg="Zona e ModoAtraso no correspondem.Veja se a zona j est definida para a zona de contagem!";
                break;
            case 19:
                transtr_warnMsg="Pressione OK para confirmar e ativar as alteraes; ento o painel ser reinicializado.\nPressione Cancelar para descartar todas as alteraes desde o momento do login.";
                break;
            case 20:
                transtr_warnMsg="Agora voc pode fazer login! Insira o PIN!";
                break;
            case 21:
                transtr_warnMsg="A janela ser fechada agora!";
                break;
            case 22:
                transtr_warnMsg="Lembre-se de que a sua sesso de login vlida expirar em 1 minuto!";
                break;
            case 23:
                transtr_warnMsg="Formato de arquivo invlido; selecione um arquivo de configurao xml vlido!";
                break;
            case 24:
                transtr_warnMsg="Habilite os cookies para suportar os processos de controles lgicos!";
                break;
            case 25:
				transtr_warnMsg="Para substituir dispositivos existentes, clique em 'OK'; caso contrrio, ignore.";
                break;
            case 26:
                transtr_warnMsg="No h espao suficiente no loop de corrente para adicionar dispositivos. O aplicativo pode somente adicionar "+params+". ";
                break;
            case 27:
                transtr_warnMsg="Endereo final no pode ser maior do que endereo inicial. Tente novamente!";
                break;
            case 28:
                transtr_warnMsg="Esta quantidade adicional excede o mx. de 254/loop. Verifique o que ser inserido!";
                break;
            case 29:
                transtr_warnMsg="O endereo do campo 'de' deve ser menor que o endereo do campo 'para'";
                break;
            case 30:
				transtr_warnMsg="O endereo desse dispositivo deve estar no intervalo "+params+"!";
                break;
            case 31:
                transtr_warnMsg = "Atualize a pgina web ou tente novamente mais tarde.";
				break;
            case 32:
                transtr_warnMsg="Endereo IP invlido. Ele deve ter quatro nmeros entre 0 e 254, separados por ponto '.' !";
                break;
            case 33:
                transtr_warnMsg="O valor da mscara de rede atual  invlido!";
                break;
            case 34:
                transtr_warnMsg="Os campos Endereo, Quantidade, ID de Dispositivo do Grupo e ID de Dispositivo devem ser preenchidos.";
                break;
            case 35:
                transtr_warnMsg="J h um dispositivo no endereo atual; altere para outro endereo!";
                break;
            case 36:
              	transtr_warnMsg="O Nmero de Telefone deve ter 20 dgitos ou menos e exclusivamente nmeros.";
              	break;
            case 37:
                transtr_warnMsg="Aguardando";
                transtr_warnMsg+=" ... ... ";
                break;
            case 38:
                transtr_warnMsg="Resete sua senha de login ou no poder fazer login na prxima vez!";
                break;
            case 39:
                transtr_warnMsg="Insira o seu nome de usurio!";
                break;
            case 40:
                transtr_warnMsg="Insira a sua senha!";
                break;
            case 41:
                transtr_warnMsg="Mensagem de validao de acesso remoto";
                break;
            case 42:
                transtr_warnMsg="de "+params[0]+" para "+params[1];
                break;
            case 43:
                transtr_warnMsg="Teste em andamento!";
                break;
            case 44:
                transtr_warnMsg="Resposta invlida do servidor. Tempo limite para validao atingido; tente mais tarde.";
                break;
            case 45:
                transtr_warnMsg = "Atualize a pgina web ou tente novamente mais tarde.";
				break;
            case 46:
                transtr_warnMsg = "O SLC1 deve constar da lista de dispositivos; certifique-se de que o arquivo de configurao do painel esteja correto!";
                break;
            case 47:
                transtr_warnMsg = "Esta quantidade adicional excede o mx. de 254/loop. Verifique o que ser inserido!";
				break;
			case 48:
				transtr_warnMsg = "Aviso: o cache do computador pode no ter memria suficiente. Esvazie o cache e, em seguida, faa o download e salve a configurao do software.";
				break;
			case 49:	
				transtr_warnMsg = "No  possvel recuperar a pgina de Ajuda rpida relacionada.";
                break;
			case 50:
				transtr_warnMsg = "Lista de Palavras inicializada com xito.";
				break;
			case 51:
				transtr_warnMsg = "Nenhum arquivo a editar. Crie/Carregue o arquivo primeiro!";
				break;
			case 52:
				transtr_warnMsg = "Falha na comparao da configurao.";
				break;
			case 53:
				transtr_warnMsg = "Compare o processo agora, aguarde...";
				break;
			case 54:
				transtr_warnMsg = "Seu navegador no suporta ActiveXObject; instale o Firefox posterior  verso 3.5 ou o IE posterior  verso 7.";
				break;
			case 55: //Mozilla version upgrade noticification
				transtr_warnMsg = "Seu navegador Firefox precisa ser atualizado para verso superior a 3.5 ou as pginas web sero exibidas incorretamente.";
				break;
			case 56:
				transtr_warnMsg = "Seu navegador IE precisa ser atualizado para verso superior a 7 ou as pginas web sero exibidas incorretamente.";
				break;
			case 57:
				var str = "";
				if(params == 0){
					str += "Ingls";
				}else if(params == 1){ 
					str += "Portugus";
				}else if(params == 2){
					str += "Espanhol";
				}
				transtr_warnMsg = "Configurao de idioma definido atualmente:<font color='blue'>"+str+"</font>";
				break;
			case 58:
			    transtr_warnMsg = "O valor deve ficar na faixa de "+params+"!";
                break;
			case 59:
			    transtr_warnMsg = "Falha ao Salvar! Todas as chaves de criptografia devem ficar em uma faixa vlida (0-9 A-F)!";
                break;
			case 60:
				transtr_warnMsg = "Digite um endereo de e-mail vlido!";
				break;
			case 61:
				transtr_warnMsg = "Este ID painel j est na tabela lista de painel!";
				break;
			case 62:
				transtr_warnMsg = "O ID do Painel no pode ser nulo. Preencha-o p/ esta operao!";/*"Panel ID and Group ID can not be null, please fill them for this operation!";*/
				break;
			case 63:
				transtr_warnMsg = "Digite um ID de painel vlido!";
				break;
			case 64:
				transtr_warnMsg = "Deseja realmente remover este painel da rede?";
				break;
			case 66:
				transtr_warnMsg = "Excede o mximo de 9 painis em um grupo, registre em outro grupo.";
				break;
			case 67:
				transtr_warnMsg = "Digite endereo dispositivo vlido!";
				break;
			case 68:
				transtr_warnMsg = "Esta zona ser alterada p/ zona de contagem. Alguns recursos de ponto atrasado de pontos de entrada atribudos a essa zona no funcionaro!";
				break;
			case 69:
				transtr_warnMsg = "Os recursos de rede sero removidos e todas as zonas com o ID do painel sero resetadas para a predefinio. Deseja fazer isto?";
				break;
			case 70:
				transtr_warnMsg = "Dois nmeros de zonas idnticos no podem existir no par!";
				break;
			case 71:
				transtr_warnMsg = "Par existente!";
				break;
			case 72:
				transtr_warnMsg = "Um nmero zona s pode existir em 4 pares!";
				break;
			case 73:
				transtr_warnMsg = "Digite um nmero de conta vlido!";
				break;
			case 74:
				transtr_warnMsg = "Nmero conta Contact ID: 4 dgitos (0-9,B-F).";
				break;
			case 75:
				transtr_warnMsg = "Nmero conta SIA-DCS 300: <= 6 dgitos (0-9,A-F).";
				break;
			case 76:
				transtr_warnMsg = "Nmero conta Modem IIIa2: 4,6,8 ou 10 dgitos (0-9,A-F).";
				break;
			case 77:
				transtr_warnMsg = "Falha ao salvar! Ends IP de receptores de conta prim e secund no podem ser os mesmos!";
				break;
			case 78:
				transtr_warnMsg = "Se o ID da rede de incndio for alterado, o painel reiniciar aps a implementao da configurao!";
				break;
			case 79:
				transtr_warnMsg = "No  possivel adicionar mais de 9 painis  essa rede de incndio!";
				break;
			default:
				transtr_warnMsg = "";
				break;
        }
        
        return transtr_warnMsg;
}

function multiWarnHandler(warnMsgList, paramList){
    var mList = warnMsgList;
    var pList = paramList;
    var warnMsg=null;

    for(var i=0; i<pList.length; i++){
        warnMsg+=mList[i]+pList[i];
    }
    //Or alert
    return warnMsg;
}

function warnMsg_Offline(id){
	var warnMsg = "";
	
	switch(id){
	case 0:
	case 1:
		warnMsg	+= "Arquivo config. carregado  invlido!";
		break;
	case 2:
		warnMsg += "Falha no carregamento arquivo config!";
		break;
	case 3:
		warnMsg += "xito no carregamento arquivo configurao!";
		break;
	case 4:
	    warnMsg = "Especifique o arquivo local a ser carregado!";
		break;
	case 5:
		warnMsg = "Falha no carregamento do idioma do arquivo config!";
		break;
	case 6: 
		warnMsg = "Nenhum arquivo a editar. Crie/Carregue o arquivo primeiro!";
		break;
	case 7:
		warnMsg = "Nenhum arquivo de configurao disponvel. Crie/Carregue o arquivo primeiro!" ;
		break;
	case 8:
		warnMsg = "Especifique o arquivo local a ser substitudo pela configurao atual!";
		break;
	case 9:
		warnMsg = "Arquivo salvo com xito!"
		break;
	case 10:
		warnMsg = "Arquivo salvo com xito na pasta predefinida!";
		break;
	case 11:
        warnMsg = "Voc fez algumas alteraes na configurao;\n Pressione OK para salvar ou Cancelar para sair.";
        break;
	default:
		break;
	}
	
	return warnMsg;
}
