//---------------------------------------------------------------------
//Javascript for Errorhandling
//Errorhandler(102)
//after translation, use "+params+" to replace xxx.
//---------------------------------------------------------------------
function Errorhandler (errorno) {
    
    var transtr_errMsg=null;
    switch (errorno){
        case "100":
            transtr_errMsg="PIN no vlido. \n El PIN debe ser un nmero de cuatro dgitos. Compruebe que el bloqueo numrico est activado.";
            break;
        case "101":
            transtr_errMsg="Ya ha iniciado sesin un usuario de nivel 3.";
            break;
        case "102":
            transtr_errMsg="El sistema se est reiniciando. Vuelva a intentarlo ms tarde.";
            break;
        case "103":
            transtr_errMsg="El inicio de sesin ha expirado. Vuelva ha iniciar sesin.";
            break;
        case "104":
            transtr_errMsg="PIN no vlido. \n El PIN debe ser un nmero de cuatro dgitos. Compruebe que el bloqueo numrico est activado!";
            break;
        case "105":
            transtr_errMsg="Error interno. Restablezca el panel con los ajustes predeterminados de fbrica.\n Si el problema persiste, pngase en contacto con el servicio de asistencia tcnica.";
            break;
        case "106":
            transtr_errMsg="Error interno. Restablezca el panel.\nSi el problema persiste, pngase en contacto con el servicio de asistencia tcnica.";
            break;
        case "107":
            transtr_errMsg="El inicio de sesin en el nivel 3 se bloquea cuando se excluye el teclado local.";
            break;
        case "201":
            transtr_errMsg="El inicio de sesin ha expirado.\n Inicie sesin.";
            break;
        case "202":
            transtr_errMsg="El inicio de sesin ha expirado.";
            break;
        case "203":
            transtr_errMsg="Fallo de lectura al iniciar sesin. Reinicie el panel.\n Si el problema persiste, pngase en contacto con el servicio de asistencia tcnica.";
            break;
        case "204":
            transtr_errMsg="Fallo de escritura al iniciar sesin. Reinicie el panel.\n Si el problema persiste, pngase en contacto con el servicio de asistencia tcnica.";
            break;
        case "205":
            transtr_errMsg="Error interno:\n Fallo al enviar mensaje.";
            break;
        case "301":
            transtr_errMsg="El nivel de autoridad de usuario es demasiado bajo, se requiere el nivel 3.";
            break;
        case "302":
            transtr_errMsg="Fallo de comunicacin. Vuelva a intentarlo.";
            break;
        case "303":
            transtr_errMsg="Sobrecarga de memoria, reinicie el panel.\nSi el problema persiste, pngase en contacto con el servicio de asistencia tcnica.";
            break;
        case "401":
            transtr_errMsg="El nivel de autoridad del usuario es demasiado bajo, se requiere el nivel 2 o superior.";
            break;
        case "402":
            transtr_errMsg="Fallo de comunicacin. Vuelva a intentarlo. Compruebe la conexin al panel.";
            break;
        case "403":
            transtr_errMsg="Fallo de comunicacin. Vuelva a intentarlo.";
            break;
        case "404":
            transtr_errMsg="El modo de prueba ya est en proceso.";
            break;
        case "501":
            transtr_errMsg="Compruebe el archivo de configuracin. El archivo ha alcanzado el tamano mximo.";
            break;
        case "502":
            transtr_errMsg="Compruebe el archivo de la aplicacin de SW para la actualizacin del panel. El archivo ha alcanzado el tamano mximo.";
            break;
        case "503":
            transtr_errMsg="Entrada no vlida.";
            break;
        case "504":
            transtr_errMsg="Primero seleccione el archivo que desee cargar.";
            break;
        case "505":
            transtr_errMsg="Vuelva a intentarlo.\nSi el problema persiste, reinicie el panel.";
            break;
        case "506":
            transtr_errMsg="Tipo de archivo incorrecto. El archivo de configuracin debe ser .xml, la actualizacin de SW debe ser de tipo .bin.";
            break;
        case "507":
            transtr_errMsg="Fallo en la comprobacin de archivo. Reinicie el panel.\nSi el problema persiste, pngase en contacto con el servicio de asistencia tcnica.";
            break;
        case "508":
            transtr_errMsg="Tipo de archivo incorrecto. El SW actualizado debe ser .zip.";
            break;
        case "520":
			transtr_errMsg = "Asegrese de que alguien introduzca la contrasena de confirmacin en la central en los prximos 3 minutos. Procesando, espere...";
            return transtr_errMsg;
        case "522":
			transtr_errMsg = "La contrasena se ha introducido correctamente desde el panel, pronto ser reenviado a la programacin remota.";
            return transtr_errMsg;
        case "525":
            transtr_errMsg = "Hay otra solicitud en curso. Vuelva a intentarlo ms tarde.";
			return transtr_errMsg;
        case "526":
            transtr_errMsg = "Se ha producido un error desconocido en la central, vuelva a intentarlo ms tarde.";
			return transtr_errMsg;
        case "527":
            transtr_errMsg = "La contrasena introducida en la central no es vlida.";
			return transtr_errMsg;
        case "536":
			transtr_errMsg = "Se ha desactivado el acceso remoto a la central.";
            return transtr_errMsg;
        case "538":
            transtr_errMsg = "Ha sido eliminado de la lista de acceso.";
			return transtr_errMsg;
        case "539":
            transtr_errMsg = "Se ha recibido una ID de solicitud no vlida desde el servidor.";
            return transtr_errMsg;
        case "540": //web only
            transtr_errMsg = "Se ha excedido el tiempo de espera del cliente.";
            return transtr_errMsg;
        default:
            transtr_errMsg="Vuelva a abrir el navegador Web. Si ocurre de nuevo, restablezca el panel.";
            break;
    }

	alert(transtr_errMsg);
	return transtr_errMsg;
}


function warningHandler(warnNo){
    return warningHandlerEntry(warnNo, null);
}

function warningHandlerWithParams(warnNo, num){
    return warningHandlerEntry(warnNo, num);
}

function warningHandlerEntry(warnNo, params){
        
        var transtr_warnMsg=null;
        
        switch(parseInt(warnNo)){
            case 0: 
                transtr_warnMsg="No se pueden asignar ms direcciones al dispositivo actual.";
                break;
            case 1:
                transtr_warnMsg="Falta el archivo de configuracin del dispositivo. Pngase en contacto con el servicio de asistencia tcnica.";
                break;
            case 2:
                transtr_warnMsg="Parmetro no vlido. No se permite este tipo de dispositivo en esta direccin.";
                break;
            case 3:
                transtr_warnMsg="El tipo de dispositivo est limitado a un mximo de "+params+" por SLC. La aplicacin anadir hasta "+params+" y descartar el resto de forma automtica.";
				break;
            case 4:
                transtr_warnMsg="Parmetro no vlido. No se permite este tipo de dispositivo en esta direccin. Utilice el rango de direcciones 128-254.";
                break;
            case 5:
                transtr_warnMsg="Es necesario que el dispositivo de base se adjunte a un detector de host.";
                break;
            case 6:
                transtr_warnMsg="El detector dispone de una base con sirena (FAA-325-B6S). ?Desea eliminar tambin FAA-325-B6S?";
                break;
            case 7:
                transtr_warnMsg="Ha realizado algunos cambios en la configuracin, ?desea guardarlos en el panel?\n Pulse Aceptar para guardar o Cancelar para salir.";
                break;
            case 8:
                transtr_warnMsg="Introducir nuevo PIN para de Nivel ";
                transtr_warnMsg+=params+"!";
                break;
            case 9:
                transtr_warnMsg="Introducir nuevo PIN de operador Web.";
                break;
            case 10:
                transtr_warnMsg="El navegador Web no es compatible, actualcelo a la versin recomendada.";
                break;
            case 11:
                transtr_warnMsg="No hay respuesta desde el panel. Compruebe que el inicio de sesin es correcto.";
                break;
            case 12:
                transtr_warnMsg="Finalizado.";
                break;
            case 13:
                transtr_warnMsg="No hay archivo de configuracin XML del servidor.";
                break;
            case 14:
                transtr_warnMsg="CMD est enviando...";
                break;
            case 15:
                transtr_warnMsg="Active las cookies del navegador para iniciar sesin correctamente.";
                break;
            case 16:
                transtr_warnMsg="Esta pgina no funciona sin cookies. Las cookies no funcionan en este navegador.";
                break;
            case 17:
                transtr_warnMsg="No se puede imprimir esta pgina,compruebe los ajustes de pgina.";
                break;
            case 18:
                transtr_warnMsg="La zona y el modo de retardo no coinciden, compruebe si la zona ya est definida como zona de recuento.";
                break;
            case 19:
                transtr_warnMsg="Pulse Aceptar para confirmar y activar los cambios. A continuacin, el panel se reiniciar.\nPulse Cancelar para descartar todos los cambios desde que se inici sesin.";
                break;
            case 20:
                transtr_warnMsg="Puede iniciar sesin ahora. Introduzcca el PIN.";
                break;
            case 21:
                transtr_warnMsg="La ventana se est cerrando en estos momentos.";
                break;
            case 22:
                transtr_warnMsg="Recuerde que el inicio de sesin vlido expirar en 1 minuto.";
                break;
            case 23:
                transtr_warnMsg="El formato de archivo no es vlido. Seleccione un archivo de configuracin xml vlido.";
                break;
            case 24:
                transtr_warnMsg="Active las cookies para admitir los procesos de control lgicos.";
                break;
            case 25:
				transtr_warnMsg="Para sustituir los dispositivos existentes, haga clic en 'OK' o, de lo contrario, omita la operacin.";
                break;
            case 26:
                transtr_warnMsg="Does not have enough space for adding devices in current loop. The application can only add to count "+params+". ";
                break;
            case 27:
                transtr_warnMsg="La ltima direccin no puede ser superior a la primera. Vuelva a intentarlo.";
                break;
            case 28:
                transtr_warnMsg="Si se anade esta cantidad, se superar el mximo de 254/lazo. Compruebe los valores.";
                break;
            case 29:
                transtr_warnMsg="La direccin del campo 'desde' debe ser ms corta que la direccin del campo 'a'.";
                break;
            case 30:
				transtr_warnMsg="La direccin de este dispositivo slo puede asignarse dentro del rango "+params+"!";
                break;
            case 31:
                transtr_warnMsg = "Actualice la pgina Web o vuelva a intentarlo ms tarde.";
				break;
            case 32:
                transtr_warnMsg="La direccin IP no es vlida. Debe contener cuatro nmeros entre 0 y 254, separados con el smbolo '.'.";
                break;
            case 33:
                transtr_warnMsg="El valor de la mscara de red no es vlido.";
                break;
            case 34:
                transtr_warnMsg="Los campos Direccin, Cantidad, ID de Grupo de Dispositivos e ID de Dispositivo deben rellenarse.";
                break;
            case 35:
                transtr_warnMsg="Ya hay un dispositivo en la direccin actual, cambie de direccin.";
                break;
            case 36:
              	transtr_warnMsg="El Nmero de Telfono debe contener como mximo 20 dgitos (slo nmeros).";
              	break;
            case 37:
                transtr_warnMsg="Esperando";
                transtr_warnMsg+=" ... ... ";
                break;
            case 38:
                transtr_warnMsg="Restablezca la contrasena de inicio de sesin o no podr iniciar sesin la prxima vez.";
                break;
            case 39:
                transtr_warnMsg="Introduzca el nombre de usuario.";
                break;
            case 40:
                transtr_warnMsg="Introduzca la contrasena.";
                break;
            case 41:
                transtr_warnMsg="Mensaje de validacin de acceso remoto";
                break;
            case 42:
                transtr_warnMsg="desde "+params[0]+" a "+params[1];
                break;
            case 43:
                transtr_warnMsg="La prueba est en curso.";
                break;
            case 44:
                transtr_warnMsg="La respuesta del servidor no es vlida. Se ha excedido el tiempo de espera para la validacin, vuelva a intentarlo ms tarde.";
                break;
            case 45:
                transtr_warnMsg = "Actualice la pgina Web o vuelva a intentarlo ms tarde.";
				break;
            case 46:
                transtr_warnMsg = "SLC1 debe existir en la lista de dispositivos, asegrese de que el archivo de configuracin del panel es correcto.";
                break;
            case 47:
                transtr_warnMsg = "Si se anade esta cantidad, se superar el mximo de 254/lazo. Compruebe los valores.";
				break;
			case 48:
				transtr_warnMsg = "Aviso: la cach de su PC puede que no disponga de memoria suficiente. Vace la cach y, a continuacin, descargue y guarde la configuracin del software.";
				break;
			case 49:	
				transtr_warnMsg = "No es posible recuperar la pgina de ayuda rpida correspondiente.";
                break;
			case 50:
				transtr_warnMsg = "La lista de palabras se ha iniciado correctamente.";
				break;
			case 51:
				transtr_warnMsg = "Ningn archivo para editar; cree o cargue un archivo.";
				break;
			case 52:
				transtr_warnMsg = "Fallo de configuracin de comparado.";
				break;
			case 53:
				transtr_warnMsg = "Proceso de comparacin en curso, espere...";
				break;
			case 54:
				transtr_warnMsg = "Su navegador no es compatible con AxtiveXObject, instale una versin de Firefox posterior a la 3.5, o una versin de IE posterior a la 7ma.";
				break;
			case 55: //Mozilla version upgrade noticification
				transtr_warnMsg = "Es necesario que actualice su navegador Firefox a una versin superior a la 3.5 o, de lo contrario, las pginas Web no se mostrarn correctamente.";
				break;
			case 56:
				transtr_warnMsg = "Es necesario que actualice su navegador IE a una versin superior a la 7 o, de lo contrario, las pginas Web no se mostrarn correctamente.";
				break;
			case 57:
				var str = "";
				if(params == 0){
					str += "Ingls";
				}else if(params == 1){ 
					str += "Portugus";
				}else if(params == 2){
					str += "Espanol";
				}
				transtr_warnMsg = "Ajuste de idioma configurado:<font color='blue'>"+str+"</font>";
				break;
			case 58:
			    transtr_warnMsg = "Valor debe estar en rango de "+params+"!";
                break;
			case 59:
			    transtr_warnMsg = "Fallo al guardar. Toda la clave de cifrado debe estar del rango vlido (0-9 A-F).";
                break;
			case 60:
				transtr_warnMsg = "Introduzca una direccin de correo electrnico vlida.";
				break;
			case 61:
				transtr_warnMsg = "Esta ID de central ya est en la tabla de lista de la central.";
				break;
			case 62:
				transtr_warnMsg = "Id. Panel no puede ser nula, rellene para esta operacin";/*"Panel ID and Group ID can not be null, please fill them for this operation!";*/
				break;
			case 63:
				transtr_warnMsg = "Introduzca un ID de central vlido.";
				break;
			case 64:
				transtr_warnMsg = "?Seguro que desea eliminar esta central de la red?";
				break;
			case 66:
				transtr_warnMsg = "Supera el mximo de 9 centrales por grupo; realice el registro en otro grupo.";
				break;
			case 67:
				transtr_warnMsg = "Introduzca una direccin de dispositivo vlida.";
				break;
			case 68:
				transtr_warnMsg = "Esta zona se cambiar a una zona de recuento. Algunas caractersticas de punto retardado de los puntos de entrada asignados a esta zona no funcionarn.";
				break;
			case 69:
				transtr_warnMsg = "Se eliminarn caractersticas de red, zonas con Id. de central volvern a config. predeterminada. ?Seguro quiere continuar?";
				break;
			case 70:
				transtr_warnMsg = "No puede haber dos nmeros de zona idnticos en un mismo par.";
				break;
			case 71:
				transtr_warnMsg = "El par ya existe.";
				break;
			case 72:
				transtr_warnMsg = "Un nmero de zona slo puede existir en 4 pares.";
				break;
			case 73:
				transtr_warnMsg = "Introduzca un nmero de cuenta vlido.";
				break;
			case 74:
				transtr_warnMsg = "Nmero de cuenta Contact ID: 4 dgitos (0-9, B-F).";
				break;
			case 75:
				transtr_warnMsg = "Nmero de cuenta SIA-DCS 300: <= 6 dgitos (0-9, A-F).";
				break;
			case 76:
				transtr_warnMsg = "Nmero de cuenta Modem IIIa2: 4, 6, 8 o 10 dgitos (0-9, A-F).";
				break;
			case 77:
				transtr_warnMsg = "Error al guardar. Las direcciones IP del receptor de las cuentas primaria y secundaria no pueden ser iguales.";
				break;
			case 78:
				transtr_warnMsg = "Si se cambia Id. de red de incendios, el panel se reiniciar luego de implementar config.";
				break;
			case 79:
				transtr_warnMsg = "No puede agregar ms de 9 paneles en red incendios";
				break;
			default:
				transtr_warnMsg = "";
				break;
        }
        
        return transtr_warnMsg;
}

function multiWarnHandler(warnMsgList, paramList){
    var mList = warnMsgList;
    var pList = paramList;
    var warnMsg=null;

    for(var i=0; i<pList.length; i++){
        warnMsg+=mList[i]+pList[i];
    }
    //Or alert
    return warnMsg;
}

function warnMsg_Offline(id){
	var warnMsg = "";
	
	switch(id){
	case 0:
	case 1:
		warnMsg	+= "Se ha cargado un archivo de configuracin no vlido.";
		break;
	case 2:
		warnMsg += "Error al cargar el archivo de configuracin.";
		break;
	case 3:
		warnMsg += "Se ha cargado correctamente el archivo de configuracin.";
		break;
	case 4:
	    warnMsg = "Especifique el archivo local que desea cargar.";
		break;
	case 5:
		warnMsg = "Error al cargar el idioma del archivo de configuracin.";
		break;
	case 6: 
		warnMsg = "Ningn archivo para editar; cree o cargue un archivo.";
		break;
	case 7:
		warnMsg = "Ningn archivo de configuracin disponible. Primero, cree o cargue un archivo." ;
		break;
	case 8:
		warnMsg = "Especifique el archivo local que sustituir a la configuracin actual.";
		break;
	case 9:
		warnMsg = "Archivo guardado correctamente."
		break;
	case 10:
		warnMsg = "Se ha guardado correctamente el archivo en la carpeta predeterminada";
		break;
	case 11:
        warnMsg = "Ha realizado algunos cambios en la configuracin.\n Pulse Aceptar para guardar o Cancelar para salir.";
        break;
	default:
		break;
	}
	
	return warnMsg;
}
