//variants definitions
var gAccWinEventFlag = false; //check if remote access validation close window and refresh window.
var gCID = null; //the client sid value retrieved from AJAX XMLHttpResponse object.
var g_ContentDIVID = "ID_ContentDIV"; //the global window layer ID for supporting remote access validation.
var g_winIntervalFlag = false;
var g_winTimeoutFlag = false;
var g_resp_state = 0;
var g_invalidPageFlag = false;

//Window Event Adaptor for IE and Firefox (No need future change, automatically loaded at loading phrase.)
function __firefox(){    
    HTMLElement.prototype.__defineGetter__("runtimeStyle", __element_style);    
    window.constructor.prototype.__defineGetter__("event", __window_event);    
    Event.prototype.__defineGetter__("srcElement", __event_srcElement);
    
}

function __element_style(){    
    return this.style;
    
}

function __window_event(){    
    return __window_event_constructor();
}

function __event_srcElement(){    
    return this.target;
}

function __window_event_constructor(){    
    if(document.all){        
        return window.event;    
    }    
    var _caller = __window_event_constructor.caller;    
    while(_caller!=null){        
        var _argument = _caller.arguments[0];        
        if(_argument){            
            var _temp = _argument.constructor;            
            if(_temp.toString().indexOf("Event")!=-1){                
                return _argument;            
            }        
        }        
        _caller = _caller.caller;    
    }    
    return null;
}

if(window.addEventListener){ 
    __firefox(); 
}

// language adjustment for window.location
function languageChange(obj){
	
	var curLang = null;
	
	try{
		curLang = parseInt(obj.value);
	}catch(errLangs){
		curLang = 0; //by default
	}
	
	var hostVar = window.location.host.toString();
	//alert(window.location.host.toString()+", "+curLang);
	
	if(curLang == 0){
		//english matched
		if(window.location.toString().search("/en/") == -1){
		//currently not english sub-path, dispatch is needed. change language happens at this page
			window.location = "/en/Page01SiteData.html";
		}
	}else if(curLang == 1){
		//portuguese matched
		if(window.location.toString().search("/pt/") == -1){
		//currently not portuguese sub-path, dispatch is needed. 
			//change language happens at this page
			window.location = "/pt/Page01SiteData.html";
		}
	}else if(curLang == 2){
		//english matched
		if(window.location.toString().search("/es/") == -1){
		//currently not spanish sub-path, dispatch is needed. 
			//change language happens at this page
			window.location = "/es/Page01SiteData.html";
		}
	}else{
		//other language case can be expanded.
	}
	
	//alert(window.location.toString());
}

// hidde window object from displaying before window onloading.
function hiddeWindowContent()
{
	var contentObj = document.getElementById(g_ContentDIVID);
	contentObj.style.top = "2000px";
	contentObj.style.left = "2000px";
}

function displayWindowContent(g_ContentDIVID)
{
	var contentObj = document.getElementById(g_ContentDIVID);
	contentObj.style.top = "0px";
	contentObj.style.left = "0px";
}

// Offline Method is distinguishing from online web pages on the initialization process:
// Offline: move the content to 2000px,2000px. after initialization finished with no error, page will be displayed
// Online: Offline plus remote access validation process.
function rmtAccValidation()
{
	
	var loc = window.location.toString();
	var methodPageinit = null;
	var methodContentInit = null;
	
	try{
		methodPageinit = eval("pageinit");
	}catch(errMethodPageinit){
		//sub-path page init
	}
	
	try{
		methodContentInit = eval("contentInit");
	}catch(errMethodCntInit){
		//first content init 
	}
	
	try{
		hiddeWindowContent("contentInit");
	}catch(errdisplaystart){
		//hidde
	}


	try{
		displayWindowContent("ID_ContentDIV");
	}catch(errdisplay){
		//nothing
	}
}
