// JavaScript Document
var outputResult = null;

function CombineDOM(xmlPath,xslPath){
	
	try{
	  
	  var xmlRoot = myloadXMLDoc(xmlPath); 
	  var xslRoot = myloadXMLDoc(xslPath); 
	  var outputResult = transformStyle(xslRoot, xmlRoot);
	  return outputResult;
	}catch(e){
		
	}
	
}
function transformStyle(xslDOM, xmlDOM){
    if((null != xmlDOM)&&(null != xslDOM)){
        if(document.implementation && document.implementation.createDocument){ 
             //Mozilla
             try{ 
            	var xsltProcessor = new XSLTProcessor(); 
            	xsltProcessor.importStylesheet(xslDOM); 
            	var oResultFragment = xsltProcessor.transformToFragment(xmlDOM,document);
                return oResultFragment;
             }catch(e){
                return null;
            }
        }else if(typeof window.ActiveXObject != 'undefined'){
            //IE
            var outputTxt = xmlDOM.transformNode(xslDOM);
			return outputTxt;
        }else{
            alert(warningHandler(10));
            return null;
        }
        
    }else if(null != xmlDOM){
        return xmlDOM;
    }else{
        return null;
    }    
}

function getLang(){

    var resultNode;
    var xmlDoc; 
    var curLang = 0;
	if(window.location.toString().search("/en/") != -1){
	    curLang = 0;
	}else if(window.location.toString().search("/pt/") != -1){
	    curLang = 1;
	}else if(window.location.toString().search("/es/") != -1){
	    curLang = 2;
	}else{
    if(document.implementation && document.implementation.createDocument) { 
     try 
     { 
         xmlDoc = document.implementation.createDocument("", "", null); 
         xmlDoc.async = false; 
         xmlDoc.load("/sysinfo/FPA1000.xml"); 
        
            curLang = xmlDoc.getElementsByTagName("FPA1000")[0].getElementsByTagName("GENERAL")[0].getElementsByTagName("Language")[0].firstChild.nodeValue;
            
            if((parseInt(curLang) >= 0)&&(parseInt(curLang) <= 2)){
                return curLang;
            }else{
                return 0;
            }
     } 
     catch(e) 
     { 
            return 0;
     } 
    }else if(typeof window.ActiveXObject != 'undefined'){ 
            try{
                xmlDoc = new ActiveXObject('Microsoft.XMLDOM'); 
                xmlDoc.async = false; 
				xmlDoc.load("/sysinfo/FPA1000.xml"); 
        
                curLang = xmlDoc.getElementsByTagName("FPA1000")[0].getElementById("Lanuage")[0].firstChild.nodeValue;
                if(parseInt(curLang) >= 0&&parseInt(curLang) <= 2){
                    return curLang;
                }else{
                    return 0;
                }

            }catch(err){
                return 0;
            }    
    }
	}
   return curLang;
}

function showxml(xmlPath,dispEID){
	var xslPath = null;
	var lang = getLang();
	if(xmlPath.toString().search("history.xml") != -1){
	   
	    xslPath  = "/xsl/history_"+lang+".xsl";
	}else if(xmlPath.toString().search("history_wt.xml") != -1){
		
		xslPath = "/xsl/hist_wt_"+lang+".xsl";
	}else{
	 //for others	
	}
	if(xmlPath != null && xslPath != null){
	     outputResult = CombineDOM(xmlPath,xslPath);
	}else{
	
	}
	if(outputResult != null && dispEID != null){
		if(navigator.appName.search("Internet Explorer") != -1){
		document.getElementById(dispEID).innerHTML = outputResult;
	    }else{
		document.getElementById(dispEID).appendChild(outputResult);
	    }
	}else
	
	   return outputResult;	   
}
