<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/FPA1000">
<html>
	<head>
		<style type="text/css">.ConfContent {font-size:12px; font-weight:normal; color:blue;}</style>
	</head>
<body>
    <div id="DISPLAY_CONFFILE" style="font-family:'Times New Roman', Times, serif; font-size:12px;">
        <xsl:apply-templates select="HEADER" />
        <xsl:apply-templates select="GENERAL"></xsl:apply-templates>
		<table border="1" style="color:black; width:800px; left:50px;">
        <tr align="center" style="background:black; color:white; font-size:14px; font-weight:bold;" >
            <td colspan="9">Configuraes SLC 1</td>
        </tr>
		</table>
        <xsl:apply-templates select="LOOP1"></xsl:apply-templates>
		<table border="1" style="color:black; width:800px; left:50px;">
        <tr align="center" style="background:black; color:white; font-size:14px; font-weight:bold;" >
            <td colspan="9">SLC 2 Settings</td>
        </tr>
		</table>
		<xsl:apply-templates select="LOOP2"></xsl:apply-templates>
        <xsl:apply-templates select="MAINBOARD"></xsl:apply-templates>
        <xsl:apply-templates select="OPTIONBUS"></xsl:apply-templates>
        <xsl:apply-templates select="REPORT"></xsl:apply-templates>
        <xsl:apply-templates select="ZONES"></xsl:apply-templates>
		<xsl:apply-templates select="NETWORK"></xsl:apply-templates>
    </div>
    </body>
</html>
</xsl:template>

<xsl:template name="LevelTP" match="HistoryLv|WalktestLv|TestLv|DateLv|BypassLv">
	<xsl:choose>
		<xsl:when test=". = '1'"><xsl:text>Nvel 1</xsl:text></xsl:when>
		<xsl:when test=". = '2'"><xsl:text>Nvel 2</xsl:text></xsl:when>
		<xsl:when test=". = '3'"><xsl:text>Nvel 3</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Bypass" match="B">
	<xsl:choose>
		<xsl:when test=". = '0'"><xsl:text>FALSE</xsl:text></xsl:when>
		<xsl:when test=". = '1'"><xsl:text>TRUE</xsl:text></xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="workWide" match="PrintWide|CityTieWide|ReportWide">
	<xsl:choose>
		<xsl:when test=". = '1'"><xsl:text>Todo Painel</xsl:text></xsl:when>
		<xsl:when test=". = '2'"><xsl:text>Todo grupo</xsl:text></xsl:when>
		<xsl:when test=". = '3'"><xsl:text>Toda a rede</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- start of Define Header Section -->
<xsl:template match="HEADER" >
<table border="1" style="color:black; width:800px; left:50px;" >
        <tr>
            <th colspan="4" style=" background:black; color:white; font-weight:bold; font-size:14px; text-align:center; " >Configuraes do Cabealho</th>
        </tr>
        <tr>
            <td colspan="4" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Cabealho</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Nome do Arquivo</td>
            <td style="font-size:12px; font-weight:bold;">Nm da verso</td>
            <td style="font-size:12px; font-weight:bold;">Data da ltima Modificao</td>
            <td style="font-size:12px; font-weight:bold;">Verso dos Dados</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Filename" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="RevNumber" /></td>    
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="LastModified" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="DataVersion" /></td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="GENERAL">
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="8" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Configuraes Gerais</th>
        </tr>
            <tr>
                <td colspan="8" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Configuraes Bsicas</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;"><xsl:text>Mensagem</xsl:text> (1. <xsl:text>linha</xsl:text>)</td>
                <td style="font-size:12px; font-weight:bold;"><xsl:text>Mensagem</xsl:text> (2. <xsl:text>linha</xsl:text>)</td>
                <td style="font-size:12px; font-weight:bold;">Idioma</td>
				<td style="font-size:12px; font-weight:bold;">ID Painel</td>
                <td style="font-size:12px; font-weight:bold;">Endereo IP do Painel</td>
                <td style="font-size:12px; font-weight:bold;">Gateway</td>
                <td style="font-size:12px; font-weight:bold;">Mscara de Rede</td>
				<td style="font-size:12px; font-weight:bold;">ID Rede Incndio</td>
                             
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Banner1st" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Banner2nd" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:apply-templates select="Language" /></td>
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="PanelID" /></td>	
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="PanelIP" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Gateway" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Netmask" /></td>
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="NetworkID" /></td>	
            </tr>
			 <tr>
			  	<td style="font-size:12px; font-weight:bold;">Endereo IP da Impressora</td>  
                <td style="font-size:12px; font-weight:bold;">Usurio FTP da Impressora</td>
				<td style="font-size:12px; font-weight:bold;">Senha FTP da Impressora</td>
				<td style="font-size:12px; font-weight:bold;">Printer FTP Port</td>
                <td colspan="4" style="font-size:12px; font-weight:bold;"><xsl:text>Imprimir eventos/operaes de:</xsl:text>: </td>
            </tr>
			<tr>
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="PrinterIP" /></td> 
				<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="FTPuser" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="FTPpwd" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="FTPport" /></td>
                <td colspan="4" style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:apply-templates select="PrintWide"></xsl:apply-templates></td>
			</tr>
        </table>
       
        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="9" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;" >Configuraes do Sistema, Formato da Hora, Unidades e Silenciamento</td>
        </tr>
        <tr>
                <td style="font-size:12px; font-weight:bold;">Alar Setor Ativ</td>
                <td style="font-size:12px; font-weight:bold;">Reset da Alimentao Auxiliar</td>
                <td style="font-size:12px; font-weight:bold;" >Reteno Supervisria</td>
                <td style="font-size:12px; font-weight:bold;">Fonte de Alimentao Externa</td>
                <td style="font-size:12px; font-weight:bold;">Formato da Hora</td>
                <td style="font-size:12px; font-weight:bold;">Formato da Unidade</td>
                <td style="font-size:12px; font-weight:bold;">Silenciamento</td>
                <td style="font-size:12px; font-weight:bold;">Habilitar Silenciamento</td>
                <td style="font-size:12px; font-weight:bold;">Habilitar Teste de Evacuao</td>
        </tr>
        <tr>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="EnableSandwich" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="AuxPowerReset" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="SupLatching" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="ExtPower" /></td>    
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:apply-templates select="TimeFormat" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:apply-templates select="UnitFormat" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:apply-templates select="Silence" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="EnableSilence" /></td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="EnableDrill" /></td>
        </tr>
        </table>
        
        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Nvel Necessrio para a Operao</td>
            </tr>
            <tr>
			    <td style="font-size:12px; font-weight:bold;">PIN para reset/silenciamento/teste de evacuao</td>
                <td style="font-size:12px; font-weight:bold;">Histrico </td>
                <td style="font-size:12px; font-weight:bold;">Teste de Caminhada  </td>
                <td style="font-size:12px; font-weight:bold;">Teste </td>
                <td style="font-size:12px; font-weight:bold;">Data </td>
                <td style="font-size:12px; font-weight:bold;">Desabilitar </td>
            </tr>
            <tr style="font-size:12px; font-weight:normal; color:blue;">
				<td><xsl:value-of select="Pin4rsd" /></td>
                <td><xsl:apply-templates select="HistoryLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="WalktestLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="TestLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="DateLv"></xsl:apply-templates></td>
                <td><xsl:apply-templates select="BypassLv"></xsl:apply-templates></td>
            </tr>
        </table>

        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="2" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Programado o Horrio</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;">Habilitado Horrio de Vero</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="DayLightSaving" /></td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;">Hora do Horrio de Vero</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">Iniciar da  <xsl:for-each select="StartWeek">
					                <xsl:call-template name="Week"></xsl:call-template>
								</xsl:for-each>semana do  <xsl:for-each select="StartMonth">
					                <xsl:call-template name="Month"></xsl:call-template>
								</xsl:for-each><br/> Trmin <xsl:for-each select="EndWeek">
					                <xsl:call-template name="Week"></xsl:call-template>
							</xsl:for-each> semana do <xsl:for-each select="EndMonth">
					                <xsl:call-template name="Month"></xsl:call-template>
							</xsl:for-each><br/>
                </td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;">Sensibilidade do Detector Durante o Dia</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                <table width="100%" align="left">
                <tr>
                    <td style="font-size:12px; font-weight:bold; text-align:right;"><xsl:text>Dom</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMSu" /></td>
                    <td style="font-size:12px; font-weight:bold; text-align:right;">, <xsl:text>Seg</xsl:text>:</td> 
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMMo" /></td>
                    <td style="font-size:12px; font-weight:bold; text-align:right;">, <xsl:text>Ter</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMTu" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Qua</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMWe" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Qui</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMTh" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Sex</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMFr" /></td>
                    <td style="font-size:12px; font-weight:bold;  text-align:right;">, <xsl:text>Sb</xsl:text>:</td>
                    <td style="font-size:12px; font-weight:normal; color:blue;  text-align:left;">
                        <xsl:value-of select="AutoDMSa" /></td>
                </tr>
                <tr>
                    <td colspan="3" style="font-size:12px; font-weight:bold;  text-align:right;">Hora de incio: </td>
                    <td colspan="3" style="font-size:12px; font-weight:normal; text-align:left; color:blue;">
                        <xsl:value-of select="DMStartHour" />:<xsl:value-of select="DMStartMin" />
                        <xsl:choose> 
                            <xsl:when test="DMStartPM = 'FALSE'"><xsl:text> At meio-dia</xsl:text></xsl:when>
                            <xsl:otherwise><xsl:text> Aps meio-dia</xsl:text></xsl:otherwise> 
                        </xsl:choose></td>
					<td colspan="3" style="font-size:12px; font-weight:bold;  text-align:right;">Hora de trmino: </td>
                    <td colspan="3" style="font-size:12px; font-weight:normal; text-align:left; color:blue;">
                        <xsl:value-of select="DMEndHour" />:<xsl:value-of select="DMEndMin" />
                        <xsl:choose> 
                            <xsl:when test="DMEndPM = 'FALSE'"><xsl:text> At meio-dia</xsl:text></xsl:when>
                            <xsl:otherwise><xsl:text> Aps meio-dia</xsl:text></xsl:otherwise> 
                        </xsl:choose></td> 
					<td colspan="2"></td>	           
                </tr>
                </table>
            </td>
        </tr>
        </table>

        <table border="1" style="color:black; width:800px; left:50px;">
            <tr>
                <td colspan="2" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Configuraes do Temporizador</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Modo de Dia</td>    
                <td style="font-size:12px; font-weight:normal; color:blue;" width="80%">
                    <xsl:apply-templates select="GlobalDelayMode" /></td>
            </tr>
			<tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Modo de Atraso Global</td>    
                <td style="font-size:12px; font-weight:normal; color:blue;" width="80%">
                    <xsl:apply-templates select="DelayModeOption" /></td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Tempo de Investigao</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="GlobalDelayTime" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Atraso na Verificao do Alarme</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="AVDelay" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Atraso de Falha de CA</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="ACDelay" /> h</td>
            </tr>
			<tr>
				<td style="font-size:12px; font-weight:bold;" width="20%">Fluxo de gua silencivel</td>
				<td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="WFSilenceable" /></td>
			</tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Atraso de Fluxo de gua</td>
                <td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="WFDelay" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Atraso do Silenciamento Automtico</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:text>Habilitado</xsl:text>: <xsl:value-of select="ASDEnable" /><br/>
                    <xsl:text>Tempo de Atraso</xsl:text>: <xsl:value-of select="ASDelay" /> min</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Suspenso do Silenciamento</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="SilenceInhibit" /> min</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Reset do primeiro alarme de zona dupla</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:text>Habilitado</xsl:text>: <xsl:value-of select="DualZoneLatching" /><br/>
                    <xsl:text>Tempo de Atraso</xsl:text>: <xsl:value-of select="DZFirstAlarm" /> s</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Atraso do Alarme do Setor</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
					<xsl:text>Habilitado</xsl:text>: <xsl:value-of select="EnableSandwich" /><br/>
                    <xsl:text>Tempo de Atraso</xsl:text>: <xsl:value-of select="SandwichDelay" /> min</td>
            </tr>
            <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Atraso no reset sequencial</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
                    <xsl:value-of select="StaggeredDelay" /> s</td>
            </tr>
			 <tr>
                <td style="font-size:12px; font-weight:bold;" width="20%">Sincronizao tempo</td>
                <td style="font-size:12px; font-weight:normal; color:blue;">
					<xsl:text>Habilitado</xsl:text>: <xsl:value-of select="TimeSyncEnable" /><br/>
                    <xsl:text>IP servidor NTP</xsl:text>: <xsl:value-of select="NTPIP" /><br/>
					<xsl:text>Porta servidor NTP</xsl:text>: <xsl:value-of select="NTPPort" /></td>
            </tr>
        </table>
</xsl:template>

<xsl:template match="Silence">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Apenas Audvel</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Audvel e Visvel</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Silenciamento Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="UnitFormat">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>F</xsl:text>, <xsl:text>ps</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>C</xsl:text>, <xsl:text>m</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Formato de Unidade Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="GlobalDelayMode">
    <xsl:choose>
        <xsl:when test=".=0"><xsl:text>Sem atraso</xsl:text></xsl:when>
        <xsl:when test=".=1"><xsl:text>PAS</xsl:text></xsl:when>
        <xsl:when test=".=2"><xsl:text>Pr-sinal</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Modo de Atraso Global Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="DelayModeOption">
    <xsl:choose>
        <xsl:when test=".=0"><xsl:text>VA/PAS/Pr-sinal</xsl:text></xsl:when>
        <xsl:when test=".=1"><xsl:text>Alarme Setor/Zona dupla</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template match="Language" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Ingls</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Espanhol</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Portugus</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="Glob_Zone" >
 	<tr style="color:blue; font-size:12px; font-weight:normal;">
		<td><xsl:value-of select="Label" /></td>
		<td><xsl:for-each select="Pattern">
			<xsl:call-template name="ID_PATTERN" />
			</xsl:for-each></td>
    </tr>
</xsl:template>

<xsl:template match="ZONES">
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="3" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">ZONAS</th>
        </tr>
        <tr>
            <td colspan="3" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zonas Globais</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="30%">Descrio da Zona</td>
            <td style="font-size:12px; font-weight:bold;" width="25%">Padro</td>
        </tr>
        <xsl:for-each select="Zone226">
            <xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
        
        <xsl:for-each select="Zone227">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone228">
           <xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone229">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
        
        <xsl:for-each select="Zone230">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone231">
			<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone232">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>

        <xsl:for-each select="Zone233">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
		
		<xsl:for-each select="Zone234">
        	<xsl:call-template name="Glob_Zone" />
        </xsl:for-each>
    </table>
	
    <!-- Group Zones -->
	<table border="1" style="color:black; width:800px; left:50px;">
    <tr>        
        <th colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zonas (129~225)</th>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Zona No.</td>
        <td style="font-size:12px; font-weight:bold;">Descrio da Zona</td>
        <td style="font-size:12px; font-weight:bold;">Padro</td>
        <td style="font-size:12px; font-weight:bold;">Contando</td>
        <td style="font-size:12px; font-weight:bold;">Andar</td>
        <td style="font-size:12px; font-weight:bold;">Desabilitado</td>
    </tr>
    <xsl:for-each select="GroupWideZones">
    	<xsl:apply-templates select="."/>
	</xsl:for-each>
    </table>
	
	<!-- Local Zones -->
	<table border="1" style="color:black; width:800px; left:50px;">
    <tr>        
        <th colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zonas (1~128)</th>
    </tr>
	 <xsl:for-each select="PanelWideZones">
    	<xsl:apply-templates select="."/>
	</xsl:for-each>
	</table>
	
	<!-- Dual-zones -->
    <table border="1" style="color:black; width:800px; left:50px;">
    <tr>        
        <th colspan="13" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Zona Dupla (18 pares)</th>
    </tr>
 
    <xsl:for-each select="DualZones">
        <xsl:apply-templates select="." />
    </xsl:for-each>
    </table>

	 <!-- Floors -->
    <table border="1" style="color:black; width:800px; left:50px; font-size:12px;">
    <tr>        
        <th colspan="6" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Andares (64 andares)</th>
    </tr>
    
    <xsl:for-each select="Floors">
        <xsl:apply-templates select="."></xsl:apply-templates>
    </xsl:for-each>
    </table>
</xsl:template>

<xsl:template match="NETWORK">
	<table border="1" style="color:black; width:800px; left:50px;">
    	<tr>
            <th colspan="10" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Rede</th>
        </tr>
		<tr>
        	<td colspan="10" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Configuraes Bsicas</td>
        </tr>
		<tr>
        	<td style="font-size:12px; font-weight:bold;">Carto de rede instalado</td>
			<td style="font-size:12px; font-weight:bold;">Entrada Ethernet,Entrada Ethernet,Entrada Cabeada</td>
			<td style="font-size:12px; font-weight:bold;">Sada Ethernet,Entrada Fibra,Sada Cabeada</td>
			<td style="font-size:12px; font-weight:bold;">Ethernet,Sada Fibra,Entrada Ethernet</td>
            <td style="font-size:12px; font-weight:bold;">Topologia</td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="SWBInstall" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Supervise1" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Supervise2" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:value-of select="Supervise3" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;" >
					<xsl:for-each select="Topology">
                    	<xsl:call-template name="Net_Topology"></xsl:call-template>
					</xsl:for-each>
			</td>	
        </tr>
	</table>
	<xsl:apply-templates select="NetNode"></xsl:apply-templates>
</xsl:template>

<xsl:template name="NetNode" match="NetNode">
    <table border="1" style="color:black; width:800px; left:50px;">
		<tr>
        	<td colspan="2" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Lista de painis</td>
        </tr>
		<tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">ID Painel</td>
            <td style="font-size:12px; font-weight:bold; display:none;" width="30%">ID do Grupo</td>
        </tr>
        <xsl:for-each select="Panel">
			<xsl:call-template name="Panel"></xsl:call-template>
		</xsl:for-each>
	</table>	
</xsl:template>

<xsl:template name="Panel">
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="ID" ></xsl:value-of></td>
        <td style="display:none"><xsl:value-of select="GID" ></xsl:value-of></td>
    </tr>
</xsl:template>

<xsl:template name="Net_Topology">
 <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Classe A</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Classe B</xsl:text></xsl:when>
 </xsl:choose>
</xsl:template>

<xsl:template match="Floors">
    <tr>
        <td style="font-size:12px; font-weight:bold;">Andar</td>
		<td style="font-size:12px; font-weight:bold;">Descrio</td>
		<td style="font-size:12px; font-weight:bold;">Alar Setor</td>
		<td style="font-size:12px; font-weight:bold;">Andar</td>
		<td style="font-size:12px; font-weight:bold;">Descrio</td>
		<td style="font-size:12px; font-weight:bold;">Alar Setor</td>
	</tr>
	<tr>
		<td>1o.</td>
		<xsl:for-each select="Floor1">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>33o.</td>
		<xsl:for-each select="Floor33">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>2o.</td>
		<xsl:for-each select="Floor2">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>34o.</td>
		<xsl:for-each select="Floor34">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>3o.</td>
		<xsl:for-each select="Floor3">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>35o.</td>
		<xsl:for-each select="Floor35">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>4o.</td>
		<xsl:for-each select="Floor4">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>36o.</td>
		<xsl:for-each select="Floor36">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>5o.</td>
		<xsl:for-each select="Floor5">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>37o.</td>
		<xsl:for-each select="Floor37">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>6o.</td>
		<xsl:for-each select="Floor6">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>38o.</td>
		<xsl:for-each select="Floor38">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>7o.</td>
		<xsl:for-each select="Floor7">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>39o.</td>
		<xsl:for-each select="Floor39">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>8o.</td>
		<xsl:for-each select="Floor8">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>40o.</td>
		<xsl:for-each select="Floor40">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>9o.</td>
		<xsl:for-each select="Floor9">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>41o.</td>
		<xsl:for-each select="Floor41">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>10o.</td>
		<xsl:for-each select="Floor10">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>42o.</td>
		<xsl:for-each select="Floor42">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
		<tr>
		<td>11o.</td>
		<xsl:for-each select="Floor11">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>43o.</td>
		<xsl:for-each select="Floor43">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>12o.</td>
		<xsl:for-each select="Floor12">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>44o.</td>
		<xsl:for-each select="Floor44">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>13o.</td>
		<xsl:for-each select="Floor13">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>45o.</td>
		<xsl:for-each select="Floor45">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>14o.</td>
		<xsl:for-each select="Floor14">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>46o.</td>
		<xsl:for-each select="Floor46">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>15o.</td>
		<xsl:for-each select="Floor15">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>47o.</td>
		<xsl:for-each select="Floor47">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>16o.</td>
		<xsl:for-each select="Floor16">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>48o.</td>
		<xsl:for-each select="Floor48">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>17o.</td>
		<xsl:for-each select="Floor17">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>49o.</td>
		<xsl:for-each select="Floor49">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>18o.</td>
		<xsl:for-each select="Floor18">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>50o.</td>
		<xsl:for-each select="Floor50">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>19o.</td>
		<xsl:for-each select="Floor19">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>51o.</td>
		<xsl:for-each select="Floor51">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>20o.</td>
		<xsl:for-each select="Floor20">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>52o.</td>
		<xsl:for-each select="Floor52">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
		<tr>
		<td>21o.</td>
		<xsl:for-each select="Floor21">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>53o.</td>
		<xsl:for-each select="Floor53">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>22o.</td>
		<xsl:for-each select="Floor22">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>54o.</td>
		<xsl:for-each select="Floor54">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>23o.</td>
		<xsl:for-each select="Floor23">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>55o.</td>
		<xsl:for-each select="Floor55">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>24o.</td>
		<xsl:for-each select="Floor24">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>56o.</td>
		<xsl:for-each select="Floor56">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>25o.</td>
		<xsl:for-each select="Floor25">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>57o.</td>
		<xsl:for-each select="Floor57">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>26o.</td>
		<xsl:for-each select="Floor26">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>58o.</td>
		<xsl:for-each select="Floor58">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>27o.</td>
		<xsl:for-each select="Floor27">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>59o.</td>
		<xsl:for-each select="Floor59">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>28o.</td>
		<xsl:for-each select="Floor28">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>60o.</td>
		<xsl:for-each select="Floor60">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>29o.</td>
		<xsl:for-each select="Floor29">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>61o.</td>
		<xsl:for-each select="Floor61">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>30o.</td>
		<xsl:for-each select="Floor30">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>62o.</td>
		<xsl:for-each select="Floor62">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
		<tr>
		<td>31o.</td>
		<xsl:for-each select="Floor31">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>63o.</td>
		<xsl:for-each select="Floor63">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
	<tr>
		<td>32o.</td>
		<xsl:for-each select="Floor32">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
		<td>64o.</td>
		<xsl:for-each select="Floor64">
			<xsl:call-template name="Flr"></xsl:call-template>
		</xsl:for-each>
	</tr>
</xsl:template>

<xsl:template match="GroupWideZones">
	<xsl:for-each select="Z">
		 <xsl:call-template name="Zone" />
	</xsl:for-each>
</xsl:template>

<xsl:template match="PanelWideZones">
	<xsl:for-each select="GroupPanel">
		 <xsl:call-template name="GroupPanel" />
	</xsl:for-each>
</xsl:template>

<xsl:template name="GroupPanel">
	<tr style="font-size:12px;">        
        <td align="left" style="font-weight:bold;">ID Painel</td>
		<td colspan="2" style="color:blue;"><xsl:value-of select="PID"/></td>
		<td align="left" style="font-weight:bold;">Confirmar</td>
		<td colspan="2" style="color:blue;"><xsl:value-of select="Confirm"/></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Zona No.</td>
        <td style="font-size:12px; font-weight:bold;">Descrio da Zona</td>
        <td style="font-size:12px; font-weight:bold;">Padro</td>
        <td style="font-size:12px; font-weight:bold;">Contando</td>
        <td style="font-size:12px; font-weight:bold;">Andar</td>
        <td style="font-size:12px; font-weight:bold;">Desabilitado</td>
    </tr>
	<xsl:for-each select="Z">
		 <xsl:call-template name="Zone" />
	</xsl:for-each>
</xsl:template>

<xsl:template match="DualZones">
      <tr align="center">
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 1</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 2</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 3</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 4</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 5</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 6</td>
    </tr>
	<tr>
    <xsl:for-each select="group1">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	<xsl:for-each select="group2">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	 </tr>
	   <tr align="center">
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 7</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 8</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 9</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 10</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 11</td>
        <td colspan="2" style="font-size:12px; font-weight:bold;">Par 12</td>
    </tr>
    <tr>
    <xsl:for-each select="group3">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	<xsl:for-each select="group4">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	 </tr>
    <tr align="center">
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 13</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 14</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 15</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 16</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 17</td>
		<td colspan="2" style="font-size:12px; font-weight:bold;">Par 18</td>
    </tr>
    <tr>
    <xsl:for-each select="group5">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	<xsl:for-each select="group6">
        <xsl:call-template name="PairTemplate" />
    </xsl:for-each>
	 </tr>
</xsl:template>

<xsl:template name="PairTemplate">
    <td style=" color:blue;"><xsl:value-of select="PPid11" />-<xsl:value-of select="Pair11" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid12" />-<xsl:value-of select="Pair12" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid21" />-<xsl:value-of select="Pair21" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid22" />-<xsl:value-of select="Pair22" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid31" />-<xsl:value-of select="Pair31" /></td>
    <td style=" color:blue;"><xsl:value-of select="PPid32" />-<xsl:value-of select="Pair32" /></td>
</xsl:template>

<xsl:template name="Flr">
    <td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="Label" /></td>
	<td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="Sandwich" /></td>
</xsl:template>

<xsl:template match="TimeFormat">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>12</xsl:text> <xsl:text>h</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>24</xsl:text> <xsl:text>h</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Formato de Hora Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="Zone" >
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td width="10%"><xsl:value-of select="N" /></td>
        <td width="20%"><xsl:value-of select="L" /></td>
        <td width="20%"><xsl:for-each select="P">
                        <xsl:call-template name="ID_PATTERN" />
                        </xsl:for-each></td>
        <td width="20%"><xsl:value-of select="C" /></td>
        <td width="10%"><xsl:value-of select="F" /></td>
        <td width="20%"><xsl:for-each select="B">
                        <xsl:call-template name="Bypass" />
                        </xsl:for-each></td>
    </tr>
</xsl:template>

<xsl:template match="REPORT">
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="3" style="background:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Reporte</th>
        </tr>
        <tr>
            <td colspan="3" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Configuraes da Conta Primria</td>
        </tr> 
        <xsl:apply-templates select="Primary" />
        
        <tr>
            <td colspan="3" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Configuraes da Conta Secundria</td>
        </tr> 
        <xsl:apply-templates select="Secondary" />
        
        <xsl:apply-templates select="PSTN" />
        
        <xsl:apply-templates select="Reporting" />
		<xsl:apply-templates select="Email" />
    </table>    
</xsl:template>

<xsl:template match="Primary|Secondary" >
        <tr>
            <td rowspan="6" style="font-size:12px; font-weight:bold; text-align:center; ">Dados Bsicos</td>
            <td width="25%" style="font-size:12px; font-weight:bold;">Seleo RTPC/IP/Desabilitado</td>  
            <td width="75%" style="font-size:12px; font-weight:12px; color:blue;">        
                <xsl:apply-templates select="AccountAttr" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Nmero da Conta</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AccountNum" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Formato do Reporte</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:apply-templates select="RepFormat" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Hora do Teste Automtico</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AutoTestHour" />:<xsl:value-of select="AutoTestMin" />
                <xsl:choose>
                    <xsl:when test="AutoTestPM = 'FALSE'"><xsl:text> At meio-dia</xsl:text></xsl:when>
                    <xsl:otherwise><xsl:text> Aps meio-dia</xsl:text></xsl:otherwise>
                </xsl:choose>
            </td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Intervalo do Teste Automtico</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:apply-templates select="AutoTestIntervall" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Mx. Tentativas</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="MaxAttempt" /></td>
        </tr>
        <tr>
            <td rowspan="1" style="font-size:12px; text-align:center; font-weight:bold;">RTPC</td>
            <td style="font-size:12px; font-weight:bold;">Nmero do Telefone</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="PhoneNum" /></td>
        </tr>
        <tr>
            <td rowspan="7" style="font-size:12px; text-align:center; font-weight:bold;" width="15%">Reporte Conettix IP</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Endereo IP do Receptor</td>
            <td style="font-size:12px; font-weight:12px; color:blue;" width="65%">
                <xsl:value-of select="IPAddr" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Nmero da Porta</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="Port" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Antireproduo</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AntiReplay" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Intervalo de Polling</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="PollInt" /> s</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Tempo Espera Reconhec</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="AckTime" /> s</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Criptografia Habilitada</td>
            <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="Encryption" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Sequncia de Caracteres da Chave</td>
            <td style="font-size:12px; font-weight:12px; color:blue;"><div id="keystring_value"><xsl:text>********************************</xsl:text></div><div id="keystring_encrypted"><xsl:text> (Criptografado)</xsl:text></div><!-- <xsl:value-of select="KeyString" /> --></td>
        </tr>
</xsl:template>

<xsl:template match="AccountAttr" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>RTPC</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>IP</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Desabilitado</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="RepFormat">
    <xsl:choose>
        <xsl:when test=". = 1"><xsl:text>SIA-DCS 300 Sem Texto</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Contact ID</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Modem IIIa2 Sem Texto</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>SIA-DCS 300 Com Texto</xsl:text></xsl:when>
        <xsl:when test=". = 5"><xsl:text>Modem IIIa2 Com Texto</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Formato de Reporte Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="AutoTestIntervall">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Desabilitado</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>4</xsl:text> <xsl:text> h</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>12</xsl:text> <xsl:text> h</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>24</xsl:text> <xsl:text> h</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>7</xsl:text> <xsl:text> dias</xsl:text></xsl:when>
        <xsl:when test=". = 5"><xsl:text>28</xsl:text> <xsl:text> dias</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Intervalos Invlidos de Testes Automticos</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="Dialing">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Tom</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Pulso</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Automtico</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template match="PSTN">
        <tr>
            <td style="font-size:12px; font-weight:bold; background:#CCCCCC; border:1; " colspan="3">Configuraes do Comunicador RTPC</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Tipo de Discagem</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2"><xsl:apply-templates select="Dialing" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Monitor Linha 1</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2">
                <xsl:value-of select="Line1" /></td>
        </tr>
		<tr>
            <td style="font-size:12px; font-weight:bold;">Linha 1 contagem de toques</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2">
                <xsl:value-of select="Line1RingCount" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Monitor Linha 2</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2">
                <xsl:value-of select="Line2" /></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Intervalo de Resdicagem</td>
            <td style="font-size:12px; font-weight:normal; color:blue;" colspan="2"><xsl:value-of select="DialInterval" /> s</td>
        </tr>
</xsl:template>

<xsl:template match="Reporting">
    <tr>
        <td style="font-size:12px; font-weight:bold;">Alarmes</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="FireAlarm" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Supervisrio</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="Supervisory" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Restaurao alarme</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="FireRestore" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Restaurao supervisria</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="SupervRestore" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Falha/Restaurao</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="TroubleRes" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Teste</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="Test" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Silenciamento</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="RepSilence" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Reset</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="Reset" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">Teste de evacuao de incndio</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="FireDrill" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;"><xsl:text>Reporte eventos/operaes de</xsl:text>:</td>
        <td colspan="2" style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:apply-templates select="ReportWide" /></td>
    </tr>
</xsl:template>
	
<xsl:template match="Email">
	 <tr>
     	<td style="font-size:12px; font-weight:bold; background:#CCCCCC; border:1; " colspan="3">Configs e-mail</td>
     </tr>
	 <tr>
        <td colspan="1" style="font-size:12px; font-weight:bold;">Ativar notificao e-mail</td>
        <td style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="EmailEnable" /></td>
    </tr>
    <tr>
        <td rowspan="4" style="font-size:12px; font-weight:bold;">Personalizao de e-mail</td>
       	<td width="25%" style="font-size:12px; font-weight:bold;">P/ endereo 1</td>
	    <td width="75%" style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="Addr1" /></td>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:bold;">P/ endereo 2</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Addr2" /></td>
    </tr>
	 <tr>
        <td style="font-size:12px; font-weight:bold;">P/ endereo 3</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Addr3" /></td>
    </tr>
	 <tr>
        <td style="font-size:12px; font-weight:bold;">P/ endereo 4</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Addr4" /></td>
    </tr>
    <tr>
        <td rowspan="4"  style="font-size:12px; font-weight:bold;">Configs servidor SMTP</td>
       	<td width="25%"  style="font-size:12px; font-weight:bold;">Endereo IP</td>
	    <td width="75%" style="font-size:12px; font-weight:12px; color:blue;">
                <xsl:value-of select="SMTPIP" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;">Porta</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="SMTPPort" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;">Nome usurio</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="SMTPUser" /></td>
    </tr>
	<tr>
        <td style="font-size:12px; font-weight:bold;">Senha</td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="SMTPPwd" /></td>
    </tr>
</xsl:template>

<xsl:template match="FireAlarm|Supervisory|FireRestore|SupervRestore|TroubleRes|Test|RepSilence|Reset|FireDrill">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Apenas primria</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Apenas secundria</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Primria e secundria</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Secundria como backup</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>Sem reporte</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="T_LOOPS" match="LOOP1|LOOP2">

    <table border="1" style="color:black; width:800px; left:50px;">
        <xsl:for-each select="Device">
            <xsl:choose>
                <xsl:when test="DeviceType = '2'">
                    <xsl:call-template name="DEV_SLC"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '3' or DeviceType = '27' or DeviceType = '32' or DeviceType = '34'">
                    <xsl:call-template name="DEV_SMOKE_P"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '4' or DeviceType = '26' or DeviceType = '33'">
                    <xsl:call-template name="DEV_SMOKE_D"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '5' or DeviceType = '29'">
                    <xsl:call-template name="DEV_HEAT"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '6'">
                    <xsl:call-template name="DEV_SMOKE_I"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '7' or DeviceType = '30' or DeviceType = '31' or DeviceType = '35' or DeviceType = '36'">
                    <xsl:call-template name="DEV_SMOKE_M" ></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '10'">
                    <xsl:call-template name="DEV_CONVZ_MOD"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '8' or DeviceType = '11' or DeviceType = '18' or DeviceType = '19' or DeviceType = '20' or DeviceType = '21'">
                    <xsl:call-template name="DEV_CONT_MOD"></xsl:call-template>
                </xsl:when>
                <xsl:when test="DeviceType = '12' or DeviceType = '17' or DeviceType = '22' or DeviceType = '23' or DeviceType = '24' or DeviceType = '25'">
                    <xsl:call-template name="DEV_RELAY_MOD"></xsl:call-template>
                </xsl:when>
				<xsl:when test="DeviceType = '13' or DeviceType = '14' or DeviceType = '15'">
					<xsl:call-template name="DEV_NAC_MOD"></xsl:call-template>
				</xsl:when>
				<xsl:when test="DeviceType = '16'">
					<xsl:call-template name="DEV_BASE_SND"></xsl:call-template>
				</xsl:when>
            </xsl:choose>
        </xsl:for-each>
    </table>
	
</xsl:template>

<xsl:template name="DEV_SLC">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th>Descrio</th>
        <th>Desabilitado</th>
        <th>Habilitado</th>
        <th>Topologia</th>
        <th>Tipo de Loop</th>
        <th colspan="2">Nmero de Elementos</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:value-of select="Enable" ></xsl:value-of></td>
        <td><xsl:apply-templates select="Topology" ></xsl:apply-templates></td>
        <td><xsl:call-template name="DEV_LOOPTYPE"></xsl:call-template></td>
        <td colspan="2"><xsl:value-of select="NumElements" ></xsl:value-of></td>
    </tr>
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_LOOPTYPE" match="LoopType">
	<!-- LoopType -->
	<xsl:choose>
		<xsl:when test="LoopType = 0">Loop SLC</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="DEV_SMOKE_P" match="Device">
    <!--line 1 for DEV_SMOKE_P-->
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
       <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>	
	
    <!--line 2 for DEV_SMOKE_P-->
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th colspan="2">Sensibilidade</th>
        <th colspan="2">Sensibilidade Durante o Dia</th>

	    <xsl:choose>
            <xsl:when test="DeviceType = '27' or DeviceType = '32' or DeviceType = '34'">
            <th>Led Piscando</th>
	        </xsl:when>
	        <xsl:otherwise>
			</xsl:otherwise>
        </xsl:choose>
	</tr>
	      
	<tr style="font-size:12px; font-weight:normal; color:blue;">
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>

	    <xsl:choose>
            <xsl:when test="DeviceType = '27' or DeviceType = '32' or DeviceType = '34'">
            <td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
	        </xsl:when>
	        <xsl:otherwise>
			</xsl:otherwise>
        </xsl:choose>
    </tr>
   
	<!--line 3 for DEV_SMOKE_P-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_SMOKE_D">
    <!--line 1 for DEV_SMOKE_D-->
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		    </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5"></xsl:call-template></td>
        <td><xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		    </xsl:for-each>
		</td>
    </tr>
		
    <!--line 2 for DEV_SMOKE_D-->	
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th colspan="2">Sensibilidade</th>
        <th colspan="2">Sensibilidade Durante o Dia</th>

        <th>Rel</th>
		
	    <xsl:choose>
		<xsl:when test="DeviceType = '33'">
		<th>Led Piscando</th>
		<th colspan="3"></th>
        </xsl:when>
   		<xsl:otherwise>
		<th colspan="4"></th>
   		</xsl:otherwise>
        </xsl:choose> 
    </tr>

	<tr style="font-size:12px; color:blue; font-weight:normal;">
		<td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
		<td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>

		<xsl:choose>
		<xsl:when test="Relay = 'TRUE'">
			<td>TRUE</td>
		</xsl:when>
		<xsl:otherwise>
			<td>FALSE</td>
		</xsl:otherwise>
	    </xsl:choose> 

		<xsl:choose>
			<xsl:when test="DeviceType = '33'">
			<td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
			<td colspan="3"></td>
			</xsl:when>
			<xsl:otherwise>
			<td colspan="4"></td>
			</xsl:otherwise>
		 </xsl:choose> 
	</tr>

    <!--line 3 for DEV_SMOKE_D-->	
	<xsl:choose>
		<xsl:when test="Relay = 'TRUE'">
		<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
			<th style="background-color:white;" rowspan="2"></th>
			<th rowspan="2" style="color:blue; background:white;">Rel de Duto</th>
			<th colspan="2">Descrio</th>
			<th>Desabilitado</th>
			<th colspan="2">Zonas</th>
			<xsl:choose>
			<xsl:when test="DeviceType = '33'">
				<th>Sequencial</th>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
			</xsl:choose> 
		</tr>
			<xsl:call-template name="SMOKE_D_RELAY"></xsl:call-template>
		</xsl:when>
		<xsl:otherwise></xsl:otherwise>
	</xsl:choose>
    
	<!--line 4 for DEV_SMOKE_D-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="SMOKE_D_RELAY" match="DuctRelay|DuctRelay440">
	  <xsl:for-each select="DuctRelay|DuctRelay440">
	  <tr style="font-size:12px; font-weight:normal; color:blue;">
		<td colspan="2"><xsl:value-of select="Label"></xsl:value-of></td>
		<td><xsl:value-of select="Bypassed"></xsl:value-of></td>
		<td colspan="2"><xsl:call-template name="RelayZone1_5"></xsl:call-template></td>
		<td><xsl:value-of select="Sequential"></xsl:value-of></td> 
	 </tr>
	 </xsl:for-each>
</xsl:template>

<xsl:template name="DEV_HEAT">
    <!--line 1 for DEV_HEAT-->	
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>

    <!--line 2 for DEV_HEAT-->	
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th colspan="2">Sensibilidade</th>
        <th colspan="2">Sensibilidade Durante o Dia</th>
		<xsl:choose>
			<xsl:when test="DeviceType = '29'">
			<th>Led Piscando</th>
			<th>Classe RTI</th>
			<th>RoR</th>
			<th>RoR dia</th>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose> 
    </tr>

    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>
		<xsl:choose>
			<xsl:when test="DeviceType = '29'">
			<td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
			<td><xsl:apply-templates select="RTI"></xsl:apply-templates></td>
			<td><xsl:value-of select="RoR"></xsl:value-of></td>
			<td><xsl:value-of select="DayRoR"></xsl:value-of></td>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
   		</xsl:choose> 
    </tr>
		
	<!--line 3 for DEV_HEAT-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_SMOKE_I">
	<!--line 1 for DEV_SMOKE_I-->	
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>

	<!--line 2 for DEV_SMOKE_I-->	
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th colspan="2">Sensibilidade</th>
        <th colspan="2">Sensibilidade Durante o Dia</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>
    </tr>
	
	<!--line 3 for DEV_SMOKE_I-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_SMOKE_M">
    <!--line 1 for DEV_SMOKE_M-->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
    
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
	
    <!--line 2 for DEV_SMOKE_M-->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Descrio da Fumaa</th>
        <th>Tipo de Ponto da Fumaa</th>
        <th>Modo de Trabalho</th>
        <th colspan="2">Modo de Dias teis</th>
        <th colspan="2">Sensibilidade  Fumaa</th>
        <th colspan="2">Sensibilidade  Fumaa Durante o Dia</th>
    </tr>
	
	<tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="SmokeLabel" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="SmokePointType">
				  <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
		 <td>
		   <xsl:for-each select="WorkingMode">
				  <xsl:call-template name="WorkingMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td  colspan="2">
		   <xsl:for-each select="WorkingDayMode">
				  <xsl:call-template name="WorkingMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="TP_Sensitivity"></xsl:call-template></td>
        <td colspan="2"><xsl:call-template name="TP_DaySensitivity"></xsl:call-template></td>
    </tr>
	
    <!--line 3 for DEV_SMOKE_M-->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Led Piscando</th>
		<xsl:choose>
			<xsl:when test="DeviceType = '30' or DeviceType = '31' or DeviceType = '35' or DeviceType = '36'">
			<th colspan="2">Sensibilid temp</th>
        	<th colspan="2">Sensibildade durante dia temperatura</th>
			<th>RoR</th>
        	<th>RoR dia</th>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose> 
	</tr>
     	  
	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td><xsl:value-of select="LedFlash" ></xsl:value-of></td>
		<xsl:choose>
			<xsl:when test="DeviceType = '30' or DeviceType = '31' or DeviceType = '35' or DeviceType = '36'">
			<td colspan="2"><xsl:for-each select="HeatSensitivity">
				<xsl:call-template name="FixSensitivity"></xsl:call-template>
			</xsl:for-each></td>
			<td colspan="2"><xsl:for-each select="HeatDaySensitivity">
				<xsl:call-template name="FixSensitivity"></xsl:call-template>
			</xsl:for-each></td>
			<td><xsl:value-of select="RoR" ></xsl:value-of></td>
			<td><xsl:value-of select="DayRoR"></xsl:value-of></td>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose> 
	</tr>

    <!--line 4 for DEV_SMOKE_M-->
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_CONVZ_MOD">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_CONT_MOD">
    <xsl:choose>
        <xsl:when test="DeviceType = '11'">
            <xsl:call-template name="DEV_CONT_MOD_DUAL"></xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="DEV_CONT_MOD_SINGLE"></xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="DEV_CONT_MOD_DUAL">
    <!--line 1 for DEV_CONT_MOD_DUAL-->	
	<tr  style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th>Descrio</th>
        <th colspan="6"></th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td colspan="6"></td>
    </tr>

    <!--line 2 for DEV_CONT_MOD_DUAL-->	
    <xsl:for-each select="Input1">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th style="background-color:white;" rowspan="2"></th>
        <th style="color:blue; background-color:white;" rowspan="2">Entrada 1</th>
        <th>Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th>Tipo de Entrada</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
	
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
		<td><xsl:apply-templates select="InputType" ></xsl:apply-templates></td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
    </xsl:for-each>
    <xsl:for-each select="Input2">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th style="background-color:white;" rowspan="2"></th>
		<th style="color:blue; background-color:white;" rowspan="2">Entrada 2</th>
        <th>Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th>Tipo de Entrada</th>
        <th colspan="2">Zonas</th>
        <th>Modo de Atraso</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td><xsl:apply-templates select="InputType" ></xsl:apply-templates></td>
        <td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
        <td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
    </tr>
    </xsl:for-each>
    <!--line 3 for DEV_CONT_MOD_DUAL-->	
	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_CONT_MOD_SINGLE">
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Tipo de Ponto</th>
        <th>Tipo de Entrada</th>
		<th colspan="2">Zonas</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td>
		   <xsl:for-each select="PointType">
			   <xsl:call-template name="PointType"></xsl:call-template>
		   </xsl:for-each>
		</td>
        <td><xsl:apply-templates select="InputType" ></xsl:apply-templates></td>
		<td colspan="2"><xsl:call-template name="Zone1_5" ></xsl:call-template></td>
    </tr>

	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Modo de Atraso</th>
		<xsl:choose>
			<xsl:when test="DeviceType = '8'">
			</xsl:when>
			<xsl:otherwise>
        	<th>Tipo de Cabeamento</th>
			</xsl:otherwise>
		</xsl:choose>
	</tr>

	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td>
		   <xsl:for-each select="DelayMode">
			   <xsl:call-template name="DelayMode"></xsl:call-template>
		   </xsl:for-each>
		</td>
		<xsl:choose>
			<xsl:when test="DeviceType = '8'">
			</xsl:when>
			<xsl:otherwise>
				<td>
				<xsl:apply-templates select="WiringType" ></xsl:apply-templates>
				</td>
			</xsl:otherwise>
		</xsl:choose>
	</tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_NAC_MOD">
	<!-- table column count == 9 -->
	<tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Endereo</th>
		<th>Tipo de Dispositivo</th>
		<th colspan="2">Descrio</th>
		<th>Desabilitado</th>
		<th>Silencivel</th>
		<th colspan="2">Zonas</th>
		<th>Padro</th>
	</tr>
	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td><xsl:value-of select="Address"></xsl:value-of></td>
		<td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
		<td colspan="2"><xsl:value-of select="Label"></xsl:value-of></td>
		<td><xsl:value-of select="Bypassed"></xsl:value-of></td>
		<td><xsl:value-of select="Drillenceable"></xsl:value-of></td>
		<td colspan="2"><xsl:call-template name="OutputZone1_5"></xsl:call-template></td>
		<td><xsl:value-of select="Pattern"></xsl:value-of></td>
	</tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_BASE_SND">
	<tr  style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th>Endereo</th>
		<th>Tipo de Dispositivo</th>
		<th colspan="2">Descrio</th>
		<th>Desabilitado</th>
		<th>Silencivel</th>
		<th>Zona</th>
		<th>Padro</th>
		<th>Ativado pelo host</th>
	</tr>
	<tr style="font-size:12px; font-weight:normal; color:blue;">
		<td><xsl:value-of select="Address"></xsl:value-of></td>
		<td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
		<td colspan="2"><xsl:value-of select="Label"></xsl:value-of></td>
		<td><xsl:value-of select="Bypassed"></xsl:value-of></td>
		<td><xsl:value-of select="Drillenceable"></xsl:value-of></td>
		<td><xsl:value-of select="Zone1"></xsl:value-of></td>
		<td><xsl:value-of select="Pattern"></xsl:value-of></td>
		<td><xsl:value-of select="ActivatedbyHost"></xsl:value-of></td>
	</tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_RELAY_MOD">
    <xsl:choose>
        <xsl:when test="DeviceType = '17'">
            <xsl:call-template name="DEV_RELAY_MOD_SINGLE"></xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="DEV_RELAY_MOD_DUAL"></xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="DEV_RELAY_MOD_DUAL">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio dispositivo</th>
        <th colspan="5"></th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address" ></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType"></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td colspan="5"></td>
    </tr>
    <xsl:for-each select="Relay1">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
		<th style="background-color:white;" rowspan="2"></th>
        <th style="color:blue; background-color:white;" rowspan="2">Rel 1</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>PermTestEvac</th>
        <th colspan="2">Zonas</th>
        <th>Sequencial</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <!-- <td colspan="2"></td> -->
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:value-of select="Drillenceable" ></xsl:value-of></td>
        <td colspan="2"><xsl:call-template name="OutputZone1_5" ></xsl:call-template></td>
        <td><xsl:value-of select="Sequential" ></xsl:value-of></td>
    </tr>
    </xsl:for-each>
    <xsl:for-each select="Relay2">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th style="background-color:white;" rowspan="2"></th>
		<th style="color:blue; background-color:white;" rowspan="2">Rel 2</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>PermTestEvac</th>
        <th colspan="2">Zonas</th>
        <th>Sequencial</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <!-- <td colspan="2"></td> -->
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed" ></xsl:value-of></td>
        <td><xsl:value-of select="Drillenceable" ></xsl:value-of></td>
        <td colspan="2"><xsl:call-template name="OutputZone1_5" ></xsl:call-template></td>
        <td><xsl:value-of select="Sequential" ></xsl:value-of></td>
    </tr>
    </xsl:for-each>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template name="DEV_RELAY_MOD_SINGLE">
    <tr style="color:#000000; background-color:#CCCCCC; font-weight:bold; font-size:12px;">
        <th>Endereo</th>
        <th>Tipo de Dispositivo</th>
        <th colspan="2">Descrio</th>
        <th>Desabilitado</th>
        <th>Permite Teste de Evacuao</th>
        <th colspan="2">Zonas</th>
        <th>Sequencial</th>
    </tr>
    <tr style="font-size:12px; font-weight:normal; color:blue;">
        <td><xsl:value-of select="Address"></xsl:value-of></td>
        <td><xsl:apply-templates select="DeviceType" ></xsl:apply-templates></td>
        <td colspan="2"><xsl:value-of select="Label" ></xsl:value-of></td>
        <td><xsl:value-of select="Bypassed"></xsl:value-of></td>
        <td><xsl:value-of select="Drillenceable"></xsl:value-of></td>
        <td colspan="2"><xsl:call-template name="OutputZone1_5"></xsl:call-template></td>
        <td><xsl:value-of select="Sequential"></xsl:value-of></td>
    </tr>

	<tr style="background-color:#000000; height:6px;">
	<td colspan="9"></td>
	</tr>    
</xsl:template>

<xsl:template match="Topology" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>classe</xsl:text> <xsl:text>A</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>1 x </xsl:text> <xsl:text>classe</xsl:text> <xsl:text>B</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>2 x </xsl:text> <xsl:text>classe</xsl:text> <xsl:text>B</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Tipo de Topologia Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="DeviceType">
    <xsl:choose>
        <xsl:when test=". = '2'">SLC</xsl:when>
        <xsl:when test=". = '3'">FAP-325</xsl:when>
        <xsl:when test=". = '4'">FAD-325</xsl:when>
        <xsl:when test=". = '5'">FAH-325</xsl:when>
        <xsl:when test=". = '6'">FAI-325</xsl:when>
        <xsl:when test=". = '7'">FAP-325-T</xsl:when>
        <xsl:when test=". = '8'">FLM-325-I4</xsl:when>
        <xsl:when test=". = '9'">FMM-325-A</xsl:when>
        <xsl:when test=". = '10'">FLM-325-CZM4</xsl:when>
        <xsl:when test=". = '11'">FLM-325-2I4</xsl:when>
        <xsl:when test=". = '12'">FLM-325-2R4</xsl:when>
        <xsl:when test=". = '13'">FLM-325-N4</xsl:when>
        <xsl:when test=". = '14'">FLM-325-NA4</xsl:when>
        <xsl:when test=". = '15'">FLM-325-NAI4</xsl:when>
        <xsl:when test=". = '16'">FAA-325-B6S</xsl:when>
        <xsl:when test=". = '17'">D328A</xsl:when>
        <xsl:when test=". = '18'">FLM-325-I4-A</xsl:when>
        <xsl:when test=". = '19'">FLM-325-I4-AI</xsl:when>
        <xsl:when test=". = '20'">FLM-325-IW-A</xsl:when>
        <xsl:when test=". = '21'">FLM-325-IW-AI</xsl:when>
        <xsl:when test=". = '22'">FLM-325-2R4-2A</xsl:when>
        <xsl:when test=". = '23'">FLM-325-2R4-2AI</xsl:when>
        <xsl:when test=". = '24'">FLM-325-2R4-8A</xsl:when>
        <xsl:when test=". = '25'">FLM-325-2R4-8AI</xsl:when>   
        <xsl:when test=". = '26'">FAD-325-DH</xsl:when>
        <xsl:when test=". = '27'">FAP-325-V2</xsl:when>
        <xsl:when test=". = '28'">FMM-325A-D</xsl:when>
		<xsl:when test=". = '29'">FAH-440</xsl:when>
        <xsl:when test=". = '30'">FAP-440-T</xsl:when>
        <xsl:when test=". = '31'">FAP-440-TC</xsl:when>
        <xsl:when test=". = '32'">FAP-440</xsl:when>
        <xsl:when test=". = '33'">FAD-440-DH</xsl:when>   
        <xsl:when test=". = '34'">FAP-440-D</xsl:when>
        <xsl:when test=". = '35'">FAP-440-DT</xsl:when>
        <xsl:when test=". = '36'">FAP-440-DTC</xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="DelayMode" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Sem Atraso</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Verificao do Alarme</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>PAS/Pr-sinal</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>PAS(dia)/AV(noite)</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Modo de Atraso Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="TP_Sensitivity">
	<xsl:choose>
		<xsl:when test="DeviceType = '5'">
			<xsl:for-each select="Sensitivity">
				<xsl:call-template name="TemperatureSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
			<xsl:for-each select="Sensitivity|SmokeSensitivity">
				<xsl:call-template name="LengthSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="TP_DaySensitivity">
	<xsl:choose>
		<xsl:when test="DeviceType = '5'">
			<xsl:for-each select="DaySensitivity">
				<xsl:call-template name="TemperatureSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
			<xsl:for-each select="DaySensitivity|SmokeDaySensitivity">
				<xsl:call-template name="LengthSensitivity"></xsl:call-template>
			</xsl:for-each>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="TemperatureSensitivity">
    <xsl:choose>
	    	<xsl:when test=". = 0">135F/57C</xsl:when>
        	<xsl:when test=". = 1">137F/58C</xsl:when>
        	<xsl:when test=". = 2">139F/59C</xsl:when>
        	<xsl:when test=". = 3">141F/61C</xsl:when>
        	<xsl:when test=". = 4">143F/62C</xsl:when>
        	<xsl:when test=". = 5">145F/63C</xsl:when>
        	<xsl:when test=". = 6">147F/64C</xsl:when>
        	<xsl:when test=". = 7">149F/65C</xsl:when>
        	<xsl:when test=". = 8">150F/66C</xsl:when>
        	<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="FixSensitivity">
    <xsl:choose>
	    	<xsl:when test=". = 0">135F/57C ROR habilitado</xsl:when>
        	<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="LengthSensitivity">
    <xsl:choose>
	    	<xsl:when test=". = 0">0,90%/ps, 2,95%/m</xsl:when>
        	<xsl:when test=". = 1">1,00%/ps, 3,30%/m</xsl:when>
        	<xsl:when test=". = 2">1,25%/ps, 4,10%/m</xsl:when>
        	<xsl:when test=". = 3">1,50%/ps, 4,90%/m</xsl:when>
        	<xsl:when test=". = 4">1,75%/ps, 5,75%/m</xsl:when>
        	<xsl:when test=". = 5">2,00%/ps, 6,55%/m</xsl:when>
        	<xsl:when test=". = 6">2,25%/ps, 7,40%/m</xsl:when>
        	<xsl:when test=". = 7">2,50%/ps, 8,20%/m</xsl:when>
        	<xsl:when test=". = 8">2,75%/ps, 9,00%/m</xsl:when>
			<xsl:when test=". = 9">3,00%/ps, 9,85%/m</xsl:when>
			<xsl:when test=". = 10">3,25%/ps, 10,65%/m</xsl:when>
			<xsl:when test=". = 11">3,50%/ps, 11,50%/m</xsl:when>
        	<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>



<xsl:template match="InputType" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>NA com EOL</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>NF com EOL</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>NF sem EOL</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Tipo de Entrada Invlida</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="WiringType" >
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Classe B</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Classe A</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Tipo de Cabeamento Invlido</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="Bypassed|Drillenceable" >
    <xsl:choose>
        <xsl:when test=". = FALSE"><xsl:text>Desabilitado</xsl:text></xsl:when>
        <xsl:when test=". = TRUE"><xsl:text>Habilitado</xsl:text></xsl:when>
        <xsl:otherwise><xsl:text>Sem Estado</xsl:text></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="Zone1_5">
	<xsl:value-of select="PID1"/>-<xsl:value-of select="Zone1"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID2"/>-<xsl:value-of select="Zone2"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID3"/>-<xsl:value-of select="Zone3"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID4"/>-<xsl:value-of select="Zone4"/><xsl:text>,</xsl:text>
	<xsl:value-of select="PID5"/>-<xsl:value-of select="Zone5"/>
</xsl:template>

<xsl:template name="OutputZone1_5">
	<xsl:value-of select="Zone1"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone2"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone3"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone4"/><xsl:text>-</xsl:text>
	<xsl:value-of select="Zone5"/>
</xsl:template>

<xsl:template name="RelayZone1_5">
	<xsl:call-template name="OutputZone1_5"/>
</xsl:template>


<xsl:template match="Relay1|Relay2" >Configuraes Rel1,Rel2[ Descrio:<xsl:value-of select="Label" /> Zonas:<xsl:call-template name="Zone1_5" />Desabilitado: <xsl:value-of select="Bypassed" />Energizado em Normal:<xsl:value-of select="ENormal" /> PermTEvac:<xsl:value-of select="Drillenceable" />]<br/></xsl:template>

<xsl:template match="DuctRelay">Configuraes de Rel de Duto[ Descrio:<xsl:value-of select="Label" /> Zonas:<xsl:call-template name="Zone1_5" />Desabilitado:<xsl:value-of select="Bypassed" />]<br/></xsl:template>

<xsl:template match="Input1|Input2" >Configuraes Entrada1, Entrada2[ Descrio:<xsl:value-of select="Label" />Zonas:<xsl:call-template name="Zone1_5" />Desabilitado:<xsl:value-of select="Bypassed" /> Tipo de Ponto:<xsl:call-template name="PointType" /> Tipo de Entrada:<xsl:apply-templates select="InputType" />]<br/></xsl:template>

<xsl:template name="PointType">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Incndio automtico</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Alarme de incndio manual</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Fluxo de gua</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Atraso de fluxo de gua</xsl:text></xsl:when>
        <xsl:when test=". = 4"><xsl:text>Alarme de gs</xsl:text></xsl:when>
        <xsl:when test=". = 5"><xsl:text>Supervisrio</xsl:text></xsl:when>
        <xsl:when test=". = 6"><xsl:text>Genrico</xsl:text></xsl:when>
        <xsl:when test=". = 7"><xsl:text>Falha</xsl:text></xsl:when>
        <xsl:when test=". = 8"><xsl:text>Falha de CA</xsl:text></xsl:when>
        <xsl:when test=". = 9"><xsl:text>Falha de Bateria</xsl:text></xsl:when>
        <xsl:when test=". = 10"><xsl:text>Reset</xsl:text></xsl:when>
        <xsl:when test=". = 11"><xsl:text>Silenciamento</xsl:text></xsl:when>
        <xsl:when test=". = 12"><xsl:text>Teste de evacuao</xsl:text></xsl:when>
        <xsl:when test=". = 13"><xsl:text>Reconhecimento</xsl:text></xsl:when>
		<xsl:when test=". = 14"><xsl:text>Alarme Geral</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="WorkingMode">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Multicombinado</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Multisseparado</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="Week">
		<xsl:choose>
            <xsl:when test=". = 1"><xsl:text>1o.</xsl:text></xsl:when>
            <xsl:when test=". = 2"><xsl:text>2o.</xsl:text></xsl:when>
			<xsl:when test=". = 3"><xsl:text>3o.</xsl:text></xsl:when>
            <xsl:when test=". = 4"><xsl:text>4o.</xsl:text></xsl:when>
			<xsl:when test=". = 5"><xsl:text>durar</xsl:text></xsl:when>
        </xsl:choose>
</xsl:template>

<xsl:template name="Month">
   		<xsl:choose>
            <xsl:when test=". = 1"><xsl:text>Janeiro</xsl:text></xsl:when>
            <xsl:when test=". = 2"><xsl:text>Fevereiro</xsl:text></xsl:when>
			<xsl:when test=". = 3"><xsl:text>Maro</xsl:text></xsl:when>
            <xsl:when test=". = 4"><xsl:text>Abril</xsl:text></xsl:when>
			<xsl:when test=". = 5"><xsl:text>Maio</xsl:text></xsl:when>
			<xsl:when test=". = 6"><xsl:text>Junho</xsl:text></xsl:when>
            <xsl:when test=". = 7"><xsl:text>Julho</xsl:text></xsl:when>
			<xsl:when test=". = 8"><xsl:text>Agosto</xsl:text></xsl:when>
            <xsl:when test=". = 9"><xsl:text>Setembro</xsl:text></xsl:when>
			<xsl:when test=". = 10"><xsl:text>Outubro</xsl:text></xsl:when>
			<xsl:when test=". = 11"><xsl:text>Novembro</xsl:text></xsl:when>
			<xsl:when test=". = 12"><xsl:text>Dezembro</xsl:text></xsl:when>
        </xsl:choose>
</xsl:template>

<xsl:template match="MAINBOARD" >
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <th colspan="9" style=" background-color:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Placa Principal</th>
        </tr>
        <tr>
            <td colspan="9" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Rels</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">Rels</td>
            <td style="font-size:12px; font-weight:bold;">Tipo de Rel</td>
            <td style="font-size:12px; font-weight:bold;">Zonas</td>
            <td style="font-size:12px; font-weight:bold;">Permite Teste de Evacuao</td>
			<td style="font-size:12px; font-weight:bold;">Ext. sinaliz</td>
            <td style="font-size:12px; font-weight:bold;">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;">ENormal</td>
            <td style="font-size:12px; font-weight:bold;">Sequencial</td>
            <td style="font-size:12px; font-weight:bold;">Descrio</td>
        </tr>
        
        <xsl:for-each select="Relay1">
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">Rel 1</td>
            <td><xsl:for-each select="RelayType">
                    <xsl:call-template name="MAINBOARD_RELAYTYPE"/>
                </xsl:for-each></td>
            <td><xsl:call-template name="OutputZone1_5" /></td>
            <td><xsl:value-of select="Drillenceable" /></td>
			<td><xsl:value-of select="Silenceable" /></td>
            <td><xsl:value-of select="Bypassed" /></td>
            <td><xsl:value-of select="ENormal" /></td>
            <td><xsl:value-of select="Sequential" /></td>
            <td><xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
        
        <xsl:for-each select="Relay2">
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">Rel 2</td>
            <td><xsl:for-each select="RelayType">
                <xsl:call-template name="MAINBOARD_RELAYTYPE"/>
                </xsl:for-each></td>
            <td><xsl:call-template name="OutputZone1_5" /></td>
            <td><xsl:value-of select="Drillenceable" /></td>
			<td><xsl:value-of select="Silenceable" /></td>
            <td><xsl:value-of select="Bypassed" /></td>
            <td><xsl:value-of select="ENormal" /></td>
            <td><xsl:value-of select="Sequential" /></td>
            <td><xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
        
        <xsl:for-each select="Relay3">
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">Rel 3</td>
            <td><xsl:for-each select="RelayType">
                    <xsl:call-template name="MAINBOARD_RELAYTYPE"/>
                </xsl:for-each></td>
            <td><xsl:call-template name="OutputZone1_5" /></td>
            <td><xsl:value-of select="Drillenceable" /></td>
			<td><xsl:value-of select="Silenceable" /></td>
            <td><xsl:value-of select="Bypassed" /></td>
            <td><xsl:value-of select="ENormal" /></td>
            <td><xsl:value-of select="Sequential" /></td>
            <td><xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
    </table>    
    
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">
            <td colspan="6" style="background:#CCCCCC; font-size:12px; font-weight:bold;">NACs</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">NACs</td>
            <td style="font-size:12px; font-weight:bold;">Padro</td>
            <td style="font-size:12px; font-weight:bold;">Zonas</td>
            <td style="font-size:12px; font-weight:bold;">Silenciamento</td>
            <td style="font-size:12px; font-weight:bold;">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;">Descrio</td>
        </tr>
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">NAC 1</td>    
            <xsl:for-each select="NAC1">
                <xsl:call-template name="MAINBOARD_NACS" />
            </xsl:for-each>
        </tr>
        <tr style="font-size:12px; font-weight:normal; color:blue;">
            <td style="color:black;">NAC 2</td>
            <xsl:for-each select="NAC2">
                <xsl:call-template name="MAINBOARD_NACS" />
            </xsl:for-each>
        </tr>
    </table>
    
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">
            <td colspan="6" style="background:#CCCCCC; font-size:12px; font-weight:bold;">City Tie</td>
        </tr>
        <tr>
            <td colspan="1" style="font-size:12px; font-weight:bold;">City Tie Instalado: </td>
			<td style="font-size:12px; font-weight:normal; color:blue;"><xsl:value-of select="CityTie/Installed" /></td>
        </tr>
		 <tr>
            <td colspan="1" style="font-size:12px; font-weight:bold;">Ativado por eventos de: </td>
			<td style="font-size:12px; font-weight:normal; color:blue;" >
                    <xsl:apply-templates select="CityTie/CityTieWide"></xsl:apply-templates></td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;">City Tie</td>
            <td style="font-size:12px; font-weight:bold;">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;">Tipo</td>
            <td style="font-size:12px; font-weight:bold;">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;">Silencivel</td>
            <td style="font-size:12px; font-weight:bold;">Descrio</td>
        </tr>
        <xsl:for-each select="CityTie/CityTie1">
        <tr>
            <td style="font-size:12px; font-weight:normal;">City Tie 1</td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:if test="TieMode = 2"><xsl:text>TRUE</xsl:text></xsl:if>
				<xsl:if test="TieMode = 1"><xsl:text>FALSE</xsl:text></xsl:if>
                <xsl:if test="TieMode = 0"><xsl:text>FALSE</xsl:text></xsl:if></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:for-each select="RelayType">
                    <xsl:call-template name="CITYTIE_RELAYTYPE"/>
                </xsl:for-each></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Bypassed" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Silenceable" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
        <xsl:for-each select="CityTie/CityTie2">
        <tr>
            <td style="font-size:12px; font-weight:normal;">City Tie 2</td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:if test="TieMode = 2"><xsl:text>TRUE</xsl:text></xsl:if>
				<xsl:if test="TieMode = 1"><xsl:text>FALSE</xsl:text></xsl:if>
                <xsl:if test="TieMode = 0"><xsl:text>FALSE</xsl:text></xsl:if></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:for-each select="RelayType">
                    <xsl:call-template name="CITYTIE_RELAYTYPE"/>
                </xsl:for-each></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Bypassed" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Silenceable" /></td>
            <td style="font-size:12px; font-weight:normal; color:blue;">
                <xsl:value-of select="Label" /></td>
        </tr>
        </xsl:for-each>
    </table>            
</xsl:template>

<xsl:template name="CITYTIE_RELAYTYPE">
    <xsl:choose>
        <xsl:when test=". = 0"><xsl:text>Alarme incndio</xsl:text></xsl:when>
        <xsl:when test=". = 1"><xsl:text>Falha</xsl:text></xsl:when>
        <xsl:when test=". = 2"><xsl:text>Supervisrio</xsl:text></xsl:when>
        <xsl:when test=". = 3"><xsl:text>Alarme de Gs</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="LED_ZoneRange">
    <xsl:choose>
		<xsl:when test=". = 'FALSE'"><xsl:text>Zona 1-128</xsl:text></xsl:when>
        <xsl:when test=". = 'TRUE'"><xsl:text>Zona 129-225</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="MAINBOARD_NACS">
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:for-each select="Pattern">
            <xsl:call-template name="ID_MAINPATTERN" />
            </xsl:for-each></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:call-template name="OutputZone1_5" /></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Drillenceable" /></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Bypassed" /></td>
        <td style="font-size:12px; font-weight:normal; color:blue;">
            <xsl:value-of select="Label" /></td>
</xsl:template>

<xsl:template name="MB_ANNs">
	<tr style="font-weight:normal; color:black;">
		<td>1</td>
		<td>Zona 1-8</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7030x" /></td>
		<td>Zona 9-16</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7032" /></td>
		<td>5</td>
		<td>Zona 65-72</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7030x" /></td>
		<td>Zona 73-80</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>2</td>
		<td>Zona 17-24</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7030x" /></td>
		<td>Zona 25-32</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7032" /></td>
		<td>6</td>
		<td>Zona 81-88</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7030x" /></td>
		<td>Zona 89-96</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>3</td>
		<td>Zona 33-40</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7030x" /></td>
		<td>Zona 42-49</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7032" /></td>
		<td>7</td>
		<td>Zona 97-104</td>
		<td style="color:blue;"><xsl:value-of select="Ann7/D7030x" /></td>
		<td>Zona 105-112</td>
		<td style="color:blue;"><xsl:value-of select="Ann7/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>4</td>
		<td>Zona 50-57</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7030x" /></td>
		<td>Zona 58-65</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7032" /></td>
		<td>8</td>
		<td>Zona 113-120</td>
		<td style="color:blue;"><xsl:value-of select="Ann8/D7030x" /></td>
		<td>Zona 121-128</td>
		<td style="color:blue;"><xsl:value-of select="Ann8/D7032" /></td>
	</tr>
</xsl:template>

<xsl:template name="MB_ANNs_HIGH">
	<tr style="font-weight:normal; color:black;">
		<td>1</td>
		<td>Zona 129-136</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7030x" /></td>
		<td>Zona 137-144</td>
		<td style="color:blue;"><xsl:value-of select="Ann1/D7032" /></td>
		<td>5</td>
		<td>Zona 193-200</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7030x" /></td>
		<td>Zona 201-208</td>
		<td style="color:blue;"><xsl:value-of select="Ann5/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>2</td>
		<td>Zona 145-152</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7030x" /></td>
		<td>Zona 153-160</td>
		<td style="color:blue;"><xsl:value-of select="Ann2/D7032" /></td>
		<td>6</td>
		<td>Zona 209-216</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7030x" /></td>
		<td>Zona 217-224</td>
		<td style="color:blue;"><xsl:value-of select="Ann6/D7032" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>3</td>
		<td>Zona 161-168</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7030x" /></td>
		<td>Zona 169-176</td>
		<td style="color:blue;"><xsl:value-of select="Ann3/D7032" /></td>
		<td>7</td>
		<td>Zona 225</td>
		<td style="color:blue;"><xsl:value-of select="Ann7/D7030x" /></td>
	</tr>
	<tr style="font-weight:normal; color:black;">
		<td>4</td>
		<td>Zona 177-184</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7030x" /></td>
		<td>Zona 185-192</td>
		<td style="color:blue;"><xsl:value-of select="Ann4/D7032" /></td>
	</tr>
</xsl:template>

<xsl:template match="OPTIONBUS">
	<table border="1" style="color:black; font-size:12px; width:800px; left:50px;">
        <tr>
            <th colspan="10" style="background-color:black; color:white; font-weight:bold; font-size:14px; text-align:center; ">Barramento de Opes</th>
        </tr>
		<tr>
			<td colspan="10" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Indicadores LED</td>
		</tr>
		<tr>
			<td style="color:blue;" colspan="10"><xsl:for-each select="RepeatLED1to4">
					<xsl:call-template name="LED_ZoneRange" /></xsl:for-each></td>
		</tr>
		<tr style="font-weight:bold; color:black;">
			<td>Endereo</td>
			<td colspan="2">D7030X</td>
			<td colspan="2">D7032</td>
			<td>Endereo</td>
			<td colspan="2">D7030X</td>
			<td colspan="2">D7032</td>
		</tr>
		<xsl:choose>
			<xsl:when test="RepeatLED1to4 = 'FALSE'">
				<xsl:call-template name="MB_ANNs"></xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="MB_ANNs_HIGH"></xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</table>
	
	<table border="1" style="color:black; width:800px; font-size:12px; left:50px;">
		<tr>
			<td colspan="15" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Indicadores LCD/Centros de Comando (FMR-1000)</td>
		</tr>
		<tr></tr>
		<tr style="font-weight:bold;">
			<td>Endereo</td>
			<td>Habilitado</td>
			<td></td>
			<td>Endereo</td>
			<td>Habilitado</td>
			<td></td>
			<td>Endereo</td>
			<td>Habilitado</td>
			<td></td>
			<td>Endereo</td>
			<td>Habilitado</td>
		</tr>
		<tr>
			<td>16</td>
			<td style="color:blue;"><xsl:value-of select="Ann16" /></td>
			<td></td>
			<td>17</td>
			<td style="color:blue;"><xsl:value-of select="Ann17" /></td>
			<td></td>
			<td>18</td>
			<td style="color:blue;"><xsl:value-of select="Ann18" /></td>
			<td></td>
			<td>19</td>
			<td style="color:blue;"><xsl:value-of select="Ann19" /></td>
		</tr>
		<tr>
			<td>20</td>
			<td style="color:blue;"><xsl:value-of select="Ann20" /></td>
			<td></td>
			<td>21</td>
			<td style="color:blue;"><xsl:value-of select="Ann21" /></td>
			<td></td>
			<td>22</td>
			<td style="color:blue;"><xsl:value-of select="Ann22" /></td>
			<td></td>
			<td>23</td>
			<td style="color:blue;"><xsl:value-of select="Ann23" /></td>
		</tr>
	</table>
	
	<table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <td colspan="9" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Mdulos de 8 Rels D7035, Mdulos de 8 Controladores D7048</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="11" width="10%">Endereo 9</td>
			<td style="font-size:12px; font-weight:bold;">Descrio</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod9/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod9/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="5%">Sada</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Permite Teste de Evacuao</td>
			<td style="font-size:12px; font-weight:bold;" width="10%">Ext. sinaliz</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">ENormal</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Sequencial</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Descrio</td>
        </tr>
        <xsl:apply-templates select="OutputMod9" />
         <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="11" width="10%">Endereo 10</td>
			<td style="font-size:12px; font-weight:bold;">Descrio</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod10/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="7"><xsl:value-of select="OutputMod10/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="5%">Sada</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Permite Teste de Evacuao</td>
			<td style="font-size:12px; font-weight:bold;" width="10%">Ext. sinaliz</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">ENormal</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Sequencial</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Descrio</td>
        </tr>
        <xsl:apply-templates select="OutputMod10" />
    </table>
	
	
	
    <table border="1" style="color:black; width:800px; left:50px;">
        <tr>
            <td colspan="7" align="left" style="background:#CCCCCC; font-size:12px; font-weight:bold;">Fonte de Alimentao NAC Remoto FPP-RNAC-8A-4A</td>
        </tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Endereo 11</td>
			<td style="font-size:12px; font-weight:bold;">Descrio</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC11/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC11/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Sada</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Padro</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silenciamento</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Descrio</td>
        </tr>
        <xsl:apply-templates select="RNAC11" />
       <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Endereo 12</td>
			<td style="font-size:12px; font-weight:bold;">Descrio</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC12/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC12/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Sada</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Padro</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silenciamento</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Descrio</td>
        </tr>        
        <xsl:apply-templates select="RNAC12" />
           <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Endereo 13</td>
			<td style="font-size:12px; font-weight:bold;">Descrio</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC13/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC13/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Sada</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Padro</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silenciamento</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Descrio</td>
        </tr>
        <xsl:apply-templates select="RNAC13" />
        <tr>
            <td style="font-size:12px; font-weight:bold;" rowspan="7" width="10%">Endereo 14</td>
			<td style="font-size:12px; font-weight:bold;">Descrio</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC14/Label" /></td>
            
        </tr>
		<tr>
			<td style="font-size:12px; font-weight:bold;">Instalado</td>
			<td style="font-size:12px; font-weight:normal; color:blue;" colspan="5"><xsl:value-of select="RNAC14/Enable" /></td>
		</tr>
        <tr>
            <td style="font-size:12px; font-weight:bold;" width="10%">Sada</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Zonas</td>
            <td style="font-size:12px; font-weight:bold;" width="15%">Padro</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Silenciar</td>
            <td style="font-size:12px; font-weight:bold;" width="10%">Desabilitado</td>
            <td style="font-size:12px; font-weight:bold;" width="20%">Descrio</td>
        </tr>
        <xsl:apply-templates select="RNAC14" />
    </table>
</xsl:template>

<xsl:template match="FPA1000/OPTIONBUS/RNAC11|RNAC12|RNAC13|RNAC14" >
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>1</td>
        <xsl:for-each select="NAC1">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>2</td>
        <xsl:for-each select="NAC2">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>3</td>
        <xsl:for-each select="NAC3">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
    <tr style="color:blue; font-size:12px; font-weight:normal;">
        <td>4</td>
        <xsl:for-each select="NAC4">
            <xsl:call-template name="RNAC_NACS" />
        </xsl:for-each>
    </tr>
</xsl:template>

<xsl:template name="RNAC_NACS">
    <td style="color:blue; font-size:12px; font-weight:normal;">
        <xsl:call-template name="OutputZone1_5" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:for-each select="Pattern">
        <xsl:call-template name="ID_MAINPATTERN" />
        </xsl:for-each></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Drillenceable" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Bypassed" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Label" /></td>
</xsl:template>





<xsl:template match="OutputMod9|OutputMod10" >
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">1</td>
        <xsl:for-each select="Relay1">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">2</td>
        <xsl:for-each select="Relay2">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>    
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">3</td>
        <xsl:for-each select="Relay3">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">4</td>
        <xsl:for-each select="Relay4">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">5</td>
        <xsl:for-each select="Relay5">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>    
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">6</td>
        <xsl:for-each select="Relay6">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">7</td>
        <xsl:for-each select="Relay7">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
    <tr>
        <td style="font-size:12px; font-weight:normal; color:blue;">8</td>
        <xsl:for-each select="Relay8">
            <xsl:call-template name="OUTPUT_RELAYS" />
        </xsl:for-each>
    </tr>
</xsl:template>

<xsl:template name="OUTPUT_RELAYS" >
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:call-template name="OutputZone1_5" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Drillenceable" /></td>
	<td style="font-size:12px; font-weight:normal; color:blue;">
		<xsl:value-of select="Silenceable" /></td>	
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Bypassed" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="ENormal" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Sequential" /></td>
    <td style="font-size:12px; font-weight:normal; color:blue;">
        <xsl:value-of select="Label" /></td>
</xsl:template>

<xsl:template name="MAINBOARD_RELAYTYPE">
    <xsl:choose>
		<xsl:when test=". = 0"><xsl:text>Alarme incndio</xsl:text></xsl:when>
		<xsl:when test=". = 1"><xsl:text>Falha</xsl:text></xsl:when>
		<xsl:when test=". = 2"><xsl:text>Supervisrio</xsl:text></xsl:when>
		<xsl:when test=". = 3"><xsl:text>Alarme de Gs</xsl:text></xsl:when>
		<xsl:when test=". = 4"><xsl:text>Por Zona</xsl:text></xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="ID_MAINPATTERN">
    <xsl:choose>
        <xsl:when test=". = 1" ><xsl:text>Contnuo</xsl:text></xsl:when>
        <xsl:when test=". = 2" ><xsl:text>Pulsado</xsl:text></xsl:when>
        <xsl:when test=". = 3" ><xsl:text>Cdigo 3 Temporal</xsl:text></xsl:when>
		<xsl:when test=". = 4" ><xsl:text>Cd. 4 Temporal</xsl:text></xsl:when>
        <xsl:when test=". = 5" ><xsl:text>Wheelock</xsl:text></xsl:when>
        <xsl:when test=". = 6" ><xsl:text>Gentex</xsl:text></xsl:when>
        <xsl:when test=". = 7" ><xsl:text>System Sensor</xsl:text></xsl:when>
		<xsl:when test=". = 8" ><xsl:text>Modo Fonte Alimentao</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="ID_PATTERN">
    <xsl:choose>
		<xsl:when test=". = 0"><xsl:text>Predefinido</xsl:text></xsl:when>
		<xsl:when test=". = 1"><xsl:text>Contnuo</xsl:text></xsl:when>
		<xsl:when test=". = 2"><xsl:text>Pulsado</xsl:text></xsl:when>
		<xsl:when test=". = 3"><xsl:text>Cd. 3 Temporal</xsl:text></xsl:when>
		<xsl:when test=". = 4"><xsl:text>Cd. 4 Temporal</xsl:text></xsl:when>
		<xsl:when test=". = 5"><xsl:text>Wheelock</xsl:text></xsl:when>
		<xsl:when test=". = 6"><xsl:text>Gentex</xsl:text></xsl:when>
		<xsl:when test=". = 7"><xsl:text>System Sensor</xsl:text></xsl:when>
		<xsl:when test=". = 8"><xsl:text>Modo Fonte Alimentao</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="RTI">
    <xsl:choose>
		<xsl:when test=". = 1"><xsl:text>Padro</xsl:text></xsl:when>
		<xsl:when test=". = 2"><xsl:text>Rpido</xsl:text></xsl:when>
		<xsl:otherwise></xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>

